; (function ($, window, document, undefined) {

    'use strict';

    function kiteTheme() {
        var self = this;

        self.$window = $(window);
        self.$document = $(document);
        self.$body = $('body');
        self.windowHeight = self.$window.height();
        self.windowWidth = self.$window.width();
        self.documentHeight = self.$document.height();
        self.msie = window.navigator.userAgent.indexOf("self.msie ");
        self.msie11 = navigator.userAgent.match(/Trident.*rv\:11\./);
        self.isTouchDevice = (Modernizr.touchevents) ? true : false;
        self.isMobile = (self.isTouchDevice && self.windowWidth <= 767) ? true : false;
        self.isTablet = (self.isTouchDevice && self.windowWidth >= 768 && self.windowWidth <= 1140) ? true : false;

        // Blog page number
        self.blogPageNum = 0;
        //Header
        self.$ktheader = $("#kt-header");

        self.scrolingToSection = false;
        self.externalClicked = false;
        self.$scrolId; // this value Save Value of specific id From top
        self.enableScrollId;
        //menu
        self.menuArray = [];
        //portfolio Options
        self.pageRefresh = true;
        self.content = false;
        self.ajaxLoading = false;
        self.wrapperHeight;

        // Djax
        self.djax;
        self.assets = {
            script: [],
            css: []
        }

        self.$scrollpals = $("html, body");
        self.wcNoticeTimer;
        self.resizeId;

        self.imagePosition;

        self.projectContainer;
        self.pderror = $('#pderror');
        self.pDetailNav = $('.navwrap');

        self.$portfolioID;
        self.$portfolioBackLink;
        self.$skills;

        self.account_popup();
        self.sorting_popup();

        // coolies Bar  
        self.cookiesBar();

        // humburger menu  
        self.humburger_menu_toggle();
        self.humburger_menu_update();
        self.humburger_menu_Navigation();

        // Initialize scripts
        self.init();

        //popup newsletter
        self.popupNewsletter();
        self.kt_newsletter();

        //contact form 
        self.kt_contactform();

        //HeaderPromoBar
        self.HeaderPromoBar();

        //shop pagination
        self.kt_products_pagination();

        self.recently_viewed_slider();

        //switch view
        self.switch_view();

        // product progressbar
        self.kt_product_progressbar();

        //product detail fixed style
        self.fixedProductStyle();

        self.kt_color_elements();

        self.banner_hyperLink();

        self.iconbox_whole_hyperLink();

        self.buttonsappearunderHover();

        self.kt_TabClick();

        //product 360 view
        self.product_360_view();

        self.shop_history();

        self.responsive_tables();

        self.bottom_navbar_handler();
    };


    kiteTheme.prototype = {

        /**
         *  Initialize
         */
        init: function () {
            var self = this;

            self.initExtensions();
            self.bind();

        },

        initExtensions: function () {
            var self = this;

            self.lazyLoadOnLoad('#main-content, .togglesidebar');

            self.fix_IOS_double_tap_issue();

            self.embed_video_lightgallery();
            self.product_gallery_popup_lightGallery();
            self.snap_to_scroll();
            self.portfolio_next_prev();

            self.homeHeight();

            self.kite_singlePage();

            //portfolio Feature Image Slider
            self.portfolioLike();
            self.portfolioSlider();

            //Run gallery
            self.galleryStart();

            // carosel gallery 
            self.carousel_gallery();

            //sisde bar category widget toggle
            self.cat_widget_update();
            self.cat_widget();

            //shortcodes
            self.kite_shortcode(false);
            self.tab_scrollbar();
            //portfolio & portfolio details Functions
            // id 0 for First Load
            self.portfolioIsotope(0);
            self.portfolioDHashChange();//Portfolio Detail Run When Hash Change functions
            self.portfolioLoadMore();//portfolio Load more Function
            self.pdnavigationNext();// linking to Next Portfolio Detail 
            self.pdnavigationPrevious(); // linking to Previous Portfolio Detail 
            self.Social_link(); // social links in Portfolio Detail 
            self.pDCloseProject(); // close Portfolio Detail
            self.pDInitialize();
            self.portfolioDetailNavigationLoading();


            //blog Functions 
            self.kite_blogMasonry();//Masonry blog
            self.blogHeadLine();
			self.toggleBlog();

            self.blogLoadMore();//Blog Load More Function
            self.blogToggle();//Blog Toggle
            self.blogPostSlider();// Blog post Slider

            self.parallaxImg();//section parallax
            self.interactiveBackgroundImg();

            self.initVideoBackground();
            self.videoBackgroundSize();

            self.fitVideo();//video Fit To All Screen

            // WPML MENU
            self.wpml_menu();

            self.nav();
            self.allcats();
            self.initialMenuArray();
            self.updateMenuOnActiveSection();

            self.kite_carousel();
            self.lookbook_fullscreen_carousel();

            self.shortcodeanimation();

            //Ajaxify Search form
            self.ajaxify_search();

            self.minPageHeightSet();

            //woocomerce
            self.product_detail_height();
            self.product_thumbnails();
			self.sticky_product_thumbnails();
            self.addToCartEvents();
            self.woocommerce_filter();
            self.runIsotopeInProducts();
            self.products_infoOnclick();
            self.woocommerce_cats();
            self.product_tabs();
            self.product_variation();
            self.product_quickview();
            self.product_image_zoom();
            self.product_hover();
            self.product_quantity();
            self.wishlist_widget_update();
            self.wishlist_button();
            self.card_widget_update();
            self.sync_fixed_add_to_cart();
            self.fixed_add_to_cart_functionality();
            self.product_next_prev_button();
            self.wishlist_remove();
            self.woocommerce_ajax_wrapper();
            self.woocommerce_ajax_products_tab();
            self.disable_price_slider_keydown_event();
            self.search_box_toggle();// product Search box 
            self.initSelectElements();
            self.woocommerce_variation_attributes();
            self.woocommerce_variation_attributes_selection();
            self.product_size_guide();
			self.product_size_guide_popup();
            self.product_delivery_return_popup();
            self.product_faq_popup();
            self.show_more_tag();// show more tag button for tag widget
            self.mobile_hover_state();

            self.mobileNavigation();

            self.togglesidebar();    // Toggle sidebar
            self.coveringLevelVerticalMenu();    //vertical menu - covering level
            self.addToCart();    // open toggle sidebar when click On Add to cart Buttons
            self.addToCart_variation_group(); // Adding to cart variation Product

            //wpadminbar And topbar
            self.kite_topbar();

            //Topbar language
            self.kite_topbar_lang();

            //User additional script
            self.kite_additionalScript();

            //Scrolling  
            self.kite_scrolling();

            //social share's pop up 
            self.social_share_pop_up();

            //ReviewForm ( blog and product details )
            self.ReviewForm();

            //remove footer in creative portfolio detail
            self.remove_footer_creative_portfolio_detail();

            //remove left/right menu in creative portfolio detail
            self.remove_left_right_menu_creative_portfolio_detail();

            //portfolio detail title
            self.portfolio_detail_title();

            //Search form
            self.search_form();

            self.scrolltotopButton();

            //Header transform
            self.headerTransformation();

            // compare
            self.compare();

            //Hide the preloader
            self.preloader_hide();

            // instagram
            self.instagram_ajax_request();
            self.instagramAnimation();
            self.instagram_equal_height_width();
            // Detect scrollbar width
            self.getScrollBarWidth();

            self.lazyLoadOnHover();

            self.wc_notices();
            self.update_widget_cart_on_cart_page();
            self.mini_cart_quantity_update();


            //Slider parallax
            self.sliderParallax();

            //Custom title
            self.customTitleParallax();

            self.portfolio_detail_header_parallax();

            //Fixed add to cart
            self.fixed_add_to_cart_visibility();

            //Live Search
            self.ajax_search_form();
            self.woocommerce_variation_item_select();
            self.woocommerce_buttons_on_hover_cart_click();
            self.variation_hover_animation();

            if (!($('.woocommerce-checkout,.woocommerce-cart').length)) {

                $('.woocommerce-error').insertAfter('#kt-header'); //replace woocomerce error in all pages except check out page and cart page 
                $(".woocommerce-error li:first").before('<a class="remove_error_message" href="#"></a>'); // ADD remove button for error message

            }

            // remove button functionality for error message 
            $(".woocommerce-error .remove_error_message").on('click', function (e) {
                e.preventDefault();
                $(".woocommerce-error").remove();
            });

            self.checkHeader();
            self.shop_head_cat_responsive();
            self.shop_head_cat_display();
            self.kt_select_element();

        },

        bind: function () {
            var self = this;
            //bind scroll functions
            self.$window.scroll(function () {

                //Activate menu item
                self.updateMenuOnActiveSection();

            });

            //bind resize functions
            self.$window.resize(function () {

                self.update_doc_height();
                self.update_win_dimension();

                self.product_detail_height();

                self.fullwidthSection(); // FullWidth colorize Section - shortcode

                self.homeHeight();
                self.minPageHeightSet();

                // blog toggle
                $('.blogaccordion').each(function () {
                    var postVar = self.blogToggleArray($(this));
                    // set toggle mode When Page Loaded
                    self.blogToggleSet(postVar);
                });

                self.nav();
                // id 1 Portfolio Resize 
                self.portfolioIsotope(1);

                self.runIsotopeInProducts();

                self.videoBackgroundSize();

                //Set showcases height
                self.showcase_height();

                // set margin for Creative portfolio detail
                self.set_margin_creative_portfolio_detail();


                self.instagram_equal_height_width();
                self.kite_blogMasonry();
                self.blogHeadLine();
                self.toggleBlog();
				
                //Use settimeout to run function only when resizing is finished
                if ($('.carousel').length > 0) {
                    clearTimeout(self.resizeId);
                    self.resizeId = setTimeout(function () {
                        self.updateCarousel();
                    }, 300);
                }

                self.checkHeader();
                self.kt_newsletter();

                /* contact form 7 */
                self.kt_contactform();

                self.mobile_hover_state();
            });

            $( document.body ).on( 'updated_cart_totals', function(){
                self.initSelectElements();
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Update document height, window height & width
        /*-----------------------------------------------------------------------------------*/
        update_doc_height: function () {
            var self = this;
            self.documentHeight = Math.max(
                self.$document.height(),
                self.windowHeight,
                document.documentElement.clientHeight /* For opera: */
            );

            self.$window.trigger('document-height-changed');
        },

        update_win_dimension: function () {
            var self = this;
            self.windowHeight = self.$window.height();
            self.windowWidth = self.$window.width();
        },
        /*-----------------------------------------------------------------------------------*/
        /*  Set product detail appropriate height
        /*-----------------------------------------------------------------------------------*/

        product_detail_height: function () {
            var self = this;

            var topSpace = self.pagetopspace();

            if ( ($('div.product.pd_top').length <= 0) ||($('div.product.pd_fullwidth_top').length <= 0))
                return;


            // max-height - top product detail 
            topSpace = topSpace + 60; // 60 is breadcrumb height+ paddings

            if ($('#product-thumbs').length > 0) {
                topSpace = topSpace + 100; // 100 is height of product thumbs
            }
            $('.woocommerce div.product.pd_top div.images img').css("max-height", self.windowHeight - topSpace);
            //$('.woocommerce div.product.pd_fullwidth_top div.images img').css("max-height", self.windowHeight - topSpace);

        },

        /*-----------------------------------------------------------------------------------*/
        /*  Show More tag
        /*-----------------------------------------------------------------------------------*/

        show_more_tag: function () {
            if ($('.widget_product_tag_cloud .tagcloud').length != 0) {
                var $product_tag_height;
                $product_tag_height = $('.widget_product_tag_cloud .tagcloud').height();
                if ($product_tag_height > 100) {
                    $('.widget_product_tag_cloud').addClass("collapse");
                    if (!$('.widget_product_tag_cloud .tagcloud').find('.show_more_items').length)
                        $('.widget_product_tag_cloud .tagcloud').after("<span class='show_more_tags'>" + kite_theme_vars.show_more + "</span>");
                }

                $('.widget_product_tag_cloud .show_more_tags').on('click', function (e) {
                    e.preventDefault();
                    $('.widget_product_tag_cloud').removeClass("collapse");
                });
            }


            if ($('.widget_layered_nav.widget > ul').length != 0) {
                var $layered_nav_height;
                $('.widget_layered_nav.widget').each(function (index, el) {
                    $layered_nav_height = $(this).find('> ul').height();

                    if ($layered_nav_height > 162) {
                        $(this).addClass('collapse');
                        if (!$(this).find('.show_more_items').length)
                            $(this).append("<span class='show_more_items'>" + kite_theme_vars.show_more + "</span>");
                    }

                    $('.widget_layered_nav.widget .show_more_items').on('click', function (event) {
                        event.preventDefault();
                        $(this).parents('.widget_layered_nav.widget').removeClass('collapse');
                    });
                });
            }

            if ($('.widget_product_categories.widget > ul').length != 0) {
                var $product_categories_height;
                $product_categories_height = $('.widget_product_categories.widget:not(.inFilterbar) > ul').height();
                if ($product_categories_height > 160 && $("body").hasClass("show-more-categories")) {
                    $('.widget_product_categories.widget:not(.inFilterbar)').addClass('collapse');
                    if (!$('.widget_product_categories.widget:not(.inFilterbar)').find('.show_more_items').length)
                        $('.widget_product_categories.widget:not(.inFilterbar)').append("<span class='show_more_items'>" + kite_theme_vars.show_more + "</span>");
                }

                $('.widget_product_categories.widget .show_more_items,.widget_product_categories .cats-toggle').on('click', function (event) {
                    event.preventDefault();
                    $('.widget_product_categories.widget').removeClass('collapse');
                });
            }

        },

        /*-----------------------------------------------------------------------------------*/
        /*  Product detail size guide
        /*-----------------------------------------------------------------------------------*/

        product_size_guide: function () {
            var self = this;
            var $size_guide = $('#ct_size_guide,.ct-size-guide');

            if (!self.$body.hasClass('single-product'))
                return;

            var $size_guide_modal = self.$document.find('#kt-modal'),
                $size_guide_wrapper = $size_guide_modal.find('.modal-content-wrapper'),
                $size_guide_content = $size_guide_modal.find('#modal-content');

            if ($size_guide_modal.length <= 0 || $size_guide.length <= 0 || $size_guide.hasClass('ct_sg_tabbed'))
                return;

            $('.button_sg').on('click', function (e) {
                e.preventDefault();

                var $this = $(this);

                $size_guide_modal.addClass('hidden-nav');

                self.$body.addClass('modal-open'); // disable scrollbar
                $size_guide_modal.addClass('size-guide-modal');

                if (!$size_guide_modal.removeClass('closed').hasClass('open')) {
                    $size_guide_modal.removeClass('loading').addClass('open');
                }

                var $data = $size_guide.removeClass('mfp-hide');

                $size_guide_content.html($data);
                $size_guide_modal.addClass('shown').prepend('<div class="mfp-bg"></div>'); // content is ready, so show it
            });


            // Close quickview by click outside of content
            $size_guide_modal.on('click', function (e) {
                if (!$size_guide_content.is(e.target) && $size_guide_content.has(e.target).length === 0) {
                    self.close_size_guide();
                }
            });

            // Close quickview by click close button
            self.$document.on('click', '#kt-modal.size-guide-modal #modal-close', function (e) {
                e.preventDefault();
                self.close_size_guide();
            });

            // Close box with esc key
            self.$document.keyup(function (e) {
                if (e.keyCode === 27)
                    self.close_size_guide();
            });
        },

        close_size_guide: function () {
            var self = this;

            var $size_guide_modal = self.$document.find('#kt-modal.size-guide-modal'),
                $size_guide_content = $size_guide_modal.find('#modal-content');

            $size_guide_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $size_guide_modal.removeClass('size-guide-modal');
            }, 300)

            setTimeout(function () {
                var $data = $size_guide_content.html();
                $('#main').append($data);
                var $size_guide = $('#ct_size_guide,.ct-size-guide');
                $size_guide.addClass('mfp-hide')
                $size_guide_content.html('');
                $size_guide_modal.find('.mfp-bg').remove();
            }, 800);
        },
 /*-----------------------------------------------------------------------------------*/
        /*  Product detail size guide popup
        /*-----------------------------------------------------------------------------------*/

        product_size_guide_popup: function () {
            var self = this;
            var $size_guide = $('.product-popup-content-sizeguid');

            if (!self.$body.hasClass('single-product'))
                return;

            var $size_guide_modal = self.$document.find('#kt-modal'),
                $size_guide_wrapper = $size_guide_modal.find('.modal-content-wrapper'),
                $size_guide_content = $size_guide_modal.find('#modal-content');

            if ($size_guide_modal.length <= 0 || $size_guide.length <= 0 )
                return;
			$size_guide.addClass('hidden');

            $('.product-popup.size-guide').on('click', function (e) {
                e.preventDefault();

                var $this = $(this);

                self.$body.addClass('modal-open'); // disable scrollbar
                $size_guide_modal.addClass('size-guide-popup-modal');

                if (!$size_guide_modal.removeClass('closed').hasClass('open')) {
                    $size_guide_modal.removeClass('loading').addClass('open');
                }

                var $data = $size_guide.removeClass('hidden');

                $size_guide_content.html($data);
                $size_guide_modal.addClass('shown'); 
            });


            // Close quickview by click outside of content
            $size_guide_modal.on('click', function (e) {
                if (!$size_guide_content.is(e.target) && $size_guide_content.has(e.target).length === 0) {
                    self.close_size_guide_popup();
                }
            });

            // Close quickview by click close button
            self.$document.on('click', '#kt-modal.size-guide-popup-modal #modal-close', function (e) {
                e.preventDefault();
                self.close_size_guide_popup();
            });

            // Close box with esc key
            self.$document.keyup(function (e) {
                if (e.keyCode === 27)
                    self.close_size_guide_popup();
            });
        },

        close_size_guide_popup: function () {
            var self = this;

            var $size_guide_modal = self.$document.find('#kt-modal.size-guide-popup-modal'),
                $size_guide_content = $size_guide_modal.find('#modal-content');

            $size_guide_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $size_guide_modal.removeClass('size-guide-popup-modal');
            }, 0)

            setTimeout(function () {
                var $data = $size_guide_content.html();
                $('#main').append($data);
                var $size_guide = $('.product-popup-content-sizeguid');
                $size_guide.addClass('hidden')
                $size_guide_content.html('');
               
            }, 0);
        },
		
		/*-----------------------------------------------------------------------------------*/
        /*  Product detail delivery return popup
        /*-----------------------------------------------------------------------------------*/
        product_delivery_return_popup: function () {
            var self = this;
            var $delivery_return = $('.product-popup-content-delivery');

            if (!self.$body.hasClass('single-product'))
                return;

            var $delivery_return_modal = self.$document.find('#kt-modal'),
                $delivery_return_wrapper = $delivery_return_modal.find('.modal-content-wrapper'),
                $delivery_return_content = $delivery_return_modal.find('#modal-content');

            if ($delivery_return_modal.length <= 0 || $delivery_return.length <= 0 )
               return;
			
			$delivery_return.addClass('hidden');

            $('.product-popup.delivery-return').on('click', function (e) {
                e.preventDefault();

                var $this = $(this);

                self.$body.addClass('modal-open'); // disable scrollbar
                $delivery_return_modal.addClass('delivery-return-modal');

                if (!$delivery_return_modal.removeClass('closed').hasClass('open')) {
                    $delivery_return_modal.removeClass('loading').addClass('open');
                }

                var $data = $delivery_return.removeClass('hidden');

                $delivery_return_content.html($data);
                $delivery_return_modal.addClass('shown');
            });


            $delivery_return_modal.on('click', function (e) {
                if (!$delivery_return_content.is(e.target) && $delivery_return_content.has(e.target).length === 0) {
                    self.close_delivery_return();
                }
            });
            self.$document.on('click', '#kt-modal.delivery-return-modal #modal-close', function (e) {
                e.preventDefault();
                self.close_delivery_return();
            });

            self.$document.keyup(function (e) {
                if (e.keyCode === 27)
                    self.close_delivery_return();
            });
        },

        close_delivery_return: function () {
            var self = this;

            var $delivery_return_modal = self.$document.find('#kt-modal.delivery-return-modal'),
                $delivery_return_content = $delivery_return_modal.find('#modal-content');

            $delivery_return_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $delivery_return_modal.removeClass('delivery-return-modal');
            }, 0)

            setTimeout(function () {
                var $data = $delivery_return_content.html();
                $('#main').append($data);
                var $delivery_return = $('.product-popup-content-delivery');
                $delivery_return.addClass('hidden')
                $delivery_return_content.html('');
               
            }, 0);
        },
		
		/*-----------------------------------------------------------------------------------*/
        /*  Product detail faq popup
        /*-----------------------------------------------------------------------------------*/

        product_faq_popup: function () {
            var self = this;
            var $faq = $('.product-popup-content-faq');

            if (!self.$body.hasClass('single-product'))
                return;

            var $faq_modal = self.$document.find('#kt-modal'),
                $faq_wrapper = $faq_modal.find('.modal-content-wrapper'),
                $faq_content = $faq_modal.find('#modal-content');

            if ($faq_modal.length <= 0 || $faq.length <= 0 )
                return;
			
			$faq.addClass('hidden');

            $('.product-popup.ask-question').on('click', function (e) {
                e.preventDefault();

                var $this = $(this);


                self.$body.addClass('modal-open'); // disable scrollbar
                $faq_modal.addClass('faq-modal');

                if (!$faq_modal.removeClass('closed').hasClass('open')) {
                    $faq_modal.removeClass('loading').addClass('open');
                }

                var $data = $faq.removeClass('hidden');

                $faq_content.html($data);
                $faq_modal.addClass('shown'); 
            });


            // Close quickview by click outside of content
            $faq_modal.on('click', function (e) {
                if (!$faq_content.is(e.target) && $faq_content.has(e.target).length === 0) {
                    self.close_faq();
                }
            });

            // Close quickview by click close button
            self.$document.on('click', '#kt-modal.faq-modal #modal-close', function (e) {
                e.preventDefault();
                self.close_faq();
            });

            // Close box with esc key
            self.$document.keyup(function (e) {
                if (e.keyCode === 27)
                    self.close_faq();
            });
        },

        close_faq: function () {
            var self = this;

            var $faq_modal = self.$document.find('#kt-modal.faq-modal'),
                $faq_content = $faq_modal.find('#modal-content');

            $faq_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $faq_modal.removeClass('faq-modal');
            }, 0)

            setTimeout(function () {
                var $data = $faq_content.html();
                $('#main').append($data);
                var $faq = $('.product-popup-content-faq');
                $faq.addClass('hidden')
                $faq_content.html('');
               
            }, 0);
        },
        /*-----------------------------------------------------------------------------------*/
        /*  ReInit variation functionality by recalling woocommerce wc_variation_form function
        /*-----------------------------------------------------------------------------------*/

        reInitVariation: function ($container) {
            var $form_variation = $container.find('.variations_form');

            if ($form_variation.length > 0) {
                $form_variation.wc_variation_form().find('.variations select:eq(0)').change();
                $form_variation.trigger('check_variations');
            }

        },

        /*-----------------------------------------------------------------------------------*/
        /*  niceSelect For Restyle SELECT OPTION 
        /*-----------------------------------------------------------------------------------*/

        initSelectElements: function (Action) {
            var self = this;
            if ($('.woocommerce').length != 0) {
                $('.woocommerce-ordering .orderby').niceSelect(Action);
                $('form.cart table.variations select').not('.hide-attr-select').niceSelect(Action);
            }

            // Calculate shipping section in cart page 
            // archive of post
            // widget select categories 
            // woocommerce drop down widgets - layerd Nav
            $('section.shipping-calculator-form select, .widget_archive select, .widget_categories select.postform, .widget_product_categories select.dropdown_product_cat,.widget_layered_nav select,.widget select').niceSelect(Action);

            // this Code added : For bug Fix call select in Ajax Request in Filter drop down
            $('.widget_product_categories select.dropdown_product_cat,select.dropdown_layered_nav').niceSelect();

        },

        /*-----------------------------------------------------------------------------------*/
        /* woocommerce variation select
        /*-----------------------------------------------------------------------------------*/
        woocommerce_variation_attributes_trigger: function () {
            var self = this;

            if ($('form.cart .variations select').length <= 0)
                return;

            self.$body.trigger('update_variation_values');

        },

        woocommerce_variation_attributes: function () {
            var self = this;

            if ($('form.cart .variations select').length <= 0)
                return;

            if ($('form.variations_form').length) {
                if ($('form.variations_form').siblings('.yith-wcwl-add-to-wishlist').length) {
                    $('.single_variation_wrap a.single_add_to_cart_button').after($('.yith-wcwl-add-to-wishlist').eq(0));
                }

                $('.yith-wcwl-add-to-wishlist').css('visibility', 'visible');

            }

            // On clicking the reset variation button
            $(document.body).on('click', '.reset_variations', function (event) {

                $('.nice-select').each(function () {

                    var $this = $(this);

                    var $dropdownLi = $this.find('.list li');

                    //reset DropDown 
                    $dropdownLi.removeClass('selected');
                    var $chooseAnoptionText = $this.find('.list li:first-child').text();

                    var $currentText = $this.find('.current');
                    $currentText.html($chooseAnoptionText);

                });

            })

        },

        woocommerce_variation_attributes_update: function () {
            setTimeout(function () {

                $('form.cart').find('.variations select').each(function (index, el) {

                    var $select = $(this),
                        $color_attr = $select.siblings('.select-attr'),
                        attr_values = new Array();

                    $select.find('option').each(function () {
                        attr_values.push($(this).val());
                    });

                    $color_attr.find('span.select_item').removeClass('active');

                    if ($color_attr.length) {
                        $.each(attr_values, function () {
                            if (this != '')
                                $color_attr.find('span[data-value="' + this + '"]').addClass('active');
                        })
                    }

                    $color_attr.find('.select_item:not(.active)').addClass('deactive');

                    // Update nice select 
                    $('form.cart .variations select').not('.hide-attr-select').niceSelect('update');


                });
            }, 200)
        },


        woocommerce_variation_attributes_selection: function () {
            var self = this;

            if ($('form.cart .variations select').length <= 0)
                return;


            self.$body.unbind('update_variation_values', self.woocommerce_variation_attributes_update);
            self.$body.on('update_variation_values', self.woocommerce_variation_attributes_update);

            var $attr_container = $('.woocommerce form.cart .variations .attr-container'),
                $selectable_items = $attr_container.find('.select_item'),
                $attr_slides = $attr_container.find('.swiper-slide');;
            $selectable_items.on('click', function () {

                if (!$(this).hasClass('active')) {
                    $(this).siblings('input:radio').prop('disabled', 'disabled');
                    return;
                } else {
                    $(this).siblings('input:radio').removeProp('disabled');
                }

                if ($(this).hasClass('active')) {
                    //active clicked item
                    $selectable_items.removeClass('selected');
                    $(this).addClass('selected');
                }

                var $term = $(this).data('value');

                var $term_title = $(".variations.title_display .swiper-slide.selected").attr('title');

                //change select element to trigger events
                $attr_container.siblings('select').find('option[value="' + $term + '"]').prop('selected', true);
                $attr_container.siblings('select').trigger('change');

            });

            if ($('form.variations_form').length) {
                if ($('form.variations_form').siblings('.yith-wcwl-add-to-wishlist').length) {
                    $('.single_variation_wrap a.single_add_to_cart_button').after($('.yith-wcwl-add-to-wishlist').eq(0));
                }

                $('.yith-wcwl-add-to-wishlist').css('visibility', 'visible');

            }

            // On clicking the reset variation button
            $(document.body).on('click', '.reset_variations', function (event) {
                // For Color Selection Reset
                $('label.selectlabel input:radio,label.colorlabel input:radio,label.imagelabel input:radio').attr('checked', false);

                // For Image Selection Reset
                $('.variations_form.cart.variation_clicked').removeClass('variation_clicked');
                $attr_slides.removeClass('selected deactive');


                $('.nice-select').each(function () {

                    var $this = $(this);

                    var $dropdownLi = $this.find('.list li');

                    //reset DropDown 
                    $dropdownLi.removeClass('selected');
                    var $chooseAnoptionText = $this.find('.list li:first-child').text();

                    var $currentText = $this.find('.current');
                    $currentText.html($chooseAnoptionText);

                });

            })

        },

        /*-----------------------------------------------------------------------------------*/
        /*  woocomerce -  product quantity input
        /*-----------------------------------------------------------------------------------*/

        product_quantity: function () {
            var self = this;

            self.$document.on("click", '.quantity .quantity-button', function () {
                var min = 0, 
                    max = 0,
                    step = 1 ;

                if ( $(this).parent( '.quantity').find('input.qty').attr('min') !== '' ) {
                    min = $(this).parent( '.quantity').find('input.qty').attr('min')
                }

                if ( $(this).parent( '.quantity').find('input.qty').attr('max') !== '' ) {
                    max = $(this).parent( '.quantity').find('input.qty').attr('max')
                }

                if ( $(this).parent( '.quantity').find('input.qty').attr('step') !== '' ) {
                    step = $(this).parent( '.quantity').find('input.qty').attr('step')
                }

                var $button = $(this);
                var $quantityInput = $(this).parent( '.quantity').find('input.qty');


                var oldValue = $quantityInput.val();
                oldValue = ( oldValue == '' || isNaN(oldValue) ) ? 0 : oldValue;
                var newVal = oldValue;
                if ($button.hasClass("plus")) {
                    if ( max == 0 || ( parseFloat(oldValue) + parseFloat(step) ) <= max ) {
                        newVal = parseFloat(oldValue) + parseFloat(step);
                    } 
                } else {
                    if (oldValue > 0) {
                        if ( min == 0 || ( parseFloat(oldValue) - parseFloat(step) ) >= min ) {
                            newVal = parseFloat(oldValue) - parseFloat(step);
                        } 
                    }
                }
                if ( newVal !== oldValue ) {
                    $quantityInput.val(newVal).trigger('change');
                }

            });

            $(document).on('change', '.woocommerce .quantity input[type="number"]', function () {
                $(this).parent('.quantity').siblings('.add_to_cart_button').attr('data-quantity', $(this).val());
            });
        },
        mobile_hover_state: function () {
            if ( $(window).width() >= 768 )
                return;

            if ( $('body').hasClass('responsive-hover-state-off') ) {
                $('div.products.infoonclick .product, div.products.infoonhover .product').on( 'click', function(e){
                    e.preventDefault();
                    var url = $(this).find( 'a > h3, a > h2').parent('a').attr('href');
                    if ( url != '' ) {
                        window.location.href = url;
                    }
                });
                return;
            }

            if (navigator.platform.match(/(iPhone|iPod|iPad)/i))
                var $eventListener = 'click mouseover';
            else
                var $eventListener = 'click';

            $('.woocommerce div.products div.product * ').on($eventListener, function (event) {
                var $self = $(this);
                if (!$self.parents('div.product:not(.parent_div_product)').hasClass('hover-state')) {
                    event.preventDefault();
                    $('.woocommerce div.products div.product').each(function (index, el) {
                        if ($(this).hasClass('hover-state'))
                            $(this).removeClass('hover-state');
                    });
                    $self.parents('div.product:not(.parent_div_product)').addClass('hover-state');
                }
            });

            $(document).on('click touchstart', function (event) {
                if ($(event.target).closest('.hover-state').length == 0) {
                    $('.hover-state').removeClass('hover-state');
                }
            });

            // fix 2column show bug in you may also like carousel
            if ($('.related.carousel div.products').hasClass('column_res'))
                $('.related.carousel div.products').removeClass('column_res');
        },
        /*-----------------------------------------------------------------------------------*/
        /*  product  detail - tabs
        /*-----------------------------------------------------------------------------------*/
        //Modified version of Woocommerce/assets/js/frontend/single-product.js
		
		product_accordion_style: function () {
            var self = this;
			$( '.accordion-tab ul.tabs li' ).removeClass( 'active' );
			$( '.accordion-tab ul.tabs .panel' ).removeClass( 'current' ).slideUp(300);
			var $tabs = $(this).find('ul.tabs');
			var $acctab = $( '.accordion-tab ul.tabs' );
			if( $acctab.find('#tab-more_seller_product')){
				$('.woocommerce-Tabs-panel .products.grid_view').removeClass('shop-4column , shop-5column , shop-3column').addClass('shop-2column');
			}
			
		},
		
        product_tabs: function () {

            var self = this,
                ratingInitCount = 1; // Control to init rating Run Once time 

            // wc_single_product_params is required to continue, ensure the object exists
            if (typeof wc_single_product_params === 'undefined') {
                return false;
            }

            // Tabs
            $('body')
                .on('init', '.wc-tabs-wrapper:not(.accordion-tab), .woocommerce-tabs:not(.accordion-tab)', function () {
                    $('.wc-tab, .woocommerce-tabs .panel:not(.panel .panel)').hide();

                    var hash = window.location.hash;
                    var url = window.location.href;
                    var $tabs = $(this).find('.wc-tabs, ul.tabs').first();

                    if (hash.toLowerCase().indexOf('comment-') >= 0 || hash === '#reviews' || hash === '#tab-reviews') {
                        $tabs.find('li.reviews_tab a').click();
                    } else if (url.indexOf('comment-page-') > 0 || url.indexOf('cpage=') > 0) {
                        $tabs.find('li.reviews_tab a').click();
                    } else {
                        $tabs.find('li:first a').click();
                    }
                })
                //Kitest codes (custom version of click event for tabs)
                .on('click', '.wc-tabs li a, ul.tabs li a', function () {
                    var $this = $(this),
                        $currentPanelID = $this.attr('href'),
                        $currentPanel = $('.woocommerce-tabs').find($currentPanelID),
                        $visiblePanel = $currentPanel.siblings('.panel').filter(':visible');
					if($('.woocommerce-tabs').hasClass('accordion-tab')){
						if($this.parent().hasClass( 'active' ) ) {
							self.product_accordion_style();
							self.update_doc_height();
						}
						else {
							self.product_accordion_style();
							$this.parent().addClass( 'active' );
							$( '.accordion-tab ' + $currentPanelID ).addClass( 'current' ).slideDown(500, function () {
								self.update_doc_height();
							});
						} 
					}
					else{
						$this.parent().siblings().removeClass('active').end().addClass('active');

						if ($visiblePanel.length <= 0) {
							$currentPanel.addClass('current').fadeIn(300, function () {
								self.update_doc_height();
							});
						}
						else {
							$visiblePanel.stop().fadeOut(300, function () {
								$currentPanel.siblings('.panel').removeClass('current');
								$currentPanel.addClass('current').stop().fadeIn(300, function () {
									self.update_doc_height();
								});
							});
						}
					}


                    return false;
                })
                // Review link
                .on('click', 'a.woocommerce-review-link', function () {
                    $('.reviews_tab a').click();
                    return true;
                })
                //kiteSt code : modified version
                .on('init', '#rating', function () {
                    if (ratingInitCount == 1) { // Control to init rating Run Once time 
                        $('#rating').hide().before('<p class="stars review_rating"><span><a class="star-1" href="#">1</a><a class="star-2" href="#">2</a><a class="star-3" href="#">3</a><a class="star-4" href="#">4</a><a class="star-5" href="#">5</a></span></p>');
                        ratingInitCount++;
                    }
                })
                .on('click', '#respond p.stars a', function () {
                    var $star = $(this),
                        $rating = $(this).closest('#respond').find('#rating'),
                        $container = $(this).closest('.stars');

                    $rating.val($star.text());
                    $star.siblings('a').removeClass('active');
                    $star.addClass('active');
                    $container.addClass('selected');

                    return false;
                })
                .on('click', '#respond #submit', function () {
                    var $rating = $(this).closest('#respond').find('#rating'),
                        rating = $rating.val();

                    if ($rating.length > 0 && !rating && wc_single_product_params.review_rating_required === 'yes') {
                        window.alert(wc_single_product_params.i18n_required_rating_text);

                        return false;
                    }
                })

            //KiteSt code : modified version
            if (ratingInitCount === 1) { // Control to init rating Run Once time 
                //Init Tabs and Star Ratings    
                $('.wc-tabs-wrapper, .woocommerce-tabs, #rating').trigger('init');
                ratingInitCount++;
            }

        },

        /*-----------------------------------------------------------------------------------*/
        /*  Woocommerce categories
        /*-----------------------------------------------------------------------------------*/

        woocommerce_cats: function () {
            var self = this;
            if ($(".product-category a").length <= 0)
                return;

            self.kite_interactive_background($('.product-category a'));
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product  Quick view
        /*-----------------------------------------------------------------------------------*/

        product_quickview: function () {
            var self = this;

            var $quickview_modal = self.$document.find('#kt-modal'),
                $quickview_wrapper = $quickview_modal.find('.modal-content-wrapper'),
                $quickview_content = $quickview_modal.find('#modal-content'),
                $quickview_next = $quickview_modal.find('a[rel="next"]'),
                $quickview_prev = $quickview_modal.find('a[rel="prev"]'),
                $items = $('div.products div.product');

            if ($quickview_modal.length <= 0 || ! $('.quick-view-button').length )
                return;

            $('.quick-view-button').on('click', function (e) {
                e.preventDefault();

                var $this = $(this),
                    $product_id = $this.data('product_id');

                $this.closest('div.product:not(.parent_div_product)').addClass('qv-active');

                //put a delay to load images after css transitions
                setTimeout(function () {

                    // next and Prev Buttons - in Quick view 
                    var $next_item = $items.filter('.qv-active').next('div.product:not(.parent_div_product)'),
                        $prev_item = $items.filter('.qv-active').prev('div.product:not(.parent_div_product)');

                    if ($next_item.length <= 0) {
                        $next_item = $items.eq(0);
                    }

                    if ($prev_item.length <= 0) {
                        $prev_item = $items.eq($items.length - 1);
                    }

                    if ($this.closest('.products').find('div.product').length <= 1) {
                        $quickview_modal.addClass('hidden-nav');
                    }
                    else {
                        if (self.windowWidth > 767) {
                            $quickview_next.find('img').remove();
                            $quickview_prev.find('img').remove();

                            var $next_img = $next_item.find('img').eq(0).clone(),
                                $prev_img = $prev_item.find('img').eq(0).clone();
                            $next_img.insertAfter($quickview_next.find('span'));
                            $prev_img.insertAfter($quickview_prev.find('span'));
                        }
                    }

                }, 400);

                self.$body.addClass('modal-open'); // disable scrollbar
                $quickview_modal.addClass('quickview-modal');

                if (!$quickview_modal.removeClass('closed').hasClass('open')) {
                    $quickview_modal.removeClass('loading').addClass('open');
                }

                var ajaxurl,
                    data = {
                        product_id: $product_id
                    };
                // Use new WooCommerce endpoint URL if available
                if (typeof wc_add_to_cart_params !== 'undefined') {
                    ajaxurl = wc_add_to_cart_params.wc_ajax_url.toString().replace('%%endpoint%%', 'load_quick_view'); // WooCommerce Ajax endpoint URL (available since 2.4)
                } else {
                    ajaxurl = kite_theme_vars.ajax_url;
                    data['action'] = 'load_quick_view';
                }

                $.ajax({
                    url: ajaxurl,
                    type: 'POST',
                    data: data,
                    dataType: 'html',
                    cache: false,
                    headers: { 'cache-control': 'no-cache' },
                    success: function (data) {
                        $quickview_content.html(data);
                        $quickview_modal.addClass('shown'); // content is ready, so show it
                        setTimeout(function () {
                            self.product_thumbnails($quickview_content, true); // enable gallery slider of product
                        }, 200);
						
                        self.initSelectElements();
                        self.countdown();
                        self.kt_product_progressbar();
                        self.product_variation();
                        self.woocommerce_variation_attributes(); // enable variation attributes
                        self.woocommerce_variation_attributes_selection();
                        self.woocommerce_variation_attributes_trigger(); // update image attributes
                        self.woocommerce_variation_item_select(); // update image attributes
                        self.reInitVariation($quickview_content); // Variation Form
                        self.addToCart(); // add to cart - open side bar add to cart
                    }
                });
            });


            // Close quickview by click outside of content
            $quickview_modal.on('click', function (e) {
                if (!$quickview_wrapper.is(e.target) && $quickview_wrapper.has(e.target).length === 0 && !$quickview_next.is(e.target) && $quickview_next.has(e.target).length === 0 && !$quickview_prev.is(e.target) && $quickview_prev.has(e.target).length === 0) {
                    self.close_quick_view();
                }
            });

            // Close quickview by click close button
            self.$document.on('click', '#kt-modal.quickview-modal #modal-close', function (e) {
                e.preventDefault();
                self.close_quick_view();
            });

            // Close box with esc key
            self.$document.keyup(function (e) {
                if (e.keyCode === 27)
                    self.close_quick_view();
            });

            $quickview_next.on('click', function (e) {
                e.preventDefault();
                var $next_item = $items.filter('.qv-active').next('div.product:not(.parent_div_product)');
                if ($next_item.length <= 0) {
                    $next_item = $items.eq(0);
                }

                $quickview_modal.removeClass('shown');
                $items.filter('.qv-active').removeClass('qv-active');
                $next_item.find('a.quick-view-button').trigger('click');
            });

            $quickview_prev.on('click', function (e) {
                e.preventDefault();
                var $prev_item = $items.filter('.qv-active').prev('div.product:not(.parent_div_product)');
                if ($prev_item.length <= 0) {
                    $prev_item = $items.eq($items.length - 1);
                }

                $quickview_modal.removeClass('shown');
                $items.filter('.qv-active').removeClass('qv-active')
                $prev_item.find('a.quick-view-button').trigger('click');
            });
        },

        close_quick_view: function () {
            var self = this;

            var $quickview_modal = self.$document.find('#kt-modal.quickview-modal'),
                $quickview_content = $quickview_modal.find('#modal-content');

            $quickview_modal.removeClass('shown loading open').addClass('closed');
            $('div.product.qv-active:not(.parent_div_product)').removeClass('qv-active');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $quickview_modal.removeClass('quickview-modal');
            }, 300)

            setTimeout(function () {
                $quickview_content.html('');
            }, 800);
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product variation
        /*-----------------------------------------------------------------------------------*/

        product_variation: function () {
            var self = this;
            if ($("form.variations_form").length <= 0 || $('#product-fullview-thumbs .swiper-container').length <= 0)
                return;

            //Use passed parameter for getting variation images
            //variation.image_link : original image size
            //variation.image_src : smaller image ( shop_single size )
            $.fn.wc_variations_image_update = function (variation) {


                //check existnace of image for this variation
                if (variation && variation.image.url && variation.image.url.length > 1) {
                    if ($('.product').hasClass('pd_fixed_summary , pd_sticky') && self.windowWidth > 979) {
                        var $varImg = $('.swiper-slide[data-variableimageurl^="' + variation.image.url + '"]');
                        if (!$varImg.length)
                            return;
                        var $ImgOffset = $varImg.offset().top;
                        $('html,body').animate({ scrollTop: $ImgOffset }, "slow");
                        return;
                    }

                    //Find the index of variation slide and slide to it
                    var index = $("#product-fullview-thumbs").find('.swiper-slide[data-variableimageurl^="' + variation.image.url + '"]').data('slide'),
                        $image_slider = $('#product-fullview-thumbs .swiper-container')[0].swiper;

                    if (index == undefined)
                        return;

                    if ($image_slider == undefined)
                        return;

                    if (self.windowWidth < 768) {
                        index = index + 1; // increment to point to correct slide in loop mode slider
                    }

                    $image_slider.slideTo(index);
                    $('#product-thumbs').add($('#product-fullview-thumbs')).addClass('stop-by-variations');//Stop slider when select an varaition that has image
                    $image_slider.autoplay.stop();

                }
            };
            if ($('.variations_form.cart').length && self.windowWidth > 979 && $('.pd_fixed_summary , .pd_sticky').length > 0) {
                $('.variable_item').on('click', function (event) {
                    var $varImg = $('.swiper-slide[data-var_id='+$(this).data('var_id')+']');
                    if (!$varImg.length)
                        return;
                    var $ImgOffset = $varImg.offset().top;
                    $('html,body').animate({ scrollTop: $ImgOffset }, "slow");
                });
            }
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product card widget,Cart page
        /*-----------------------------------------------------------------------------------*/

        card_widget_update: function () {
            var self = this;

            $(".mini_cart_item a.remove").addClass('no_djax');
            self.$document.off("click", ".mini_cart_item a.remove").addClass('no_djax');//unbind all functions binded to click to prevent unwanted behaviors
            self.$document.on("click", ".mini_cart_item a.remove", function (e) {

                e.preventDefault();
                var $this = $(this);
                var $productKey = $(this).data("item-key");

                $this.closest('li').addClass('loading');
                $this.siblings('.wc-loading').removeClass('hide');

                // Ajax action
                $.ajax({
                    url: kite_theme_vars.ajax_url,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    headers: { 'cache-control': 'no-cache' },
                    data: {
                        'action': 'cart_remove_item',
                        'item_key': $productKey
                    },
                    success: function (response) {

                        if (response.status === '1') {
                            $this.siblings('.wc-loading').addClass('hide');
                            $this.addClass('removed').closest('li').addClass('removed').removeClass('loading');

                            // Update cart item count
                            $('.cartcontentscount, .kt-cart .kt-count').html(response.cart_count);
                            $('.kt-cart .kt-amount').html(response.cart_subtotal);

                            // Is the cart empty?
                            if (response.cart_count == 0) {
                                $('.product_list_widget').each(function () {
                                    $('.cart-bottom-box').addClass('hide');
                                });
                            } else {
                                // Update cart subtotal
                                $('.cart-bottom-box .amount').html($(response.cart_subtotal).html());
                                // @if PRO
                                if ( response.percentage !== undefined ) {
                                    if ( $('.kt-free-shipping-notice').length ) {
                                        $('.kt-free-shipping-notice').removeClass('kt-complete');
                                        $('.kt-free-shipping-notice').find('span.text').html(response.free_shipp_text);
                                        $('.kt-fill-free-shipping').css( 'width', response.percentage+'%');
                                    } else {
                                        var $free_notice_html = "<div class='kt-free-shipping-notice'><span class='kt-fill-free-shipping'></span><span class='icon icon-notification'></span><span class='text'>"+response.free_shipp_text+"</span></div>";
                                        $('.cart-bottom-box').prepend($free_notice_html);
                                        $('.kt-fill-free-shipping').css( 'width', response.percentage+'%');

                                    }
                                }
                                // @endif
                            }
                        }

                        // Wait 3 second to get chance of undoing item 
                        setTimeout(function () {
                            if ($this.closest('li').hasClass('removed')) {
                                $this.closest('li').find('.undo').hide('slow');

                                //after removing item from cart sidebar in cart page, cart page should be refreshed
                                if (self.$body.hasClass('woocommerce-cart')) {
                                    $(document).trigger('wc_update_cart');
                                    $(document.body).trigger( 'removed_from_cart', null, null, $this );
                                }
                            }
                        }, 3100);

                        setTimeout(function () {
                            if ($this.hasClass('removed')) {
                                $this.closest('li').addClass('removed_completly');
                            }
                        }, 3500);

                        $(document).trigger('wc_cart_updated');

                    }
                });
            });

            var ajaxCompleteHandler = function (event, xhr, settings) {

                if (settings.url.indexOf('undo_item') > 0) {
                    setTimeout(function () {
                        $(document.body).trigger('wc_fragment_refresh');
                    }, 50)

                }
            }

            $(document).ajaxComplete(ajaxCompleteHandler);

            $(".mini_cart_item a.undo").addClass('no_djax');//unbind all functions binded to click to prevent unwanted behaviors
            self.$document.off("click", ".mini_cart_item a.undo");//unbind all functions binded to click to prevent unwanted behaviors
            self.$document.on("click", ".mini_cart_item a.undo", function (e) {
                e.preventDefault();
                var $this = $(this),
                    $product_key = $(this).data("item-key");

                $this.closest('li').removeClass('removed').addClass('loading');
                $this.siblings('a.remove').removeClass('removed');
                $this.siblings('.wc-loading').removeClass('hide');

                // Ajax action
                $.ajax({
                    url: kite_theme_vars.ajax_url,
                    dataType: 'json',
                    type: 'POST',
                    cache: false,
                    headers: { 'cache-control': 'no-cache' },
                    data: {
                        'action': 'undo_removed_item',
                        'item_key': $product_key
                    },
                    success: function (response) {

                        if (response.status === '1') {
                            $this.siblings('.remove').removeClass('removed').end().closest('li').removeClass('removed loading');
                            $this.siblings('.wc-loading').addClass('hide');

                            // Update cart item count & cart subtotal
                            $('.cartcontentscount, .kt-cart .kt-count').html(response.cart_count);
                            $('.kt-cart .kt-amount').html(response.cart_subtotal);
                            $('.cart-bottom-box .amount').html($(response.cart_subtotal).html());
                            $('.cart-bottom-box').removeClass('hide');

                            //after undoing item from cart sidebar in cart page, cart page should be refreshed
                            if (self.$body.hasClass('woocommerce-cart')) {
                                $(document).trigger('wc_update_cart');
                            }
                            $(document).trigger('wc_cart_updated');
                        }
                    }
                });
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product  wishlist widget
        /*-----------------------------------------------------------------------------------*/

        wishlist_widget_update: function () {
            var self = this;
            //Update it when a product added or removed to/from wishlist
            self.$body.on('added_to_wishlist removed_from_wishlist', function () {
                $.ajax({
                    url: kite_theme_vars.ajax_url,
                    data: {
                        'action': 'get_wishlist_quantity',
                        'security': kite_theme_vars.nonce
                    },
                    method: 'GET',//Use get to retrive data from server faster
                    success: function (data) {
                        $(".wishlist-content div.wishlist-contentcount, .kt-header-button.kt-wishlist .kt-total").html(data['wishlist_count_products']);
                    }
                });

                var $clicked_add_to_wishlist = self.$document.find('.add_to_wishlist.adding');
                $clicked_add_to_wishlist.find('.wc-loading').addClass('hide');
                $clicked_add_to_wishlist.fadeOut(400).siblings('.wishlist-link').fadeIn(400);

                self.addToCart();
                self.minPageHeightSet();
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /* Wishlist remove item
        /*-----------------------------------------------------------------------------------*/
        wishlist_button: function () {
            var self = this;

            self.$document.on('click', '.add_to_wishlist', function () {
                if ($(this).hasClass('shop_wishlist_button') || $(this).hasClass('single_add_to_wishlist')) {
                    $(this).addClass('adding').find('.wc-loading').removeClass('hide');

                }
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /* Wishlist remove item
        /*-----------------------------------------------------------------------------------*/

        wishlist_remove: function () {
            var self = this;

            self.$document.on('click', '.remove_from_wishlist', function (e) {
                e.preventDefault();
                $(this).addClass('show-loading').find('.wc-loading').removeClass('hide');
            });
        },


        /*-----------------------------------------------------------------------------------*/
        /* Filter drop down ( select ) functionality after ajax request 
        /*-----------------------------------------------------------------------------------*/

        layer_nav_ajax_dropdown: function () {

            $('.dropdown_layered_nav').change(function () {

                var $slug = jQuery(this).val();
                var $filtername = jQuery(this).closest('select').attr('data-filtername');

                var url = window.location.href; // get current url 
                $slug = '?filter_' + $filtername + '=' + $slug;
                url += $slug;
                location.href = url;

            });

        },

        /*-----------------------------------------------------------------------------------*/
        /* price slider filter - woocommerce code without any changes this code use for Djax
        /*-----------------------------------------------------------------------------------*/
        disable_price_slider_keydown_event: function () {
            $(".widget_price_filter").on('click', function () {
                $(this).find('.ui-slider-handle').unbind('keydown');
            });
        },

        price_slider_filter: function () {
            if (!$('.woocommerce-page').length) {
                return 0;
            }

            var price_slider = function () {
                // Get markup ready for slider
                $('input#min_price, input#max_price').hide();
                $('.price_slider, .price_label').show();

                // Price slider uses jquery ui
                var min_price = $('.price_slider_amount #min_price').data('min'),
                    max_price = $('.price_slider_amount #max_price').data('max'),
                    current_min_price = parseInt(min_price, 10),
                    current_max_price = parseInt(max_price, 10);

                //this section modified by kiteSt
                if ($('.price_slider_amount #min_price').val()) {
                    current_min_price = parseInt($('.price_slider_amount #min_price').val(), 10);
                }
                if ($('.price_slider_amount #max_price').val()) {
                    current_max_price = parseInt($('.price_slider_amount #max_price').val(), 10);
                }
                //end section

                $(document.body).bind('price_slider_create price_slider_slide', function (event, min, max) {
                    if (woocommerce_price_slider_params.currency_pos === 'left') {

                        $('.price_slider_amount span.from').html(woocommerce_price_slider_params.currency_symbol + min);
                        $('.price_slider_amount span.to').html(woocommerce_price_slider_params.currency_symbol + max);

                    } else if (woocommerce_price_slider_params.currency_pos === 'left_space') {

                        $('.price_slider_amount span.from').html(woocommerce_price_slider_params.currency_symbol + ' ' + min);
                        $('.price_slider_amount span.to').html(woocommerce_price_slider_params.currency_symbol + ' ' + max);

                    } else if (woocommerce_price_slider_params.currency_pos === 'right') {

                        $('.price_slider_amount span.from').html(min + woocommerce_price_slider_params.currency_symbol);
                        $('.price_slider_amount span.to').html(max + woocommerce_price_slider_params.currency_symbol);

                    } else if (woocommerce_price_slider_params.currency_pos === 'right_space') {

                        $('.price_slider_amount span.from').html(min + ' ' + woocommerce_price_slider_params.currency_symbol);
                        $('.price_slider_amount span.to').html(max + ' ' + woocommerce_price_slider_params.currency_symbol);

                    }

                    $(document.body).trigger('price_slider_updated', [min, max]);
                });

                $('.price_slider').slider({
                    range: true,
                    animate: true,
                    min: min_price,
                    max: max_price,
                    values: [current_min_price, current_max_price],
                    create: function () {

                        $('.price_slider_amount #min_price').val(current_min_price);
                        $('.price_slider_amount #max_price').val(current_max_price);

                        $(document.body).trigger('price_slider_create', [current_min_price, current_max_price]);
                    },
                    slide: function (event, ui) {

                        $('input#min_price').val(ui.values[0]);
                        $('input#max_price').val(ui.values[1]);

                        $(document.body).trigger('price_slider_slide', [ui.values[0], ui.values[1]]);
                    },
                    change: function (event, ui) {

                        $(document.body).trigger('price_slider_change', [ui.values[0], ui.values[1]]);
                    }
                });
            }

            // woocommerce_price_slider_params is required to continue, ensure the object exists
            if (typeof woocommerce_price_slider_params === 'undefined') {
                return false;
            }

            if (typeof $.fn.slider != 'undefined') {
                price_slider();
            }
            else {
                //Wait a bit to add scripts compelety to DOM and then run function
                setTimeout(function () {
                    if (typeof $.fn.slider != 'undefined') {
                        price_slider();
                    }
                }, 1000)
            }
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product  detail - zoom effect 
        /*-----------------------------------------------------------------------------------*/

        product_image_zoom: function () {
            var self = this;
            if ( self.windowWidth <= 979 && self.$body.hasClass( 'kt-responsive-zoom-disable' ) ) return;
            
            var _on_state = self.windowWidth <= 979 ? 'toggle' : 'mouseover';
            $('.zoom-container.enable .swiper-slide').each(function () {
                var $zoomImage = $(this).attr('data-zoom-image');
                $(this).zoom({
                    url: $zoomImage,
                    on: _on_state 
                });
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product hover
        /*-----------------------------------------------------------------------------------*/

        product_hover: function () {
            var self = this;
            var $productAddToCart = $('div.products.grid_view div.product span.product-button');
            //check existance of woocommerce class (shop page or a normal page with shortcode)
            if ($('.woocommerce').length <= 0  || ! $productAddToCart.length )
                return;

            $productAddToCart.each(function () {
                var $product = $(this).closest('div.product:not(.parent_div_product)'),
                    $buttons_container = $(this).closest('.product-buttons'),
                    $container = $(this).closest('.woocommerce');

                if (!$product.hasClass('single-product-shortcode')) {

                    //Hover effect
                    $(this).mouseenter(function () {
                        $product.addClass('add-to-cart-hovered');
                    });

                    //Exit hover state of the cart button when mouse leaves the buttons container
                    $(this).mouseleave(function () {
                        $product.removeClass('add-to-cart-hovered');
                    });

                }

            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product  detail - gallery 
        /*-----------------------------------------------------------------------------------*/

        product_thumbnails: function ($target, isQuickview) {
            var self = this;

            if ($target === undefined)
                $target = self.$body;

            var $thumbnailsbutton = $target.find(".thumbnails.zoom-gallery");
            var $thumbnails = $target.find("#product-thumbs");
            var $thumbnailsitem = $target.find("#product-thumbs .swiper-slide");
			

            if ($('.parent_div_product.product').hasClass('pd_fixed_summary')) {
                var fixed_style = true;
            } else {
                var fixed_style = false;
            }
            if ($('.parent_div_product.product').hasClass('pd_col_gallery')) {
                var pd_gallery = true;
            } else {
                var pd_gallery = false;
            } 
			if ($('.parent_div_product.product').hasClass('pd_fullwidth_top')) {
                var pd_fullwidth_top = true;
            } else {
                var pd_fullwidth_top = false;
            }
			if ($('.parent_div_product.product').hasClass('pd_sticky')) {
                var pd_sticky = true;
            } else {
                var pd_sticky = false;
            }

            if ($thumbnailsitem.length <= 1 && !fixed_style) {
                //popup gallery in simple products when just have a gallery image without featured image.
                var $thumbnailslider = $target.find("#product-fullview-thumbs");
                $thumbnailslider.find('.enable-popup').addClass('swiper-slide');

            }
            if ($thumbnailsitem.length == 1 &&( !fixed_style || !pd_gallery)) {

               $("#product-thumbs").remove();
            
			}if ($thumbnailsitem.length > 1 && (pd_fullwidth_top || pd_gallery )) {

               $("#product-thumbs").remove();
            }
			
            if (($thumbnailsitem.length > 1 || fixed_style)) {
                $thumbnails.waitForImages(function(){
                    var $fullview = $target.find("#product-fullview-thumbs"),
                        $productimageContainer = $fullview.find('.swiper-container'),
                        visibleNum = 4,
                        direction = 'vertical',
                        slidesPerView = 4,
                        productDetail = 'classic';
					
                    if (!fixed_style) {
                        var $thumbnailSlides = $thumbnails.find('.swiper-slide'),
                            slidesNum = $thumbnailSlides.length,
                            $productThumbContainer = $thumbnails.find(".swiper-container"),
                            $productThumbWraper = $thumbnails.find(".swiper-wrapper");
                    }


                    if (!isQuickview) {
                      if ($('#main div.pd_top').length)
						  productDetail = 'top';
						else if ($('#main div.pd_classic_sidebar').length)
                            productDetail = 'classic_sidebar';
                        else if ($('#main div.pd_kt_classic').length)
                            productDetail = 'kt_classic';
                        else if ($('#main div.pd_classic').length)
                            productDetail = 'classic';
                        else if ($('#main div.pd_background').length)
                            productDetail = 'background';
                        else if ($('#main div.pd_fixed_summary').length)
                            productDetail = 'pd_fixed_summary';
						else if ($('#main div.pd_sticky').length)
                            productDetail = 'pd_sticky';
						else if ($('#main div.pd_col_gallery').length)
                            productDetail = 'pd_col_gallery';
						else if ($('#main div.pd_fullwidth_top').length)
                            productDetail = 'pd_fullwidth_top';
                    }

                     if (self.windowWidth > 979 || (!fixed_style &&  !pd_fullwidth_top &&  !pd_gallery)  || isQuickview  ) {

                        // Use horizontal gallery in Quickview & fullwidth product detail style
						if (isQuickview || productDetail == 'top' || productDetail == 'classic_sidebar') {
                            direction = 'horizontal';
                            if (slidesNum <= 2) {
                                $productThumbContainer.css({ "width": ($thumbnailSlides.outerWidth() + 10) * slidesNum, "margin": "0 auto" }); // 10px  margin bottom For Each items 
                            }
                            $productThumbWraper.css("width", ($thumbnailSlides.outerWidth() + 10) * slidesNum); // 10px  margin bottom For Each items 

                        }
						if (productDetail == 'classic_sidebar' || productDetail == 'top' || productDetail == 'classic') {
                            slidesPerView = 5;
                            visibleNum = 4;
                        }
                        if (productDetail == 'kt_classic' || productDetail == 'background')
                            slidesPerView = 5;

                        if (productDetail == 'kt_classic')
                            visibleNum = 4; // 4 gallery item in classic styles

                        if ($productimageContainer.parents('.container').width() > 1220 && (productDetail == 'classic' || productDetail == 'kt_classic' || productDetail == 'background')) {
                            slidesPerView = 6;
                            visibleNum = 5;
                        }
                        if ($productimageContainer.parents('.container').width() > 1220 && (productDetail == 'pd_sticky') ){
                            slidesPerView = slidesNum;
                            visibleNum = 4;
                        }

                        if (isQuickview)
                            visibleNum = 3;
                        var $centeredSlides = true;
                        if ($(productDetail == 'kt_classic' || productDetail == 'classic' || productDetail == 'background' || productDetail == 'pd_sticky').length > 0) {
                            var productImageHeight = $('div.product.parent_div_product .swiper-container .swiper-wrapper > .swiper-slide > img').height();
                             if (( $('#product-thumbs').length > 0 ) && !pd_sticky ) {
                                $('#product-thumbs,#product-thumbs .swiper-wrapper').height((productImageHeight));
                            } 

                            if ($('div.product.parent_div_product .swiper-container .swiper-wrapper > .swiper-slide > img').height() < 400) {
                                visibleNum = 2;
                                $centeredSlides = false;
                            }

                            var $main_image_height = $( '#product-fullview-thumbs .swiper-wrapper > .swiper-slide img').height(),
                                $main_image_width = $( '#product-fullview-thumbs .swiper-wrapper > .swiper-slide img').width(),
                                $thumb_width = $( '#product-thumbs' ).width();
                            var aspect_ratio = $main_image_width / $main_image_height;

                            var $thumb_height = $thumb_width / aspect_ratio ;
							$( '#product-thumbs img' ).height( $thumb_height+'px' );
							slidesPerView = Math.floor( $main_image_height / $thumb_height );
							var spaceBetween =  ( $main_image_height - ( $thumb_height * slidesPerView ) ) / slidesPerView;
						    if (pd_sticky){
								if ($('#product-thumbs').length > 0) {
									slidesPerView = slidesNum;
									visibleNum = 4;
									spaceBetween = 12;
									$('#product-thumbs,#product-thumbs .swiper-wrapper ').height($thumb_height * slidesNum);
								}
							} 
                        } else {
                            var spaceBetween =  5;
                        }

                        var $productFullviewSwiper = $productimageContainer[0].swiper,
                            $productThumbsSwiper = new Swiper($productThumbContainer, {
                                speed: 700,
                                longSwipesMs: 800,
                                touchAngle: 90,
                                grabCursor: true,
                                touchRatio: 3,
                                slidesPerView: slidesPerView,
                                preventClicks: false,
                                slideToClickedSlide: true,
                                spaceBetween: spaceBetween,
                                direction: direction,
                                centeredSlides: true,
                                preloadImages: false,
                                lazyLoading: true,
                                on: {
                                    init: function () {
                                        if (slidesNum > visibleNum) {
                                            $thumbnails.addClass('initial-slides-position');
                                        } 
                                    },
                                    setTranslate: function () {
                                        if (this.clickedIndex < visibleNum - 1 || this.activeIndex < visibleNum - 1) //keep items visible until click on last visible item
                                        {
                                            $productThumbWraper.css("transform", "translate3d(0px, 0px, 0px)");
                                            $productThumbWraper.css("-webkit-transform", "translate3d(0px, 0px, 0px)");
                                        }
                                    },
                                    transitionEnd: function () {
                                        if (this.clickedIndex < visibleNum - 1 || this.activeIndex < visibleNum - 1) //keep items visible until click on last visible item
                                        {
                                            $productThumbWraper.css("transform", "translate3d(0px, 0px, 0px)");
                                            $productThumbWraper.css("-webkit-transform", "translate3d(0px, 0px, 0px)");
                                        }
                                    },
                                    slideChangeTransitionStart: function () {
                                        if (($productFullviewSwiper !== "undefined") && !pd_fullwidth_top)
                                            $productFullviewSwiper.slideTo(this.activeIndex);
                                    },
                                },
                            });

                    }

                    var isLoop = false,
                        slider_speed = 600,
                        $nextbtn = $target.find('.swiper-button-next'),
                        $prevbtn = $target.find('.swiper-button-prev');

                    if (self.windowWidth < 979) {
                        isLoop = true;
                        $nextbtn = $productimageContainer.find('.swiper-button-next'),
                            $prevbtn = $productimageContainer.find('.swiper-button-prev');
                    }

                    if (productDetail == 'top') {
                        slider_speed = 800;
                    }


                    if ($('#product-thumbs .auto-play').length) {
                        var $autoplayDuration = 6500;
                    }
                    else {
                        $autoplayDuration = 0;
                    }
                    if ($autoplayDuration == 0) {
                        var $autoplay = false;
                    } else {
                        var $autoplay = { delay: $autoplayDuration };
                    }
					if ( pd_sticky && !isQuickview &&  $(window).width() > 979 ){
						var $swiper = new Swiper($productimageContainer, {
							autoplay: false,
                            autoplayDisableOnInteraction: false,
                            speed: slider_speed,
                            longSwipesMs: 700,
                            touchAngle: 30,
                            loop: isLoop,
                            followFinger: true,
							direction:'vertical',
							spaceBetween: 12,
							height:$main_image_height, 
							grabCursor: true,
							keyboardControl: true,
							slidesPerView:1,
							allowTouchMove:true,
							simulateTouch: false,
							mousewheelControl: true,
                            touchReleaseOnEdges: true,
                            mousewheelReleaseOnEdges: true,
                            mousewheelSensitivity: .6,
							keyboard: true,
						});
						$productFullviewSwiper = $swiper;
					}
				 	else if (pd_fullwidth_top && !isQuickview &&  $(window).width() > 979){
						var $productThumbsFullviewSwiper = new Swiper($productimageContainer, {
                            slidesPerView: 3,
							spaceBetween: 0,
							centeredSlides:true,
							loop:true,
							 slideToClickedSlide: true,
							loopedSlides: 50,
							navigation: {
								nextEl: '.swiper-button-next',
								prevEl: '.swiper-button-prev',
							},
							pagination: {
								el: '.swiper-pagination',
								clickable: true,
							},
							mousewheel: false,
							mousewheelControl: false,
							touchReleaseOnEdges: false,
							mousewheelReleaseOnEdges: false,
							keyboard: true,
                            on: {
                                slideChangeTransitionStart: function () {
                                    if (self.windowWidth > 979 && isQuickview) {
                                        if (!this.isBeginning) {
                                            $productThumbsSwiper.slideTo(this.activeIndex);
                                        }
                                    } 
									else if (self.windowWidth > 979 && !self.isTouchDevice) {
                                        if (!this.isBeginning) {
                                            $productThumbsSwiper.slideTo(this.activeIndex);
                                        }
                                    }
                                },
                                reachBeginning: function () {
                                    if (self.windowWidth > 979 && isQuickview) {
                                        $productThumbsSwiper.slideTo(0);
                                    }
									else if (self.windowWidth > 979 && !self.isTouchDevice) {
                                        $productThumbsSwiper.slideTo(0);
                                    }
                                },
                            },
						});
						$productFullviewSwiper = $productThumbsFullviewSwiper;
					} 
					                 
					else if (!fixed_style || $(window).width() < 979) {
                        var $productThumbsFullviewSwiper = new Swiper($productimageContainer, {
                            autoplay: false,
                            autoplayDisableOnInteraction: false,
                            speed: slider_speed,
                            longSwipesMs: 700,
                            touchAngle: 30,
                            loop: isLoop,
                            spaceBetween: 0,
                            followFinger: true,
                            navigation: {
                                nextEl: $nextbtn,
                                prevEl: $prevbtn,
                            },
							pagination: {
								el: '.swiper-pagination',
								clickable: true,
							},
                            on: {
                                slideChangeTransitionStart: function () {
                                    if (self.windowWidth > 979 && isQuickview) {
                                        if (!this.isBeginning) {
                                            $productThumbsSwiper.slideTo(this.activeIndex);
                                        }
                                    } 
									else if (self.windowWidth > 979 && !self.isTouchDevice && !fixed_style && !pd_gallery) {
                                        if (!this.isBeginning) {
                                            $productThumbsSwiper.slideTo(this.activeIndex);
                                        }
                                    }
                                },
                                reachBeginning: function () {
                                       if (self.windowWidth > 979 && isQuickview) {
                                        $productThumbsSwiper.slideTo(0);
                                    }
									else if (self.windowWidth > 979 && !self.isTouchDevice && !fixed_style && !pd_gallery) {
                                        $productThumbsSwiper.slideTo(0);
                                    }
                                },
                            },
                        });

                        $productFullviewSwiper = $productThumbsFullviewSwiper;
						 $('.pd_col_gallery #product-fullview-thumbs .swiper-slide').hover(
                            function() {
                                $('.pd_col_gallery #product-fullview-thumbs .swiper-slide').removeClass('col-gallery-hover');
                                $(this).addClass('col-gallery-hover');
                            },
                            function() {
                                $(this).toggleClass('col-gallery-hover');
                                $('.pd_col_gallery #product-fullview-thumbs .swiper-slide').addClass('col-gallery-hover');
                            }
                        )
						$('.pd_col_gallery .attr-container label').on('click', function () {
							$('.pd_col_gallery #product-fullview-thumbs .swiper-slide').removeClass('col-gallery-hover');
						});
                    }
					
					
                });
            } else {
                $('div.pd_background #product-fullview-thumbs .swiper-slide').addClass('kt-one-slide');
            }
			
        },

        /*-----------------------------------------------------------------------------------*/
        /*  product - sticky product thumbnails
        /*-----------------------------------------------------------------------------------*/	
		sticky_product_thumbnails: function () {
			var self = this;
			if ($('.product').hasClass('pd_sticky') && self.windowWidth > 979) {
				if ( $('.pd_sticky').length > 0) {
					$('#product-thumbs .swiper-slide').on('click', function (event) {
						var $stickyIndex = $( this ).attr( 'data-image-attribute' );
						var $offsetTopValue = $( '#product-fullview-thumbs .swiper-slide:eq( ' + $stickyIndex + ' )' );
						$offsetTopValue = $offsetTopValue.offset().top;
						$('html, body').stop()
							.animate({
								'scrollTop': $offsetTopValue
							});
					});
				}
				if( ( $( '.summary.entry-summary , #product-thumbs' ).length > 0 ) && ($(window).width() > 1220) ) {
					$('.summary.entry-summary , #product-thumbs').imagesLoaded( function() {
						$( '.summary.entry-summary , #product-thumbs' ).stick_in_parent({
							offset_top:120
						});
					});
				}
			}
		},
		
        /*-----------------------------------------------------------------------------------*/
        /*  product - Info on click style
        /*-----------------------------------------------------------------------------------*/

        products_infoOnclick: function ($infinite_scroll = false) {
            var self = this;

            if ($('div.infoonclick').length <= 0)
                return;

            if (!$infinite_scroll) {
                var $container = $('div.infoonclick div');
            }
            else {
                var $container = $infinite_scroll;
            }

            // off the previous click events
            $container.find('span.show-hover').off('click');
            $container.find('a.product_variation_item').off('click');

            $container.find('span.show-hover').on('click', function () {
                var $product_Id = $(this).parents('div.product:not(.parent_div_product)').attr('data-productid'); //data product ID
                $product_Id = $('div.product:not(.parent_div_product)[data-productid =' + $product_Id + ']');
                $(this).parents('div.products').find($product_Id).find('span.show-hover').toggleClass('show').closest('div.product').toggleClass('show-hover-content');
            });
            $container.find('a.product_variation_item').on('click', function () {
                $container.find('.selectlabel,.colorlabel').removeClass('selected');
                $(this).closest('.selectlabel,.colorlabel').addClass('selected');

            });

        },

        /*-----------------------------------------------------------------------------------*/
        /*  carousel Shortcode
        /*-----------------------------------------------------------------------------------*/
        kite_carousel: function ($container) {

            var self = this,
                $carousel;

            if ($container === undefined)
                $carousel = $('.carousel');
            else
                $carousel = $container.find('.carousel');

            if ($carousel.length <= 0)
                return;

            // FullWidth Carousel remove col12 paddings
            $carousel.parents('.fullwidth').find('.vc_col-sm-12').css({
                'padding-right': '0px',
                'padding-left': '0px',
            });

            $carousel.each(function () {
                if ($(this).parents('.vc_tta-panel').length > 0) {
                    if (!$(this).parents('.vc_tta-panel').hasClass('vc_active'))
                        return;
                }

                var $this = $(this),
                    $container = $this.find('.products'),
                    wc_shortcode_with_border = $this.find('div.product').hasClass('with-border'),
                    set_visible_number = parseInt($this.find('.swiper-container').attr('data-visibleitems')),
                    visibleItems = 1;

                visibleItems = self.getVisibleItemNum($this, set_visible_number);

                var loopslideNum = visibleItems + 1,
                    gutter = 20,
                    slideClass = 'swiper-slide',
                    autoplay = 0;
                if (($this.data('autoplay') == 'on') && ( self.windowWidth >= 1025 || $this.hasClass('kt-text-slider-container') ) ) {
                    autoplay = 5000;
                }

                if ($this.hasClass('wc-shortcode')) // wc-shortcode carousels
                {
                    if ($this.hasClass('no-gutter') || visibleItems == 1) {
                        gutter = 0;
                    }

                    slideClass = 'product';
                    autoplay = 0;
                    if ( ( $this.data('autoplay') == 'on' && self.windowWidth >= 1025 ) || ( $this.data('responsive-autoplay') == 'on' && self.windowWidth < 1025 ) ) {
                        autoplay = 3000;
                    }


                }
                else if ($this.hasClass('testimonials-style')) // testimonials shortcode (testimonials-style)
                {
                    gutter = 10;
                }

                else if ($this.hasClass('instagram-carousel')) {
                    if ($this.hasClass('no-gutter')) {
                        gutter = 0;
                    }
                    else {
                        gutter = 10;
                    }

                    slideClass = 'insta-media';
                    autoplay = 0;

                } else // image carousels
                {

                    if ($this.hasClass('no-gutter')) {

                        gutter = 0;

                    } else {

                        gutter = 10;

                    }

                }

                // disable loop for "gallery carousel" element - is buggy 
                var $loop = true;
                if ($this.find('.swiper-container').parent().hasClass('gallery_carousel')) {
                    $loop = false;
                }
                if ($this.hasClass('related') && $this.find('.swiper-container').data('exist_items') <= 3) {
                    $loop = false;
                    $this.find('.arrows-button-next,.arrows-button-prev').css('display', 'none');
                }
                if (autoplay == 0) {
                    var $autoplay = false;
                } else {
                    var $autoplay = { delay: autoplay };
                }
                if ( $this.find('.swiper-container').parents('#product-fullview-thumbs').length ) {
                    $autoplay = false;
                }
                var swiper = new Swiper($this.find('.swiper-container'), {
                    autoplay: $autoplay,
                    touchAngle: 45,
                    speed: 600,
                    longSwipesMs: 800,
                    loop: $loop,
                    slidesPerView: visibleItems,
                    loopedSlides: loopslideNum,
                    autoplayDisableOnInteraction: false,
                    slideClass: slideClass,
                    spaceBetween: gutter,
                    watchSlidesVisibility: true,
                    roundLengths: false,
                    preloadImages: false,
                    on: {
                        init: function () {
                            if ($container.length) { // wc-shortcode carousels
                                if ($container.parents('.elementor-element').length) {
                                    self.products_infoOnclick();
                                }
                                self.showAnimation($container, 1); // secound Parametr determines this code Runs In Carousel mode
                                self.setCarouselItemsWidth($this, visibleItems, gutter);
                            }
                            else {
                                self.showAnimation($this, 2);   // "2" used for animation of image Carousel
                            }

                            $this.find('.arrows-button-next,.arrows-button-prev').css('opacity', 1);
                        },
                        slideChangeTransitionEnd: function () {
                            if ($this.hasClass('wc-shortcode')) {
                                self.showAnimation($container, 1);
                            }
                            else if ($this.hasClass('instagram-carousel')) { // instagram carousel
                                self.showAnimation($this, 3);   // "3" used for animation of image  instagram carousel 
                            }
                            else {
                                self.showAnimation($this, 2);   // 2 used for image Carousel animation 
                            }
                        },
                        touchEnd: function () {
                            if ($this.hasClass('wc-shortcode')) {
                                self.showAnimation($container, 1);
                            }

                            if ($this.hasClass('instagram-carousel')) { // instagram carousel
                                self.showAnimation($this, 3);   // 3 used for image  instagram carousel  animation 
                            } else {
                                self.showAnimation($this, 2);   // 2 used for image Carousel animation 
                            }
                        },
                        transitionStart: function () {
                            if ($this.hasClass('wc-shortcode') && wc_shortcode_with_border) {
                                $this.find('div.last-visible-item').removeClass("last-visible-item");
                                var $last_visible_item = $this.find('.swiper-slide-visible').last().addClass("last-visible-item");
                            }
                        },
                    },

                });

                //load image of duplicate slides
                setTimeout(function () {
                    //Remove is-loading class and prepare it for images lazy loading
                    $this.find('.swiper-slide-duplicate .lazy-load-on-load').removeClass('is-loading');
                    self.lazyLoadOnLoad($this.find('.swiper-slide-duplicate'));
                }, 500);

                if (autoplay) {
                    $this.find('.swiper-container,.arrows-button-next,.arrows-button-prev').hover(function () {
                        swiper.autoplay.stop();
                    }, function () {
                        swiper.autoplay.start();
                    });
                    if (self.windowWidth <= 767 && ! $this.hasClass('kt-text-slider-container') && $this.data('responsive-autoplay') != 'on' )
                        swiper.autoplay.stop();
                }
            });
            $carousel.find('.arrows-button-next, .kt-next-btn').bind('click', function (e) {
                e.preventDefault();
                e.stopPropagation();

                $(this).siblings('.swiper-container')[0].swiper.slideNext();
            });

            $carousel.find('.arrows-button-prev, .kt-prev-btn').bind('click', function (e) {
                e.preventDefault();
                e.stopPropagation();

                $(this).siblings('.swiper-container')[0].swiper.slidePrev();

            });

        },

        //Set more accurate width for products width
        setCarouselItemsWidth: function ($container, visibleItems, gutter) {
            var self = this;

            var strip = function (number) {
                return (parseFloat(number).toPrecision(12));
            }

            $container.find('div.product:not(.parent_div_product)').css('width', '');
            //Get not rounded width of element
            var carouselWidth = $container.outerWidth(),
                width = 0;

            $container.find('.swiper-container').css('cssText','max-width:' + carouselWidth + 'px !important;');
            if (self.windowWidth <= 1140) {
                if (visibleItems > 3) {
                    visibleItems = 3;//3column in vertical tablets
                }
                if (self.windowWidth <= 979) {
                    if (visibleItems >= 2) {
                        visibleItems = 2;//2column in mobile devices
                    }
                    if (self.windowWidth <= 480) {
                        if ( $container.hasClass('phone-column-2') ) {
                            visibleItems = 2;
                        } else {
                            visibleItems = 1;//1column in mobile devices
                        }
                    }
                }
            }

            carouselWidth = carouselWidth - (gutter * (visibleItems - 1));
            width = strip(carouselWidth / visibleItems);
            
            $container.find('div.product:not(.parent_div_product)').css('cssText', 'width:' + width + 'px !important');
        },

        getVisibleItemNum: function ($container, visibleItems) {
            var self = this;

            if (($container.hasClass('wc-shortcode')) || ($container.hasClass('testimonials-style'))) {
                if (self.windowWidth <= 1140) {
                    if (visibleItems > 3) {
                        visibleItems = 3; //3columns in vertical tablet devices
                    }
                    //2column in mobiles
                    if (self.windowWidth <= 979) {
                        if (visibleItems >= 2) {
                            visibleItems = 2;//2columns in mobile devices
                        }

                        if (self.windowWidth <= 480) {
                            if ( $container.hasClass('phone-column-2') ) {
                                visibleItems = 2;
                            } else {
                                visibleItems = 1;//1column in mobile devices
                            }
                        }
                    }
                }
            }
            else {
                if (self.windowWidth <= 979) {
                    if (visibleItems > 3) {
                        visibleItems = 3; //3columns in vertical tablet devices
                    }
                    //2column in mobiles
                    if (self.windowWidth <= 767) {
                        if (visibleItems >= 2) {
                            visibleItems = 2;//2columns in mobile devices
                        }

                        if (self.windowWidth <= 480) {
                            if ($container.hasClass('instagram-carousel') || $container.hasClass('phone-column-2'))
                                visibleItems = 2;//1column in mobile devices
                            else
                                visibleItems = 1;//1column in mobile devices
                        }
                    }
                }

            }

            return visibleItems;
        },

        updateCarousel: function (container = $(document)) {
            var self = this,
                $carousel = container.find('.carousel');
            
            if ( ! $carousel.length ) {
                return;
            }
            $carousel.each(function () {

                var $this = $(this),
                    $swiperContainer = $this.find('.swiper-container');

                if ($swiperContainer[0].swiper != undefined) {
                    var visibleItems = self.getVisibleItemNum($this, $swiperContainer.attr('data-visibleitems'));

                    $swiperContainer[0].swiper.params.slidesPerView = visibleItems;
                    $swiperContainer[0].swiper.params.loopedSlides = visibleItems + 1;

                    if ($this.hasClass('wc-shortcode')) // wc-shortcode carousels
                    {
                        var gutter = 20;
                        if ($this.hasClass('no-gutter') || visibleItems == 1)
                            gutter = 0;

                        $swiperContainer[0].swiper.update(true);
                        self.setCarouselItemsWidth($this, visibleItems, gutter);
                        self.showAnimation($this.find('.products'), 1); // secound Parametr determine this code Run In Carousel
                    }

                    else if (($this.hasClass('testimonials-style')) || ($this.hasClass('instagram-carousel'))) // testimonials-shortcode(testimonials-style) and instagram-carousel
                    {
                        $swiperContainer[0].swiper.update(true);

                    }
                    else {
                        self.showAnimation($this, 2);   // 2 used for image Carousel animation
                        $swiperContainer[0].swiper.update(true);
                    }

                }
            });
        },
        /*-----------------------------------------------------------------------------------*/
        /*  Lookbook FullScreen Image Reveal
        /*-----------------------------------------------------------------------------------*/
        lookbook_fullscreen_carousel: function () {
            if (!$('.imagefullscreenreveal').length)
                return;
            if ($(window).width() < 1140) {
                $('.imagefullscreenreveal .swiper-container').css('display', 'none');
                return;
            }
            $('.imagefullscreenreveal').each(function () {
                var $this = $(this);
                var $swiper_container = $(this).find('.swiper-container');
                var lookbook_fullscreen_swiper = new Swiper($swiper_container, {
                    autoplay: {
                        delay: 400,
                    },
                    speed: 200,
                    loop: true,
                    effect: 'fade',
                });
                lookbook_fullscreen_swiper.autoplay.stop();
                $this.find(' > span').hover(function () {
                    /* Stuff to do when the mouse enters the element */
                    lookbook_fullscreen_swiper.autoplay.start();
                    $(this).parents('.imagefullscreenreveal').addClass('hover');
                }, function () {
                    /* Stuff to do when the mouse leaves the element */
                    lookbook_fullscreen_swiper.autoplay.stop();
                    $(this).parents('.imagefullscreenreveal').removeClass('hover');
                });
            });
        },
        /*-----------------------------------------------------------------------------------*/
        /*  progress bar with animation Function
        /*-----------------------------------------------------------------------------------*/

        progressbar: function () { // progressbar run in document ready and call after Ajax

            var self = this;

            var $progressbar = $('.progress_bar:not(.shortcodeanimation), .progress_bar.shortcodeanimation.no-responsive-animation');

            if (!$progressbar.length) return;

            self.progressbarAnimate($progressbar);
        },

        /* Animate progressbar */
        progressbarAnimate: function ($element) { // call when its appeared on viewport

            var self = this;

            $element.each(function () {
                var $this = $(this),
                    percentage = $this.find('.progressbar_percent').data('percentage');
                $this.find('.progress_percent_value').addClass("complete");
                $this.find('.progressbar_percent').css('width', percentage + '%');

            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Easy Pie Chart Function
        /*-----------------------------------------------------------------------------------*/

        piechart: function () { // piechart run in document ready and call after Ajax

            var self = this;

            var $piechartbox = $('.piechartbox:not(.shortcodeanimation), .piechartbox.shortcodeanimation.no-responsive-animation');

            if (!$piechartbox.length) return;

            self.piechartAnimate($piechartbox);
        },

        /* PieChart With Animation*/
        piechartAnimate: function ($element) { // call when its appeared on viewport
            var self = this;

            var animation = false;
            if (self.windowWidth > 1140) {
                animation = { duration: 2500, enabled: true };
            }

            $element.each(function () {
                var $this = $(this);
                var $dot = $this.find('.dot-container');
                $this.find('.easypiechart').easyPieChart({
                    scaleColor: false,
                    barColor: $this.attr('data-barColor'),
                    lineWidth: 2,
                    trackColor: 'rgba(0,0,0,0)',
                    lineCap: 'round',
                    easing: 'easeOutQuint',
                    animate: animation,
                    size: 145,
                    onStep: function (from, to, percent) {
                        $dot.css({ transform: 'rotate(' + (percent * 3.6 + 6) + 'deg)' });
                    }
                });

                if (animation == false) {
                    var percent = $this.find('.easypiechart').data('percent');
                    $dot.css({ transform: 'rotate(' + (percent * 3.6 + 6) + 'deg)' });
                }
            });
        },

        typeAnimation: function () {
            var self = this;
            if ( ! $('.textbox[data-animation-txt="true"]').length ) return;
            $('.textbox[data-animation-txt="true"]').each(function () {
                var string = [$('#' + $(this).attr('id') + ' #txtbox').attr('data-text')],
                    loop = Boolean(parseInt($(this).attr('data-loop'))),
                    typeSpeed = parseInt($(this).attr('data-speed')),
                    backDelay = $('#' + $(this).attr('id') + ' #txtbox').attr('backDelay'),
                    backSpeed = parseInt($(this).attr('data-backspeed'));
                var typed = new Typed('#' + $(this).attr('id') + '  #txtbox', {
                    strings: string,
                    typeSpeed: typeSpeed,
                    backSpeed: backSpeed,
                    backDelay: backDelay,
                    fadeOut: true,
                    loop: loop
                });
            });
        },


        /*-----------------------------------------------------------------------------------*/
        /*  Count-down
        /*-----------------------------------------------------------------------------------*/
        countdown: function () {
            if( ! $(".countdown-timer").length ) return;
            $(".countdown-timer").each(function () {
                var $this = $(this);
                if ($this.hasClass('initiated'))
                    return;

                $this.addClass('initiated');

                var updateCountDown = function () {
                    var date = Date.parse($this.data("end")) / 1000,
                        now = Math.floor($.now() / 1000),
                        $day = $this.find(".days"),
                        $hours = $this.find(".hours"),
                        $min = $this.find(".minutes"),
                        $second = $this.find(".seconds"),
                        day_distance = date - now;

                    if (day_distance > 0) {
                        var day = Math.floor(day_distance / 86400);
                        day_distance -= 60 * day * 60 * 24;
                        var hours = Math.floor(day_distance / 3600);
                        day_distance -= 60 * hours * 60;
                        var min = Math.floor(day_distance / 60);
                        day_distance -= 60 * min,
                            10 > day && (day = "0" + day),
                            10 > hours && (hours = "0" + hours),
                            10 > min && (min = "0" + min),
                            10 > day_distance && (day_distance = "0" + day_distance),
                            1 > $day.length || "00" == day ? $day.parent().hide() : $day.text(day),
                            $hours.text(hours + "	" + ":"),
                            $min.text(min + "	" + ":"),
                            //$min.text(min),
                            $second.text(day_distance)
                    } else {
                        $this.css( 'display', 'none' );
                    }
                };
                setInterval(updateCountDown, 1000),
                    updateCountDown()
            })
        },


        /*-----------------------------------------------------------------------------------*/
        /*  Counter Box
        /*-----------------------------------------------------------------------------------*/

        counterbox: function () { // counterbox run in document ready and call after Ajax
            var self = this;

            var $counterboxContainers = $('.counterbox:not(.shortcodeanimation), .counterbox.shortcodeanimation.no-responsive-animation');
            if (!$counterboxContainers.length) return;
            self.counterboxAnimate($counterboxContainers);
        },

        /* Counter Box With Animation */
        counterboxAnimate: function ($element) { // call in appear function - run when element come to screen view

            $element.each(function () {
                var countNmber = $(this).attr('data-countNmber');
                $(this).find('.counterboxnumber').countTo({
                    from: 0,
                    to: countNmber,
                    speed: 2000,
                    refreshInterval: 10,
                });
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Animation For Image & Text Shortcode
        /*-----------------------------------------------------------------------------------*/

        shortcodeanimation: function () {
            var self = this,
                $shortcodes;

            var animate_shortcodes = function (item) {
                var $this = item,
                    $delay = $this.attr('data-delay');

                if ($this.attr('data-animation') != 'none') {

                    $this.css('transition-delay', $delay + 'ms');

                    $this.addClass('do_animate');

                    if ($this.hasClass("counterbox") || $this.hasClass("piechartbox") || $this.hasClass("progress_bar")) {

                        //Run Counter Box Animation along left animations
                        if ($this.hasClass("counterbox")) {
                            self.counterboxAnimate($this);
                        }

                        //Run Pie Chart  Animation along left animations
                        if ($this.hasClass("piechartbox")) {
                            self.piechartAnimate($this);
                        }

                        //Run Progress bar  Animation along left animations
                        if ($this.hasClass("progress_bar")) {
                            self.progressbarAnimate($this);
                        }
                    }

                }

            }

            var aniamte_shortcodes_in_snap_to_scroll = function () {
                var $active_slide = $('div.kt-section.visible'),
                    $inactive_slide = $('div.kt-section').not('.visible');

                if (self.isMobile || self.isTablet)
                    $shortcodes = $active_slide.find('.shortcodeanimation:not(.no-responsive-animation)');
                else
                    $shortcodes = $active_slide.find('.shortcodeanimation');

                $shortcodes.each(function () {
                    var $shortcode = $(this);
                    animate_shortcodes($shortcode);
                });

                $inactive_slide.find('.shortcodeanimation').removeClass("do_animate");
            }


            if (!self.$body.hasClass('snap-to-scroll') || (self.$body.hasClass('snap-to-scroll') && self.windowWidth <= 1140)) {

                if (self.isMobile || self.isTablet)
                    $shortcodes = $('.shortcodeanimation:not(.no-responsive-animation)');
                else
                    $shortcodes = $('.shortcodeanimation');

                $shortcodes.waypoint({
                    handler: function () {
                        var $item = $(this.element);
                        animate_shortcodes($item);
                        this.destroy();
                    },
                    offset: '90%'
                });

            }
            else {
                self.$document.on('snap_to_scroll_slide_end', function () {
                    aniamte_shortcodes_in_snap_to_scroll();
                });

                aniamte_shortcodes_in_snap_to_scroll();

            }
        },

        /*----------------------------------------------------*/
        /* full Width colorize section 
        /*----------------------------------------------------*/

        fullwidthSection: function () {

            var self = this;

            var $containerWidth = $('.container').width(),
                $offset_block = ((self.windowWidth - parseInt($containerWidth)) / 2);
            $('.fullwidth:not(.footer-widgetized)').each(function () {
                if (self.windowWidth < 768) {
                    $(this).css({
                        'margin-left': -($offset_block + 60),
                        'padding-left': ($offset_block + 60),
                        'padding-right': ($offset_block + 60)
                    });
                } else {
                    $(this).css({
                        'margin-left': -$offset_block,
                        'padding-left': $offset_block,
                        'padding-right': $offset_block
                    });
                }
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  tabs
        /*-----------------------------------------------------------------------------------*/

        tabs_tour_accordion: function () {

            var self = this;
            if ($('.vc_tta-panels-container .vc_tta-panel').not('.show'))
                $('.vc_tta-panels div:nth-child(1)').addClass('show vc_active');


            if ($('.vc_tta-tabs .vc_tta-panel:not(.vc_active) .portfolio_wrap .isotope').length > 0)
                $('.vc_tta-tabs .vc_tta-panel:not(.vc_active) .portfolio_wrap .isotope').removeClass('isotope');

            // tabs_tour_accordion Height 
            self.tabs_tour_accordion_height();

            //Tab & Tour
            $('.vc_tta-container .vc_tta-tabs .vc_tta-tabs-list a').addClass('no_djax').on('click', function (e) {
                // Fixing tab issue when clicking (Jump to content bug)
                e.preventDefault();


                var $current_tab = $(this);
                if ($current_tab.closest('ul').hasClass('ui-sortable')) {
                    var $tta_tab = ('data-vc-target');
                }
                else {
                    var $tta_tab = ('href');
                }

                var $container = $current_tab.closest('.vc_tta-container'),
                    $currentPanelID = $($current_tab.attr($tta_tab)),
                    $previous_tab_id = $($current_tab.closest('.vc_tta-tabs-list').find('.vc_active a').attr($tta_tab));

                if ($current_tab.closest('li').hasClass('vc_active'))
                    return;

                //activate new tab
                $container.find('.vc_tta-tabs-list li.vc_active').removeClass('vc_active');
                $current_tab.closest('li').addClass('vc_active');
                $previous_tab_id.removeClass('vc_active');

                $container.find('.vc_tta-panel').removeClass('show');
                $currentPanelID.addClass('show');
                $currentPanelID.addClass('vc_active');
                fix_tab_content_scripts($currentPanelID);

                setTimeout(function () {



                    //id 2 for First Load
                    self.portfolioIsotope(2);

                }, 50);

            });

            //Accordion
            $('.vc_tta-accordion .vc_tta-panel-heading a').on('click', function (e) {
                e.preventDefault();

                var $current_tab = $(this);
                if ($current_tab.closest('.vc_tta-panels').hasClass('ui-sortable')) {
                    var $tta_acc = ('data-vc-target');
                }
                else {
                    var $tta_acc = ('href');
                }

                var $container = $current_tab.closest('.vc_tta-accordion'),
                    $active_tab_id = $($current_tab.attr($tta_acc)),
                    $previous_tab_id = $($current_tab.closest('.vc_tta-panels').find('.vc_active a').attr($tta_acc));

                //activate new tab
                if ($container.hasClass('vc_tta-o-all-clickable')) {
                    $active_tab_id.toggleClass('vc_active');
                    $active_tab_id.find('.vc_tta-panel-body').slideToggle();
                }
                else {
                    if ($active_tab_id.hasClass('vc_active'))
                        return;

                    $container.find('.vc_tta-panel.vc_active').removeClass('vc_active');
                    $active_tab_id.addClass('vc_active');

                    $previous_tab_id.find('.vc_tta-panel-body').slideUp();
                    $previous_tab_id.find('.vc_tta-panel-heading').removeClass('vc_active');
                    $active_tab_id.find('.vc_tta-panel-body').slideDown();
                    $active_tab_id.find('.vc_tta-panel-heading').addClass('vc_active');
                }

            });

            var fix_tab_content_scripts = function ($active_tab_id) {
                if ($active_tab_id.find('.products.isotope').length > 0)
                    $active_tab_id.find('.products.isotope').isotope('destroy');

                if ($active_tab_id.find('.portfolio_wrap .isotope').length > 0)
                    $active_tab_id.find('.portfolio_wrap .isotope').removeClass('isotope');

                var $tabs_parent = $active_tab_id.closest('.vc_tta-panels');


                //Products
                self.product_thumbnails();
				self.sticky_product_thumbnails();
                self.product_variation();
                self.kt_product_progressbar();

                //Portfolio
                if ($tabs_parent.find('.vc_tta-tabs .vc_tta-panel:not(.vc_active) .portfolio_wrap .portfolioswiper').length && typeof $tabs_parent.find('.vc_tta-tabs .vc_tta-panel:not(.vc_active) .portfolio_wrap .portfolioswiper')[0].swiper != undefined)
                    $tabs_parent.find('.vc_tta-tabs .vc_tta-panel:not(.vc_active) .portfolio_wrap .portfolioswiper')[0].swiper.destroy();

                self.portfolioSlider();
                $active_tab_id.find('.portfolio_wrap').find('> div').eq(0).addClass('isotope'); // Add isotope class to portfolio to work properly
                self.portfolioIsotope(0); // pass parametr 0 cause run isotope in "first load" situation

                self.runIsotopeInProducts($active_tab_id);

                //Carousel
                self.kite_carousel($active_tab_id);

                //shortcodes
                self.kite_shortcode(true);

                //product "info on click" style
                self.products_infoOnclick();

                // tabs_tour_accordion Height 
                self.tabs_tour_accordion_height();

            }
        },

        tabs_tour_accordion_height: function () {

            if ( ! $('.vc_tta-container .vc_general').length ) return;
            $('.vc_tta-container .vc_general').each(function () {
                var $this = $(this);
                //Tabs & tour
                if ($this.hasClass('vc_tta-tabs')) {
                    var childs_height = [];
                    $this.find('.vc_tta-panel').each(function () {
                        childs_height.push($(this).outerHeight());
                    });
                    $this.find('.vc_tta-panels').css('min-height', Math.min.apply(null, childs_height));


                    $this.find('.vc_tta-panel.vc_active').addClass('show');
                }
                //Accordion
                else if ($this.hasClass('vc_tta-accordion')) {
                    $this.find('.vc_tta-panel:not(.vc_active) .vc_tta-panel-body').slideUp();
                }
            });
        },
        tab_scrollbar: function () {
            if ($(window).width() > 1025)
                return;
            var $tab_list = $('.vc_tta-tabs-position-top .vc_tta-tabs-list,.vc_tta-tabs-position-bottom .vc_tta-tabs-list');
            var $tab_list_item = $('.vc_tta-tabs-position-top .vc_tta-tabs-list > li,.vc_tta-tabs-position-bottom .vc_tta-tabs-list > li');
            if ( $tab_list.parents('.ajax_products_tab').length ) {
                return;
            }
            if ($tab_list.find('.swiper-container').length == 0) {
                $tab_list_item.wrap('<div class="swiper-slide" style="width:fit-content;"></div>');
                $tab_list_item.first().parent('.swiper-slide').addClass('swiper-slide-active');
                $tab_list.wrapInner('<div class="swiper-container"><div class="swiper-wrapper"></div><div class="swiper-scrollbar"></div></div>')
            }
            var $scrollContainer = $tab_list.find('.swiper-container');

            var swiper = new Swiper($scrollContainer, {
                scrollbar: {
                    el: '.swiper-scrollbar',
                    hide: false,
                    draggable: true,
                },
                direction: 'horizontal',
                slidesPerView: 'auto',
                mousewheelControl: true,
                freeMode: true,
                touchReleaseOnEdges: true,
                mousewheelReleaseOnEdges: true,
                mousewheelSensitivity: .6,
            });
            $('.swiper-scrollbar-drag').each(function () {
                if ($(this).width() == $(this).parents('.swiper-scrollbar').width() || ($(this).width() > ($(this).parents('.swiper-scrollbar').width() - 5))) {
                    $(this).parents('.swiper-scrollbar').hide();
                } else {
                    $(this).parents('.swiper-scrollbar').show();
                }
            });
        },
        /*-----------------------------------------------------------------------------------*/
        /*  toggle - FAQ
        /*-----------------------------------------------------------------------------------*/

        faq: function () {

            var $faqContainers = $('.toggle_wrap');

            if (!$faqContainers.length) return;

            $faqContainers.each(function () {
                var $container = $(this),
                    $titles = $container.find('.wpb_toggle'),
                    $contents = $container.find('.toggle_content_wrap');

                if ($container.hasClass('wpb_toggle_open')) {
                    $contents.slideDown();

                } else {
                    $contents.slideUp();

                }

                $titles.off("click").on('click', function (e) {
                    var $this = $(this);

                    $this.toggleClass('wpb_toggle_title_active');
                    var $parent = $this.parent()

                    $parent.toggleClass('wpb_toggle_open');

                    if ($parent.hasClass('wpb_toggle_open')) {
                        $parent.find('.toggle_content_wrap').slideDown();

                    } else {
                        $parent.find('.toggle_content_wrap').slideUp();

                    }
                });
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Navigation
        /*-----------------------------------------------------------------------------------*/

        nav: function () {

            var self = this;

            if (self.windowWidth <= 1140)
                return;

            var $checkFixed = self.$ktheader.attr("data-fixed"); // Check menu fixed option is enable (1) or disable (0)

            var $menuItem = $('.navigation > ul li.menu-item-has-children');

            $menuItem.each(function () {

                var $menuWrapper = $(this).find('.menu-item-wrapper'),
                    $secondlevelItems = $menuWrapper.find('> ul > li'),
                    $rightOffset = 0;//store the offset of megamenu from right side of screen

                if ($(this).hasClass('mega-menu-parent')) {
                    $menuWrapper.find('.special-last-child').closest('.menu-item-wrapper').addClass('has-special-last-child');

                    $menuWrapper.width($secondlevelItems.length * $secondlevelItems.eq(0).outerWidth());
                    $menuWrapper.height($menuWrapper.find('> ul').height());
                    $menuWrapper.css('margin-left', '');//Reset margin-left to calculate correct position
                    var $rightOffset = self.windowWidth - ($menuWrapper.offset().left + $menuWrapper.outerWidth());
                    if ($rightOffset < 0) {
                        $menuWrapper.css('margin-left', $rightOffset); // cause mega menu be in window 
                    }
                    if ($menuWrapper.parents('.catmenu').length != 0) {
                        if ($menuWrapper.find('> ul').height() < $('nav.catmenu').height()) {
                            $menuWrapper.height($('.category-menu-container > nav').height());
                            $menuWrapper.find('li.has-bg').height($('.category-menu-container > nav').height());
                        }
                    }
                }
                else {
                    var $subMenuWidth = $(this).find('> ul').eq(0).outerWidth();
                    var $rightOffset = self.windowWidth - ($(this).offset().left + $subMenuWidth);
                    if ($rightOffset < $subMenuWidth) {
                        $(this).addClass('left-submenus');
                    }
                }
                if ($(this).parents('.catmenu').length != 0) {
                    var $menu_height = $(this).parents('.catmenu').siblings('.allcats').width();
                    if (self.windowWidth > 1140) {
                        var $left = parseInt($menu_height) + parseInt($(this).parents('.catmenu').siblings('.allcats').css('marginLeft').replace('px', ''));
                        if ( $('body').hasClass('rtl') ) {
                            $menuWrapper.css('right', $left);
                        } else {
                            $menuWrapper.css('left', $left);
                        }
                        if (!$(this).hasClass('mega-menu-parent') && $(this).parents('.mega-menu-parent').length == 0)
                            if ( $('body').hasClass('rtl') ) {
                                $(this).find('> ul.sub-menu').css('right', $left);
                            } else {
                                $(this).find('> ul.sub-menu').css('left', $left);
                            }
                    }
                }
            });


            //Mega menu
            $menuItem.mouseover(function () {
                if (!$(this).hasClass('hover'))
                    $(this).addClass("hover");

            }).mouseout(function () {
                $(this).removeClass("hover");
            });

            $menuItem.focusin(function(){
                if (!$(this).hasClass('hover'))
                    $(this).addClass("hover");
            });

            $menuItem.focusout(function(){
                $(this).removeClass("hover");
            });

        },
        allcats: function () {
            var self = this;
            $('.allcats').on('click', function () {
                $('.catmenu').toggleClass('close');
                self.nav();
            });
        },
        UpdateCurrentMenuAncestorClass: function () {
            var self = this;
            if (self.windowWidth <= 1140)
                return;

            $('header .navigation > ul > li').removeClass('current-menu-ancestor');
            $('header .navigation > ul > li').removeClass('current-menu-item');
            $('header .navigation li li ul li.active').parents('.navigation > ul > li.menu-item-has-children').addClass('current-menu-ancestor');
        },

        /*-----------------------------------------------------------------------------------*/
        /*  blog toggle & blog toggle load more 
        /*-----------------------------------------------------------------------------------*/

        // blog toggle click 
        blogToggleClick: function (postVar) {

            var self = this;

            var $toggleMode = parseInt(postVar.$accordion.attr("data-value"));

            if ($toggleMode === 0) {

                var $accordionHeight = "350px";
                if (self.windowWidth > 480)
                    $accordionHeight = "520px";

                postVar.$content.fadeIn();


                postVar.$frameTitle.css({
                    opacity: 0.3,
                    'background-color': '#fff',
                    height: '160px'
                }),

                    //post title And Date animation css
                    postVar.$monthTitle.css({
                        'border-left-color': '#fff',
                        left: '-81px' 
                    });


                postVar.$titleImage.toggleClass('accordion_closed'),
                    postVar.$accordion.toggleClass('accordionclosed'),


                    // change data Value 
                    postVar.$accordion.attr("data-value", "1");

            } else if ($toggleMode === 1 || isNaN($toggleMode)) {

                postVar.$content.fadeOut('fast');
                postVar.$frameTitle.css({
                    opacity: 1,
                    'background-color': 'transparent',
                    height: '100%'
                })

                //post title And Date animation css
                postVar.$day.css({
                    width: '130px'
                }),

                    postVar.$monthTitle.css({
                        'border-left-color': '#fff',
                        left: '0px'
                    }),

                    postVar.$monthTitle.find('.monthyear').css({
                        left: '0px',
                    }),

                    postVar.$monthTitle.find('.blogtitle').css({
                        left: '0px',
                    });

                postVar.$titleImage.toggleClass('accordion_closed');
                postVar.$accordion.toggleClass('accordionclosed'),

                    // change data Value    
                    postVar.$accordion.attr("data-value", "0");
            }


        },

        // blog toggle default set 
        blogToggleSet: function (postVar) {
            var self = this;
            if (postVar.$flag === 0) {
                // Set Close Mode 
                postVar.$content.slideUp(function () {
                    self.parallaxImg();
                });

                postVar.$titleImage.toggleClass('accordion_closed');

            } else if (postVar.$flag === 1 || isNaN(postVar.$flag)) {

                postVar.$accordion_box10.add(postVar.$accordionBox).animate(
                    { height: postVar.$imgHeight },
                    {
                        queue: false,
                        duration: 500
                    })

                postVar.$frameTitle.css({
                    opacity: 0.3,
                    'background-color': '#fff',
                    height: '160px'
                })

            }

        },

        blogToggleArray: function ($thisAccordion) {

            var $accordion = $thisAccordion,
                $titleImage = $accordion.find('.image'),
                $imgH = $titleImage.find('img'),
                $noImage = $titleImage.find('.noImage'),
                $content = $accordion.find('.accordion_content'),
                $accordion_box2 = $accordion.find('.accordion_box2'),
                $accordion_box10 = $accordion.find('.accordion_box10'),
                $flag = parseInt($accordion.attr("data-value")),
                $blogClose = $accordion.find('.blogClose'),
                $minus = $accordion.find('.minus'),
                $plus = $accordion.find('.plus'),
                $accordionBox = $accordion.find('.accordionBox'),
                $frameTitle = $accordion.find('.frameTitle'),
                $day = $accordion.find('.accordion_title'),
                $monthTitle = $accordion.find('.leftborder');


            var postVar = {
                $accordion: $accordion,
                $titleImage: $titleImage,
                $imgH: $imgH,
                $noImage: $noImage,
                $content: $content,
                $accordion_box2: $accordion_box2,
                $accordion_box10: $accordion_box10,
                $flag: $flag,
                $minus: $minus,
                $plus: $plus,
                $accordionBox: $accordionBox,
                $frameTitle: $frameTitle,
                $day: $day,
                $monthTitle: $monthTitle,
            };

            return postVar;
        },

        // blog toggle
        blogToggle: function () {

            var self = this;
            if ( ! $('.blogaccordion').length ) {
                return;
            }

            $('.blogaccordion').each(function () {

                var $accordion = $(this),
                    $titleImage = $accordion.find('.image'),
                    $imgH = $titleImage.find('img'),
                    $noImage = $titleImage.find('.noImage'),
                    $content = $accordion.find('.accordion_content'),
                    $accordion_box2 = $accordion.find('.accordion_box2'),
                    $accordion_box10 = $accordion.find('.accordion_box10'),
                    $flag = parseInt($accordion.attr("data-value")),
                    $blogClose = $accordion.find('.blogClose'),
                    $minus = $accordion.find('.minus'),
                    $plus = $accordion.find('.plus'),
                    $accordionBox = $accordion.find('.accordionBox'),
                    $frameTitle = $accordion.find('.frameTitle'),
                    $day = $accordion.find('.accordion_title'),
                    $monthTitle = $accordion.find('.leftborder');

                var postVar = {
                    $accordion: $accordion,
                    $titleImage: $titleImage,
                    $imgH: $imgH,
                    $noImage: $noImage,
                    $content: $content,
                    $accordion_box2: $accordion_box2,
                    $accordion_box10: $accordion_box10,
                    $flag: $flag,
                    $minus: $minus,
                    $plus: $plus,
                    $accordionBox: $accordionBox,
                    $frameTitle: $frameTitle,
                    $day: $day,
                    $monthTitle: $monthTitle,
                };

                // set toggle mode When Page Loaded
                self.blogToggleSet(postVar);

                $minus.add($plus).add($blogClose).click(function () {
                    // toggle Post When Click Event Occur 
                    self.blogToggleClick(postVar);
                });

            });

        },

        /* blog toggle loadmore */
        blogToggleLoadmore: function () {

            var self = this;

            $(".posts-page-" + (self.blogPageNum + 1)).find('.blogaccordion').each(function () {
                var $accordion = $(this),
                    $title = $accordion.find('.accordion_title'),
                    $titleImage = $accordion.find('.image'),
                    $imgH = $titleImage.find('img'),
                    $noImage = $titleImage.find('.noImage'),
                    $content = $accordion.find('.accordion_content'),
                    $accordion_box2 = $accordion.find('.accordion_box2'),
                    $accordion_box10 = $accordion.find('.accordion_box10'),
                    $flag = parseInt($accordion.attr("data-value")),
                    $blogClose = $accordion.find('.blogClose'),
                    $minus = $accordion.find('.minus'),
                    $plus = $accordion.find('.plus'),
                    $accordionBox = $accordion.find('.accordionBox'),
                    $frameTitle = $accordion.find('.frameTitle'),
                    $day = $accordion.find('.accordion_title'),
                    $monthTitle = $accordion.find('.leftborder');

                var postLoadVar = {
                    $accordion: $accordion,
                    $titleImage: $titleImage,
                    $imgH: $imgH,
                    $noImage: $noImage,
                    $content: $content,
                    $accordion_box2: $accordion_box2,
                    $accordion_box10: $accordion_box10,
                    $flag: $flag,
                    $minus: $minus,
                    $plus: $plus,
                    $accordionBox: $accordionBox,
                    $frameTitle: $frameTitle,
                    $day: $day,
                    $monthTitle: $monthTitle,
                };

                // set toggle mode When Page Loaded
                self.blogToggleSet(postLoadVar);

                $minus.add($plus).add($blogClose).click(function () {
                    // toggle Post When Click Event Occur 
                    self.blogToggleClick(postLoadVar);
                });

            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Blog Load More Function 
        /*-----------------------------------------------------------------------------------*/

        blogLoadMore: function () {

            var self = this,
                $loadBTN = $('.pagenavigation');

            if (typeof paged_data == 'undefined' || $loadBTN.length < 1)
                return;

            var max = 1;

            if ($loadBTN.hasClass('cartblog')) {
                var $uniqueId = "#" + $loadBTN.siblings('.isotope').attr('data-id'),
                    $blog = $($uniqueId).first();
                max = $blog.data('maxpages');
            }
            else {
                max = parseInt(paged_data.maxPages);
            }

            if (max < 2)
                return;

            //Replace links with load more button
            $loadBTN.html('<div class="readmore clearfix"><div class="loadmore loadmoreactive"><span class="text load-more-text">' + paged_data.loadmoreText + '</span><span class="text loading-text">' + paged_data.loadingText + '</span><span class="text no-more-text">' + paged_data.noMorePostsText + '</span></div></div>');



            $('.loadmore').click(function () {
                var $btn = $(this);
                $loadBTN = $(this).parents('.pagenavigation');

                if ($loadBTN.hasClass('cartblog')) {// It is a card blog

                    var $uniqueId = " #" + $loadBTN.siblings('.isotope').attr('data-id'),
                        $blog = $($uniqueId).first(),
                        $isCardBlog = true;
                    // Next line finds the first hidden page   
                    var startPage = $blog.data('page'),
                        nextPage = startPage + 1,
                        max = $blog.data('maxpages'),
                        isLoading = false;
                    //Next line stores the pages that appeared by far
                    $blog.data('page', nextPage);
                } else if ($loadBTN.hasClass('readmore-blog')) {
                    var $uniqueId = " #" + $loadBTN.siblings('.blog-head-line-container, .blog-toggle-container').attr('data-id'),
                        $blog = $($uniqueId).first(),
                        $isHeadLineBlog = true;
                    // Next line finds the first hidden page
                    var startPage = $blog.data('page'),
                        nextPage = startPage + 1,
                        max = $blog.data('maxpages'),
                        isLoading = false;
                    //Next line stores the pages that appeared by far
                    $blog.attr('data-page', nextPage);
                    $blog.data('page', nextPage);

                } else {// It is classic blog
                    var startPage = parseInt(paged_data.startPage),
                        nextPage = startPage + 1,
                        max = parseInt(paged_data.maxPages),
                        isLoading = false;
                    var $blog = "#blogloop",
                        $uniqueId = ' .post';
                }

                if (max < 2) return;

                //Activate loadmore button 
                if (nextPage > max)
                    $btn.removeClass('loadingactive').addClass('loadmoreactive');

                if (nextPage > max || isLoading)
                    return;

                isLoading = true;

                //Set loading text
                $(this).removeClass('loadmoreactive').addClass('loadingactive');
                var $pageContainer = $('<div class="posts-page-' + nextPage + '"></div>');

                //Next line is for creating a valid link to next page
                paged_data.nextLink = '/?postpage=' + nextPage;
                paged_data.nextLink = '?postpage=' + nextPage;

                $pageContainer.load(paged_data.nextLink + $uniqueId, function () {

                    //Insert the posts container before the load more button
                    $pageContainer.waitForImages(function () { //loads gallery in classic blog load more
                        var $content;
                        if ($isCardBlog){
                            $content = $($pageContainer.html());
                            $content = $($content.html());
                        } else {
                            $content = $pageContainer;
                        }

                        if ($isCardBlog) {
                            var $container = $($uniqueId);
                            $container.append($content).isotope('appended',$content);
                            $container.waitForImages(function(){
                                setTimeout(function () {
                                    // call isotope animation ( defualt and custom mode )
                                    self.lazyLoadOnLoad($container);
                                    self.parallaxImg();
                                    self.isotopeAnimation($blog);
                                }, 500);
                            });
                        } else {
                            $content.hide().appendTo($blog).fadeIn('fast');                            
                        }

                        // Update page number and nextLink.
                        paged_data.startPage = paged_data.startPage.replace(/[0-9]+/, startPage + 1);

                        if (nextPage < max) {
                            $btn.removeClass('loadingactive').addClass('loadmoreactive');
                        } else if (nextPage >= max) {
                            $btn.removeClass('loadingactive loadmoreactive').addClass('nomoreactive');
                        }

                        isLoading = false;

                        if (!($isCardBlog)) {
                            self.blogPageNum = nextPage;
                            self.blogPageNum--;

                            self.blogToggleLoadmore();
							self.toggleBlog();
                            self.blogPostSlider();
                            self.fitVideo();
                        }

                    });


                });

            });

        },
        /*-----------------------------------------------------------------------------------*/
        /*  Blog Head Line Responsive Function 
        /*-----------------------------------------------------------------------------------*/
        blogHeadLine: function() {
            if (!$('.blog-head-line-container').length)
                return;

            $('.blog-head-line-container').each(function() {
                if ($(this).parent().width() <= 350) {
                    $(this).find('.blog-head-line-item,.blog-head-line-description').addClass('responsive-350');
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').removeClass('responsive-674 responsive-558 responsive-451');
                } else if ( 350 < $(this).parent().width() && $(this).parent().width() <= 451 ) {
                    $(this).find('.blog-head-line-item,.blog-head-line-description').addClass('responsive-451');
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').removeClass('responsive-674 responsive-558 responsive-350');
                } else if ( 451 < $(this).parent().width() && $(this).parent().width() <= 558 ) {
                    $(this).find('.blog-head-line-item,.blog-head-line-description').addClass('responsive-558');
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').removeClass('responsive-674 responsive-451 responsive-350');
                } else if ( 558 < $(this).parent().width() && $(this).parent().width() <= 674 ) {
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').addClass('responsive-674');
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').removeClass('responsive-558 responsive-451 responsive-350');
                } else {
                    $(this).find('.blog-head-line-item,.blog-head-line-description,.blog-head-line-details').removeClass('responsive-674 responsive-558 responsive-451 responsive-350');
                }
            });
        },
		
		/*-----------------------------------------------------------------------------------*/
        /* Blog Toggle Responsive Function 
        /*-----------------------------------------------------------------------------------*/
		toggleBlog: function() {
            if (!$('.blog-toggle-container').length)
                return;
			
			$('.blog-toggle-container').each(function() {
			   var $this = $(this);
			   
				if ($this.parent().width() > 952) { 
					$this.find('.blogaccordion').addClass('responsive-1024');
					$this.find('.blogaccordion').removeClass('responsive-952 responsive-475 responsive-265');
                }
				if ( 475 <  $this.parent().width() &&  $this.parent().width() <= 952) {
					$this.find('.blogaccordion').addClass('responsive-952');
                    $this.find('.blogaccordion').removeClass('responsive-265 responsive-475 responsive-1024');
                }
				if ( 265 <  $this.parent().width() &&  $this.parent().width() <= 475 ) {
                    $this.find('.blogaccordion').addClass('responsive-475');
                    $this.find('.blogaccordion').removeClass('responsive-952 responsive-265 responsive-1024');
                }
				if ($this.parent().width() <= 265) {
                    $this.find('.blogaccordion').addClass('responsive-265');
                    $this.find('.blogaccordion').removeClass('responsive-952 responsive-475 responsive-1024');
                }
				
            });
        },
        /*-----------------------------------------------------------------------------------*/
        /*  Home Height 
        /*-----------------------------------------------------------------------------------*/

        homeHeight: function (callback) {

            var self = this;

            var $wpAdminBarHeight = $('#wpadminbar').height();

            //Wordpress Admin Bar Height
            var checkWpBar = function () {
                var $HSlMHeight = self.windowHeight;
                if (!isNaN($wpAdminBarHeight)) {
                    $HSlMHeight = $HSlMHeight - $wpAdminBarHeight;
                }
                return $HSlMHeight;
            }

            var $HSlMVal = checkWpBar();

            // Portfolio detail swiperslider Fullscreen 
            if ($('.portfolio_detail_full_width .pdheader-standard #portfolio-detail-parallax-container').length > 0 || $('.portfolio_detail_boxed .pdheader-standard #portfolio-detail-parallax-container').length > 0) {

                var $marginHeader = 75,
                    $marginSwiper = 75;

                if ($('.portfolio_detail_boxed .pdheader-standard #portfolio-detail-parallax-container').length > 0) {
                    $marginHeader = 95;
                    $marginSwiper = 55;
                }


                $(".pdheader-standard").css({ height: ($HSlMVal - $marginHeader) + 'px' });
                $(".pdheader-standard .swiper-container").css({ height: ($HSlMVal - $marginSwiper) + 'px' });

                // Add buttom Padding For Portfolio Fullwidth and Portfolio boxed when Page Not Scroll Defualt
                //Set it for tablet devices and desktops
                if (self.$body.height() < self.windowHeight && self.windowWidth > 1140) {

                    var $bodyheight = self.$body.height();
                    var $windowsHeight = self.windowHeight;
                    var $calc = $windowsHeight - self.$bodyheight;

                    $calc = $calc + 5;

                    $("#pdetail .pdcontent").css({ "padding-bottom": $calc });

                }

            }

            // Image Fullscreen 
            if ($('.fulscreenimage').length !== 0) {
                $("#fulscreenimage").css({ height: $HSlMVal + 'px' });
            }

            if (self.windowWidth > 1140) {
                // Revolution Slider
                if ($('#homeHeight').height() > 0) {

                    var $LHeight = $('#homeHeight').height();
                    $LHeight = $LHeight - 6;

                    if (!isNaN($wpAdminBarHeight)) {
                        $LHeight = $LHeight - $wpAdminBarHeight;
                    }

                    $LHeight = 0;
                } else {//Reset the top margin for pages without intro

                    $("#main").css({ marginTop: 0 + 'px' });
                }

            } else {
                $('#main').css({ marginTop: 0 });
            }

            return true;

        },

        /*------------------------------------------------------------------------------*/
        /*  phone Navigation
        /*------------------------------------------------------------------------------*/

        mobileNavigation: function () {
            var self = this;
			$('.mobile-navigation li.cat-item:has(ul.children)').addClass('menu-item-has-children');
			$('.mobile-navigation li.cat-item ul.children').addClass('sub-menu');
            $('.mobile-navigation ul.sub-menu').slideUp('300', 'easeInOutCirc');
            $('.mobile-navigation li.menu-item-has-children a').off('click');
            $('.mobile-navigation li.menu-item-has-children a').on('click', function (event) {
                var $li = $(this).parent('li');
                if ($li.hasClass('menu-item-has-children')) {
                    event.preventDefault();
                }
                if ($li.hasClass('mega-menu-parent')) {
                    if ($(this).hasClass('active')) {
                        $li.find('> div.menu-item-wrapper > ul.sub-menu').slideUp('300', 'easeInOutCirc');
                        $(this).removeClass('active');
                    } else {
                        $li.find('> div.menu-item-wrapper > ul.sub-menu').slideDown('300', 'easeInOutCirc');
                        $(this).addClass('active');
                    }
                }
                else {
                    if ($(this).hasClass('active')) {
                        $li.find('> ul.sub-menu').slideUp('300', 'easeInOutCirc');
                        $(this).removeClass('active');
                    } else {
                        $li.find('> ul.sub-menu').slideDown('300', 'easeInOutCirc');
                        $(this).addClass('active');
                    }
                }
            });

            $('.mobile-navigation li.menu-item-has-children a .menu_title span').on('click',function(){
                window.open( $(this).parents('a').attr('href'), '_self' );
            });
        },
        /*------------------------------------------------------------------------------*/
        /*  Add To Cart - Open Toggle Sidebar When click On Add to cart Buttons 
        /*------------------------------------------------------------------------------*/

        addToCart: function () {
            if ( $('.kt-header-button.kt-cart .widget_shopping_cart_content').length && $(window).width() > 1024 ) {
                return;
            }
            var self = this,
                $toggle_sidebar_container = $('.toggle-sidebar-container:not(.filtersidebar)'),
                $cart_sidebar_container = $('.cart-sidebar-container');

            // Open the Toggle Sidebar When Click On Add To Cart Buttons
            self.$document.on('click', ".add_to_cart_button:not(.product_type_variable) , .single_add_to_cart_button", function (e) {
                //Ignore affilate products

                var $this = $(this);
                if (!$this.is('.ajax_add_to_cart')) {
                    $this.parents('form').submit();
                    return;
                }

                if ($this.is('.affilate-product') || $this.parent('.fixed-add-to-cart').is('.affilate-product'))
                    return 0;


                e.preventDefault();

                if ($(this).parent().parent('.fixed-add-to-cart-container').find('.go-to-add-to-cart').length || $(this).hasClass('disabled')) { // for fixed add to cart in variable and grouped product detail - prevent Add to cart open
                    return 0;
                }

                if (self.$body.hasClass('modal-open')) { // is quick view window first wait 300ms then close it and then open sidebar cart.

                    setTimeout(function () {
                        self.close_quick_view();
                    }, 300);

                    if (!self.$body.hasClass('vertical_menu_enabled:not(humburger_menu_enabled)')) {

                        setTimeout(function () {

                            self.$ktheader.addClass('sidebar-toggle-open');
                            $toggle_sidebar_container.addClass('sidebar-toggle-open');
                            $cart_sidebar_container.addClass('sidebar-toggle-open');
                            $('.kt-header-builder-overlay').addClass('show');
                            $('.cart-sidebarbtn').addClass('active');
                            $('.scrolltotop').addClass('toggleOpen');

                        }, 600);
                    }

                } else {

                    if ($(this).parent().parent('.fixed-add-to-cart-container').length) { // is quick view window first wait 300ms then close it and then open sidebar cart.

                        $('.fixed-add-to-cart-container .fixed-add-to-cart').addClass('toggleOpen');
                        $('.scrolltotop').addClass('toggleOpen');

                    }

                    if (!self.$body.hasClass('vertical_menu_enabled')) {
                        self.$ktheader.addClass('sidebar-toggle-open');
                        $toggle_sidebar_container.addClass('sidebar-toggle-open');
                        $cart_sidebar_container.addClass('sidebar-toggle-open');
                        $('.kt-header-builder-overlay').addClass('show');
                        $('.cart-sidebarbtn').addClass('active');
                    }

                }
                $(document.body).on('added_to_cart', function () {
                    if ($(window).width() > 768) {
                        $this.closest('div.product:not(.parent_div_product)').find('.added_to_cart_icon').css({
                            opacity: '1',
                            visibility: 'visible'
                        });
                    }
                    $this.removeClass('added');
                    self.infoonhoverAndClickAddedToCart($this);
                    $this.closest('div.product:not(.parent_div_product)').trigger('mouseout');
                });

            });
        },

        /*------------------------------------------------------------------------------*/
        /*  product variation adding to cart
        /*------------------------------------------------------------------------------*/

        addToCartEvents: function () {
            var self = this;

            // Updating cart and show loading
            $(document.body).on('adding_to_cart', function () {
                $('.cart-sidebar-container .cartsidebarwrap').addClass('updatingcart');
            });

            $(document.body).on('added_to_cart', function () {
                $('.cart-sidebar-container .cartsidebarwrap').removeClass('updatingcart');
                $(document.body).trigger('wc_fragment_refresh');
                $('.cartButtonClicked').addClass('haveItemInCart');
                $('.cartButtonClicked').removeClass('cartButtonClicked');
                $('.haveItemInCart').find('.add_to_cart_button.product_type_variable').removeAttr('style');
                $('.haveItemInCart').find('.price:not(.simpleprice)').removeAttr('style');
                $('.haveItemInCart').find('.simpleAddToCart').attr('style', 'display : none !important');
                $('.haveItemInCart').find('.simpleprice').attr('style', 'display : none !important');
                $('.haveItemInCart').find('input[type="radio"]').prop('checked', false);
            });
            self.$document.on('added_to_cart wc_cart_updated', function () {

                $(".mini_cart_item a.remove, .mini_cart_item a.undo").addClass('no_djax');
                if ( $('body').hasClass('woocommerce-checkout') ) {
                    $( 'body' ).trigger( 'update_checkout' );
                }
            });
        },
        addToCart_variation_group: function () {
            var self = this;

            // Ajax variation Product - add to cart
            self.$document.on('click', 'table.variations button.single_add_to_cart_button, .single_add_to_cart_button.product_type_variable , .single_add_to_cart_button.product_type_grouped', function (e) {

                if (!$(this).is('.ajax_add_to_cart')) {
                    $(this).parents('form').submit();
                    return;
                }

                var b = this;
                e.preventDefault();
                // AJAX add to cart request
                var $thisbutton = $(this);

                if ($thisbutton.hasClass('disabled'))
                    return;

                if ($thisbutton.hasClass('product_type_variable') || $thisbutton.hasClass('product_type_grouped') || $thisbutton.parent('table.variations')) {

                    $thisbutton.addClass('loading');

                    var $productForm = $thisbutton.closest('form');

                    if (!$productForm.length) {
                        return;
                    }

                    var data = {
                        product_id: $productForm.find("input[name*='add-to-cart']").val(),
                        product_variation_group_data: $productForm.serialize() // get variation and Group value 
                    };

                    // Trigger event
                    $(document.body).trigger('adding_to_cart', [$thisbutton, data]);

                    // Ajax action
                    $.ajax({
                        type: "POST",
                        url: "?add-to-cart=" + data.product_id + "&kt-ajax-add-to-cart=1",
                        data: data.product_variation_group_data,
                        dataType: "html",
                        cache: false,
                        headers: { 'cache-control': 'no-cache' },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {

                        },
                        success: function (response) {

                            if (!response) {
                                return;
                            }

                            if (response.error && response.product_url) {
                                window.location = response.product_url;
                                return;
                            }

                            // Redirect to cart option
                            if (wc_add_to_cart_params.cart_redirect_after_add === 'yes') {

                                window.location = wc_add_to_cart_params.cart_url;
                                return;

                            } else {

                                $(".widget_shopping_cart_content").html(response)
                                var $response = $(".widget_shopping_cart_content");

                                // Get replacement elements/values
                                var fragments = {
                                    ".cartcontentscount": $response.find(' .cartcontentscount'), // Count Of Items in Cart
                                    ".cart-bottom-box": $response.find('.cart-bottom-box'), // Count Of Items in Cart
                                    ".product_list_widget": $response.find('.product_list_widget'), // Cart items Detail
                                    ".wc-notice-content": $response.first().find('.woocommerce-error, .woocommerce-message') // Cart items Detail
                                };

                                // Replace elements
                                $.each(fragments, function (selector, $element) {
                                    if ($element.length) {
                                        $(selector).each(function () {
                                            if ($(this).parents('.widget_shopping_cart_content').length) { // Check Only Replace ( Update ) Dom in the Cart Sidebar 
                                                $(this).replaceWith($element);
                                            }
                                        });
                                    }
                                });

                                // Update Cart Count in the Menus 
                                $(".widget_woocommerce-dropdown-cart .cart-contents .cartcontentscount").replaceWith('<div class="cartcontentscount">' + $response.find('.cartcontentscount').text() + '</div>');
                                $('.kt-cart .kt-count').html( $response.find('.cartcontentscount').text() );

                                // wait All Replace Elemets Complete then trigger added_to_cart ( cause Fading Effect seen )   
                                setTimeout(function () {
                                    $(document.body).trigger("added_to_cart");
                                    $thisbutton.removeClass('loading');
                                    $thisbutton.removeClass('added');
                                }, 100);
                            }
                        }
                    });

                    return false;
                }

                return true;
            });
        },
        /*------------------------------------------------------------------------------*/
        /*  Notices : accoutnt pag and form validation of checkout field are ignored
        /*------------------------------------------------------------------------------*/
        wc_notices: function () {
            var self = this;
            if (self.$body.hasClass('no_wc_notices'))
                return;

            /* Detect notices on adding simple product to cart */
            self.$body.on('added_to_cart', function (event, fragments) {

                // update cart element count and subtotal
                if ( typeof fragments != 'undefined' && fragments['div.widget_shopping_cart_content'] != 'undefined' ) {
                    var _cart_count = $(fragments['div.widget_shopping_cart_content']).find('.cartcontentscount').html();
                    var _cart_subtotal = $(fragments['div.widget_shopping_cart_content']).find('.total .woocommerce-Price-amount.amount').html();

                    $('.kt-cart .kt-count').html( _cart_count );
                    $('.kt-cart .woocommerce-Price-amount.amount').html( _cart_subtotal );
                }
                
                if (fragments === undefined || (fragments["div.widget_shopping_cart_content"] === undefined && $(fragments[".wc-notice-content"]).length <= 0))
                    return;
                var replacedBefore = false;

                var $returned_message = $(fragments["div.widget_shopping_cart_content"]).find('.woocommerce-error, .woocommerce-message');

                if ($(fragments[".wc-notice-content"]).length > 0)
                    replacedBefore = true;

                //check existance of new notice
                if ($returned_message.length > 0 || replacedBefore == true) {
                    self.update_notices($returned_message, replacedBefore);
                }

            });

        },

        update_notices: function ($wc_notices_in_cart, replacedBefore) {
            var self = this,
                $wc_notices_container = $('#kt_wc_notices');

            setTimeout(function () {

                if (replacedBefore == true) {
                    $wc_notices_container.wrapInner('<div class="wc-notice-content"></div>');
                } else {
                    $wc_notices_container.html($wc_notices_in_cart);
                }

                $wc_notices_container.addClass('show');
                self.wcNoticeTimer = setTimeout(function () {
                    $wc_notices_container.removeClass('show');
                }, 6000);

            }, 470)
        },


        /*------------------------------------------------------------------------------*/
        /*  Toggle Sidebar container  + cart container
        /*------------------------------------------------------------------------------*/

        togglesidebar: function () {

            var self = this;

            var $toggle_sidebar_container = $('.toggle-sidebar-container:not(.filtersidebar)'),
                $toggle_sidebar_mobile_menu = $('.toggle-sidebar-mobile-menu'),
                $toggle_sidebar_category_menu = $('.toggle-sidebar-category-menu'),
                $toggle_sidebar_product_category_menu = $('.toggle-sidebar-product-category-menu'),
                $cart_sidebar_container = $('.cart-sidebar-container'),
                $fixedAddToCartContainer = $('.fixed-add-to-cart-container .fixed-add-to-cart'),
                $filtersidebarContainer = $('.toggle-sidebar-container.filtersidebar'),
                $scrolltotop = $('.scrolltotop'),
                //Buttons
                $mobilenavbutton = $('.mobilenavbutton'),
                $catNavButton = $('.cat-nav-button'),
                $productNavButton = $('.productnavbutton'),
                $cartToggleButton = $('.cart-sidebarbtn,.kt-header-button.kt-cart'),
                $mobile_sidebar_overlay = $('.mobile-sidebar-overlay');

            var close_sidebar = function () {
                if ($toggle_sidebar_container.hasClass('sidebar-toggle-open') || $filtersidebarContainer.hasClass('sidebar-toggle-open')) {
                    self.$ktheader.removeClass('sidebar-toggle-open');
                    $toggle_sidebar_container.removeClass('sidebar-toggle-open');
                    $toggle_sidebar_mobile_menu.removeClass('sidebar-toggle-open');
                    $toggle_sidebar_category_menu.removeClass('sidebar-toggle-open');
                    $toggle_sidebar_product_category_menu.removeClass('sidebar-toggle-open');
                    $cart_sidebar_container.removeClass('sidebar-toggle-open');
                    $('.kt-header-builder-overlay').removeClass('show');

                    $fixedAddToCartContainer.removeClass('toggleOpen');
                    $scrolltotop.removeClass('toggleOpen');

                    $mobile_sidebar_overlay.removeClass('open');

                    if ($('.shop-filter .shop-filter-toggle').hasClass('open'))
                        $('.shop-filter .shop-filter-toggle').removeClass('open');

                    if ($('.shop-filter').hasClass('open'))
                        $('.shop-filter').removeClass('open');

                    $filtersidebarContainer.removeClass('sidebar-toggle-open');
                    //Allow snap-to-scroll + scrolling
                    self.$body.removeClass('disable-snap-to-scroll');
                }
            }

            var open_sidebar = function (type) {
                self.$ktheader.addClass('sidebar-toggle-open');
                $toggle_sidebar_container.addClass('sidebar-toggle-open');
                $fixedAddToCartContainer.addClass('toggleOpen');
                $scrolltotop.addClass('toggleOpen');
                $('.kt-header-builder-overlay').addClass('show');

                //Disallow snap-to-scroll + disable scroll
                self.$body.addClass('disable-snap-to-scroll');

                if (type == 'cart') {
                    $cart_sidebar_container.addClass('sidebar-toggle-open');
                    $cart_sidebar_container.focus();
                } else if (type == 'catSidebar') {
                    $mobile_sidebar_overlay.addClass('open');
                    $toggle_sidebar_category_menu.addClass('sidebar-toggle-open');
                    $toggle_sidebar_category_menu.focus();
                } else if (type == 'filtersidebar') {
                    $filtersidebarContainer.addClass('sidebar-toggle-open');
                    $filtersidebarContainer.focus();
                } else if (type == 'productcatsidebar') {
					$mobile_sidebar_overlay.addClass('open');
                    $toggle_sidebar_product_category_menu.addClass('sidebar-toggle-open');
                    $toggle_sidebar_product_category_menu.focus();
					
                } else {
                    $mobile_sidebar_overlay.addClass('open');
                    $toggle_sidebar_mobile_menu.addClass('sidebar-toggle-open');
                    $toggle_sidebar_mobile_menu.focus();
                }
            }

            self.$document.on('click', '#sidebar-open-overlay, .kt-header-builder-overlay, .cart-sidebar-container .cart-close-btn,.togglesidebarWidgetbar #toggle-sidebar-close-btn,.mobile-sidebar-overlay,.mobile-menu-close-button span,.closesidebar', function () {
                close_sidebar();
            });

            var overlays = document.querySelectorAll('#sidebar-open-overlay, .kt-header-builder-overlay, .mobile-sidebar-overlay');
            for (var i = 0 ; i < overlays.length; i++) {
                overlays[i].addEventListener('touchstart' , function(e){
                    e.preventDefault();
                    close_sidebar();
                }) ; 
            }

            self.$document.on( 'keydown', function(e){
                if(e.key === "Escape") {
                    close_sidebar();
                }
            });

            $cartToggleButton.on('click', function (e) {
                if ((self.$body.hasClass('vertical_menu_enabled') && self.windowWidth > 1140) || self.$body.hasClass('woocommerce-cart') || ( $(this).find('.widget_shopping_cart_content').length && self.$window.width() > 1025 ) )
                    return;
                    
                e.preventDefault();
                open_sidebar('cart');
            });

            $mobilenavbutton.on('click', function () {
                open_sidebar('mobileSidebar');
            });
            $catNavButton.on('click', function () {
                open_sidebar('catSidebar');
            });
			$productNavButton.on('click', function () {
                open_sidebar('productcatsidebar');
            });                  
            $('.shop-filter .shop-filter-toggle').on('click', function () {
                close_sidebar();
                if (!$(this).siblings('.filtersidebar').hasClass('hidden-desktop')) {
                    open_sidebar('filtersidebar');
                }
            });
            $('#mobilenavbar .navicons.filters').on('click', function () {
                open_sidebar('filtersidebar');
            });
            //close sidebar when click on links inside cart/sidebar
            self.$window.on('djaxLoading', function () {
                close_sidebar();
            })

        },

        /*------------------------------------------------------------------------------*/
        /*  Scrollbar
        /*------------------------------------------------------------------------------*/
        kite_scrollbar: function (element) {
            var $element = $(element);

            if (!$element)
                return;

            $element.each(function () {
                var $this = $(this),
                    $scrollContainer = $this.find('.swiper-container');

                if ($scrollContainer.length > 0) {
                    if ($scrollContainer[0].swiper != undefined) {
                        // $scrollContainer[0].swiper.updateSlidesSize();
                        return;
                    }
                }

                $this.wrapInner('<div class="swiper-container sw-scrollbar"><div class="swiper-wrapper"><div class="swiper-slide"></div></div><div class="swiper-scrollbar"></div></div>');
                $scrollContainer = $this.find('.swiper-container');

                var swiper = new Swiper($scrollContainer, {
                    scrollbar: {
                        el: '.swiper-scrollbar',
                        draggable: true,
                    },
                    direction: 'vertical',
                    slidesPerView: 'auto',
                    mousewheelControl: true,
                    freeMode: true,
                    touchReleaseOnEdges: true,
                    mousewheelReleaseOnEdges: true,
                    mousewheelSensitivity: .6,
                });
            })

        },

        /*------------------------------------------------------------------------------*/
        /*  vertical sidebar
        /*------------------------------------------------------------------------------*/

        coveringLevelVerticalMenu: function () {

            var $vertical_menu_item = $(".vertical_menu_enabled .vertical_menu_navigation li.menu-item-has-children > a:not('.mp-back')");
            $vertical_menu_item.addClass('no_djax');

            $vertical_menu_item.on('click', function (e) {

                var $this = $(this);
                e.preventDefault();

                // Hide Li element
                $this.parent().siblings().addClass('hide-for-submenu');

                $this.addClass('hide-for-submenu');

                $this.parent().addClass('remove-activehover');

                var $subMenu = $this.siblings('.mp-level');

                if ($subMenu.length) {
                    $this.siblings('.mp-level').addClass('mp-level-open');
                }

            });

            $(".vertical_menu_enabled .vertical_menu_navigation li a.mp-back").on('click', function (e) {

                e.preventDefault();

                var $this = $(this);

                $this.parent().removeClass('mp-level-open');

                //show parent li element
                $this.parent().parent().find('a').removeClass('hide-for-submenu');

                $this.parent().parent().removeClass('remove-activehover');

                $this.parent().parent().siblings().removeClass('hide-for-submenu')

            });

        },

        /*----------------------------------------------------------------------------------*/
        /* Interactive background
        /*-----------------------------------------------------------------------------------*/
        interactiveBackgroundImg: function () {
            var self = this;
            if ($('.interactive-background').length <= 0)
                return;

            self.kite_interactive_background($('.interactive-background .section-container'), { sensitivity: 100, duration: 10000, zoom: false, initialZoom: true });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  parallax  
        /*-----------------------------------------------------------------------------------*/

        parallaxImg: function () {

            var self = this;

            if (self.$body.hasClass('snap-to-scroll') || $('.parallax').length <= 0 || self.msie > 0 || !!self.msie11)
                return;


            if (self.windowWidth > 1140 && !self.isTouchDevice) {
                var $parallaxContainers = $('.parallax'),
                    scrollPosition = 0;

                var parallax_handler = function () {
                    $parallaxContainers.each(function () {
                        var $el = $(this),
                            speed = parseFloat($el.attr('data-speed')),
                            elementHeight = $el.data('height'),
                            elementTop = $el.data('offsetTop'),
                            elementBottom = elementTop + elementHeight,
                            factorMult = 0;

                        //When element is out of viewport
                        if (elementTop > (scrollPosition + self.windowHeight) || elementBottom < scrollPosition)
                            return;

                        var parallax = (scrollPosition - elementTop) / self.windowHeight;
                        factorMult = Math.round((parallax) * speed * 100) / 100;
                        $el.find(".parallax-img").css({
                            'transform': 'translate3d(0,' + factorMult + '%,0)'
                        });
                    });
                }

                var parallax_init = function () {
                    self.windowHeight = self.$window.height();
                    $parallaxContainers.each(function () {
                        var $el = $(this);
                        $el.data('offsetTop', $el.offset().top);
                        $el.data('height', $el.outerHeight(true));
                    });
                }

                var do_scroll = function () {
                    $parallaxContainers.each(function () {
                        var $el = $(this);
                        $el.data('offsetTop', $el.offset().top);
                    });
                    scrollPosition = self.$window.scrollTop();
                    window.requestAnimationFrame(parallax_handler);
                }

                parallax_init();
                parallax_handler();


                self.$window.on('scroll', do_scroll).on('resize', parallax_init);
                self.$window.one('djaxClick', function () {
                    self.$window.unbind('scroll', do_scroll).unbind('resize', parallax_init);
                });

            }
        },

        //Parallax by mouse position
        kite_interactive_background: function ($elements, options) {
            var self = this;

            if (self.windowWidth <= 1140 || self.isTouchDevice)
                return;

            var transform = function ($target, x, y, scaleRatio) {
                $target.css('transform', 'matrix(1, 0, 0,1,' + x + ',' + y + ') scale(' + scaleRatio + ',' + scaleRatio + ')');
            }

            var transformLeave = function ($target, x, y, scaleRatio) {
                $target.css('transform', 'matrix(1, 0, 0,1,' + x + ',' + y + ') scale(' + scaleRatio + ',' + scaleRatio + ')');
            }

            return $elements.each(function () {

                var settings = $.extend({
                    target: '> .interactive-background-image img',
                    sensitivity: 20,
                    duration: 1400,//ms
                    zoom: true,
                    initialZoom: false,
                }, options);

                var el = $(this);
                //Prevent from multiple running
                if (el.find(settings.target).length === 0 || el.hasClass('interactive-background-active')) {
                    return true;
                }

                var target = el.find(settings.target),
                    h, w, width, cx, x, y, scaleRatio = 1;

                //set different transition duration for element
                if (settings.duration != 1400) {
                    target.css('transition-duration', settings.duration + 'ms');
                }

                el.addClass('interactive-background-active');
                el.on('mouseenter interactive_bg_init', function (e) {
                    if (w !== el.width()) {
                        w = el.width();
                        h = el.height();
                        cx = settings.sensitivity / w;

                        if (settings.zoom || settings.initialZoom) {
                            scaleRatio = (w + settings.sensitivity) / w;
                        }

                        //set initial scale
                        if (settings.initialZoom) {
                            target.css('transform', 'scale(' + scaleRatio + ',' + scaleRatio + ')');
                        }
                    }
                }).on('mousemove', function (e) {
                    x = (-cx * (e.pageX - (target.offset().left + w / 2)));
                    y = (-cx * (e.pageY - (target.offset().top + h / 2)));
                    transform(target, x, y, scaleRatio);
                }).on('mouseleave', function (e) {
                    if (settings.initialZoom) {
                        transformLeave(target, 0, 0, scaleRatio);
                    }
                    else {
                        transformLeave(target, 0, 0, 1);
                    }

                });

                if (settings.initialZoom) {
                    el.trigger('interactive_bg_init');
                }
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Blog Post Slider 
        /*-----------------------------------------------------------------------------------*/

        blogPostSlider: function () {

            // blog post slider - swoper slider
            if ( ! $('.bp-swiper').length ) {
                return;
            }
            $('.bp-swiper').not('.disabled_swiper').each(function () {

                var $bd_s_nextbtn = $(this).find('.arrows-button-next'); // Next btns
                var $bd_s_prevbtn = $(this).find('.arrows-button-prev');// Previous Btns
                $bd_s_nextbtn.add($bd_s_prevbtn).css({ 'opacity': '1' });

                var swiper = new Swiper($(this), {

                    loop: true,
                    speed: 650,
                    navigation: {
                        nextEl: $bd_s_nextbtn,
                        prevEl: $bd_s_prevbtn,
                    },
                    on: {
                        slideChangeTransitionStart: function () {
                            //Unset height
                            $('.bp-swiper .swiper-wrapper').css({ height: '' });
                            //Calc Height
                            var $bp_swiper_width = $('.bp-swiper').width(), // Container Width
                                $imgeWidth = $(this.slides[this.activeIndex]).find('img').attr('width'), // initial Images Width
                                $imgeHidth = $(this.slides[this.activeIndex]).find('img').attr('height'), // initial image width
                                $imgeNewHeight = ($bp_swiper_width * $imgeHidth) / $imgeWidth; // Calc image height in container

                            $('.bp-swiper .swiper-wrapper').css({ height: $imgeNewHeight });
                            $('.bp-swiper').css({ height: $imgeNewHeight });
                        },
                    },
                });

            });

        },

        /*-----------------------------------------------------------------------------------*/
        /*  portfolio like
        /*-----------------------------------------------------------------------------------*/
        portfolioLike: function () {
            var self = this;
            if ( ! $('.jm-post-like').length ) return;
            self.$body.on('click', '.jm-post-like', function (e) {
                e.preventDefault();
                var $like = $(this),
                    post_id = $like.data("post_id");
                $.ajax({
                    type: "post",
                    url: kite_theme_vars.ajax_url,
                    data: "action=jm-post-like&nonce=" + kite_theme_vars.nonce + "&jm_post_like=&post_id=" + post_id,
                    success: function (count) {
                        if (count.indexOf("already") !== -1) {
                            var lecount = count.replace("already", "");
                            if (lecount === "0") {
                                lecount = "Like"
                            }
                            $like.prop('title', 'Like');
                            $like.removeClass("liked");
                            $like.find(".count").addClass("no_like").html(lecount);
                        } else {
                            $like.prop('title', 'Unlike');
                            $like.addClass("liked");
                            $like.find(".count").removeClass("no_like").html(count);
                        }
                    },
                })
            })
        },
        /*-----------------------------------------------------------------------------------*/
        /*  portfolio feature Images Slider 
        /*-----------------------------------------------------------------------------------*/

        portfolioSlider: function () {

            if ($('.portfolioswiper').length <= 0)
                return;

            var self = this;

            //wait for calculate correct width of portfolio item
            setTimeout(function () {
                //portfolio feature images slider
                $('.portfolioswiper').each(function () {
                    var $slider = $(this);

                    //Don't run slider on sliders with less than two slides!
                    if ($slider.find('.pslide').length < 2) {
                        return;
                    }

                    //generate random value for slide show Speed
                    var $autoplayDuration = 3000 + Math.floor(Math.random() * 4000);

                    var portfolioSwiper = new Swiper($slider, {
                        autoplay: {
                            delay: $autoplayDuration,
                        },
                        autoplayDisableOnInteraction: false,
                        speed: 1000,
                        initialSlide: 0,
                        loop: true,
                        effect: 'fade',
                        fade: {
                            crossFade: false
                        }
                    });

                    //load image of duplicate slides
                    setTimeout(function () {
                        //Remove is-loading class and prepare it for images lazy loading
                        $slider.find('.swiper-slide-duplicate .lazy-load-on-load').removeClass('is-loading');
                        self.lazyLoadOnLoad($slider.find('.swiper-slide-duplicate'));
                    }, 500);

                });
            }, 1000)
        },

        /*-----------------------------------------------------------------------------------*/
        /*  portfolio Detail
        /*-----------------------------------------------------------------------------------*/

        portfolio_detail_header_parallax: function () {

            var self = this;

            if ($('#portfolio-detail-parallax-container').length <= 0 || self.msie > 0 || !!self.msie11)
                return;

            var $window_y = self.$window.scrollTop();

            if (self.windowWidth > 1140 && !self.isTouchDevice) {

                self.windowHeight = self.$window.height();
                var $slider = $('#portfolio-detail-parallax-container'),
                    scrollPosition = 0,
                    tick = false;

                var home_parallax_handler = function () {
                    tick = true;

                    //When element is out of viewport
                    if (self.windowHeight < scrollPosition) {
                        tick = false;
                        return;
                    }

                    $slider.css({
                        'transform': 'translate3d(0,' + scrollPosition * 0.6 + 'px,0)'
                    });

                    tick = false;
                }
                home_parallax_handler();

                var requestTick = function () {
                    if (tick == false) {
                        scrollPosition = self.$window.scrollTop();
                        window.requestAnimationFrame(home_parallax_handler);
                    }
                }

                self.$window.on('scroll', requestTick);

                self.$window.one('djaxClick', function () {
                    self.$window.unbind('scroll', requestTick);
                });
            }

        },

        portfolio_detail_title: function () {

            if ($('.pdheader-title').length < 1)
                return

            var $title = $('.pdheader-title');
            $title.addClass('bg-animated active');

        },

        portfolio_next_prev: function () {
            var self = this;
            if ( ! $( '.portfolio.isotope-item a').length && ! $( 'a.portfolioDetailNavLink' ).length ) return;
            $('.portfolio.isotope-item a, a.portfolioDetailNavLink').on('click', function (e) {

                e.preventDefault();
                var $link = $(this);

                //fetch data for ajax request of navigations
                if ($link.hasClass('portfolioLink')) {
                    self.$skills = $link.parents('.isotope').data('skills');
                    self.$portfolioBackLink = $(location).attr('href');
                    self.$portfolioID = $link.data('pid');

                }
                else if ($link.hasClass('portfolioDetailNavLink')) {
                    self.$skills = $link.data('skills');
                    self.$portfolioBackLink = $("#pdbacktoportfolio").attr('href');
                    self.$portfolioID = $link.data('pid');
                }

                //Save portfolio required information in sessionStorage for next/prev and back button in portfolio detail
                if (typeof (window.sessionStorage) !== "undefined") {
                    window.sessionStorage.setItem('skills', self.$skills);
                    window.sessionStorage.setItem('portfolioBackLink', self.$portfolioBackLink);
                    window.sessionStorage.setItem('pid', self.$portfolioID);
                }
                window.location = $link.attr('href');
            });

        },

        remove_footer_creative_portfolio_detail: function () {

            //Hide footer in portfolio detail
            if ($('.portfolio_detail_boxed').length || $('.portfolio_detail_full_width').length || $('.portfolio_detail_full_width').length || $('.portfolio_detail_ default').length) {

                $('footer').css('display', 'block');
                $('.footer-widgetized').css('display', 'none');

            } else if ($('.portfolio_detail_creative').length) {

                $('footer').css('display', 'none');
                $('.footer-widgetized').css('display', 'none');

            } else {

                $('footer').css('display', '');
                $('.footer-widgetized').css('display', 'block');

            }

        },

        remove_left_right_menu_creative_portfolio_detail: function () {
            var self = this;

            if ($('.portfolio_detail_creative').length) {
                $('.vertical_menu_area').add($('#topbar')).addClass('hide_menu');
                self.$body.addClass('removepadding disablescroll');
            }
            else {
                $('.vertical_menu_area').add($('#topbar')).removeClass('hide_menu');
                self.$body.removeClass('removepadding disablescroll');
            }
        },

        set_margin_creative_portfolio_detail: function () {

            var self = this;

            if ($('.portfolio_detail_creative').length && self.windowWidth > 768) {

                var $portfolio_detail_creative_height = $('.pd_creative_fixed_content').height();

                var $portfolio_detail_creative_space = (self.windowHeight - $portfolio_detail_creative_height) / 2;

                if ($portfolio_detail_creative_space < 0) {

                    $portfolio_detail_creative_space = 0;

                }

                $('.portfolio_detail_creative').css({
                    'margin-top': $portfolio_detail_creative_space,
                });

            }
        },

        /* Portfolio Details swiper Slider */
        pdswiper: function () {
            var self = this;

            if ($('#pdswiper').length < 1)
                return;


            if ($('.portfolio_detail_creative').length) {

                if (('#pdswiper').length) {
                    if (self.windowWidth <= 979) {
                        var $nextbtn = $('#pdswiper').find('.pd-arrows-button-next'),
                            $prevbtn = $('#pdswiper').find('.pd-arrows-button-prev');

                        var swiper = new Swiper('#pdswiper', {
                            slidesPerView: '1',
                            autoplay: {
                                delay: 5000,
                            },
                            loopedSlides: 1,
                            paginationClickable: true,
                            spaceBetween: 0,
                            loop: true,
                            navigation: {
                                nextEl: $nextbtn,
                                prevEl: $prevbtn,
                            },
                        });
                    }
                    else {
                        var swiper = new Swiper('#pdswiper', {
                            slidesPerView: 'auto',
                            paginationClickable: true,
                            spaceBetween: 15,
                        });
                    }

                }

            } else {

                if ($('#pdswiper').find('.swiper-slide').length > 1) {

                    var $nextbtn = $('#pdswiper').find('.arrows-button-next');
                    var $prevbtn = $('#pdswiper').find('.arrows-button-prev');
                    //portfolio detail swiper slider
                    var swiper = new Swiper('#pdswiper', {
                        autoplay: {
                            delay: 5000,
                        },
                        autoplayDisableOnInteraction: false,
                        speed: 700,
                        longSwipesMs: 600,
                        keyboardControl: true,
                        loop: true,
                        slidesPerView: 1,
                        navigation: {
                            nextEl: $nextbtn,
                            prevEl: $prevbtn,
                        },
                        spaceBetween: 0
                    });
                }

            }
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Scrolling function 
        /*-----------------------------------------------------------------------------------*/

        scroll_to: function (location, introCheck, time) {

            var self = this;

            //exit if url is detail of portfolio inner
            if (location.toString().indexOf("#!portfolio-detail/") != -1)
                return;

            if (location !== "#") {

                var scrollto;

                // introCheck 3 is for go to top Page ( top Button )
                // introCheck 2 is for logo
                //introcheck 5 is for next button in showcase 
                if (introCheck == 1 || introCheck == 2 || introCheck == 4 || introCheck == 5) {

                    if (introCheck !== 4 && introCheck !== 5) { // this code run when link from external to internal
                        // get internal id ( hash ) From Query string 
                        var sPageURL = window.location.search.substring(1);
                        var sURLVariables = sPageURL.split('&');
                        for (var i = 0; i < sURLVariables.length; i++) {
                            var sParameterName = sURLVariables[i].split('=');
                            if (sParameterName[0] == 'sectionid') {
                                location = '#'.concat(sParameterName[1]);
                            }
                        }
                    }

                    var $location = $(location);

                    if ($location.length) {
                        var offsetTop = $location.offset().top,
                            done = $location.closest('.layout').offset().top,
                            menuHeight = $('#headerfirststate').outerHeight(),
                            topbar = 0;

                        if ($('#headersecondstate').length > 0) {
                            menuHeight = $('#headersecondstate').outerHeight();
                        }


                        offsetTop = offsetTop - done;

                        if (self.$body.hasClass('has-topbar')) { // Top bar height
                            topbar = 33;
                        }

                        if ($('.vertical_menu_area').length || introCheck == 5) { // If vertical menu Or next button On showcase 
                            scrollto = offsetTop - topbar;

                        } else {
                            scrollto = offsetTop - menuHeight + topbar;
                        }

                        if (self.windowWidth <= 1140) {
                            scrollto = offsetTop - 70;//70px is responsive menu height
                        }

                    }
                }

                if (introCheck === 1 || introCheck === 4 || introCheck === 5) {
                    var scrolltime = parseInt(kite_theme_vars.scrolling_speed);
                    if (time) {
                        scrolltime = time;
                    }
                    //scroll to inside id 
                    self.$scrollpals.animate(
                        {
                            scrollTop: scrollto
                        }, {
                        duration: scrolltime,
                        easing: kite_theme_vars.scrolling_easing,
                        complete: function () {
                            self.scrolingToSection = false;
                            self.externalClicked = false;
                        },
                        queue: false
                    }
                    );

                } else if (introCheck === 2 || introCheck === 3) {
                    var scrolltime = 1500;
                    if (time) {
                        scrolltime = time;
                    }
                    //scroll to top of page
                    self.$scrollpals.animate(
                        {
                            scrollTop: 0
                        }, {
                        duration: scrolltime,
                        easing: kite_theme_vars.scrolling_easing,
                        queue: false
                    }
                    );
                }
            }
        },

        /*-----------------------------------------------------------------------------------*/
        /*  fitvid 
        /*-----------------------------------------------------------------------------------*/

        fitVideo: function () {
            $(".container").fitVids();
        },

        /*-----------------------------------------------------------------------------------*/
        /*  portfolio Isotope function
        /*-----------------------------------------------------------------------------------*/

        portfolioIsotope: function ($pIsotopeContainer) {

            var self = this;

            var $firstTimeLoad = true;

            if ($pIsotopeContainer === 0) { // id 0 for First Load

                // first load 
                $pIsotopeContainer = $('.portfoliowrap .isotope:not(.products)');

            } else if ($pIsotopeContainer === 1) { // id 1 for Resizing

                // resizing
                $firstTimeLoad = false;
                $pIsotopeContainer = $('.portfoliowrap .isotope:not(.products)');

            } else if ($pIsotopeContainer === 2) { // id 2 for tabs

                // resizing
                $firstTimeLoad = false;
                $pIsotopeContainer = $('.vc_active .portfoliowrap .isotope:not(.products)');


            } else {

                // when click load more button
                $firstTimeLoad = false;
                $pIsotopeContainer = $($pIsotopeContainer);

            }

            if ( ! $pIsotopeContainer.length ) return;

            $pIsotopeContainer.each(function () {

                var $this = $(this);

                // Check Portfolio is FullWidth Or not
                if ($this.parents('.vc_row:not(.vc_inner)').data('vc-full-width') && $this.parents('.vc_row:not(.vc_inner)').data('vc-stretch-content')) {
                    $this.parents(".vc_row:not(.vc_inner)").addClass('fullwidth');
                    var $portfolio_fullwidth = true;
                    // If Fullwidth Padding right and left Must be 0
                    $this.parents('.fullwidth').find('.vc_col-sm-12').css({
                        'padding-right': '0px',
                        'padding-left': '0px',
                    });

                }
                if ($this.parents('.elementor-section-stretched').length) {
                    $this.parents('.elementor-section-stretched').addClass('fullwidth');
                    var $portfolio_fullwidth = true;
                    $this.parents('.fullwidth').css({
                        'padding-right': '0px',
                        'padding-left': '0px',
                        'margin-left': '0px',
                    });
                }
                var $uniqueId = parseInt($(this).closest('.portfoliosection').attr('data-id')),
                    $portfolioID = '#portfolio_'.concat($uniqueId),
                    isotopeItem = $('.isotope-item');

                //Portfolio Style
                var $portfoliostyle = $this.parents('.portfoliosection').attr('data-portfolio-type'),
                    $portfolioLayout = $this.parents('.portfoliosection').attr('data-layout-style');

                // Remove margins
                isotopeItem.css({
                    'margin-left': 0,
                    'margin-right': 0
                });

                // Sets column number depending on window width  
                var setColNum = function () {
                    var columnNum = 1;

                    if ($portfolio_fullwidth == true) {

                        if (self.windowWidth > 1360) {
                            columnNum = 6; // portfolio Fullwidth - 6 col
                        } else if (self.windowWidth > 999) {
                            columnNum = 4;
                        } else {
                            columnNum = 2;
                        }

                    } else {

                        if (self.windowWidth > 1200) {
                            columnNum = 4;// portfolio in Container - 4 col
                        } else if (self.windowWidth > 999) {
                            columnNum = 4;
                        } else {
                            columnNum = 2;
                        }
                    }

                    return columnNum;
                }

                var getColWidthValue;

                // Gets column number and divides to get column width 
                var getColWidth = function () {

                    if ($portfolio_fullwidth == true) { //fullwidth

                        var $device_width = self.$window.width();

                        if (self.$body.hasClass('vertical_menu_enabled') && self.windowWidth > 1140) {
                            $device_width = $device_width - 255;
                        }

                    } else {
                        if ($this.parents('.vc_tta-panel-body').length > 0)// in tab
                        {
                            var $device_width = $this.parents('.vc_tta-panel-body').width()
                        }
                        else// in Container
                        {
                            var $device_width = $this.parents('.container').width();
                        }
                    }

                    // body width based on horizonal scroolbar Enable or Disable .
                    if (self.$body.height() > self.windowHeight) {
                        var w = $device_width;
                    } else {
                        if (self.windowWidth > 1140) {

                            var w = $device_width;

                        } else {
                            var w = $device_width;
                        }
                    }

                    if ($portfoliostyle == 'portfolio_space' || $portfoliostyle == 'portfolio_text') {

                        if ($($this.parents('.fullwidth')).length) {
                            w = w - 13;
                        }

                    }

                    var columnNum = setColNum(),
                        colWidth = Math.floor(w / columnNum);

                    return colWidth;
                }

                getColWidthValue = getColWidth();

                // Run isotope plugin
                var callIsotope = function () {
                    var colWidth = getColWidthValue;

                    // text portfolio 
                    var $textPortfolioMetaHeight = 0,
                        $portfoliostyle = $this.parents('.portfoliosection').attr('data-portfolio-type'),
                        $portfolioLayout = $this.parents('.portfoliosection').attr('data-layout-style');

                    if ($portfoliostyle == 'portfolio_text') {
                        //Item meta Height ( For text Portfolio )
                        $textPortfolioMetaHeight = 77;

                        $textPortfolioMetaHeight = $textPortfolioMetaHeight + colWidth / 2;  //( colWidth / 2  ) set for perfect mesonry to remove white space and increase Accuracy 
                    }

                    if ($this.parents('.vc_tta-panel').length) {
                        if (!($this.parents('.vc_tta-panel.vc_active').length)) {
                            return;
                        }
                    }

                    if (self.windowWidth >= 768 && $portfolioLayout != 'masonry') {

                        $this.isotope({
                            itemSelector: '.isotope-item',
                            layoutMode: 'fitRows', // perfectMasonry used before
                            // perfectMasonry: {
                            //     layout: 'vertical',
                            //     columnWidth: colWidth,
                            //     gutterWidth: 20,
                            //     rowHeight: (colWidth / 2) + $textPortfolioMetaHeight, //row height set for perfect mesonry to remove white space and ( / 2 ) is for increase Accuracy 
                            // },
                        });
                    }
                    else {
                        $this.isotope({
                            itemSelector: '.isotope-item',
                            layoutMode: 'masonry',
                        });
                    }


                    // call isotope animation ( defualt and custom mode )
                    self.isotopeAnimation($this);

                }

                // Sets dynamic size of isotope brick 
                var setBrickSize = function ($isotopeItem) {
                    var colWidth = getColWidthValue;
                    var gutterpadding = 0;

                    if ($portfoliostyle == 'portfolio_space' || $portfoliostyle == 'portfolio_text') {

                        // Padding For Space Portfolio
                        gutterpadding = 15;

                    }
                    var $textPortfolioMetaHeight = 0;
                    if ($portfoliostyle == 'portfolio_text')
                        $textPortfolioMetaHeight = 77;

                    var columnNum = setColNum();
                    // Set width of each brick
                    $this.find('.isotope-item').each(function () {
                        var $brick = $(this),
                            $brickphoto = $brick.find('.postphoto');

                        if ($portfolioLayout == 'masonry') {
                            $brickphoto.css({
                                'width': (colWidth - gutterpadding) + 'px'
                            });
                        }
                        else {
                            if ($brick.hasClass('big')) {
                                if (self.windowWidth > 979) {
                                    $brickphoto.css({
                                        'width': ((colWidth * 2) - gutterpadding) + 'px',
                                        'height': ((colWidth * 2) - gutterpadding + $textPortfolioMetaHeight) + 'px'
                                    });
                                }
                                else if (self.windowWidth >= 768) {
                                    $brickphoto.css({
                                        'width': (colWidth - gutterpadding) + 'px',
                                        'height': (colWidth - gutterpadding) + 'px'
                                    });

                                }
                                else {
                                    $brickphoto.css({
                                        'width': ((colWidth * 2) - gutterpadding) + 'px',
                                        'height': ((colWidth * 2) - gutterpadding) + 'px'
                                    });
                                }

                            }
                            else if ($brick.hasClass('wide')) {
                                //recalculate height of wide items(height should be 1/4 in desktop(big and small screen desktops) or 1/2 in responsive)
                                //The fallowing code convert 1/6 to 1/4 or 1/2
                                var factor = 4;

                                if (self.windowWidth <= 999) {
                                    factor = 2;
                                }

                                $brickphoto.css({
                                    'width': ((colWidth * columnNum) - gutterpadding) + 'px',
                                    'height': (((colWidth * columnNum) / factor) - gutterpadding) + 'px'
                                });

                            } else if ($brick.hasClass('slim')) {

                                if (self.windowWidth > 979) {

                                    $brickphoto.css({
                                        'width': (colWidth - gutterpadding) + 'px',
                                        'height': (((colWidth) * 2) - gutterpadding + $textPortfolioMetaHeight) + 'px'
                                    });

                                }
                                else if (self.windowWidth >= 768) {
                                    $brickphoto.css({
                                        'width': (colWidth - gutterpadding) + 'px',
                                        'height': (((colWidth) * 2) - gutterpadding + $textPortfolioMetaHeight) + 'px'
                                    });
                                }
                                else {

                                    $brickphoto.css({
                                        'width': ((colWidth * 2) - gutterpadding) + 'px',
                                        'height': (((colWidth) * 3) - gutterpadding) + 'px'
                                    });

                                }

                            } else if ($brick.hasClass('hslim')) {

                                $brickphoto.css({
                                    'width': ((colWidth * 2) - gutterpadding) + 'px',
                                    'height': ((colWidth) - gutterpadding) + 'px'
                                });

                            } else {

                                if (self.windowWidth >= 768) {

                                    $brickphoto.css({
                                        'width': (colWidth - gutterpadding) + 'px',
                                        'height': ((colWidth) - gutterpadding) + 'px'
                                    });

                                } else {

                                    $brickphoto.css({
                                        'width': ((colWidth * 2) - gutterpadding) + 'px',
                                        'height': (((colWidth * 2) - gutterpadding)) + 'px',
                                    });

                                }

                            }
                        }
                    });
                }

                // Call isotope functions in correct order
                var runIsotope = function () {

                    setBrickSize($this.find('.isotope-item'));
                    callIsotope();

                }

                // Run Isotope on load
                runIsotope();

                if ($firstTimeLoad === true) { // This Part Of Code Obnly Load When Page Load not In Resizeing and Resize id 0 for first load

                    //portfolio Filter
                    if (self.windowWidth > 979) { // if Desktop
                        var $pFilterItem = $portfolioID.concat(' .filters .filter_item');
                    } else {
                        var $pFilterItem = $portfolioID.concat(' .filterstablet .filter_item');
                    }


                    var $pThis = $portfolioID.concat(' .isotope');

                    var $pFilterToggle = $portfolioID.concat(' .filtertoggle');
                    var $pFilter = $portfolioID.concat(' .filters');
                    var i = 0;

                    $($pFilterToggle).click(function () {
                        $(this).toggleClass('closed');
                        $($pFilter).removeClass('toggleclicked').addClass('toggleclicked');
                        $($pFilter).toggleClass('opentoggle');
                        i++;

                    });

                    $($pFilterItem).click(function (e) {
                        e.preventDefault();
                        $($pFilter).removeClass('toggleclicked');

                        var $pFilterText = $portfolioID.concat(' .portfolio-filter span.text');
                        $($pFilterItem).removeClass("active");

                        var $selector = $(this).attr('data-filter');

                        $($pFilterItem).each(function () {
                            var $filterselect = $(this).attr('data-filter');
                            if ($filterselect == $selector) {
                                $(this).addClass("active");
                            }
                        });

                        if ($this.hasClass('fadeinfrombottom') || $this.hasClass('fadeinfromtop') || $this.hasClass('fadeinfromright') || $this.hasClass('fadeinfromleft') || $this.hasClass('zoomin')) {

                            $this.find('.postphoto').addClass('categoryreload');
                            $this.find('.portfolio_text_meta ').removeClass('textvisiblity');

                            if ($this.hasClass('slideIn')) {
                                $this.find('.postphoto').css({ 'transform': 'scale(.4)', 'transition-delay': '0s' });
                            }

                            $this.find('.postphoto').removeClass('isanimated');
                            $this.find('.postphoto').removeClass('isEaseInAnimated');
                            $this.find('.postphoto').removeClass('isZoomInAnimated')

                            setTimeout(function () {

                                $this.isotope({ filter: $selector }, function () {

                                    if ($this.hasClass('slideIn')) {
                                        $this.find('.postphoto').css({ 'transform': 'translate3d(0,100px,0)', 'transition-delay': '0s' });
                                    }

                                    $this.find('.postphoto').removeClass('categoryreload');

                                    self.isotopeAnimation($this);

                                });

                            }, 300);

                        } else {

                            $this.isotope({ filter: $selector });

                        }

                        $($pFilterText).html($(this).html());

                        self.parallaxImg();
                        return false;

                    });
                }

            });


            // filter drop down in responsive Device
            $('.filterstablet').click(function (e) {
                $(this).toggleClass('responsive_filter_dropdown');
            });

            $('.filterstablet .cat-item').click(function (e) {
                $('.filterstablet').toggleClass('responsive_filter_dropdown');
            });

            // close tablet filter drop down in all elements except '.filterstablet'
            $('body').click(function (e) {
                if ($(e.target).is('ul.filterstablet, ul.filterstablet *')) {
                    return;
                }

                $('.filterstablet').addClass('responsive_filter_dropdown');
            });


        },

        /*-----------------------------------------------------------------------------------*/
        /*  initialize portfolio functions
        /*-----------------------------------------------------------------------------------*/

        portfolioDHashChange: function () {
            var self = this;

            self.$window.bind('hashchange', function () {
                self.pDInitialize();
                self.pageRefresh = false;

            });
        },

        pDInitialize: function () {
            var self = this,
                root = '#!portfolio-detail/',
                rootLength = root.length,
                hash = $(window.location).attr('hash'),
                portfolioGrid = $('#isotopePortfolio');

            if (hash.substr(0, rootLength) != root)
                return;

            self.projectContainer = $('#portfoliodetailajax');

            if (!self.projectContainer.length)
                return;

            var loader = $('.portfoliosection #loader');
            self.pderror = $('#pderror');
            self.pDetailNav = $('.navwrap');

            hash = $(window.location).attr('hash');
            var href = location.href.replace(location.hash, "");


            if (hash.substr(0, rootLength) != root) {

                return;

            } else {

                hash = $(window.location).attr('hash');
                var url = hash.replace(/[#\!]/g, '');

                portfolioGrid.find('.ajaxpdetail .isotope-item.current').removeClass('current');

                // if Url has Portfolio Detail Address
                if (self.pageRefresh == true && hash.substr(0, rootLength) == root) {

                    $('html,body').stop().animate(
                        { scrollTop: (self.projectContainer.offset().top) + 'px' },
                        800,
                        'easeOutExpo',
                        function () {
                            self.loadPortfolioDetail(url, href);
                            self.pDetailNav.fadeOut('100');
                        }
                    );

                    // open Portfolio Detail When Click On Portfolio Items or trough portfolio navigation
                } else if (self.pageRefresh == false && hash.substr(0, rootLength) == root) {

                    $('html,body').stop().animate(
                        { scrollTop: (self.projectContainer.offset().top) + 'px' },
                        800,
                        'easeOutExpo',
                        function () {
                            if (self.content == false) {
                                self.loadPortfolioDetail(url, href);
                            } else {
                                self.projectContainer.animate({ opacity: 0, height: self.wrapperHeight }, function () {
                                    self.loadPortfolioDetail(url, href);
                                });
                            }
                            self.pDetailNav.fadeOut('100');
                        }
                    );

                }


                // ADD ACTIVE CLASS TO CURRENTLY CLICKED PROJECT 
                portfolioGrid.find('.ajaxpdetail .isotope-item a[href$="' + hash + '"]').parents('.isotope-item').addClass('current');

            }

        },

        // load portfolio detail 
        loadPortfolioDetail: function (url, href) {
            var self = this,
                loader = $('.portfoliosection #loader');

            if ($('#portfoliodetailajax').height() < 500) {

                self.projectContainer.animate(
                    { height: '500px' },
                    {
                        queue: false,
                        duration: 250
                    }
                );
            }

            loader.css("top", (self.windowHeight / 2) + "px").fadeIn();

            url = url.replace("portfolio-detail/", "");
            url = kite_theme_vars.url + '?portfolio=' + url + '&inner=1 #portfolisingle';

            if (!self.ajaxLoading) {
                self.ajaxLoading = true;
                self.projectContainer.load(url, function (xhr, statusText, request) {
                    if (statusText == "success") {

                        self.ajaxLoading = false;
                        self.pderror.hide();
                        $('#portfolisingle').waitForImages(function () {
                            self.pdswiper();// Call swiper Slider
                            self.hideLoader();
                            self.Social_link();
                            self.homeHeight();

                        });

                        self.fitVideo();

                        //shortcodes
                        self.kite_shortcode(false);
                        self.shortcodeanimation();
                        self.social_share_pop_up();

                    }

                    if (statusText == "error") {

                        self.pderror.show();
                        self.hideLoader();

                    }

                });

            }
        },

        portfolioDetailNavigationLoading: function () {
            var self = this;

            if (!self.$body.hasClass('single-portfolio'))
                return;

            if (typeof (window.sessionStorage) !== "undefined") {
                self.$skills = window.sessionStorage.getItem('skills');
                self.$portfolioBackLink = window.sessionStorage.getItem('portfolioBackLink');
                self.$portfolioID = window.sessionStorage.getItem('pid');
            }

            //use default database order to get next/prev item when there is no needed information of current portfolio
            if (self.$skills == undefined) {

                self.$skills = 'all';
                self.$portfolioBackLink = undefined;
                self.$portfolioID = self.$body.data('pageid');
            }

            if (self.$portfolioBackLink == undefined) {
                self.$portfolioBackLink = kite_theme_vars.home_url;
            }

            var requestActionName = 'load_pd_navigation';

            if (self.$body.find('.portfolio_detail_creative').length > 0) {
                requestActionName = 'load_cpd_navigation';
            }

            $.ajax({
                url: kite_theme_vars.ajax_url,
                data: {
                    'action': requestActionName,
                    'pid': self.$portfolioID,
                    'skill_ids': self.$skills,
                    'back_url': self.$portfolioBackLink,
                    'security': kite_theme_vars.nonce
                },
                async: false,
                success: function (data) {

                    self.$body.find('#pdnavigation').css('display', 'block').html(data);
                    self.$body.find('.home').addClass('hide-home');
                    self.portfolio_next_prev();

                }
            });

        },

        hideLoader: function () {
            var self = this,
                loader = $('.portfoliosection #loader');

            loader.delay(400).fadeOut('fast', function () {
                self.showProject();
            });
        },


        showProject: function () {
            var self = this,
                portfolioGrid = $('#isotopePortfolio');

            if (self.content == false) {

                //load  portfolio detail by click on portfolio items
                self.wrapperHeight = self.projectContainer.children('#portfolisingle').outerHeight() + 'px';
                self.projectContainer.animate({ opacity: 1, height: self.wrapperHeight }, function () {

                    var scrollPostition = $('html,body').scrollTop();
                    self.pDetailNav.fadeIn(400);
                    self.content = true;

                    self.parallaxImg();

                });

            } else {
                //load next and prev portfolio detail by Click navigation 
                self.wrapperHeight = self.projectContainer.children('#portfolisingle').outerHeight() + 'px';
                self.projectContainer.animate({ opacity: 1, height: self.wrapperHeight }, function () {

                    var scrollPostition = $('html,body').scrollTop();
                    self.pDetailNav.fadeIn(400);

                    self.parallaxImg();

                });
            }


            var portfolioIndex = portfolioGrid.find('.ajaxpdetail .isotope-item.current').index();
            var portfolioLength = $('.ajaxpdetail .isotope-item').length - 1;


            if (portfolioIndex == portfolioLength) {

                $('.pdnavigation .next').css('display', 'none');
                $('.pdnavigation .previous').css('display', 'block');

            } else if (portfolioIndex == 0) {

                $('.pdnavigation .previous').css('display', 'none');
                $('.pdnavigation .next').css('display', 'block');

            } else {

                $('.pdnavigation .next,.pdnavigation .previous').css('display', 'block');

            }


            //showing the title
            $('.pdheader-title').addClass('bg-animated active');

        },

        deletePortfolioDetail: function () {
            var self = this,
                portfolioGrid = $('#isotopePortfolio');

            self.projectContainer.animate(
                { height: '0px' },
                {
                    queue: false,
                    duration: 1000,
                    complete: function () {
                        self.projectContainer.empty();
                        self.parallaxImg();// reset parallax image positions
                    }
                }
            );

            self.projectContainer.animate(
                { opacity: 0 },
                {
                    queue: false,
                    duration: 600
                }
            );

            self.pDetailNav.fadeOut(600);
            self.parallaxImg();

            location = '#_'; // remove URL hash 
            portfolioGrid.find('.ajaxpdetail .isotope-item.current').removeClass('current');

        },

        // linking to Next Portfolio Detail 
        pdnavigationNext: function () {
            var self = this,
                portfolioGrid = $('#isotopePortfolio');

            $('.pdnavigation .next').click(function (e) {

                var current = portfolioGrid.find('.ajaxpdetail .isotope-item.current');
                var next = current.next('.ajaxpdetail .isotope-item');
                var target = $(next).find('a.overlay').attr('href');
                $(this).attr('href', target);

                location = target;

                if (next.length === 0) {
                    return false;
                }

                current.removeClass('current');
                next.addClass('current');

            });

        },

        // Social links 
        Social_link: function () {
            if ($('.woocommercepage').length == 0 && $('.social_share_toggle').parents('div.product').length == 0) {
                $('.social_share_toggle').find('.social_links_list').addClass('opentoggle');
            }
        },

        // linking to previous Portfolio Detail 
        pdnavigationPrevious: function () {
            var self = this,
                portfolioGrid = $('#isotopePortfolio');

            $('.pdnavigation .previous').click(function (e) {
                var current = portfolioGrid.find('.ajaxpdetail .isotope-item.current');
                var prev = current.prev('.ajaxpdetail .isotope-item');
                var target = $(prev).find('a.overlay').attr('href');
                $(this).attr('href', target);

                location = target;

                if (prev.length === 0) {
                    return false;
                }

                current.removeClass('current');
                prev.addClass('current');

                e.preventDefault();

            });

        },

        // Closing the Portfolio detail 
        pDCloseProject: function () {
            var self = this,
                loader = $('.portfoliosection #loader');
            $('#Pdcloseportfolio').click(function (e) {
                self.deletePortfolioDetail();
                loader.fadeOut();
                e.preventDefault();
            });

        },

        /*-----------------------------------------------------------------------------------*/
        /*  Portfolio Load More Function 
        /*-----------------------------------------------------------------------------------*/

        portfolioLoadMore: function () {

            var self = this;

            var $index = 0;
            var $nextPageIndex = []; // array for save for each portfolio index
            var $maxPPgae = [];// array for save maximum pages For each portfolio sextions
            if ( ! $('.portfoliosection').length ) return;
            $('.portfoliosection').each(function () {

                $(this).attr('data-index', $index);
                var $portfolioId = $(this).attr('data-value'),
                    $uniqueId = $(this).attr('data-id'),
                    $ploadmore = '.ploadmore_'.concat($uniqueId),
                    $ploadmoreBtnWrap = $(this).find($ploadmore),
                    $startPage = $(this).attr('data-startPage'),
                    $maxPages = $(this).attr('data-maxPages'),
                    $nextLink = $(this).attr('data-nextLink');

                if ($ploadmoreBtnWrap.length < 1)
                    return;

                var startPage = parseInt($startPage);
                $nextPageIndex[$index] = startPage + 1;

                $maxPPgae[$index] = parseInt($maxPages);

                var isLoading = false;

                var $ploadmoreBtn = $ploadmoreBtnWrap.find('.loadmore');

                if (parseInt($maxPPgae[$index].toString()) < 2) {

                    $ploadmoreBtnWrap.fadeOut('fast');

                    return;
                };

                //Active loadmore button 
                $ploadmoreBtn.removeClass('loadingactive').addClass('loadmoreactive');


                if (parseInt($nextPageIndex[$index].toString()) > parseInt($maxPPgae[$index].toString())) {
                    $ploadmoreBtn.closest('.ploadmore').fadeOut('fast');
                }

                var resTimer = 0;

                $ploadmoreBtn.click(function () {

                    var $dataIndex = parseInt($(this).closest('.portfoliosection').attr('data-index'));

                    if (parseInt($nextPageIndex[$dataIndex].toString()) > parseInt($maxPPgae[$dataIndex].toString()) || isLoading)
                        return;

                    isLoading = true;
                    $uniqueId = $(this).attr('data-id');
                    var $portfolioLoop = '#pLoop_'.concat($uniqueId);
                    var $pagedNum = 'paged_'.concat($uniqueId);
                    var $pItemsWrap = $portfolioLoop;

                    //active loading state
                    $ploadmoreBtn.removeClass('loadmoreactive').addClass('loadingactive');

                    var $pageContainer = $('<div class="loadItemsWrap"></div>');

                    $nextLink = $nextLink.replace(/\/page\/[0-9]+/, '/?' + $pagedNum + '=' + parseInt($nextPageIndex[$dataIndex].toString()));
                    $nextLink = $nextLink.replace(/paged=[0-9]+/, $pagedNum + '=' + parseInt($nextPageIndex[$dataIndex].toString()));
                    $nextLink = $nextLink.replace(/paged_[0-9]+=[0-9]+/, $pagedNum + '=' + parseInt($nextPageIndex[$dataIndex].toString()));

                    $pageContainer.load($nextLink + ' ' + $portfolioLoop + ' .isotope-item', function () {

                        // remove loadItemsWrap div From Loaded items 
                        $pageContainer = $pageContainer.find('.isotope-item').unwrap();

                        //Insert the posts container before the load more button
                        $pageContainer.appendTo($pItemsWrap);

                        // Update page number and nextLink.
                        $nextPageIndex[$dataIndex]++;

                        if (/\/page\/[0-9]+/.test($nextLink))
                            $nextLink = $nextLink.replace(/\/page\/[0-9]+/, '/page/' + parseInt($nextPageIndex[$dataIndex].toString()));
                        else {

                            var str1 = $pagedNum.concat('=[0-9]+');
                            var re = new RegExp(str1);

                            $nextLink = $nextLink.replace(re, $pagedNum + '=' + parseInt($nextPageIndex[$dataIndex].toString()));

                        }
                        if (parseInt($nextPageIndex[$dataIndex].toString()) <= parseInt($maxPPgae[$dataIndex].toString()))
                            $ploadmoreBtn.removeClass('loadingactive').addClass('loadmoreactive');
                        else if (parseInt($nextPageIndex[$dataIndex].toString()) > parseInt($maxPPgae[$dataIndex].toString())) {
                            $ploadmoreBtn.closest('.ploadmore').fadeOut('fast');
                        }

                        isLoading = false;

                        var $items = $($pItemsWrap).find('.isotope-item');
                        var $container = $($pItemsWrap).closest('.isotope');

                        $container.isotope('appended', $items, function () {
                            $container.isotope('reLayout');
                        });

                        var $pIsotopeContainer = '#portfolio_'.concat($uniqueId).concat(' .isotope');
                        self.portfolioIsotope($pIsotopeContainer);
                        self.parallaxImg(); // reset parallax image positions
                        self.portfolioSlider();//feature image slider
                        self.social_share_pop_up();
                        self.lazyLoadOnLoad($container);
                        //Destroy previous gallery then re-run it
                        self.$document.find(".kt_lightgallery").each(function () {
                            $(this).data('lightGallery').destroy(true);
                        });

                        self.galleryStart();

                    });
                });

                $index++;

            });
        },

        /*----------------------------------------------------------------------------------*/
        /*  portfolio / Gallery / instagram animation 
        /*-----------------------------------------------------------------------------------*/

        animationDelay: function (counter, $selector) {
            var base_delay = 0.2;
            return base_delay * counter;
        },

        setAnimationForItems: function ($container, $items, $item, $delay) {
            //Select one of available animations
            if ($container.hasClass('fadeinfrombottom') || $container.hasClass('fadein') || $container.hasClass('fadeinfromtop') || $container.hasClass('fadeinfromright') || $container.hasClass('fadeinfromleft')) {
                $container.find('ul li, .instagramfeed .instagram-img').addClass('isEaseInAnimated');
                $item.addClass('isanimated');
                $item.css({ 'transition-delay': $delay + 's' });
            } else if ($container.hasClass('zoomin')) {
                $container.find('.postphoto').addClass('isZoomInAnimated');
                $item.addClass('isanimated');
                $item.css({ 'transition-delay': $delay + 's' });
            } else if ($container.hasClass('default')) {
                $container.find('.postphoto').addClass('isDefault');
                $item.addClass('isanimated');
            }
        },

        // Gallery / portfolio animation / cart blog 
        isotopeAnimation: function ($container) {
            var self = this,
                $this = $container,
                counter = 0,
                $selector;

            if ((self.isMobile || self.isTablet) && $container.hasClass('no-responsive-animation'))
                return;

            $container.find('.isotope-item').not('.isotope-hidden').find('.postphoto,.blog_item').not('.isanimated').waypoint({
                handler: function () {
                    var $this = $(this.element);
                    $this.each(function () {
                        var $item = $(this);
                        setTimeout(function () {
                            //Ask self.animationDelay() for the amount of delay per each item
                            var delay = self.animationDelay(counter, $item);

                            // Select all items
                            var $allItems = $container.find('.postphoto');

                            //Select one of available animations
                            self.setAnimationForItems($container, $allItems, $item, delay);


                            //check to see if gallery or portfolio is of type portfolio_text
                            $item.siblings('.portfolio_text_meta').css({ 'transition-delay': delay + 's' });
                            setTimeout(function () {
                                $item.siblings('.portfolio_text_meta').addClass('textvisiblity');
                            }, 500)

                            //Reset counter per each iteration.
                            counter = counter + 1;

                        }, 50);
                        counter = 0;
                    });
                    this.destroy();
                },
                offset: '95%'
            });
        },

        /* Instagram animation  */
        instagramAnimation: function () {
            var self = this;

            if ( ! $('#main .instagram-feed').length ) return;
            var instagramAnimationBase = function ($container) {
                var $selector,
                    counter = 0;

                if ($container.find('.instagramfeed').hasClass('instagram-carousel')) { // Selector for carousel mode 
                    $selector = '.swiper-slide-visible:not(.isanimated)';
                } else { // selector for grid mode 
                    $selector = '.instagramfeed .instagram-img:not(.isanimated)';
                }
                $container.find($selector).waypoint({
                    handler: function () {
                        var $this = $(this.element);

                        $this.each(function () {
                            var $item = $(this);
                            setTimeout(function () {

                                //Ask self.animationDelay() for the amount of delay per each item
                                var delay = self.animationDelay(counter, $item);

                                // Select all items 
                                var $allItems = $container.find('.instagramfeed .instagram-img');

                                //Select one of available animations
                                self.setAnimationForItems($container, $allItems, $item, delay);

                                //Reset counter per each iteration.
                                counter = counter + 1;

                            }, 50);
                            counter = 0;
                        });
                        this.destroy();
                    },
                    offset: '95%'
                });
            }

            $('#main .instagram-feed').each(function () {

                var $container = $(this),
                    counter = 0;

                if ((self.isMobile || self.isTablet) && $container.hasClass('no-responsive-animation'))
                    return true;

                instagramAnimationBase($container);

            });

            //Remove class of animation because there is no need for animation in toggle-sidebar
            $('.togglesidebar .instagram-feed').removeClass('fadein fadeinfrombottom fadeinfromtop fadeinfromright fadeinfromleft zoomin');
        },

        //  products and Carousel ( image carousel , Instagram carousel , Products carousel )
        showAnimation: function ($container, $carousel) {

            var self = this,
                counter = 0,
                $carouselItem,
                $duplicateSlider;

            var showAnimationBase = function (that) {
                $(that).each(function () {
                    var $delay;
                    setTimeout(function () {
                        //Ask self.animationDelay() for the amount of delay per each item
                        //Select one of available animations
                        if ($container.hasClass('fadeinfrombottom') || $container.hasClass('fadeinfromtop') || $container.hasClass('fadeinfromright') || $container.hasClass('fadeinfromleft')) {

                            $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('isEaseInAnimated'); // Find .productWrap For Shop widge , Use Swiper-slide for image carousel
                            $(that).addClass('isanimated');

                            $delay = 0.3 * counter;
                            $(that).css({ 'transition-delay': $delay + 's' });

                        } else if ($container.hasClass('zoomin')) {
                            $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('isZoomInAnimated');
                            $(that).addClass('isanimated');

                            $delay = 0.2 * counter;
                            $(that).css({ 'transition-delay': $delay + 's' });

                        } else {
                            $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('fadein');
                            $(that).addClass('isanimated');

                            $delay = 0.2 * counter;
                            $(that).css({ 'transition-delay': $delay + 's' });

                        }

                        //Reset counter per each iteration.
                        counter = counter + 1;

                    }, 50);

                    counter = 0;

                });
            }

            //Set animation for duplicate slides seperatly to do not consider in animation delays
            var setAnimationBaseForDuplicatSlides = function ($that) {
                $that.css({ 'transition-delay': '0s' });
                $that.addClass('isanimated');

                if ($container.hasClass('fadeinfrombottom') || $container.hasClass('fadeinfromtop') || $container.hasClass('fadeinfromright') || $container.hasClass('fadeinfromleft')) {
                    $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('isEaseInAnimated'); // Find .productWrap For Shop widge , Use Swiper-slide for image carousel
                } else if ($container.hasClass('zoomin')) {
                    $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('isZoomInAnimated');
                } else {
                    $container.find('.productwrap , .swiper-slide,.product_category_container').addClass('fadein');
                }
            }

            if ((self.isMobile || self.isTablet) && $container.hasClass('no-responsive-animation'))
                return true;


            if ($carousel == 1) { //this code For carousel

                $carouselItem = $container.find('div.product');

                if (!$carouselItem.hasClass('swiper-slide-visible')) {
                    return 0;
                }


                $container.find('.swiper-slide-visible .productwrap:not(.isanimated), .swiper-slide-visible .product_category_container:not(.isanimated)').waypoint({
                    handler: function () {
                        var $item = $(this.element);


                        $duplicateSlider = $item.closest('div.product').siblings('div.product[data-swiper-slide-index="' + $item.closest('div.product').data("swiper-slide-index") + '"]').find('.productwrap, .product_category_container')
                        $container = $item.parents('.woocommerce.wc-shortcode');

                        //load animation on slide and its duplicate slide
                        showAnimationBase($item);
                        setAnimationBaseForDuplicatSlides($duplicateSlider);
                        this.destroy();
                    },
                    offset: '95%'
                });



            } else if ($carousel == 2) { // For Image Carousel 

                $carouselItem = $container.find('div.swiper-slide');

                if (!$carouselItem.hasClass('swiper-slide-visible')) {
                    return 0;
                }

                if ($container.hasClass('has-animation')) {

                    $container.find('.swiper-slide-visible:not(.isanimated)').waypoint({
                        handler: function () {
                            var $item = $(this.element);

                            $duplicateSlider = $item.siblings('div[data-swiper-slide-index="' + $item.data("swiper-slide-index") + '"]')

                            $container = $item.parents('.carousel');

                            //load animation on slide and its duplicate slide
                            showAnimationBase($item);
                            setAnimationBaseForDuplicatSlides($duplicateSlider);
                            this.destroy();
                        },
                        offset: '95%'
                    });

                }

            } else if ($carousel == 3) { // For Instagram Carousel 

                $carouselItem = $container.find('div.insta-media');

                if (!$carouselItem.hasClass('swiper-slide-visible')) {
                    return 0;
                }

                if ($container.hasClass('has-animation')) {
                    var $notAnimatedSlide = $container.find('.swiper-slide-visible:not(.isanimated)');

                    $notAnimatedSlide.waypoint({
                        handler: function () {
                            var $item = $(this.element);

                            $duplicateSlider = $item.siblings('div[data-swiper-slide-index="' + $item.data("swiper-slide-index") + '"]');
                            $container = $item.parents('.carousel');
                            //load animation on slide and its duplicate slide
                            showAnimationBase($item);
                            setAnimationBaseForDuplicatSlides($duplicateSlider);
                            this.destroy();
                        },
                        offset: '95%'
                    });

                }

            } else { //this code For gird ( no Carousel)
                if (!$container.hasClass('main-shop-loop')) {
                    $container = $container.closest('.woocommerce.wc-shortcode');
                }

                if (!$container.hasClass('default')) { // default = No animation for Product Grid

                    $container.find('.productwrap:not(.isanimated),.product_category_container:not(.isanimated)').waypoint({
                        handler: function () {
                            var $item = $(this.element);
                            showAnimationBase($item);
                            this.destroy();
                        },
                        offset: '95%'
                    });

                }

            }
        },

        /*----------------------------------------------------------------------------------*/
        /*  Lazy loading images 
        /*-----------------------------------------------------------------------------------*/

        lazyLoadOnLoad: function (that) {

            let $thatContainers = typeof that == 'string' ? document.querySelectorAll(that) : that.get();

            var lazy_load_callback = (entries) => {
                entries.forEach( entry => {
                    if ( entry.isIntersecting ) {
                        let $this = entry.target;
                        if (!$this.classList.contains('lazy-loaded') && !$this.classList.contains('is-loading')) {
                            $this.classList.add('is-loading');
                            var $img, src;
    
                            if ($this.classList.contains('bg-lazy-load')) {
                                src = $this.dataset.src;
    
                            } else if ( $this.matches('img') ) {
                                $img = $this;
                                src = $img.dataset.src;
                            } else {
                                $img = $this.querySelector('img');
                                src = $img.dataset.src;
                            }
    
                            var img = new Image();
    
                            img.onload = function () {
                                if ($this.classList.contains('bg-lazy-load')) {
                                    $this.style.backgroundImage = 'url(' + src + ')';
                                    $this.removeAttribute('data-src');
                                } else {
                                    $img.src = src;
                                    $img.removeAttribute('data-src');
                                }
    
                                setTimeout(function () {
                                    $this.classList.add('lazy-loaded');
                                }, 100);
                            }
                            img.src = src;
                        }
                    }
                })
            }

            let options = {
                root: null,
                rootMargin: '0px',
                threshold: 0
            }

            $thatContainers.forEach( $container => {
                let $lazyLoadCntainers = $container.querySelectorAll('.lazy-load-on-load');
                if ($lazyLoadCntainers.length > 0) {

                    let observer = new IntersectionObserver( lazy_load_callback, options);
                    $lazyLoadCntainers.forEach( $lazyLoadElement => {
                        observer.observe( $lazyLoadElement );
                    })
                }  
            })
        },

        lazyLoadOnHover: function ( $scope = '') {
            var self = this;

            if (self.isTouchDevice)
                return;
            if ( $scope == '' ) {
                var $items = $('.lazy-load-hover-container');
            } else {
                var $items = $scope.find('.lazy-load-hover-container');
            }

            $items.on('mouseenter', function () {
                var $this = $(this).find('.lazy-load-hover');
                if ($this.length > 0) {
                    if (!$this.hasClass('lazy-loaded') && !$this.hasClass('is-loading')) {
                        $this.addClass('is-loading');
                        $this.closest('.lazy-load-hover-container').addClass('is-loading');

                        var $img, src;

                        if ($this.hasClass('bg-lazy-load')) {
                            src = $this.data('src');
                        }
                        else {
                            $img = $this.find('img');
                            src = $img.data('src');
                        }

                        var img = new Image();

                        img.onload = function () {
                            if ($this.hasClass('bg-lazy-load'))
                                $this.css('background', 'url(' + src + ')').removeAttr('data-src', '');
                            else
                                $img.attr('src', src).removeAttr('data-src', '');

                            $this.closest('.lazy-load-hover-container').removeClass('is-loading');

                            setTimeout(function () {
                                $this.addClass('lazy-loaded');
                            }, 100);
                        }

                        img.src = src;
                    }
                }
            })
        },

        abortImageLoading: function () {
            $('.lazy-load.is-loading:not(.lazy-loaded) img').attr('src', '');
        },

        /*----------------------------------------------------------------------------------*/
        /*  products isotope  
        /*-----------------------------------------------------------------------------------*/

        runIsotopeInProducts: function ($mainContainer) {
            var self = this;
            // Gets column number and divides to get column width 
            var getColWidthProduct = function ($container) {
                var setContainereWidth = true,
                    device_width;
                // Check Shop is FullWidth Or not
                if ($container.hasClass('fullwidthshop')) {
                    var $product_fullwidth = true;
                }

                if ($product_fullwidth == true) { //fullwidth

                    if ($container.parents('.wc-ajax-content').length > 0)// in main shop page
                    {
                        device_width = $container.parents('.wc-ajax-content').width();
                    }

                } else {  // in Container
                    if ($container.parents('.vc_tta-panel-body').length > 0)// in tab
                    {
                        device_width = $container.find('.woocommerce').width()
                    }
                    else// in Container
                    {
                        if ($container.parents('.wpb_wrapper').length) {
                            device_width = $container.parents('.wpb_wrapper').width();
                            if ($container.parent('.woocommerce.wc-shortcode.no-carousel:not(.no-gutter):not(.list)').length != 0 && device_width > 1140) {
                                device_width = device_width + 28;
                            }
                        }
                        else if ($container.parents('.wc-ajax-content').length) {
                            device_width = $container.parents('.wpb_wrapper').width();
                            setContainereWidth = false;
                        }

                    }
                }

                var w = device_width;

                var columnNum;

                if ($container.hasClass('shop-5column')) {
                    columnNum = 5;
                } else if ($container.parent().hasClass('shop-4column')) {
                    columnNum = 4;
                } else if ($container.parent().hasClass('shop-3column')) {
                    columnNum = 3;
                } else {
                    columnNum = 2;
                }

                if (self.windowWidth <= 1140) {
                    if (columnNum > 3) {
                        columnNum = 3;//3column in horizontal tablet
                    }

                    if (self.windowWidth > 767 && self.windowWidth <= 979) {
                        if (columnNum > 2) {
                            columnNum = 2;//2column in vertical tablets
                        }
                    }
                    else if (self.windowWidth <= 767) {
                        columnNum = 1;//1column in mobile devices
                    }


                }

                if (setContainereWidth == true) {
                    $container.width(w); // set width for isotope ul 
                }

                var colWidth = Math.floor(w / columnNum);

                return colWidth;
            }

            if ($mainContainer === undefined)
                $mainContainer = self.$body;

            //WC shortcodes + main shop page loop
            $mainContainer.find('.woocommerce.wc-shortcode:not(.carousel) .products, .products.main-shop-loop').each(function () {
                var $container = $(this);
                //Reset width to calculate colWidth correctly in resize
                $container.css('width', '');
                var colWidth = getColWidthProduct($container),
                    layout = 'fitRows';

                if ($container.is('.main-shop-loop')) {
                    layout = $container.data('layoutmode');
                } else {
                    layout = $container.parent().data('layoutmode');
                }

                if (layout != 'fitRows') {
                    layout = 'masonry';
                }

                if ($container.parents('.woocommerce.wc-shortcode.list').length == 0) {
                    // fix isotop masonry layout not runs in first load but run in resize or click load more button

                    $container.isotope({
                        itemSelector: '.product',
                        layoutMode: layout,
                    }, self.showAnimation($container));
                } else {
                    self.showAnimation($container);
                }

            });
        },

        /*----------------------------------------------------------------------------------*/
        /*  call Shortcode functions
        /*-----------------------------------------------------------------------------------*/

        kite_shortcode: function ($comesfromtab) {
            var self = this;

            self.piechart();
            self.countdown();
            self.counterbox();
            self.fullwidthSection();
            self.typeAnimation();

            self.faq();
            self.progressbar();
            self.showcase();
            self.custom_textbox();
            self.customTitleParallax();

            if ($comesfromtab != true) { // prevent to run Again in tab tour accordian
                self.tabs_tour_accordion();
            }

        },

        /*----------------------------------------------------------------------------------*/
        /*  mediaelementplayer ( Html Video )
        /*-----------------------------------------------------------------------------------*/

        initVideoBackground: function () {

            var self = this;
            if ( ! $('.video').length ) {
                return;
            }

            if (typeof $.fn.mediaelementplayer == 'function') {
                $('.video').each(function (index, el) {
                    var $autoplay = false;
                    var $autoplay_check = $(this).attr('autoplay');
                    if (typeof $autoplay_check !== typeof undefined && $autoplay_check !== false) {
                        $autoplay = true;
                    }
                    $(this).mediaelementplayer({
                        enableKeyboard: false,
                        iPadUseNativeControls: false,
                        pauseOtherPlayers: false,
                        iPhoneUseNativeControls: false,
                        AndroidUseNativeControls: false,
                        autoplay: $autoplay,
                        features: ['playpause', 'progress', 'current', 'duration', 'tracks', 'volume', 'fullscreen'],
                        success: function (mediaElement, domObject) {
                            // fade in play buttons and poster image In Video Html 5 inline 
                            $('.mejs-poster').addClass('fadein');

                            if (mediaElement.paused && $autoplay) {
                                mediaElement.play();
                            }

                        },
                    });
                });

                //mobile check
                if (navigator.userAgent.match(/(Android|iPod|iPhone|iPad|IEMobile|Opera Mini)/)) {
                    self.videoBackgroundSize();
                    $('.videohomepreload').show();
                    $('.videowrap').remove();
                }

                $('.inline_video').each(function (i) {
                    var $this = $(this);
                    if ($this.hasClass('hide-control')) {
                        var $hide_control = $this.find('.mejs-controls');
                        $hide_control.remove();
                        $this.find('.mejs-layers').remove();
                    }
                });

                // append play button In poster image wrap ( for inline Video ) - we need set this div In this Position For hidding Play buttons when click On video
                var $play_button = $('.inline_video.video_embed_container .play-button');
                $('.inline_video.video_embed_container .play-button').remove();

                var $mejs_poster = $('.mejs-poster');
                $play_button.appendTo($mejs_poster);
            }
        },



        /*----------------------------------------------------------------------------------*/
        /*  light galley for product detail
        /*-----------------------------------------------------------------------------------*/

        product_gallery_popup_lightGallery: function () {
            if (typeof $.fn.lightGallery !== 'function' || $('#product-fullview-thumbs .enable-popup').length <= 0)
                return;

            var $product_popup_gallery = $('#product-fullview-thumbs');
            $product_popup_gallery.lightGallery({
                selector: '.enable-popup',
                getCaptionFromTitleOrAlt: false
            });

            $('.popup-button').on('click', function () {
                $product_popup_gallery.find('.swiper-slide').trigger('click.lgcustom');
            });

            $product_popup_gallery.on('onSlideClick.lg', function () {
                $product_popup_gallery.data('lightGallery').goToNextSlide();
            });
        },


        /*----------------------------------------------------------------------------------*/
        /*  light galley for video
        /*-----------------------------------------------------------------------------------*/

        embed_video_lightgallery: function () {

            if ( ! $('.video_embed_container').length ) return;
            $('.video_embed_container').each(function (i) {

                var $this = $(this);

                var $video_embed_id = $this.attr('id');
                if (typeof $.fn.lightGallery == 'function') {
                    $this.not('.inline_video').lightGallery({
                        counter: false,
                        addClass: 'videopopup',
                        galleryId: $video_embed_id,
                    });
                }
            });

        },


        /*----------------------------------------------------------------------------------*/
        /*  light galley Carousel
        /*-----------------------------------------------------------------------------------*/

        carousel_gallery: function () {

            if (typeof $.fn.lightGallery !== 'function' || $('.carousel_gallery').length <= 0)
                return;

            var $carousel_gallery = $('.carousel_gallery');
            $carousel_gallery.lightGallery({
                thumbnail: true,
                selector: '.gallerycarousellink',
            });

        },

        /*----------------------------------------------------------------------------------*/
        /*  Video background size
        /*-----------------------------------------------------------------------------------*/

        videoBackgroundSize: function () {
            if ( ! $('.videowrap').length ) {
                return;
            }

            $('.videowrap').each(function (i) {

                var $sectionWidth = $(this).closest('.videohome ').outerWidth();
                var $vcVideoWrap = $(this).parents('.vc_videowrap');

                if ($vcVideoWrap.length) {

                    var $sectionHeight = $vcVideoWrap.find('.vc_videocontent').outerHeight();

                    $(this).width($sectionWidth);
                    $vcVideoWrap.height($sectionHeight);

                } else {

                    var $sectionHeight = $(this).closest('.videohome').outerHeight();
                    $(this).width($sectionWidth);
                    $(this).height($sectionHeight);

                }

                // calculate scale ratio
                var videoWidthOriginal = 1280,  // original video dimensions
                    videoHeightOriginal = 720,
                    vidRatio = 1280 / 720,
                    scale_h = $sectionWidth / videoWidthOriginal,
                    scale_v = ($sectionHeight) / videoHeightOriginal,
                    scale = scale_h > scale_v ? scale_h : scale_v;

                // limit minimum width
                var minVideoWidth = vidRatio * ($sectionHeight + 20);

                if (scale * videoWidthOriginal < minVideoWidth) { scale = minVideoWidth / videoWidthOriginal; }

                $(this).find('video').width(Math.ceil(scale * videoWidthOriginal + 2));
                $(this).find('video').height(Math.ceil(scale * videoHeightOriginal + 2));

                $(this).scrollLeft(($(this).find('video').width() - $sectionWidth) / 2);
                $(this).find('.mejs-overlay, .mejs-poster').scrollTop(($(this).find('video').height() - ($sectionHeight)) / 2);
                $(this).scrollTop(($(this).find('video').height() - ($sectionHeight)) / 2);

            });

        },

        /*----------------------------------------------------------------------------------*/
        /*   top space for blog and portfolio in main page
        /*-----------------------------------------------------------------------------------*/

        // page Top Space depends On menu Height
        pagetopspace: function () {
            var topSpace = 0,
                topbarHeight = 0;

            if ($('#topbar').length) {
                topbarHeight = 33;
            }

            if ($('header').hasClass('type2_3')) {

                topSpace = 125 + topbarHeight;

            } else if ($('header').hasClass('type4_5_6')) {

                topSpace = 85 + topbarHeight;

            } else {

                topSpace = 58 + topbarHeight;

            }

            return topSpace;
        },


        /*----------------------------------------------------------------------------------*/
        /*  set min-height For Blog and blog Detail 
        /*-----------------------------------------------------------------------------------*/

        minPageHeightSet: function () {
            var self = this;

            if (self.windowWidth > 1140) {

                var $pageFooterHeight = $('.footer-bottom').height(),
                    topbarHeight = $('#topbar').height();

                // Add Footer Widget section height too Footer height
                if ($('.footer-widgetized').length) {
                    $pageFooterHeight = $pageFooterHeight + $('.footer-widgetized').height();
                }

                var $pageMainHeight,
                    $wholePageHeight,
                    $pageMainHeight2;

                //check if page is without slider, set a min-height for page
                if ($('#fullscreenslider').length <= 0 && $('#blogsingle').length <= 0) {
                    $pageMainHeight = $('#main').height();
                    $wholePageHeight = $pageMainHeight + $pageFooterHeight;
                    $pageMainHeight2 = self.windowHeight - $pageFooterHeight - topbarHeight;

                    $('#main').css({
                        'min-height': $pageMainHeight2 + "px",
                    });

                } else if ($('#blogsingle').length) {

                    $pageMainHeight = $('#blogsingle').height();
                    $wholePageHeight = $pageMainHeight + $pageFooterHeight;
                    $pageMainHeight2 = self.windowHeight - $pageFooterHeight - topbarHeight;

                    $('#blogsingle').css({
                        'min-height': $pageMainHeight2 + "px"
                    });

                }
                else {
                    $('#main').css({ 'min-height': "0px" });
                }
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*  socail share icon
        /*-----------------------------------------------------------------------------------*/

        socailshare: function () {
            // Google Plus like button
            var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
            po.src = 'https://apis.google.com/js/plusone.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
        },

        /*-----------------------------------------------------------------------------------*/
        /*  social share's pop up 
        /*-----------------------------------------------------------------------------------*/

        social_share_pop_up: function () {

            $(".social_links a, .socialshare-container a").click(function (e) {
                e.preventDefault();

                var $url = $(this).attr('href'),
                    $title = $(this).attr('title'),
                    newwindow = window.open($url, $title, 'height=300,width=600');

                if (window.focus) { newwindow.focus() }
                return false;
            });
        },

        /*----------------------------------------------------------------------------------*/
        /*  WPML
        /*-----------------------------------------------------------------------------------*/

        wpml_menu: function () {

            if ($('.headerwrap .menu-item-language').length) {
                $('.headerwrap .menu-item-language').append($("<span class='spanhover'></span>"));
            }
        },


        /*----------------------------------------------------------------------------------*/
        /*   Showcase
        /*-----------------------------------------------------------------------------------*/

        // Set Showcase Height
        showcase_height: function () {
            var self = this;

            if (self.windowWidth <= 1140)
                return;

            var $showcase_wrapper = $('.showcase').find('.showcase-content-wrapper'),
                $empty_space = self.windowHeight - $showcase_wrapper.height(),
                $showcaseHeight;

            if (self.$body.hasClass('has-topbar') && !self.$body.hasClass('snap-to-scroll')) {
                $showcaseHeight = self.windowHeight - 33;
            } else {
                var $showcaseHeight = self.windowHeight;
            }

            //set showcase height
            $('.showcase').css({ height: $showcaseHeight });

            //set center align vertically
            if ($empty_space >= 0) {   //Add 30px more to have more distance from top for better looking of content
                $showcase_wrapper.css({ "margin-top": ($empty_space / 2) + 30 + "px" });
            }

        },

        showcase_appear: function () {
            var self = this;

            $('.showcase').each(function () {

                var $showcase_item = $(this);

                if ($showcase_item.data('effect') == 'kunburn') {
                    //tablet
                    if (self.windowWidth <= 1140) {
                        $showcase_item.find('.showcase-bg').removeClass('bg-animated active');
                        $showcase_item.find('.showcase-item').removeClass('active');
                        $showcase_item.find('.item-list li').removeClass('active');

                        //activate and animate
                        $showcase_item.find('.showcase-bg').first().addClass('bg-animated active');
                        $showcase_item.find('.showcase-item').first().addClass('active');
                        $showcase_item.find('.item-list li').first().addClass('active');

                    }
                    else {

                        $showcase_item.addClass('show');
                        var thumbInView = new Waypoint.Inview({
                            element: $showcase_item,
                            enter: function () {
                                var $item = $(this.element);
                                //reset
                                //use firstactive class to show background immediately after loading page
                                if ($item.find('.firstactive').length > 0) {
                                    $item.find('.firstactive').removeClass('firstactive');
                                }
                                else {
                                    $item.find('.showcase-bg').removeClass('bg-animated active');
                                }

                                $item.find('.showcase-item').removeClass('active');
                                $item.find('.item-list li').removeClass('active');

                                $item.find('.showcase-item').first().addClass('active');
                                $item.find('.item-list li').first().addClass('active');

                                //activate and animate
                                //There is should be a delay between removeing and adding classes to run animations again
                                setTimeout(function () {
                                    $item.find('.showcase-bg').first().addClass('bg-animated active');
                                }, 50);
                            },
                            offset: '95%'
                        });

                    }
                }
                else {
                    //use firstactive class to show background immediately after loading page
                    $showcase_item.find('.firstactive').removeClass('firstactive');

                    //activate and animate
                    $showcase_item.addClass('show');
                    $showcase_item.find('.showcase-bg').first().addClass('active');
                    $showcase_item.find('.showcase-item').first().addClass('active');
                    $showcase_item.find('.item-list li').first().addClass('active');
                    self.kite_interactive_background($showcase_item, { target: '> .showcase-backgrounds .showcase-bg', sensitivity: 80, zoom: false, initialZoom: true });
                }

            });
        },

        showcase: function () {

            var self = this;

            var $showcases = $('.showcase');

            if (!$showcases.length)
                return;

            self.check_showcase();

            // Set showcase height when the page loaded
            self.showcase_height();

            //active showcases
            self.showcase_appear();

            self.kite_scrollbar('.showcase .item-content p');

            $(".showcase .next-showcase a").click(function (e) {
                e.preventDefault();

                var $next_section = $(this).parents('.showcase').nextAll('.showcase').first(); // if Two showcases are in One row

                if (!$next_section.length) {
                    $next_section = $(this).parents('.showcase').parent().parent().nextAll('div').first().find('.showcase'); // if two showcases are in one row (in same or different span)
                }

                if (!$next_section.length) {
                    $next_section = $(this).parents('.kt-section').nextAll('.kt-section').first(); // if two showcases are in different row
                }

                if (!$next_section.length) {
                    $next_section = $(this).parents('.customSection').nextAll('.customSection').first();// if two showcases are in different pages tandemly
                }

                if (!$next_section.length) return;

                self.scroll_to($next_section, 5);

            });

            $('.showcase').each(function () {
                var $showcase = $(this),
                    $showcase_effect = $showcase.data('effect'),
                    $backgrounds = $showcase.find('.showcase-backgrounds'),
                    $contents = $showcase.find('.showcase-items'),
                    $items_list = $showcase.find('.item-list li');

                $items_list.hover(function(){
                    var $this = $(this);
                    if (!$this.hasClass('active')) {

                        var $bgid = $this.data('bg-id');

                        //Activate hovered item
                        $items_list = $this.parents('.showcase').find('ul.item-list li');
                        $items_list.removeClass('active');
                        $this.addClass('active');

                        //Activate background
                        var $prev_bg_item = $backgrounds.find('.active');
                        var $next_bg_item = $backgrounds.find('[data-bg-id="' + $bgid + '"]');
                        $prev_bg_item.removeClass('active');

                        if ($showcase_effect == 'kunburn') {
                            var $direction = Array('left-top', 'left-bottom', 'right-top', 'right-bottom');
                            var $random_dir = $direction[Math.floor(Math.random() * $direction.length)];

                            $next_bg_item.addClass('active bg-animated ' + $random_dir);

                            setTimeout(function () {
                                $prev_bg_item.removeClass('bg-animated left-top left-bottom right-top right-bottom');
                            }, 600);
                        }
                        else {
                            $next_bg_item.addClass('active');
                        }


                        //Activate content
                        var $prev_content_item = $contents.find('.active');
                        var $next_content_item = $contents.find('[data-bg-id="' + $bgid + '"]');
                        $next_content_item.addClass('active');
                        $prev_content_item.removeClass('active');
                    }
                });

            });

            var slidesPerView = 4;
            if (self.windowWidth <= 1140) {
                slidesPerView = 3;
            }
            $('.showcase .item-pics .swiper-container').each(function () {
                var $swiper = new Swiper($(this), {
                    slidesPerView: slidesPerView,
                    speed: 700,
                    paginationClickable: true,
                    spaceBetween: 2,
                    grabCursor: true
                });
                if ($(this).find('.swiper-slide').length <= 4)
                    $(this).siblings('.swiper-button-prev,.swiper-button-next').css('display', 'none');
            });

            $('.showcase .swiper-button-next').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.swiper-container')[0].swiper.slideNext();
            });

            $('.showcase .swiper-button-prev').on('click', function (e) {
                e.preventDefault();
                $(this).siblings('.swiper-container')[0].swiper.slidePrev();
            });


        },
        check_showcase: function () {
            var $showcase_item = $('.showcase-item');
            $showcase_item.each(function (index, el) {
                var $id = $(this).find('input[name="id"]').val();
                var $bg = $(this).find('input[name="bg"]').val();
                var $title = $(this).find('input[name="title"]').val();

                var $itsBg = $(this).parents('.showcase').find('.showcase-backgrounds .' + $id);
                if ($itsBg.length == 0) {
                    var $bgHtml = "<div data-bg-id='" + $id + "' class='showcase-bg " + $id + "' style='background-image:url(" + $bg + ");'></div>";
                    $(this).parents('.showcase').find('.showcase-backgrounds').append($bgHtml);
                } else {
                    $itsBg.css('background-image', 'url(' + $bg + ')');
                }

                var $itsTitle = $(this).parents('.showcase').find('.showcase-nav li.' + $id);
                if ($itsTitle.length == 0) {
                    var $titleHtml = "<li class='" + $id + "' data-bg-id='" + $id + "'><span data-hover='" + $title + "' >" + $title + "</span></li>";
                    $(this).parents('.showcase').find('.showcase-nav ul').append($titleHtml);
                } else {
                    $itsTitle.html('<span data-hover="' + $title + '">' + $title + '</span>');
                }
            });
            var $showcase = $('.showcase');
            $showcase.each(function (index, el) {
                var $showcaseBg = $(this).find('.showcase-backgrounds .showcase-bg');
                var $showcaseTitle = $(this).find('.showcase-nav li');

                $showcaseBg.each(function (index, el) {
                    var $id = $(this).data('bg-id');
                    if ($(this).parents('.showcase').find('.showcase-item.' + $id).length == 0) {
                        $(this).remove();
                    }
                });

                $showcaseTitle.each(function (index, el) {
                    var $id = $(this).data('bg-id');
                    if ($(this).parents('.showcase').find('.showcase-item.' + $id).length == 0) {
                        $(this).remove();
                    }
                });

            });
        },

        /*----------------------------------------------------------------------------------*/
        /*   custom textbox
        /*-----------------------------------------------------------------------------------*/

        custom_textbox: function () {
            if ( ! $('.custom-textbox').length ) return;
            $('.custom-textbox').waypoint({
                handler: function () {
                    var $item = $(this.element);
                    $item.addClass('bg-animated active');
                    this.destroy();
                },
                offset: '95%'
            });
        },

        /*----------------------------------------------------------------------------------*/
        /*   Custom title
        /*-----------------------------------------------------------------------------------*/

        customTitleParallax: function () {

            var self = this;

            if ($('.custom-title').length <= 0 || self.msie > 0 || !!self.msie11 || self.windowWidth <= 1140 || self.isTouchDevice)
                return;

            var $titles = $('.custom-title');
            self.windowHeight = self.$window.height();
            var scrollPosition = 0;

            var parallax_handler = function () {
                $titles.each(function () {
                    var $el = $(this),
                        elementTop = $el.data('offsetTop'),
                        factorMult = 0;

                    var offsetDiff = elementTop - scrollPosition;
                    factorMult = 1 - ((((self.windowHeight / 3) - offsetDiff) / (self.windowHeight / 3)) * 1.1);

                    var $parallaxed_Shape = $(this).find('.shape-container');
                    if ($parallaxed_Shape.length) {

                        //shape
                        factorMult = (elementTop - scrollPosition - (self.windowHeight / 4)) * .15;

                        // Parallax For Custom Shape  in top of [ $self.windowHeight / 4 ]  size 
                        if (elementTop < (self.windowHeight / 4)) {

                            factorMult = factorMult + (self.windowHeight / 16);
                            $parallaxed_Shape.css({ transform: 'translate3d(0,' + factorMult + 'px,0)' });

                        } else {

                            // Parallax For Custom Shape 
                            if (factorMult > -10) {
                                $parallaxed_Shape.css({ transform: 'translate3d(0,' + factorMult + 'px,0)' });
                            }

                        }
                    }
                });
            }

            var parallax_init = function () {
                $titles.each(function () {
                    var $el = $(this);
                    if ($el.find('.title >span').length) {
                        $el.data('offsetTop', $el.find('.title >span').offset().top);
                    }
                });
            }

            var requestTick = function () {
                parallax_init();
                scrollPosition = self.$window.scrollTop();
                window.requestAnimationFrame(parallax_handler);
            }

            var resizeHandler = function () {
                self.windowHeight = self.$window.height();
                parallax_init();
            }

            parallax_init();
            parallax_handler();

            self.$window.on('scroll', requestTick).resize(resizeHandler);

            self.$window.one('djaxClick', function () {
                self.$window.unbind('scroll', requestTick).unbind('resize', resizeHandler);
            });
        },


        /*----------------------------------------------------------------------------------*/
        /*   reInitialise the VC post grid
        /*-----------------------------------------------------------------------------------*/

        vcGridReInit: function () {
            if ($.fn.vcGrid)
                $.fn.vcGrid.call($('[data-vc-grid-settings]'));
        },

        /*----------------------------------------------------------------------------------*/
        /*   Workaround for double tap issue on IOS
        /*-----------------------------------------------------------------------------------*/
        fix_IOS_double_tap_issue: function () {
            if (!navigator.platform.match(/(iPhone|iPod|iPad)/i))
                return;

            var $elements = $('.buttons, .carousel .arrows-button-prev, .carousel .arrows-button-next,#blogsingle .arrows-button-next,#blogsingle .arrows-button-prev, .swiper-button-prev, .swiper-button-next,.woocommerce.infoonhover div.product, .woocommerce.infoonhover div.product .hover-image,.woocommerce.infoonhover div.product a.product-link');
            $elements = $elements.add('#mobile-menu-button,.cart-sidebarbtn,.cart-close-btn,#sidebar-open-overlay,.kt-header-builder-overlay,.responsive-wishlist a, .popup_interaction .soundcloud-format .play-button-wrap, .blog-masonry-container .play-button,#kt-modal,#kt-modal.quickview-modal #modal-close, #kt-modal a[rel="next"], #kt-modal a[rel="prev"]');
            $elements = $elements.add('.banner a,.gallery .postphoto, .galleryitem a, .portfolio a, .portfolio a, .readmore .loadmore, .woocommerce div.products div.product .product-buttons > span a, .pdwrap .pdnavigation a,.pdwrap #Pdcloseportfolio,.mobile-sidebar-overlay,.mobile-menu-close-button span,.navicons a,.scrolltotop a');
            $elements.on('touchstart mouseenter focus', function (e) {
                if (e.type == 'touchstart') {
                    e.stopImmediatePropagation();
                }
            });
        },

        /*-----------------------------------------------------------------------------------*/
        /*  Ajaxify Search
        /*-----------------------------------------------------------------------------------*/
        ajaxify_search: function () {
            var self = this;

            //Woocommerce search
            self.$document.find("div.search-form form").submit(function (e) {
                var $this = $(this);

                var keyword = $this.find('input[name="s"]').val();
                if (keyword != '') {
                    var url = $this.attr('action');
                    $(this).siblings('a').attr('href', url + '?s=' + keyword).trigger('click');

                }
            });
        },

        /*----------------------------------------------------------------------------------*/
        /*   Wordpress toolbar edit link update
        /*-----------------------------------------------------------------------------------*/
        updateToolbarEditLink: function (content) {
            var self = this;

            if ($("#wp-admin-bar-edit").length > 0) {
                // set up edit link when wp toolbar is enabled
                var page_id = self.$body.data('pageid');
                var old_link = $('#wp-admin-bar-edit a').attr("href");
                var new_link = old_link.replace(/(post=).*?(&)/, '$1' + page_id + '$2');
                $('#wp-admin-bar-edit a').attr("href", new_link);
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*   preloader
        /*-----------------------------------------------------------------------------------*/

        preloader_hide: function () {
            var self = this;

            //no-page-transition class prevent from running animation of page transition at first time
            self.$body.removeClass('no-page-transition');
            $('.main-content').addClass('show');
            // fixing issue : fade up animation in monitor with high height cause 
            $('body.no-preloader.fade-up .footer-bottom').addClass('fadeissuefixed');
            $("#preloader").addClass('hide-preloader');
            setTimeout(function () {
                $("#preloader").css({ 'display': 'none' });
            }, 510);

        },


        /*----------------------------------------------------------------------------------*/
        /*   wpadminbar And Topbar
        /*-----------------------------------------------------------------------------------*/


        kite_topbar: function () {
            var self = this;

            if ($("#wpadminbar").length != 0 && self.windowWidth > 320) {

                if ($("#topbar").length != 0) {

                    if (!(self.$ktheader.hasClass('closedtopbar'))) {
                        // topbar Enable With wpadminbar 
                        self.$ktheader.add(".navigation-mobile").add("#homeHeight").addClass('menuspacewpnoti');
                        $("#topbar").addClass('topbarspacewp');
                    }
                    if ($('#topbar').hasClass('fixed-menu') || $('#topbar').hasClass('type10')) {

                        $('#topbar').css({ 'top': "32px", });
                    }


                } else {

                    // topbar disable With wpadminbar 
                    self.$ktheader.add("#homeHeight").addClass('menuspacewp');

                }
                $('.no-widgets > .sidebar.widget-area').addClass('has_adminbar');
            } else if ($("#topbar").length != 0 && !$("#topbar").hasClass('closed-topbar')) {

                // topbar Enable
                self.$ktheader.add("#homeHeight").addClass('menu-space-noti');

            }

            if ($("#wpadminbar").length != 0 && $(".vertical_menu_enabled").length != 0) {

                $('#home .homewrap .fulscreenimage').css({
                    'margin-top': "32px",
                });

            }

        },


        /*----------------------------------------------------------------------------------*/
        /*   Topbar language
        /*-----------------------------------------------------------------------------------*/

        kite_topbar_lang: function () {
            var href = window.location.href;
            var elements = $('.lang_link > li > a[href="' + href + '"]');
            var $lang_active = elements.parent("li").addClass('active');
            if ($lang_active.length) {
                var $selectedLang = $('.lang_link li.active').html();
                var $showLang = $("#language1,#mobile-language1").html()

                $('#language1,#mobile-language1').html($selectedLang);
                $('.lang_link li.active').html($showLang);
                $lang_active.removeClass('active');
                $('#language1 > a,#mobile-language1 > a').attr('href', '#');
            }

            // Close the drop down language select in mobile menu
            $('.mobile-topbar .lang-sel > span:first-child a').on('click', function (event) {
                event.preventDefault();
                $('.mobile-topbar .lang-sel ul.lang_link').slideToggle('fast');
                $('.mobile-topbar .lang-sel ul.lang_link').toggleClass('show');
            });
            $('.dd-selected').on('click', function (event) {
                if ($('.mobile-topbar .lang-sel ul.lang_link').hasClass('show')) {
                    $('.mobile-topbar .lang-sel ul.lang_link').slideToggle('fast');
                    $('.mobile-topbar .lang-sel ul.lang_link').removeClass('show');
                }
            });
            $(document).on('click', function (event) {
                if ($(event.target).parents('.lang-sel').length == 0) {
                    if ($('.mobile-topbar .lang-sel ul.lang_link').hasClass('show')) {
                        $('.mobile-topbar .lang-sel ul.lang_link').slideToggle('fast');
                        $('.mobile-topbar .lang-sel ul.lang_link').removeClass('show');
                    }
                }

            });
            // End of Close dropdown language menu select in mobile menu
            $('.dd-select').off('click');
            $('.dd-select').on('click', function () {
                var $display = $('.dd-select').siblings('ul.dd-options').css('display');

                if ($display == 'none') {
                    $('.dd-select').siblings('ul.dd-options').slideDown();
                } else {
                    $('.dd-select').siblings('ul.dd-options').slideUp();
                }
            });
        },


        /*----------------------------------------------------------------------------------*/
        /*   User additional script
        /*-----------------------------------------------------------------------------------*/

        kite_additionalScript: function () {
            //Run extra scripts here
            if ('' != kite_theme_vars.additionaljs)
                eval(kite_theme_vars.additionaljs);
        },

        /*----------------------------------------------------------------------------------*/
        /*   Scrolling
        /*-----------------------------------------------------------------------------------*/

        kite_scrolling: function () {
            var self = this;
            $(".navigation li a , .mobile-navigation li a , .vertical_menu_navigation li a").click(function (e) {
                var $this = $(this),
                    hashAttr = $this.attr('data-hash');

                $(".navigation li , .mobile-navigation li, .vertical_menu_navigation li").removeClass('active current_page_item');


                if (typeof hashAttr === typeof undefined || hashAttr === false) {

                    //add active class for first and secoud menu 
                    var href = $this.attr('href');
                    var elements = $('a[href="' + href + '"]');

                    elements.parent().addClass('active');

                }
                else {
                    $('.navigation li a[data-hash="' + hashAttr + '"]').add('.mobile-navigation li a[data-hash="' + hashAttr + '"]').add('.vertical_menu_navigation li a[data-hash="' + hashAttr + '"]').parent().addClass('active');//Active item in all menus(Specially for kite-menu)
                }


                if (!$this.hasClass('locallink')) {
                    self.externalClicked = true;
                }

                if ($this.hasClass('externallink')) {

                    self.$scrolId = '#' + hashAttr; // section id that scroll into From External Page in internal page

                } else if ($this.hasClass('locallink')) {

                    e.preventDefault();
                    self.scrolingToSection = true;
                    self.scroll_to('#' + hashAttr, 4); //scroll to inside id  in Front Page
                }

                if ($this.hasClass('externallink')) {
                    self.enableScrollId = true;
                } else {
                    self.enableScrollId = false;
                }

            });

            $("header a.locallink.logo , header.type2_3 .locallink.logo a  ,aside .locallink.logo,header .locallink.home , aside .locallink.home").click(function (e) {
                var $this = $(this),
                    scroll = $this.attr('href');

                e.preventDefault();
                scroll = scroll.substring(scroll.indexOf("#"), scroll.length);
                self.scroll_to(scroll, 2);  //scroll to top of page
            });

            var pathname = window.location.href;

            if (!window.location.origin) { // Internet Explorer Origion
                window.location.origin = window.location.protocol + "//" + window.location.hostname + (window.location.port ? ':' + window.location.port : '');
            }

            var $originpathname = window.location.origin + window.location.pathname;

            if (pathname.search("#") > 0) {
                pathname = pathname.substring(pathname.indexOf("#"), pathname.length);
                if ($originpathname !== pathname && pathname !== '#home') {
                    if ($(".page-template-main-page-php").length) {
                        self.scroll_to(pathname, 1);
                    }
                }
            }
        },

        //Initial list of menu items
        initialMenuArray: function () {
            var self = this;

            var aChildren = self.$ktheader.find(".navigation li a").add(".vertical_menu_area .vertical_menu_navigation ul a"); // find the a children of the list items

            for (var i = 0; i < aChildren.length; i++) {

                var aChild = aChildren[i];
                if ($(aChild).hasClass('locallink')) {

                    var ahref = $(aChild).attr("data-hash");
                    if (self.menuArray.indexOf(ahref) == -1)
                        self.menuArray.push(ahref);

                }
            } // above loop fills the menuArray with attribute href values
        },

        /* add active class for menu when page Scrolling */
        updateMenuOnActiveSection: function () {
            var self = this;

            //Exit if this page is not main page
            if (!self.$body.hasClass('home') || !self.$body.hasClass('page-template-main-page-php'))
                return;

            //check navigating flag to know it is on scrolling to a section or not ( by click from user)
            if (self.scrolingToSection == false && self.externalClicked == false) {

                var $window_y = self.$window.scrollTop(); // get the offset of the window from the top of page
                for (var i = 0; i < self.menuArray.length; i++) {
                    var theID = "#" + self.menuArray[i];
                    var theHash = self.menuArray[i];

                    if ($(theID).length) {

                        var divPos = $(theID).offset().top; // get the offset of the div from the top of page
                        var divHeight = $(theID).height(); // get the height of the div in question
                        var menusize = 87;

                        if ($(".vertical_menu_area").length)
                            menusize = 0;

                        if ($("#wpadminbar").length != 0) { // wpadminbar 
                            menusize = menusize + 36;
                        }

                        //Set divPos to 0 becouse #home section is parallax and doesn not exist from page normally
                        if (theID == '#home') {
                            divPos = 0;
                        }

                        if (self.$body.hasClass('home')) {
                            self.$ktheader.find(".navigation li.current_page_item").removeClass("current_page_item");
                            $("aside.vertical_menu_area .vertical_menu_navigation ul li.current_page_item").removeClass("current_page_item");
                        }

                        if ($window_y >= (divPos - menusize) && $window_y < (divPos + divHeight - menusize)) {
                            self.$ktheader.find(".navigation a[data-hash='" + theHash + "']").parent().addClass("active");
                            $("aside.vertical_menu_area nav.vertical_menu_navigation li a[data-hash='" + theHash + "']").parent().addClass("active");
                        } else {
                            self.$ktheader.find(".navigation a[data-hash='" + theHash + "']").parent().removeClass("active");
                            $("aside.vertical_menu_area nav.vertical_menu_navigation li a[data-hash='" + theHash + "']").parent().removeClass("active");
                        }
                    }
                }
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*   Singlepages initialize
        /*-----------------------------------------------------------------------------------*/

        kite_singlePage: function () {
            var self = this,
                $portfolio_detail = $('#portfolisingle');

            if ($portfolio_detail.length) {

                self.pdswiper();// portfolio Detail swiper Slider

                if ($portfolio_detail.hasClass('portfolio_detail_creative')) {

                    self.kite_scrollbar('#portfolisingle .pd_creative_fixed_content .desc');

                    // set margin for Creative portfolio detail
                    self.set_margin_creative_portfolio_detail();

                    $portfolio_detail.waitForImages(function () {

                        $portfolio_detail.addClass('show');

                    });
                }

            } else if ($('#blogsingle').length || $('.cblog').length) {
                self.blogPostSlider(); // Blog Post slider
                self.socailshare(); // socail share
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*   Search form
        /*-----------------------------------------------------------------------------------*/

        search_form: function () {
            var self = this,
                $searchButton = $('.search-button , .search-button .icon');

            if ($searchButton.length <= 0)
                return;
            var $searchForm = $('form.searchform.popup');
            var $searchinput = $searchForm.find('input[type="text"]');
            var $cat_box = $searchForm.find('div.nice-select');
            var $searchresults = $searchForm.find('.searchresults');
            var $show_all_results = $searchForm.find('.show_all_results');
            self.$document.on('click', function (e) {
                if (!$(e.target).is($searchForm) && $searchForm.has(e.target).length == 0) {
                    if ($(e.target).is($searchButton)) {
                        e.preventDefault();
                        $('.search-form-cls').toggleClass('showing');
                        if (!$searchresults.hasClass('close')) {
                            $searchresults.css('display', 'block');
                            $show_all_results.css('display', 'block');
                        }
                        setTimeout(function () {
                            $searchinput.focus();
                            var tmpStr = $searchinput.val();
                            $searchinput.val('');
                            $searchinput.val(tmpStr);
                        }, 100);
                    } else {
                        $('.search-form-cls').removeClass('showing');
                        if (!$searchresults.hasClass('close')) {
                            $searchresults.css('display', 'none');
                            $show_all_results.css('display', 'none');
                        }
                    }
                } else {
                    if ($(e.target).is($cat_box) || $cat_box.has(e.target).length != 0) {
                        if (!$searchresults.hasClass('close')) {
                            $searchresults.toggleClass('close');
                        }
                        if (!$show_all_results.hasClass('close')) {
                            $show_all_results.toggleClass('close');
                        }
                    }
                }
            });
            self.$document.on( 'keydown', function(e){
                if(e.key === "Escape") {
                    $('.search-form-cls').removeClass('showing');
                    $('.responsive-whole-search-container').removeClass('open');
                    if (!$searchresults.hasClass('close')) {
                        $searchresults.css('display', 'none');
                        $show_all_results.css('display', 'none');
                    }
                }
            });
        },

        /*----------------------------------------------------------------------------------*/
        /*  ReviewForm  blog and product details
        /*-----------------------------------------------------------------------------------*/

        ReviewForm: function () {

            // blog detail
            if ($('.comment-respond').length) {

                $(".comment-respond input").focus(function () {
                    $(this).siblings('.label').addClass('inputfocus');
                    $(this).siblings('.graylabel').addClass('inputfocus');
                });


                $(".comment-respond input").focusout(function () {
                    $(this).siblings('.label').removeClass('inputfocus');
                    $(this).siblings('.graylabel').removeClass('inputfocus');
                });

                $(".comment-respond textarea").focus(function () {
                    $(this).siblings('.label').addClass('inputfocus');
                    $(this).siblings('.graylabel').addClass('inputfocus');
                });


                $(".comment-respond textarea").focusout(function () {
                    $(this).siblings('.label').removeClass('inputfocus');
                    $(this).siblings('.graylabel').removeClass('inputfocus');
                });

            }

            // product detail
            if ($('#review_form').length) {


                $("#review_form input").focus(function () {
                    $(this).siblings('.label').addClass('inputfocus');
                    $(this).siblings('.graylabel').addClass('inputfocus');
                });


                $("#review_form input").focusout(function () {
                    $(this).siblings('.label').removeClass('inputfocus');
                    $(this).siblings('.graylabel').removeClass('inputfocus');
                });

                $("#review_form textarea").focus(function () {
                    $(this).siblings('.label').addClass('inputfocus');
                    $(this).siblings('.graylabel').addClass('inputfocus');
                });


                $("#review_form textarea").focusout(function () {
                    $(this).siblings('.label').removeClass('inputfocus');
                    $(this).siblings('.graylabel').removeClass('inputfocus');
                });

            }

        },


        /*----------------------------------------------------------------------------------*/
        /*  Home parallax
        /*-----------------------------------------------------------------------------------*/

        sliderParallax: function () {

            var self = this;

            if ($('.sliderParallax').length <= 0 || self.msie > 0 || !!self.msie11)
                return;

            if (self.windowWidth > 1140 && !self.isTouchDevice && $("#home").length > 0) {

                self.windowHeight = self.$window.height();
                var $slider = $('#home .slider-wrap'),
                    $start = $slider.find('#caption-start'),
                    latestKnownScrollPosition = 0,
                    tick = false;

                var update_slider_position = function () {

                    //When element is out of viewport
                    if (self.windowHeight < latestKnownScrollPosition) {
                        tick = false;
                        return;
                    }

                    $slider.css({
                        'transform': 'matrix(1, 0, 0, 1, 0, ' + latestKnownScrollPosition * 0.6 + ')'
                    });

                    tick = false;
                }
                update_slider_position();
                var requestTick = function () {
                    if (tick == false) {

                        window.requestAnimationFrame(update_slider_position);
                    }
                    tick = true;
                }

                var onScroll = function () {
                    latestKnownScrollPosition = window.pageYOffset;
                    requestTick();
                }

                self.$window.on('scroll', onScroll);

                self.$window.one('djaxClick', function () {
                    self.$window.unbind('scroll', onScroll);
                });
            }

        },


        /*----------------------------------------------------------------------------------*/
        /*  Header transform
        /*-----------------------------------------------------------------------------------*/

        headerTransformation: function () {

            var self = this;

            var isFixedMenu = self.$ktheader.data("fixed") === 'fixed-menu';

            if ((self.windowWidth > 1140 && isFixedMenu) || self.$body.hasClass('vertical_menu_enabled'))
                return;

            var latestKnownScrollPosition = 0,
                headerHeight = self.$ktheader.find('#headerfirststate').outerHeight();

            var update_menu_state = function () {
                latestKnownScrollPosition = window.pageYOffset;
                // checking the state of mobile Header
                if ($('#mobile-header_secondstate').length != 0) {
                    if (130 > latestKnownScrollPosition) {
                        $('#mobile-header').removeClass('state2');
                        $('#mobile-header_secondstate').removeClass('state2');
                    } else {
                        $('#mobile-header').addClass('state2');
                        $('#mobile-header_secondstate').addClass('state2');
                    }
                }


                if (headerHeight > latestKnownScrollPosition) {
                    self.$ktheader.removeClass('state2');
                    // If Search Resutl is open => close it
                    if ($('#kt-header #headersecondstate .searchresults').length > 0) {
                        $('#kt-header #headersecondstate .searchresults').css('visibility', 'hidden');
                        $('#kt-header #headersecondstate .show_all_results').css('visibility', 'hidden');
                        $('#kt-header #headersecondstate .searchelements').removeClass('focus');
                        $('#headersecondstate .searchelements input').blur();
                    }
                    // If Category dropdown is open => close it
                    if ($('#headersecondstate div.nice-select').hasClass('open')) {
                        $('#headersecondstate div.nice-select').removeClass('open');
                    }
                }
                else {
                    self.$ktheader.addClass('state2');
                    // If Search Resutl of first header sate is open => close it
                    if (!$('#headerfirststate .searchresults').hasClass('close')) {
                        $('#headerfirststate .searchresults').addClass('close');
                        $('#headerfirststate .show_all_results').addClass('close');
                        $('#headerfirststate .searchelements').removeClass('focus');
                        $('#headerfirststate .searchelements input').blur();
                    }
                    // If Category dropdown is open => close it
                    if ($('#headerfirststate div.nice-select').hasClass('open')) {
                        $('#headerfirststate div.nice-select').removeClass('open');
                    }
                    // If Search Resutl of second header state is open => close it
                    if ($('#kt-header #headersecondstate .searchresults').length > 0) {
                        if (!$('#kt-header #headersecondstate .searchresults').hasClass('close')) {
                            $('#kt-header #headersecondstate .searchresults').css('visibility', 'visible');
                            $('#kt-header #headersecondstate .show_all_results').css('visibility', 'visible');
                        } else {
                            $('#kt-header #headersecondstate .show_all_results').addClass('close');
                            $('#kt-header #headersecondstate .searchresults').attr('style', '');
                            $('#kt-header #headersecondstate .show_all_results').attr('style', '');
                        }
                    }
                }

            }

            self.$window.on('scroll', update_menu_state);
            update_menu_state();

        },

        /*----------------------------------------------------------------------------------*/
        /* Next/prev button for product
        /*-----------------------------------------------------------------------------------*/

        product_next_prev_button: function () {
            var self = this;

            if (self.$body.hasClass('single-product')) {
                var $original_next_button = $('#main span#next-product'),
                    $original_prev_button = $('#main span#prev-product');
                if ($original_next_button.length > 0) {
                    if ($('.toggle-sidebar-container').siblings('span#next-product').length > 0 || $('.toggle-sidebar-container').siblings('span#prev-product').length > 0) {
                        if ($original_next_button.find('a').length > 0) {
                            $('.toggle-sidebar-container').siblings('span#next-product').addClass('visible').empty('').html($original_next_button.html());
                        }
                        else {
                            $('.toggle-sidebar-container').siblings('span#next-product').removeClass('visible');

                        }

                        if ($original_prev_button.find('a').length > 0) {
                            $('.toggle-sidebar-container').siblings('span#prev-product').addClass('visible').empty('').html($original_prev_button.html());
                        }
                        else {
                            $('.toggle-sidebar-container').siblings('span#prev-product').removeClass('visible');
                        }
                    }
                    else {
                        $('.toggle-sidebar-container').after($original_next_button).after($original_prev_button);
                        setTimeout(function () {
                            $original_next_button.addClass('visible');
                            $original_prev_button.addClass('visible');
                        }, 200);
                    }
                }
            }
            else {
                $('span#next-product').removeClass('visible');
                $('span#prev-product').removeClass('visible');
            }
        },

        /*----------------------------------------------------------------------------------*/
        /* Fixed add to cart
        /*-----------------------------------------------------------------------------------*/

        fixed_add_to_cart_functionality: function () {

            var self = this;

            if ($('div.product.parent_div_product').length <= 0 || !self.$body.hasClass('fixed-add-to-cart-enable'))
                return;

            if ($('.kt_product_page > div.product').hasClass('product-type-variable') || $('.kt_product_page > div.product').hasClass('product-type-grouped')) {
                $('a.single_add_to_cart_button').removeClass('add_to_cart_button').addClass('go-to-add-to-cart'); // change type of add-to-cart button
            }
            else {
                $('a.single_add_to_cart_button').addClass('add_to_cart_button').removeClass('go-to-add-to-cart'); // change type of add-to-cart button
            }

            if ($('.kt_product_page > div.product').hasClass('product-type-external')) {
                $('.fixed-add-to-cart').addClass('affilate-product');
            }
            else {
                $('.fixed-add-to-cart').removeClass('affilate-product');
            }

            //update add to cart button text
            if ($('.fixed-add-to-cart-container a.single_add_to_cart_button .txt').empty()) {

                var $add_to_cart_button = $('a.single_add_to_cart_button');
                if ($add_to_cart_button.eq(0).find('.txt').html()) {
                    var $add_to_cart_text = $add_to_cart_button.eq(0).find('.txt').html().trim();
                } else { // Add this line code becuse some translate plugin remove span.text and this cuase error 
                    var $add_to_cart_text = $add_to_cart_button.eq(0).html().trim();
                }

                $('.fixed-add-to-cart-container a.single_add_to_cart_button .txt').html($add_to_cart_text).attr('data-hover', $add_to_cart_text);
                $('.fixed-add-to-cart-container a.single_add_to_cart_button').attr('title', $add_to_cart_text);
            }

            $('.fixed-add-to-cart .go-to-add-to-cart').on('click', function (e) {
                e.preventDefault();

                var $top;

                if ($('table.variations').length > 0) {
                    $top = $('table.variations').offset().top;
                }
                else {
                    $top = $('a.single_add_to_cart_button').eq(0).offset().top;
                }
                if ($('#wpadminbar').length)
                    var wpAdminBarHeight = $('#wpadminbar').height();
                else
                    var wpAdminBarHeight = 0;
                $top = $top - (100 + wpAdminBarHeight);

                self.$scrollpals.stop().animate(

                    { scrollTop: $top },
                    1000,
                    'easeOutQuad'
                );

            });

            $('.fixed-add-to-cart a.single_add_to_cart_button').not('.go-to-add-to-cart').on('click', function (e) {
                e.preventDefault();
                $('a.single_add_to_cart_button')[0].click();
            });

            //wishlist button
            $('.fixed-add-to-cart .yith-wcwl-add-button a').add('.woocommerce div.product div.summary .add_to_wishlist').on('click', function () {
                $('.fixed-add-to-cart .ajax-loading').css('visibility', 'visible');
            });

            $('.fixed-add-to-cart .yith-wcwl-add-button a').on('click', function () {
                $('.woocommerce div.product div.summary .add_to_wishlist').eq(0).trigger('click');
            });

            //compare button
            $('.fixed-add-to-cart a.compare').on('click', function (e) {
                e.preventDefault();
                $('.woocommerce div.product div.summary a.compare').eq(0).trigger('click');
            });


        },

        sync_fixed_add_to_cart: function () {

            var self = this;

            if ($('div.product.parent_div_product').length <= 0 || !self.$body.hasClass('fixed-add-to-cart-enable'))
                return;

            //Check wishlist status at page loading
            if ($('.yith-wcwl-add-button').hasClass('show')) {
                $('.fixed-add-to-cart .yith-wcwl-add-button').removeClass('hide').addClass('show');
                $('.fixed-add-to-cart .yith-wcwl-wishlistaddedbrowse').removeClass('show').addClass('hide');
            }
            else {
                $('.fixed-add-to-cart .yith-wcwl-add-button').removeClass('show').addClass('hide');
                $('.fixed-add-to-cart .yith-wcwl-wishlistaddedbrowse').removeClass('hide').addClass('show');
            }


            //listen to event of add to cart button
            $(document.body).on('adding_to_cart', function () {
                self.$document.find('.single_add_to_cart_button').addClass('loading');
            });

            $(document.body).on('added_to_cart', function () {
                $('a.added_to_cart').removeClass('hide');
                $('.single_add_to_cart_button').addClass('added').removeClass('loading');
            });

            //listen to event of add to wishlist
            $(document.body).on('added_to_wishlist', function () {
                $('.fixed-add-to-cart .yith-wcwl-add-button').removeClass('show').addClass('hide');
                $('.fixed-add-to-cart .ajax-loading').css('visibility', 'hidden');
                $('.fixed-add-to-cart .yith-wcwl-wishlistaddedbrowse').removeClass('hide').addClass('show');
            });

            setTimeout(function () {
                // When the variation is revealed
                $("form.variations_form").on('show_variation', function (event, variation, purchasable) {
                    $('.fixed-add-to-cart a.added_to_cart').addClass('hide');
                    $('.fixed-add-to-cart a.single_add_to_cart_button').removeClass('added');
                });

            }, 200);


        },

        fixed_add_to_cart_visibility: function () {

            var self = this;

            if ($('div.product.parent_div_product').length <= 0 || !self.$body.hasClass('fixed-add-to-cart-enable') || $('.kt_product_page > div.product').hasClass('outofstock')) {
                $('.fixed-add-to-cart, .scrolltotop').removeClass('visible');
                return;
            }

            if ( self.$body.find( '.summary form.gift-cards_form' ).length )
                return;


            var latestKnownScrollPosition = 0,
                tick = false,
                visibility_threshold = 50,
                visibility_range_start = $('a.single_add_to_cart_button').eq(0).offset().top,
                visibility_range_end = self.documentHeight - self.windowHeight - visibility_threshold,//50px before footer
                $fixed_add_to_cart = $('.fixed-add-to-cart'),
                $scrolltotop = $(".scrolltotop"),
                isVerticalMenu = self.$body.hasClass('vertical_menu_enabled');

            if ($('table.variations').length > 0) {
                visibility_range_start = $('table.variations').offset().top;
            }



            var update_fixedaddtocart_position = function () {

                if (latestKnownScrollPosition >= visibility_range_start && (latestKnownScrollPosition <= visibility_range_end || isVerticalMenu)) {
                    $fixed_add_to_cart.addClass('visible');
                    $scrolltotop.addClass('visible');
                }
                else {
                    $fixed_add_to_cart.removeClass('visible');
                    $scrolltotop.removeClass('visible');
                }

                tick = false;
            }


            update_fixedaddtocart_position();

            var update_range = function () {
                visibility_range_end = self.documentHeight - self.windowHeight - visibility_threshold;
            }

            var do_update_range = function () {
                setTimeout(update_range, 1000); // wait 1s to get correct document height
            }
            do_update_range()// update end of visibility range

            self.$window.on('document-height-changed', update_range);

            var requestTick = function () {
                if (tick == false) {
                    window.requestAnimationFrame(update_fixedaddtocart_position);
                }
                tick = true;
            }

            var onScroll = function () {
                latestKnownScrollPosition = self.$window.scrollTop();
                requestTick();
            }

            self.$window.on('scroll', onScroll);

            self.$window.one('djaxClick', function () {
                self.$window.unbind('scroll', onScroll).unbind('document-height-changed', update_range);
            });

        },

        /*----------------------------------------------------------------------------------*/
        /*  Update woocommerce content by ajax
        /*-----------------------------------------------------------------------------------*/

        woocommerce_filter: function () {
            var self = this;

            $('.shop-filter-toggle').on('click', function () {
                var $this = $(this),
                    $search_keyword = $(".shop-filter .search-keyword");

                $this.toggleClass('open').removeClass('closed');
                $this.parents('.shop-filter').toggleClass('open');
                if ($this.parents('.shop-filter').find('.togglefilterscontainer').length == 0) {
                    $('.togglesidebar.filtersidebar').toggleClass('open');
                }
                if ($this.parents('#mobile-header_secondstate').length) {
                    $('.shop-filter').toggleClass('open');
                    $('body').toggleClass('filtersOpened');
                }

                if (self.windowWidth < 1025) {
                    if ($this.hasClass('open')) {
                        $('.shopFilterCategoriesBtn').addClass('closed')
                    }
                    else {
                        $('.shopFilterCategoriesBtn').removeClass('closed')
                    }
                }

                // Search keyword 
                if ($this.hasClass('open')) {
                    $search_keyword.addClass('hide');
                    if ($this.parents('.shop-filter').find(".special-filter.cat").hasClass("opencat")) {
                        $this.parents('.shop-filter').find(".special-filter.cat").removeClass('opencat');
                        $this.siblings('.shopFilterCategoriesBtn').removeClass('opencat');
                    }

                } else {
                    $search_keyword.removeClass('hide');
                }
            });

            $('#sidebar-open-overlay').on('click', function () {
                $('.shop-filter').removeClass('open');
            });

            if (self.windowWidth < 1025) {

                $('.shopFilterCategoriesBtn').on('click', function () {
                    var $this = $(this),
                        $search_keyword = $(".shop-filter .search-keyword");

                    $this.toggleClass('opencat').removeClass('closed');
                    $this.parents('.shop-filter').find(".special-filter.cat").toggleClass('opencat');

                    if ($this.hasClass('opencat')) {
                        $('.shop-filter-toggle').addClass('closed')
                    }
                    else {
                        $('.shop-filter-toggle').removeClass('closed')
                    }

                    // Search keyword 
                    if ($this.hasClass('opencat')) {
                        $search_keyword.addClass('hide');
                        if ($this.parents('.shop-filter').hasClass("open")) {
                            $this.parents('.shop-filter').removeClass('open');
                            $this.siblings('.shop-filter-toggle').removeClass('open');
                        }
                    } else {
                        $search_keyword.removeClass('hide');
                    }
                });

                var close_filter_and_cat = function () {
                    $('.shop-filter').removeClass('open');
                    $('.shop-filter-toggle').removeClass('open closed');
                    $(".shop-filter .search-keyword").addClass('hide');
                    $('.shop-filter').find(".special-filter.cat").removeClass('opencat');
                    $('.shopFilterCategoriesBtn').removeClass('opencat closed');
                }

                self.$body.on('wc-content-updating', close_filter_and_cat);
                self.$document.on('click', '.woocommerce .shop-filter .special-filter.cat', close_filter_and_cat);


                if (!$('.woocommerce .shop-filter .sidebar').length) {
                    var wc_close_sidebar = function () {
                        $('.woocommerce .wc-sidebar-btn').removeClass('active').siblings('.sidebar').removeClass('show');
                    }

                    self.$body.on('wc-content-updating', wc_close_sidebar);

                    self.$document.on('click', '.woocommerce .wc-sidebar-btn', function () {
                        var $this = $(this);

                        if (!$this.hasClass('active'))
                            $this.siblings('.sidebar').addClass('show');
                        else
                            $this.siblings('.sidebar').removeClass('show');

                        $this.toggleClass('active');
                    });
                }


                self.woocommerce_filter_responsive();
            }
            $(document).on('click', '.search-inputwrapper .searchinput,#mobile-header_secondstate .allcats', function () {
                if ($('.shop-filter-toggle.mobile-filter').hasClass('open')) {
                    $('.shop-filter-toggle.mobile-filter').toggleClass('open');
                    $('.shop-filter-toggle:not(.mobile-filter)').siblings('.shop-filter').toggleClass('open');
                }

            });


        },

        woocommerce_filter_responsive: function () {
            var self = this,
                $shopFilterSidebar = $('.woocommerce .shop-filter .sidebar'),
                $shopSidebar = $('#woocommerce-sidebar .sidebar');

            if (self.windowWidth > 1140 || ( ! $shopFilterSidebar.length && ! $shopSidebar.length ) )
                return;

            $shopSidebar = $('#woocommerce-sidebar .sidebar').html();
            if ($shopFilterSidebar.length && $('.navicons.filters').length) {
                $shopFilterSidebar.append( $shopSidebar );
                $shopFilterSidebar.prepend($('.woocommerce .shop-filter .special-filter .widget.widget_on_sale_filter'));
                $shopFilterSidebar.prepend($('.woocommerce .shop-filter .special-filter .widget.widget_in_stock_filter'));
            }
        },


        go_to_top_shop: function () {
            var self = this;
            setTimeout(function () {
                self.scroll_to('.shop_top_padding', 1, 400);
            }, 500)

        },

        /*----------------------------------------------------------------------------------*/
        /*  Update woocommerce content by ajax
        /*-----------------------------------------------------------------------------------*/


        //Activate tag on page refresh
        woocommerce_active_tag: function () {
            var url = window.location.href;
            $('.widget.woocommerce.widget_product_tag_cloud a[href="' + url + '"]').addClass('current-cat');

        },

        woocommerce_ajax_wrapper: function () {
            var self = this;

            if (!self.$body.hasClass('woocommerce') || self.$body.hasClass('single-product'))
                return;

            var is_active_ajax_request = function () {
                if (xhr && xhr.readyState != 4)
                    return true;

                return false;
            }

            var hide_wrapper_loading = function () {
                $('.wc-ajax-content').css('opacity', 1);
                $('.wc-ajax-wrapper > .wc-loading').addClass('hide');
            }

            var show_wrapper_loading = function () {
                $('.wc-ajax-content').css('opacity', 0);
                $('.wc-ajax-wrapper > .wc-loading').removeClass('hide');
            }

            var display_bottom_filters = function (opacity) {
                var $current_active_filters = $('.widget.widget_layered_nav_filters'),
                    $result_count = $('.woocommerce-result-count');

                $current_active_filters.add($result_count).css('opacity', opacity);
            }

            var update_widgets = function ($response) {
                //Update search form
                var form = $response.find('form.woocommerce-product-search');
                $('form.woocommerce-product-search').attr('data-type', form.attr('data-type')).attr('action', form.attr('action'));


                //Update search keyword
                var $search_keyword = $response.find('.search-keyword a');
                if ($search_keyword.length > 0) {
                    $('.search-keyword').html($search_keyword).removeClass('hide').addClass('show');
                }
                else {
                    $('.search-keyword').removeClass('show');
                }

                var $shop_filter = $response.find('.shop-filter'),
                    $result_count = $response.find('p.woocommerce-result-count'),
                    $res_ordering = $response.find('.woocommerce-ordering select'),
                    $res_shop_filters = $response.find('.shop-filter .widget-area'),
                    $res_sidebar_filters = $response.find('.toggle-sidebar-container.filtersidebar'),
                    $res_shop_cats = $response.find('#shop-filter-cat'),
                    $res_shop_sidebar = $response.find('#woocommerce-sidebar'),
                    $res_shop_filterBar_sort = $response.find('.shop-filter .special-filter.sort'),
                    $res_shop_bottom_filters = $response.find('.shop-filter .bottompartfilter'),
                    $mobileactivefilters = $response.find('.mobileactivefilters');

                //Wait .2s to complete animations
                setTimeout(function () {
                    if ($shop_filter.length <= 0) {
                        $('.shop-filter, .shop-filter-toggle').addClass('hidden');
                    }
                    else {
                        $('.shop-filter, .shop-filter-toggle').removeClass('hidden');
                    }

                    if ($res_shop_cats.length > 0) {
                        $('#shop-filter-cat').html($res_shop_cats.html());
                    }


                    $('.shop-filter .widget-area').html($res_shop_filters.html());
                    $('.toggle-sidebar-container.filtersidebar').html($res_sidebar_filters.html());
                    $('.shop-filter .special-filter.sort').html($res_shop_filterBar_sort.html());

                    // Update filters in shop with filter
                    if (self.windowWidth < 1025) {
                        $('.woocommerce-sidebar .sidebar.widget-area').html($res_shop_sidebar.html()); // In Responsive devices 
                        $('.woocommerce .shop-filter .sidebar').append($res_shop_sidebar.html());
                    } else {
                        $('#woocommerce-sidebar').html($res_shop_sidebar.html());
                    }

                    $('.woocommerce-result-count').html($result_count.html());
                    $('.woocommerce-ordering select').html($res_ordering.html());
                    $('.shop-filter .bottompartfilter').html($res_shop_bottom_filters.html());
                    $('.mobileactivefilters').html($mobileactivefilters.html());
                    self.cat_widget_update();
                    self.show_more_tag();

                    setTimeout(function () {
                        self.disable_price_slider_keydown_event();
                        self.price_slider_filter();
                        display_bottom_filters(1);
                        // self.woocommerce_filter_responsive();
                        self.shop_head_cat_display();
                        self.initSelectElements('update');
                        self.layer_nav_ajax_dropdown();
                        self.cat_widget();
                    }, 100);
                }, 200);

            }

            var update_content = function ($response, categoryChanged) {
                var $new_block = $response.find('.wc-ajax-content'),
                    $new_category_header = $response.find('#header'),
                    $new_category_header_style = $new_category_header.prev('style'),
                    $current_category_header = $('#header'),
                    $current_category_header_style = $current_category_header.prev('style'),
                    $new_top_space_classes = $response.find('#main-content').attr("class"); // get new top space classes 


                if ($new_block.length > 0) {
                    $('.wc-ajax-content').html($new_block.html());
                }
                else {
                    $new_block = $response.find('.woocommerce-info').addClass('no-match');
                    $('.wc-ajax-content').html($new_block);
                }

                //update category header and top space classes
                if (categoryChanged) {
                    if ($new_category_header.length > 0) {
                        if ($current_category_header.length > 0) {

                            $current_category_header_style.replaceWith($new_category_header_style);
                            $current_category_header.after($new_category_header.addClass('hide'));
                            //wait a bit to add content to DOM completely
                            setTimeout(function () {
                                $new_category_header.removeClass('hide');
                            }, 100);
                            //wait a bit to animate completely
                            setTimeout(function () {
                                $current_category_header.remove();
                            }, 400);

                        }
                        else {
                            $('#pageheight').before($new_category_header_style);
                            $('#pageheight').before($new_category_header.addClass('hidecompletly'));
                            //wait a bit to add content to DOM completely
                            setTimeout(function () {
                                $new_category_header.removeClass('hidecompletly');
                            }, 200);
                        }

                    }
                    else {
                        $current_category_header.addClass('hidecompletly');
                        setTimeout(function () {
                            $current_category_header.remove();
                            $current_category_header_style.remove();
                        }, 300);
                    }

                    // Replace New top Space classes
                    if ($new_top_space_classes.length > 0) {
                        $('#main-content').addClass($new_top_space_classes);
                    }

                }

                //wait a bit to add content to DOM completely
                setTimeout(function () {
                    self.runIsotopeInProducts();
                    self.products_infoOnclick();
                    self.lazyLoadOnLoad('#main-content');
                    self.lazyLoadOnHover();
                    self.product_hover();
                    self.product_quickview();
                    self.kt_products_pagination();

                }, 50)

            }

            //Helper function to get content by url
            //is_search is a flag to show search results
            var get_woocommerce_content = function (pageUrl, categoryChanged) {

                //Prevent from multiple ajax requests
                if (is_active_ajax_request()) {
                    xhr.abort();
                }

                self.abortImageLoading();

                if (pageUrl) {

                    self.$body.trigger('wc-content-updating');

                    if (self.windowWidth <= 1140) {
                        self.go_to_top_shop();
                    }

                    show_wrapper_loading();

                    display_bottom_filters(0);

                    if ($('.product_per_page_filter').length) {
                        $('.product_per_page_filter .num').each(function (index, el) {
                            if ($(this).hasClass('selected'))
                                pageUrl = self.updateQueryStringParameter(pageUrl, 'per-page', $(this).data('num'));
                        });
                    }

                    // Make sure the URL has a trailing-slash before query args (fix 301 redirect)
                    pageUrl = pageUrl.replace(/\/?(\?|#|$)/, '/$1');

                    //Update history of browser ( for browser next/prev button)
                    window.history.pushState({ 'url': pageUrl, 'title': '' }, '', pageUrl);

                    xhr = $.ajax({
                        url: pageUrl,
                        dataType: 'html',
                        data: { ajax_shop_req: true },
                        cache: false,
                        headers: { 'cache-control': 'no-cache' },
                        method: 'POST',

                        error: function (XMLHttpRequest, textStatus, error) {

                        },
                        success: function (response) {
                            // Update shop content
                            var $response = $(response);
                            update_content($response, categoryChanged);
                            update_widgets($response);

                        },
                        complete: function () {
                            hide_wrapper_loading();
                            self.compare();
                            self.woocommerce_variation_item_select();
                            self.woocommerce_buttons_on_hover_cart_click();
                            self.mobile_hover_state();
                            $('body').trigger( 'woocommerce-content-updated' );
                        }
                    });

                }
            }

            self.woocommerce_active_tag();

            var xhr;//xmlHttpRequest

            //Woocommerce pagination + woocommerce back-to-shop link
            self.$document.on('click', '.wc-ajax-content:not(.disable_pagination) nav.woocommerce-pagination li a, .back-to-shop', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {
                    e.handled = true;
                    e.preventDefault();
                    self.go_to_top_shop();

                    $('.shop-filter .search-box').removeClass('open');
                    $('.shop-filter .search-box').siblings('.filter-search-form-container').removeClass('open');
                    $('.shop-filter .search-box').siblings('.special-filter.cat').removeClass('hide');
                    $('.shop-filter .search-box').siblings('.special-filter.sort').removeClass('hide');

                    if (!$('.shop-filter .search-box').hasClass('open')) {
                        $(".shop-filter .search-hint").addClass('hide');
                    }
                    $('.filter-search-form-container form').removeClass('start_search');
                    $('.filter-search-form-container form input').val('');

                    get_woocommerce_content($(this).attr('href'), true);
                }
            });


            //Woocommerce Layered nav + Layered nav filter (filter by and active filters widgets) + on sale filter + in stock filter + sorting filter
            self.$document.on('click', '.special-filter.sort li a,.widget_layered_nav li a, .widget_layered_nav_filters li a,.on-sale-filter a,.in-stock-filter a,.clearfilters a', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {
                    e.handled = true;
                    e.preventDefault();

                    if (!is_active_ajax_request()) {
                        $(this).closest('li').addClass('pending');
                    }
                    else {
                        $(this).closest('ul').find('.pending').removeClass('pending').toggleClass('chosen');
                    }

                    $(this).closest('li').toggleClass('chosen');
                    get_woocommerce_content($(this).attr('href'));
                }
            });
            self.$document.on('click', '#kt-modal.sort-modal ul.list li a', function (event) {
                event.preventDefault();
                get_woocommerce_content($(this).attr('href'));
                self.close_sort_popup();
            });
            //Woocommerce rating filter
            self.$document.on('click', '.widget_rating_filter li a', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();
                    if ($(this).closest('ul').find('li.chosen').is($(this).closest('li'))) {
                        $(this).closest('li').toggleClass('chosen');
                    }
                    else {
                        $(this).closest('li').toggleClass('chosen');
                    }

                    get_woocommerce_content($(this).attr('href'));
                }

            });

            //Woocommerce ranged price filter, sorting widget
            self.$document.on('click', '.widget_ranged_price_filter li a,.widget_order_by_filter li a', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();
                    $(this).closest('ul').find('li.current').removeClass('current');
                    $(this).closest('li').toggleClass('current');
                    get_woocommerce_content($(this).attr('href'));
                }

            });

            //Woocommerce tag cloud widget
            self.$document.on('click', '.widget.woocommerce.widget_product_tag_cloud a', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();
                    $(this).closest('.tagcloud').find('.current-tag').removeClass('current-tag');
                    $(this).addClass('current-tag');
                    get_woocommerce_content($(this).attr('href'));
                }

            });

            //Woocommerce categories              
            self.$document.on('click', '.widget_product_categories li a', function (e) {

                if ($(this).parents('.shop_is_categories_style').length) { // When shop page is set to show just categories or subcategories - filter ajax not work
                    return;
                }

                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();
                    $(this).closest('.widget_product_categories').find('.current-cat').removeClass('current-cat');
                    $(this).closest('li').addClass('current-cat');
                    get_woocommerce_content($(this).attr('href'), true);
                    $('body').on( 'woocommerce-content-updated', function() {
                        if ( ! $('body').hasClass('categories-scroll-animation') ) {
                            return;
                        }
                        var _top_offset = $('.wc-ajax-content').length ? $('.wc-ajax-content').offset().top : $('#main-content').offset().top ;
                        $('html, body').animate(
                            {
                              scrollTop: _top_offset - 80,
                            },
                            'slow',
                            'linear'
                        );
                    });
                }

            });

            //Woocommerce categories
            self.$document.on('select2-open', '.widget_product_categories .dropdown_product_cat:not(.change_event_removed)', function (e) {
                $(this).addClass('change_event_removed');
                $('.dropdown_product_cat').unbind('change');
            });
            self.$document.on('change', '.widget_product_categories select', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    var selected = $(this).find('option:selected').val(),
                        url,
                        home_url = kite_theme_vars.home_url;

                    if (home_url.indexOf('?') > 0) {
                        url = home_url + '&product_cat=' + selected;
                    } else {
                        url = home_url + '?product_cat=' + selected;
                    }

                    get_woocommerce_content(url, true);
                }

            });

            //Woocommerce price filter
            self.$document.on('click', '.widget_price_filter button.button', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();

                    var url = window.location.href,
                        min_price = $(this).siblings('#min_price').val(),
                        max_price = $(this).siblings('#max_price').val();

                    //Update/add min_price and max_price
                    url = self.updateQueryStringParameter(url, 'min_price', min_price);
                    url = self.updateQueryStringParameter(url, 'max_price', max_price);

                    get_woocommerce_content(url);
                }

            });
            //switch view
            if ($('.products.woocommerce').hasClass('list_view')) {
                $('.views_button.list').addClass('active');
            } else {
                $('.views_button.grid').addClass('active');
            }
            var $views_button = $(".views_button");

            $views_button.click(function (e) {
                e.preventDefault();
                let this_item = $(this),
                    url = window.location.href,
                    $shop_container = $(".products.woocommerce");

                $views_button.removeClass("active");
                this_item.addClass("active");

                if (this_item.hasClass('grid') && $shop_container.hasClass('list_view')) {

                    url = self.updateQueryStringParameter(url, 'view', 'grid');
                    get_woocommerce_content(url);
                }
                else if (this_item.hasClass('list') && $shop_container.hasClass('grid_view')) {
                    url = self.updateQueryStringParameter(url, 'view', 'list');
                    get_woocommerce_content(url);
                }

            });

            //Woocommerce per page filter
            self.$document.on('click', '.product_per_page_filter .num', function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {
                    e.handled = true;
                    e.preventDefault();
                    if ($(this).hasClass('selected'))
                        return;
                    var url = window.location.href,
                        per_page = $(this).data('num'),
                        $this = $(this);

                    $('.product_per_page_filter .num').each(function (index, el) {
                        if ($(this).is($this)) {
                            $(this).addClass('selected');
                        } else {
                            $(this).removeClass('selected');
                        }
                    });
                    //Update/add min_price and max_price
                    url = self.updateQueryStringParameter(url, 'per-page', per_page);

                    get_woocommerce_content(url);
                }

            });

            //Woocommerce sort
            //Unbind previous function and bind new function to orderby select
            $('.woocommerce-ordering').off('change', 'select.orderby');
            $('.woocommerce-ordering').on('change', 'select.orderby', function () {

                var selected = $(this).find('option:selected').val();
                var url = window.location.href;

                //Update/add orderby
                url = self.updateQueryStringParameter(url, 'orderby', selected);

                get_woocommerce_content(url);

            });

            //Woocommerce search
            self.$document.find("form.woocommerce-product-search").each(function () {
                var $this = $(this);
                $this.submit(function (e) {
                    e.preventDefault();
                    $this.addClass('start_search');
                    var keyword = $this.find('input.search-field').val();
                    if (keyword != '') {
                        $this.find('input.search-field').blur();//Hide virtual keyboard in mobiles

                        var url = $this.attr('action');
                        //Update/add orderby
                        url = self.updateQueryStringParameter(url, 's', keyword);
                        //Do not add post_type to URL if this form is in category page
                        if ($this.attr('data-type') != 'category') {
                            url = self.updateQueryStringParameter(url, 'post_type', 'product');
                        }
                        get_woocommerce_content(url);
                    }
                });
            });
            self.$document.find('form.woocommerce-product-search .cross_close_link').on('click', function (event) {
                event.preventDefault();
                var $url = $(this).attr('href');
                $(this).parents('form.woocommerce-product-search').removeClass('start_search');

                $('.shop-filter .search-box').removeClass('open');
                $('.shop-filter .search-box').siblings('.filter-search-form-container').removeClass('open');
                $('.shop-filter .search-box').siblings('.special-filter.cat').removeClass('hide');
                $('.shop-filter .search-box').siblings('.special-filter.sort').removeClass('hide');
                $('.shop-filter .search-box').siblings('#switch_view_buttons').removeClass('hide');
                $('.shop-filter .search-box').siblings('.product_per_page_filter').removeClass('hide');

                if (!$('.shop-filter .search-box').hasClass('open')) {
                    $(".shop-filter .search-hint").addClass('hide');
                }

                $(this).siblings('input').val('');
                get_woocommerce_content($url);
            });

            // remove search keyword and Update Product 
            self.$document.on("click", ".shop-filter .search-keyword a", function (e) {
                if (e.handled !== true) // This will prevent event triggering more then once
                {

                    e.handled = true;
                    e.preventDefault();
                    $(this).closest('.search-keyword').toggleClass('show');
                    $('.special_layered_nav_filters').find('.search-keyword-active').removeClass('chosen');
                    get_woocommerce_content($(this).attr('href'));
                }
            });

            // Search Hint [ Press "Enter" to search ]
            self.$document.on("keyup", ".shop-filter .filter-search-form-container input[type='search']", function (e) {
                var len = $(this).val().length,
                    $search_hint = $(".shop-filter .search-hint");
                if (len >= 2) {
                    $search_hint.removeClass('hide')
                } else {
                    $search_hint.addClass('hide')
                }
            }).on("keydown", ".shop-filter .filter-search-form-container input[type='search']", function (e) {
                if (e.which === 13 && $(this).val() != '') {
                    setTimeout(function () {
                        $(".shop-filter .search-hint").addClass('hide');
                        $(".shop-filter .search-keyword").removeClass('show');
                    }, 300)
                }
            });
        },

        search_box_toggle: function () {
            var self = this;

            $(".shop-filter .search-box").on("click", function (e) {
                $(this).toggleClass('open');
                $(this).siblings('.filter-search-form-container').toggleClass('open');
                $(this).siblings('.special-filter.cat').toggleClass('hide');
                $(this).siblings('.special-filter.sort').toggleClass('hide');
                $(this).siblings('#switch_view_buttons').toggleClass('hide');
                $(this).siblings('.product_per_page_filter').toggleClass('hide');

                //only run on tablet and mobiles 
                if (self.windowWidth < 1025 && $('.shop-filter-toggle').hasClass('open')) {
                    $(this).parent('.shop-filter').toggleClass('open');
                }

                if (!$('.shop-filter .search-box').hasClass('open')) {
                    $(".shop-filter .search-hint").addClass('hide');
                }
                $('.filter-search-form-container #woocommerce-product-search-field').focus();

            });
        },

        //a helper function to add/update querystrings of URL
        updateQueryStringParameter: function (uri, key, value) {
            var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
            var separator = uri.indexOf('?') !== -1 ? "&" : "?";
            if (uri.match(re)) {
                if ( value == '' ) {
                    return uri.includes('?') ? uri.replace(re, '?') : uri.replace(re, '');
                } else {
                    return uri.replace(re, '$1' + key + "=" + value + '$2');
                }
            } else if ( value != '' ) {
                return uri + separator + key + "=" + value;
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*  Show minicart | Show cart on sidebar when go to page with ajax | Code : cart-fragments.js in woocommerce plugin
        /*-----------------------------------------------------------------------------------*/
        update_widget_cart_on_cart_page: function () {
            var self = this;
            //Use ajaxSend event to detect when it's needed to update cart
            var ajaxStartHandlerForCartPage = function (event, xhr, settings) {
                var main_form_action = $('form.woocommerce-cart-form').attr('action');
                if (settings.url.indexOf('get_cart_totals') > 0) {
                    $(document.body).trigger('wc_fragment_refresh');
                }
            }

            if (self.$body.hasClass('woocommerce-cart')) // just do it in cart page
            {
                $(document).ajaxSend(ajaxStartHandlerForCartPage);
            }
        },

        mini_cart_quantity_update: function () {
            var send_param;
            $(document).on('click', '.kt-quantity-change .icon', function(){
                var $this = $(this);
                var item_key = $this.parents('li').data('item-key'),
                    min = $this.parents('li').data('min'),
                    max = $this.parents('li').data('max'),
                    $quantity_wrapper = $this.parents('.quantity');
                if ( ! $quantity_wrapper.length || $this.parents('li').hasClass('loading') ) {
                    return;
                }

                var currnet_quantity = parseInt( $quantity_wrapper.find('.kt-num').first().text() );
                var new_quantity = 0;
                max = ( max == -1 ) ? Infinity : max;
                if ( $this.hasClass('kt-plus') && currnet_quantity < max ) {
                    new_quantity = ++currnet_quantity;
                    $quantity_wrapper.find('.kt-num').text( new_quantity );
                    clearTimeout( send_param );   
                }

                if ( $this.hasClass('kt-minus') && currnet_quantity > min ) {
                    new_quantity = --currnet_quantity;
                    $quantity_wrapper.find('.kt-num').text( new_quantity );
                    clearTimeout( send_param );   
                }

                if ( new_quantity == 0 ) {
                    return;
                }

                send_param = setTimeout( function(){
                    $this.parents('li').addClass('loading');
                    $this.parents('li').find('.wc-loading').removeClass('hide');
                    // Ajax action
                    $.ajax({
                        url: kite_theme_vars.ajax_url,
                        dataType: 'json',
                        type: 'POST',
                        cache: false,
                        headers: { 'cache-control': 'no-cache' },
                        data: {
                            'action': 'update_mini_cart_item',
                            'item_key': item_key,
                            'quantity': new_quantity
                        },
                        success: function (response) {
                            $this.parents('li').removeClass('loading');
                            $this.parents('li').find('.wc-loading').addClass('hide');
                            if (response.status === '1') {
                                

                                // Update cart item count
                                $('.cartcontentscount, .kt-cart .kt-count').html(response.cart_count);
                                $('.kt-cart .kt-amount').html(response.cart_subtotal);
                                // Is the cart empty?
                                if (response.cart_count == 0) {
                                    $('.product_list_widget').each(function () {
                                        $('.cart-bottom-box').addClass('hide');
                                    });
                                } else {
                                    // Update cart subtotal
                                    $('.cart-bottom-box .amount').html($(response.cart_subtotal).html());
                                    // @if PRO
                                    if ( response.percentage !== undefined ) {
                                        if ( $('.kt-free-shipping-notice').length ) {
                                            $('.kt-free-shipping-notice').removeClass('kt-complete');
                                            $('.kt-free-shipping-notice').find('span.text').html(response.free_shipp_text);
                                            $('.kt-fill-free-shipping').css( 'width', response.percentage+'%');
                                        } else {
                                            var $free_notice_html = "<div class='kt-free-shipping-notice'><span class='kt-fill-free-shipping'></span><span class='icon icon-notification'></span><span class='text'>"+response.free_shipp_text+"</span></div>";
                                            $('.cart-bottom-box').prepend($free_notice_html);
                                            $('.kt-fill-free-shipping').css( 'width', response.percentage+'%');

                                        }
                                    }
                                    // @endif
                                }
                                $(document).trigger('wc_cart_updated');
                            }

                        }
                    });
                },1500);
            });
        },

        /*----------------------------------------------------------------------------------*/
        /* Reinitialise select2 on countery select in checkout page
        /*-----------------------------------------------------------------------------------*/
        reinit_checkout_countery_select2: function () {
            var self = this;

            if ($('.woocommerce-checkout select.country_to_state.country_select').length > 1) {

                //It's an copy of getEnhancedSelectFormatString function in woocommerce/assets/js/frontend/country-select.js
                var getEnhancedSelectFormatString = function () {
                    return {
                        'language': {
                            errorLoading: function () {
                                // Workaround for https://github.com/select2/select2/issues/4355 instead of i18n_ajax_error.
                                return wc_country_select_params.i18n_searching;
                            },
                            inputTooLong: function (args) {
                                var overChars = args.input.length - args.maximum;

                                if (1 === overChars) {
                                    return wc_country_select_params.i18n_input_too_long_1;
                                }

                                return wc_country_select_params.i18n_input_too_long_n.replace('%qty%', overChars);
                            },
                            inputTooShort: function (args) {
                                var remainingChars = args.minimum - args.input.length;

                                if (1 === remainingChars) {
                                    return wc_country_select_params.i18n_input_too_short_1;
                                }

                                return wc_country_select_params.i18n_input_too_short_n.replace('%qty%', remainingChars);
                            },
                            loadingMore: function () {
                                return wc_country_select_params.i18n_load_more;
                            },
                            maximumSelected: function (args) {
                                if (args.maximum === 1) {
                                    return wc_country_select_params.i18n_selection_too_long_1;
                                }

                                return wc_country_select_params.i18n_selection_too_long_n.replace('%qty%', args.maximum);
                            },
                            noResults: function () {
                                return wc_country_select_params.i18n_no_matches;
                            },
                            searching: function () {
                                return wc_country_select_params.i18n_searching;
                            }
                        }
                    };
                }

                var init_select2_for_wc_selects = function () {

                    setTimeout(function () {

                        if ($.isFunction($.fn.select2)) {

                            var wc_country_select_select2 = function () {
                                $('select.country_select:visible, select.state_select:visible').each(function () {
                                    var select2_args = $.extend({
                                        placeholderOption: 'first',
                                        width: '100%'
                                    }, getEnhancedSelectFormatString());

                                    $(this).select2(select2_args);
                                });
                            };

                            wc_country_select_select2();
                        }

                    }, 1000);
                }

                self.$body.bind('country_to_state_changed', function () {
                    init_select2_for_wc_selects();
                });

                init_select2_for_wc_selects();
            }
        },

        /*----------------------------------------------------------------------------------*/
        /*  top Button
        /*-----------------------------------------------------------------------------------*/

        scrolltotopButton: function () {
            var self = this;

            var $scrolltotop = $(".scrolltotop");

            if ($scrolltotop.length <= 0)
                return;

            var latestKnownScrollPosition = 0,
                tick = false,
                visibilityThreshold = self.windowHeight * 1.7;

            //use unbind to prevent from multiple times clikc event
            $scrolltotop.find("a").unbind().click(function (e) {
                e.preventDefault();
                self.scroll_to("top", 3);  //scroll to top of page 
            });

            var update_button_visibility = function () {

                if (visibilityThreshold > latestKnownScrollPosition) {
                    $scrolltotop.removeClass('visiblescrolltop');
                }
                else {
                    $scrolltotop.addClass('visiblescrolltop');
                }

                tick = false;
            }

            update_button_visibility();

            var requestTick = function () {
                if (tick == false) {
                    window.requestAnimationFrame(update_button_visibility);
                }
                tick = true;
            }

            var onScroll = function () {
                latestKnownScrollPosition = window.pageYOffset;
                requestTick();
            }

            self.$window.on('scroll', onScroll);
            self.$window.one('djaxClick', function () {
                self.$window.unbind('scroll', onScroll);
            });
        },

        /*----------------------------------------------------------------------------------*/
        /* Snap to scroll
        /*-----------------------------------------------------------------------------------*/

        snap_to_scroll: function () {
            var self = this;

            if (!self.$body.hasClass('snap-to-scroll') || self.windowWidth <= 1140) {
                self.$window.trigger('reset-snap-to-scroll');
                return;
            }


            //variables
            var delta = 0,
                scrollThreshold = 1,
                animating = false,
                footerHeight,
                footerWidgetHeight = 0,
                footerAndWidgetHeight,
                isfooterVisible = false,
                sectionsAvailable = $('.kt-section'),
                $nav = null;

            sectionsAvailable.eq(0).addClass('visible');

            // Prevent child elements event bubbling 
            sectionsAvailable.find('.section-container *').on("webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend", function (e) {
                e.stopPropagation();
            });

            var st;//set a delay between slidng sections
            //set flag of animation to false at the end of animation
            sectionsAvailable.not('.footer-widgetized').children('.section-container').on("webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend", function (e) {
                clearTimeout(st);
                st = setTimeout(function () {
                    animating = false;
                }, 300);

                sectionsAvailable.filter('.visible').css('z-index', 1);

                if ($(this).closest('.kt-section').hasClass('visible')) {
                    self.$document.trigger('snap_to_scroll_slide_end');
                }

            });

            //Add navigation to page
            var numberOfNavItem = sectionsAvailable.length;
            if (sectionsAvailable.filter('.footer-widgetized').length > 0) {
                numberOfNavItem = numberOfNavItem - 1;//ignore the footer widget area
            }

            var $nav = '<span></span>'.repeat(numberOfNavItem);
            $("#main-content").append('<span id="snap-to-scroll-nav" class="visible-desktop">' + $nav + '</span>');
            $nav = $("#snap-to-scroll-nav");
            $nav.find('span:first').addClass('active');

            $nav.find('span').on('click', function () {
                var $this = $(this),
                    prevSectionNumber = $this.siblings('.active').index();

                if (prevSectionNumber < 0)
                    prevSectionNumber = sectionsAvailable.length;

                goToSection(prevSectionNumber, $this.index());
            });

            var activeNavItem = function (index) {
                $nav.find('span.active').removeClass('active');
                $nav.find('span').eq(index).addClass('active');
            }

            var setHeight = function () {
                self.windowHeight = self.$window.outerHeight();
                footerWidgetHeight = sectionsAvailable.find('.footer-widgetized-wrap').outerHeight();
                footerHeight = $('footer').outerHeight();
                footerAndWidgetHeight = footerHeight + footerWidgetHeight;

                sectionsAvailable.css({ 'height': self.windowHeight, 'min-height': self.windowHeight });
                sectionsAvailable.filter('.footer-widgetized').css({ 'height': footerAndWidgetHeight, 'min-height': footerAndWidgetHeight });
                $('footer').css('transform', 'translateY(' + footerWidgetHeight + 'px)');
            }

            //Add a special class to last section (if there is footer wigetbar before that) to show footer & widget-bar
            var InitSections = function () {
                //footer widget
                if (sectionsAvailable.last().hasClass('footer-widgetized')) {
                    sectionsAvailable.last().prev('.kt-section').addClass('last-section-before-footer');
                }
                else {
                    sectionsAvailable.last().addClass('last-section-before-footer');
                }

                //Add a special class to showcase section to disable some extra transition in rows that have showcase
                $('.showcase').closest('.section-container').addClass('kt-section-showcase');
            }

            var showFooter = function () {
                //show footer
                if (isfooterVisible) {
                    $('footer.footer-bottom').css('transform', 'translateY(0px)');
                }
                else {
                    if (footerWidgetHeight) {
                        $('footer.footer-bottom').css('transform', 'translateY(' + footerWidgetHeight + 'px)');
                    }
                    else {
                        $('footer.footer-bottom').css('transform', '');
                    }

                }
            }

            var showcase_bg_snap_to_scroll = function ($showcase) {
                if ($showcase === 'undefined')
                    return;

                $showcase.find('.showcase-bg').removeClass('bg-animated active');

                $showcase.find('.showcase-item').removeClass('active');
                $showcase.find('.item-list li').removeClass('active');

                $showcase.find('.showcase-item').first().addClass('active');
                $showcase.find('.item-list li').first().addClass('active');

                //activate and animate
                //There is should be a delay between removeing and adding classes to run animations again
                setTimeout(function () {
                    $showcase.find('.showcase-bg').first().addClass('bg-animated active');
                }, 50)
            }

            //Reset animation for last-section-before-footer (it changed during displaying footer)
            var resetSectionAnimations = function () {
                var visibleSection = sectionsAvailable.filter('.visible');
                if (!visibleSection.is('.last-section-before-footer')) {
                    sectionsAvailable.removeClass('visible-footer');
                }
            }

            var resetScroll = function () {
                delta = 0;
            }

            var goToSection = function (prevSectionNumber, sectionNumber) {

                if (animating == true || prevSectionNumber == sectionNumber)
                    return;

                isfooterVisible = false;


                sectionsAvailable.css('z-index', '');
                var visibleSection = sectionsAvailable.filter('.visible');

                if (!animating) {
                    animating = true;

                    if (prevSectionNumber < sectionNumber) {
                        sectionsAvailable.eq(sectionNumber).prevAll('.kt-section').removeClass('visible').children('.section-container').removeClass('translatedown translateNone translateup').addClass('scaledown');
                    }
                    else {
                        sectionsAvailable.eq(sectionNumber).nextAll('.kt-section').removeClass('visible').children('.section-container').removeClass('scaledown translateNone translateup').addClass('translatedown');
                    }

                    sectionsAvailable.eq(sectionNumber).addClass('visible').children('.section-container').removeClass('translatedown scaledown translateup').addClass('translateNone');
                }

                resetSectionAnimations();
                resetScroll();
                showFooter();
                showcase_bg_snap_to_scroll(sectionsAvailable.filter('.visible'));
                activeNavItem(sectionsAvailable.filter('.visible').index());

            }

            var prevSection = function (event) {

                if (animating == true)
                    return;

                isfooterVisible = false;

                //go to previous section
                typeof event !== 'undefined' && event.preventDefault();

                sectionsAvailable.css('z-index', '');
                var visibleSection = sectionsAvailable.filter('.visible');
                if (visibleSection.length <= 0)//happens when there is no widget-bar
                {
                    $('.last-section-before-footer').addClass('visible').children('.section-container').removeClass('scaledown translatedown translateup').addClass('translateNone');
                }

                if (!animating && !visibleSection.is(":first-of-type")) {
                    animating = true;

                    visibleSection.removeClass('visible').children('.section-container').removeClass('scaledown translateNone translateup').addClass('translatedown');
                    visibleSection.prevAll('.kt-section').first().addClass('visible').children('.section-container').removeClass('translatedown scaledown translateup').addClass('translateNone');
                }

                resetSectionAnimations();
                resetScroll();
                showcase_bg_snap_to_scroll(sectionsAvailable.filter('.visible'));
                activeNavItem(sectionsAvailable.filter('.visible').index());
            }

            var nextSection = function (event) {

                if (animating == true)
                    return;

                //go to next section
                typeof event !== 'undefined' && event.preventDefault();

                sectionsAvailable.css('z-index', '');
                var visibleSection = sectionsAvailable.filter('.visible');

                if (!animating && !isfooterVisible) {
                    animating = true;
                    if (visibleSection.hasClass("last-section-before-footer")) {
                        visibleSection.addClass('visible-footer');
                        isfooterVisible = true;
                    }

                    visibleSection.removeClass('visible').children('.section-container').removeClass('translatedown translateNone translateup').addClass('scaledown');
                    visibleSection.nextAll('.kt-section').first().addClass('visible').children('.section-container').removeClass('translatedown scaledown translateup').addClass('translateNone');

                }
                resetScroll();
                showcase_bg_snap_to_scroll(sectionsAvailable.filter('.visible'));
                activeNavItem(sectionsAvailable.filter('.visible').index());
            }

            var scrollHijacking = function (event) {
                if (self.$body.hasClass('disable-snap-to-scroll'))
                    return;

                // on mouse scroll - check if animate section
                if (event.originalEvent.detail < 0 || event.originalEvent.wheelDelta > 0) {
                    delta--;
                    (Math.abs(delta) >= scrollThreshold) && prevSection();

                } else {
                    delta++;
                    (delta >= scrollThreshold) && nextSection();
                }

                showFooter();

                return false;
            }

            var initHijacking = function () {

                // initialize section style - scrollhijacking
                var visibleSection = sectionsAvailable.filter('.visible'),
                    topSection = visibleSection.prevAll('.kt-section'),
                    bottomSection = visibleSection.nextAll('.kt-section');


                //should be aniamted in zero duration time 
                topSection.css('opacity', 1).children('.section-container').addClass('scaledown');
                bottomSection.css('opacity', 1).children('.section-container').addClass('translatedown');
                visibleSection.css('opacity', 1).children('.section-container').addClass('translateNone');

                setTimeout(function () {
                    self.$body.removeClass('snap-to-scroll-init');
                }, 100);

                setTimeout(function () {

                    self.$window.on('DOMMouseScroll mousewheel', scrollHijacking);
                }, 1000);

                self.$document.on('keydown', function (event) {
                    if (event.which == '40') {
                        event.preventDefault();
                        nextSection();
                    } else if (event.which == '38') {
                        event.preventDefault();
                        prevSection();
                    }
                });
            }

            var resetSnapToScroll = function () {

                self.$window.unbind('DOMMouseScroll mousewheel', scrollHijacking);
                self.$document.off('keydown');
                self.$window.unbind('resize', setHeight);
                self.$document.unbind('click', '.showcase .next-showcase a', nextSection);
                $('footer.footer-bottom').css('transform', '');
                sectionsAvailable.removeClass('visible').css('height', '').css('min-height', '');
                sectionsAvailable.children('.section-container').removeClass('scaledown translateNone translateup translatedown');
            }

            var resetInResponsive = function () {
                if (self.windowWidth <= 1140) {
                    self.$body.addClass('snap-to-scroll-responsive');
                    self.$window.trigger('reset-snap-to-scroll');
                }
                else {
                    if (self.$body.hasClass('snap-to-scroll-responsive')) {
                        clearTimeout(self.resizeId);
                        self.resizeId = setTimeout(function () {
                            self.snap_to_scroll();

                        }, 300);
                        self.$body.removeClass('snap-to-scroll-responsive');
                    }
                }
            }

            //showcase next button compatibility with snap to scroll
            self.$document.on('click', '.showcase .next-showcase a', nextSection);

            self.$window.on('resize', setHeight);
            self.$window.on('resize', resetInResponsive);
            //bind the animation to the window scroll event and keyboard

            self.$window.on('reset-snap-to-scroll', resetSnapToScroll);

            initHijacking();
            setHeight();
            InitSections();

        },

        /*----------------------------------------------------------------------------------*/
        /*  Masonry Blog
        /*-----------------------------------------------------------------------------------*/

        kite_blogMasonry: function (isLoadMore, container = $(document)) {
            var self = this;

            container.find('.masonry-blog.isotope').each(function () {

                var $container = $(this);
                var $layoutMode = $(this).data('layoutmode');

                // calc blog wrap width 
                var $columnNumber = $(this).data('columnnumber');

                if (self.windowWidth <= 979) {
                    $columnNumber = 2;//2column in vertical tablets
                    if (self.windowWidth <= 480) {
                        $columnNumber = 1;//1column in mobile devices
                    }
                }

                var $columnGutter = 12;
                var $blog_wrap_width = $(this).parents('.vc_column-inner,.elementor-widget-container').width();
                var $colWidth = Math.floor($blog_wrap_width / $columnNumber) - (2 * $columnGutter);

                if (isLoadMore != true) {
                    $container.isotope({
                        itemSelector: '.isotope-item',
                        layoutMode: $layoutMode,
                    });
                }

                // call isotope animation ( defualt and custom mode )
                self.isotopeAnimation($container);

                var blog_resize_handler = function () {
                    setTimeout(function () {
                        $container.isotope('reLayout');
                    }, 300);
                }
                self.$window.on('resize', blog_resize_handler);
                self.$window.one('djaxClick', function () {
                    self.$window.unbind('resize', blog_resize_handler);
                });

                $container.find('.blog-masonry-container').each(function () {

                    var $blogItems = $(this);
                    var $bloggallerycontainer = $(this).find('.bloggallerycontainer');

                    $blogItems.css({
                        'width': $colWidth,
                        'max-width': $colWidth,
                    });


                    $blogItems.find('.swiper-container').each(function () {

                        var $this = $(this);
                        if ($this.find('.swiper-slide').length > 1) {
                            var $next_button = $this.find('.swiper-button-next'),
                                $prev_button = $this.find('.swiper-button-prev'),

                                $autoplayDuration = 3000 + Math.floor(Math.random() * 4000);

                            //Prevent from running swiper multiple times on initiated items
                            if ($this[0].swiper != undefined)
                                return true;
                            if ($autoplayDuration == 0) {
                                var $autoplay = false;
                            } else {
                                var $autoplay = { delay: $autoplayDuration };
                            }
                            // Slider For Blog : Gallert Post format 
                            var $blog_cart_slider = new Swiper($this, {
                                speed: 600,
                                longSwipesMs: 700,
                                touchAngle: 30,
                                loop: true,
                                autoplayDisableOnInteraction: false,
                                spaceBetween: 0,
                                followFinger: false,
                                navigation: {
                                    nextEl: $next_button,
                                    prevEl: $prev_button,
                                },
                                autoplay: $autoplay,
                            });

                            var blog_cart_slider_resize_handler = function () {
                                setTimeout(function () {
                                    $blog_cart_slider.on('resize');
                                }, 100);
                            }

                            self.$window.on('resize', blog_cart_slider_resize_handler);

                            self.$window.one('djaxClick', function () {
                                self.$window.unbind('resize', blog_cart_slider_resize_handler);
                            });

                            blog_cart_slider_resize_handler();// resize swiper after loading to calculate width correctly


                        }
                        else {
                            $this.find('.swiper-wrapper').addClass('disabled_swiper');
                        }

                    });
                    self.galleryStart(); //To restart pop-up video and pop-up sound
                });
            });
        },

        /*----------------------------------------------------------------------------------*/
        /*  Gallery
        /*-----------------------------------------------------------------------------------*/

        galleryStart: function () {
            var self = this;

            if (typeof $.fn.lightGallery != 'function' || ! $('.kt_lightgallery').length )
                return;

            $('.kt_lightgallery').each(function () {

                var $this = $(this);

                //Let the animation be set by the user
                var $slideAnimation = $this.parent('.isotope').data('animation-type'),
                    $galleryId = $this.attr('id'),
                    $gallery_thumbnail = $this.parent('.isotope').data('gallery-thumbnail');

                $this.lightGallery({
                    selector: '.galleryitem',
                    counter: true,
                    mode: $slideAnimation,
                    speed: 400,
                    thumbnail: $gallery_thumbnail,
                    currentPagerPosition: 'middle',
                    galleryId: $galleryId,
                    iframeMaxWidth: '80%'
                });

                $this.on('onBeforeOpen.lg', function (event) {
                    //detect if the gallery is of type light style
                    $(".isotope.lightPopUp").click(function () {
                        $('.lg').addClass('lightstyle');//when LightStyle is selected
                        $('.lg-backdrop.in').addClass('galleryback');
                    });
                });

                $this.on('onAfterOpen.lg', function (event) {
                    $(".isotope .isotope-item").click(function () {

                        // Add Class Active Gallery 
                        $('.kt_lightgallery').removeClass('activeGallery');
                        $(this).parents('.kt_lightgallery').addClass('activeGallery');

                        //Calculating Social share information
                        var $json = $.parseJSON($(this).find('.postphoto .galleryitem a.portfolioLink').data('social-share'));

                        //Adding socailshare to the image wrap
                        $(".lg-outer .bd_socail_share").remove();
                        $(".lg-outer .lg-toolbar.group .lg-autoplay-button").after($json);
                        $('.social_share_toggle').hover(function () {//social button animation
                            $('.social_share_toggle .social_links_list').toggleClass('opentoggle');
                        });

                        self.social_share_pop_up();
                        self.$body.addClass('gl-open');

                    });

                });


                $this.on('onAfterAppendSubHtml.lg', function (event) {

                    // Update socailshare
                    var $index = $('.lg-inner .lg-item.lg-current').index();
                    //Calculating Social share information
                    var $json = $.parseJSON($('.kt_lightgallery.activeGallery').find('.postphoto .galleryitem a.portfolioLink').eq($index).data('social-share'));
                    //Adding socailshare to the image wrap
                    $(".lg-outer .bd_socail_share").remove();
                    $(".lg-outer .lg-toolbar.group .lg-autoplay-button").after($json);
                    $('.social_share_toggle').hover(function () {//social button animation
                        $('.social_share_toggle .social_links_list').toggleClass('opentoggle');
                    });

                    self.social_share_pop_up();

                    $('.lg-sub-html').children().show('opacity', 1);

                });

                $this.on('onBeforeClose.lg', function (event) {
                    self.$body.removeClass('gl-open');
                });

            });

        },

        /*----------------------------------------------------------------------------------*/
        /*  compare
        /*----------------------------------------------------------------------------------*/

        compare: function () {
            var self = this;

            var $compare_modal = self.$document.find('#kt-modal'),
                $compare_content = $compare_modal.find('#modal-content'),
                $compare_wrapper = $compare_modal.find('.modal-content-wrapper');

            $('.compare').on('click', function () {
                $compare_modal.addClass('compare-modal open').removeClass('closed'); // content is ready, so show it
            });
            $(document).on('click', '.comparewrapper a.compareLink, .kt-compare .hd-btn-link', function (ev) {
                ev.preventDefault();
                $compare_modal.addClass('compare-modal open').removeClass('closed'); // content is ready, so show it
                var table_url = this.href;

                if (typeof table_url == 'undefined')
                    return;
                $('body').trigger('yith_woocompare_open_popup', { response: table_url, button: $(this) });
            });

            // Close quickview by click outside of content
            $compare_modal.on('click', function (e) {
                if (!$compare_modal.hasClass('compare-modal'))
                    return;

                if (!$compare_wrapper.is(e.target) && $compare_wrapper.has(e.target).length === 0) {
                    closeCompareModal();
                }
            });

            self.$document.on('click', '#kt-modal.compare-modal #modal-close', function (e) {
                e.preventDefault();
                closeCompareModal();
            });

            var closeCompareModal = function () {
                $compare_modal.removeClass('shown loading open').addClass('closed');
                setTimeout(function () {
                    self.$body.removeClass('modal-open');
                    $compare_modal.removeClass('compare-modal');
                }, 300)

                setTimeout(function () {
                    $compare_content.html('');
                }, 800);

                var widget_list = $('.yith-woocompare-widget div.products-list'),
                    data = {
                        action: yith_woocompare.actionview,
                        context: 'frontend'
                    };

                if (typeof $.fn.block != 'undefined') {
                    widget_list.block({ message: null, overlayCSS: { background: '#fff url(' + yith_woocompare.loader + ') no-repeat center', backgroundSize: '16px 16px', opacity: 0.6 } });
                }

                $.ajax({
                    type: 'post',
                    url: yith_woocompare.ajaxurl.toString().replace('%%endpoint%%', yith_woocompare.actionview),
                    data: data,
                    success: function (response) {
                        // add the product in the widget
                        if (typeof $.fn.block != 'undefined') {
                            widget_list.unblock().html(response);
                        }
                        widget_list.html(response);
                    }
                });
            }

            // open popup & Run yith_woocompare_open_popup handler 
            self.$body.off('yith_woocompare_open_popup');
            self.$body.on('yith_woocompare_open_popup', function (e, data) {
                var url = data.response;

                self.$body.addClass('modal-open'); // Disable scrollbar

                $.post({
                    url: url + ' .compare-list',
                    cache: false,
                    headers: { 'cache-control': 'no-cache' },
                    success: function (response) {
                        $compare_content.html(response);
                        $compare_modal.addClass('shown');
                        self.kite_scrollbar('table.compare-list tr.description td p:first-child ');
                    }
                });

            });

            self.$document.find('kt-modal.compare-modal tr.remove a').off('click');

            // remove from table
            self.$document.on('click', '#kt-modal.compare-modal tr.remove a', function (e) {
                e.preventDefault();

                $(this).addClass('norotate');

                var button = $(this),
                    data = {
                        action: yith_woocompare.actionremove,
                        id: button.data('product_id'),
                        context: 'frontend'
                    },
                    product_cell = $('td.product_' + data.id + ', th.product_' + data.id);

                // add ajax loader
                if (typeof $.fn.block != 'undefined') {
                    button.block({
                        message: null,
                        overlayCSS: {
                            background: '#fff url(' + yith_woocompare.loader + ') no-repeat center',
                            backgroundSize: '16px 16px',
                            opacity: 0.6
                        }
                    });
                }

                $.ajax({
                    type: 'post',
                    url: yith_woocompare.ajaxurl.toString().replace('%%endpoint%%', yith_woocompare.actionremove),
                    data: data,
                    dataType: 'html',
                    success: function (response) {

                        // in compare table
                        var table = $(response).filter('table.compare-list');
                        $('body  table.compare-list').replaceWith(table);

                        $('.compare[data-product_id="' + button.data('product_id') + '"]', window.parent.document).removeClass('added').html(yith_woocompare.button_text);

                        // removed trigger
                        self.$window.trigger('yith_woocompare_product_removed');
                    }
                });
            });


        },

        getScrollBarWidth: function () {
            var self = this;

            var inner = document.createElement('p');
            inner.style.cssText = 'width: 100%; height: 200px;';

            var outer = document.createElement('div');
            outer.style.cssText = 'width: 200px; height: 150px; position:absolute; visibility:hidden; left:0px; top:0px; overflow:hidden;';
            outer.appendChild(inner);

            document.body.appendChild(outer);
            var w1 = inner.offsetWidth;
            outer.style.overflow = 'scroll';
            var w2 = inner.offsetWidth;
            if (w1 == w2) w2 = outer.clientWidth;

            document.body.removeChild(outer);

            if ((w1 - w2) > 0) { // Detect scrollbar width
                if (self.$body.height() > self.windowHeight) { // Detect if a page has a vertical scrollbar?
                    self.$body.addClass('has-scrollbar');

                    if ((w1 - w2) == 15) { // ios device 
                        self.$body.addClass('scrollbarSize15');
                    } else if ((w1 - w2) == 17) { // chorme and firefox in windows 
                        self.$body.addClass('scrollbarSize17');
                    } else if ((w1 - w2) == 12) { // edge in windows 
                        self.$body.addClass('scrollbarSize12');
                    }
                }
            }
        },
        cat_widget_update: function () { //add toggle button to category widget + show current category/subcategory
            var $widget = $('.widget_product_categories'),
                $list = $widget.find('.product-categories');
            if ( ! $list.find('.cat-parent').length ) return;
            $list.find('.cat-parent').each(function () {
                var $this = $(this);
                if ($this.find('ul').length <= 0)
                    return true;

                if ($this.hasClass('current-cat-parent')) {
                    if ($this.find('.cats-toggle').length)
                        $this.find('.cats-toggle').addClass('toggle-active');                   
                    else
                        $this.append('<div class="cats-toggle toggle-active"></div>');
                } else {
                    if (!$this.find('.cats-toggle').length)
                        $this.append('<div class="cats-toggle"></div>');
                }
            });


            if ($list.find('li.current-cat').length > 0) {
                $list.find('li.current-cat').parents('ul').css("display", "block");
                $list.find('li.current-cat ul.children').css("display", "block");
                $list.find('.current-cat.cat-parent .cats-toggle').addClass('toggle-active');
            }
        },

        cat_widget: function () {
            var $widget = $('.widget_product_categories'),
                $list = $widget.find('.product-categories'),
                time = 500;
            $list.off('click','.cats-toggle');
            $list.on('click', '.cats-toggle', function () {
                var $btn = $(this),
                    $subList = $btn.prev();
                if ($subList.hasClass('list-shown')) {
                    $btn.removeClass('toggle-active');
                    $subList.stop().slideUp(time).removeClass('list-shown');
                }
                else {
                    $subList.parent().parent().find('> li > .list-shown').slideUp().removeClass('list-shown');
                    $subList.parent().parent().find('> li > .toggle-active').removeClass('toggle-active');
                    $btn.addClass('toggle-active');
                    $subList.stop().slideDown(time).addClass('list-shown');
                }
            });
        },


        // cookies bar 
        cookiesBar: function () {
            if (typeof Cookies === 'undefined') { // this is temperpry solution 
                return false;
            }
            if ($(window).width() > 1280)
                $('.kt-cookies-bar').addClass('container');

            if (Cookies.set('kt_cookies') == 'accepted')
                return;
            var cookiesbar = $('.kt-cookies-bar');
            setTimeout(function () {
                cookiesbar.addClass('bar-display');
                cookiesbar.on('click', '.cookies-accept-btn', function (e) {
                    e.preventDefault();
                    acceptCookies();
                })
            }, 2500);

            var acceptCookies = function () {
                cookiesbar.removeClass('bar-display').addClass('bar-hide');
                Cookies.set('kt_cookies', 'accepted', { expires: 60, path: '/' });

            };
        },

        sorting_popup: function () {
            var self = this,
                $sort = $('.navicons.sorting');
            $sort.on('click', function (e) {
                e.preventDefault();

                var $link = $(this),
                    $sort_modal = self.$document.find('#kt-modal'),
                    $sort_wrapper = $sort_modal.find('.modal-content-wrapper'),
                    $sort_head = $sort_modal.find('.modal-head'),
                    $sort_content = $sort_modal.find('#modal-content');

                if ($sort_modal.length <= 0)
                    return;


                $sort_modal.addClass('hidden-nav');

                self.$body.addClass('modal-open'); // disable scrollbar
                $sort_modal.addClass('sort-modal');
                $sort_head.append('<div class="title">' + kite_theme_vars.sort_by_text + '</div>');

                if (!$sort_modal.removeClass('closed').hasClass('open')) {
                    $sort_modal.removeClass('loading').addClass('open');
                }


                var $data = $('.shop-filter > .special-filter.sort ul.list').clone();

                $sort_content.html($data);
                $sort_modal.addClass('shown'); // content is ready, so show it


                // Close quickview by click outside of content
                $sort_modal.on('click', function (e) {
                    if (!$sort_content.is(e.target) && $sort_content.has(e.target).length === 0) {
                        self.close_sort_popup();
                    }
                });

                // Close quickview by click close button
                self.$document.on('click', '#kt-modal.sort-modal #modal-close', function (e) {
                    e.preventDefault();
                    self.close_sort_popup();
                });

                // Close box with esc key
                self.$document.keyup(function (e) {
                    if (e.keyCode === 27)
                        self.close_sort_popup();
                });

            });
        },
        close_sort_popup: function () {
            var self = this;

            var $sort_modal = self.$document.find('#kt-modal.sort-modal'),
                $sort_title = $sort_modal.find('.modal-head .title'),
                $sort_content = $sort_modal.find('#modal-content');

            $sort_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $sort_title.remove();
                $sort_modal.removeClass('sort-modal');
            }, 300)

            setTimeout(function () {
                $sort_content.html('');
            }, 800);
        },
        account_popup: function () {
            var self = this,
                $account_link = $('.login-link-popup'),
                $topbar_login_link = $('.topbar_login_link, .kt-header-button.kt-account');
            $topbar_login_link.on('click', function (event) {
                $(this).toggleClass('hover');
            });
            $account_link.on('click', function (e) {
                e.preventDefault();

                var $link = $(this),
                    $account_modal = self.$document.find('#kt-modal'),
                    $account_wrapper = $account_modal.find('.modal-content-wrapper'),
                    $account_content = $account_modal.find('#modal-content');

                if ($account_modal.length <= 0)
                    return;


                $account_modal.addClass('hidden-nav');

                self.$body.addClass('modal-open'); // disable scrollbar
                $account_modal.addClass('account-modal');

                if (!$account_modal.removeClass('closed').hasClass('open')) {
                    $account_modal.removeClass('loading').addClass('open');
                }


                var $data = $('#customer_login.hide-login').clone().removeClass('hide-login');

                $account_content.html($data);
                $account_modal.addClass('shown'); // content is ready, so show it


                // Close quickview by click outside of content
                $account_modal.on('click', function (e) {
                    if (!$account_content.is(e.target) && $account_content.has(e.target).length === 0) {
                        self.close_account_popup();
                    }
                });

                // Close quickview by click close button
                self.$document.on('click', '#kt-modal.account-modal #modal-close', function (e) {
                    e.preventDefault();
                    self.close_account_popup();
                });

                // Close box with esc key
                self.$document.keyup(function (e) {
                    if (e.keyCode === 27)
                        self.close_account_popup();
                });

            });

        },
        close_account_popup: function () {
            var self = this;

            var $account_modal = self.$document.find('#kt-modal.account-modal'),
                $account_content = $account_modal.find('#modal-content');

            $account_modal.removeClass('shown loading open').addClass('closed');

            setTimeout(function () {
                self.$body.removeClass('modal-open');
                $account_modal.removeClass('account-modal');
            }, 300)

            setTimeout(function () {
                $account_content.html('');
            }, 300);
        },

        recently_viewed_slider: function () {
            $('.showrecentproduct').on('click', function (event) {
                if ($('.showrecentproduct').hasClass('disable')) {
                    $('.showrecentproduct').removeClass('disable');
                    $('.showrecentproduct').addClass('enable');
                    $('.showrecentproduct').find('i').removeClass('up');
                    $('.showrecentproduct').find('i').addClass('down');
                    $('.recentproduct.overlay').addClass('show');
                    $('.recentproduct.products').addClass('show');
                } else {
                    $('.showrecentproduct').removeClass('enable');
                    $('.showrecentproduct').addClass('disable');
                    $('.showrecentproduct').find('i').removeClass('down');
                    $('.showrecentproduct').find('i').addClass('up');
                    $('.recentproduct.overlay').removeClass('show');
                    $('.recentproduct.products').removeClass('show');
                }
            });

            var $num_of_items = $('.viewed-products').attr('data-num-of-prd');
            if ($num_of_items > 8) {
                var $loop = true;
            } else {
                var $loop = false;
            }

            var $recentproductNum = 8;

            var $next_button = $('.viewed-products').find('.arrow-button-next'),
                $prev_button = $('.viewed-products').find('.arrow-button-prev');
            var $loop = false;
            if ($('.viewed-products').hasClass('single-product')) {
                var $recentproductNum = 5;
                if ($num_of_items > 5) {
                    $loop = true;
                    if ($(window).width() > 480 && $num_of_items < 6) {
                        $next_button.remove();
                        $prev_button.remove();
                        $next_button = '';
                        $prev_button = '';
                    }
                }
            } else {
                var $recentproductNum = 8;
                if ($num_of_items > 8) {
                    $loop = true;
                    if ($(window).width() > 480 && $num_of_items < 9) {
                        $next_button.remove();
                        $prev_button.remove();
                        $next_button = '';
                        $prev_button = '';
                    }
                }
            }
            var swiper = new Swiper('.recently-viewed-product', {
                autoplay: false,
                spaceBetween: 30,
                loop: $loop,
                slidesPerView: $recentproductNum,
                navigation: {
                    nextEl: $next_button,
                    prevEl: $prev_button,
                },
                // Responsive breakpoints
                breakpoints: {
                    // when window width is <= 320px
                    320: {
                        slidesPerView: 1,
                        spaceBetween: 10
                    },
                    // when window width is <= 480px
                    480: {
                        slidesPerView: 3,
                        spaceBetween: 5
                    },
                    767: {
                        slidesPerView: 3,
                        spaceBetween: 20
                    },
                    1140: {
                        slidesPerView: 4,
                        spaceBetween: 20
                    },
                },
            });
            // hide recently viewed products when clicking on overlay
            $('.recentproduct.overlay').on('click', function (event) {
                $('.showrecentproduct').trigger('click');
            });
            // hide recently viewed products when reaching to the footer
            $(window).scroll(function () {     
                var $docViewTop = $(window).scrollTop();
                var $docViewBottom = $docViewTop + $(window).height();
                var $elementTop = $('.footer-bottom, div[data-elementor-type="footer"]').offset().top;
                if ($docViewBottom >= $elementTop) {
                    if (!$('.showrecentproduct').hasClass('disable')) {
                        $('.showrecentproduct').trigger('click');
                    }
                    $('.showrecentproduct').hide();
                    if ($('.footer-bottom').hasClass('light')) {
                        $('.scrolltotop a').addClass('dark');
                    }
                } else {
                    $('.showrecentproduct').show();
                    $('.scrolltotop a').removeClass('dark');
                }
            });
        },
        woocommerce_variation_item_select: function () {
            var self = $(this);
            var $currency_symbol = $('.woocommerce-Price-currencySymbol:first').text();
            var simpleAddToCart = function ($productItem) {
                var $cartButton = $productItem.find('div.addtocartbutton .addcartbutton,.product-buttons .product-button a,.mobileAddToCart');
                if (!$productItem.find('.simpleAddToCart').length) {
                    $cartButton.after('<a href="" rel="nofollow" data-quantity="1" class="add_to_cart_button product_type_simple simpleAddToCart" style="display:none"><span class="icon icon-cart"></span><span class="txt" data-hover="'+kite_theme_vars.add_to_cart+'">'+kite_theme_vars.add_to_cart+'</span></a>');
                    $('.simpleAddToCart').on('click', function () {
                        $(this).closest('div.product:not(.parent_div_product)').addClass('cartButtonClicked');
                    });
                }
            };
            $('.product_variation_item.info').on('click', function () {
                var $this = $(this),
                    $origImage = $(this).closest('div.product:not(.parent_div_product) ').find('div.imageswrap img'),
                    $hoverImage = $(this).closest('div.product:not(.parent_div_product) ').find('div.hover-image');
                simpleAddToCart($this.closest('div.product:not(.parent_div_product)'));

                $this.closest('div.product:not(.parent_div_product)').find('.add_to_cart_btn_wrap').addClass('is-loading');

                var $salePrice = $this.attr('data-sale-price');
                var $regPrice = $this.attr('data-regular-price');
                var $data_image = $this.attr('data-image');
                var $data_srcset = $this.attr('data-srcset');

                $('<img/>').attr('src', $data_image).on('load', function () {
                    $(this).remove(); // prevent memory leaks as @benweet suggested
                    $hoverImage.css('background', 'url(' + $data_image + ')');
                    $origImage.attr('src', $data_image);
                    $origImage.attr('srcset', $data_srcset);
                    $this.closest('div.product').find('.add_to_cart_btn_wrap').removeClass('is-loading');
                });
                if ($this.closest('div.product').find('.simpleprice').length == 0) {
                    $this.closest('div.product').find('.price').after('<span class="price simpleprice" style="display:none;"></span>');
                }
                if ($regPrice != '' && $salePrice != '') {
                    $this.closest('div.product:not(.parent_div_product) ').find('.simpleprice').html('<span class="woocs_price_code"><del><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">' + $currency_symbol + '</span>' + $regPrice + '</span></del> <ins><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">' + $currency_symbol + '</span>' + $salePrice + '</span></ins></span>');
                } else if ($regPrice != '') {
                    $this.closest('div.product:not(.parent_div_product) ').find('.simpleprice').html('<span class="woocs_price_code"><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">' + $currency_symbol + '</span>' + $regPrice + '</span></span>');
                } else if ($salePrice != '') {
                    $this.closest('div.product:not(.parent_div_product) ').find('.simpleprice').html('<span class="woocs_price_code"><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">' + $currency_symbol + '</span>' + $salePrice + '</span></span>');
                }
                $this.closest('div.product:not(.parent_div_product)').find('.price:not(.simpleprice)').attr('style', 'display: none !important');
                $this.closest('div.product:not(.parent_div_product)').find('.simpleprice').removeAttr('style');
                $this.closest('div.product:not(.parent_div_product)').find('.simpleAddToCart').removeAttr('style');
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.addcartbutton:not(.simpleAddToCart), .product-button > a:not(.simpleAddToCart)').css('display', 'none');

                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').removeData('product_id');
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').removeData('product_sku');
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').data('product_id', $(this).data('product_id'));
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').attr('data-product_id', $(this).data('product_id'));
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').data('product_sku', $(this).data('product_sku'));
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').attr('data-product_sku', $(this).data('product_sku'));
                $this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.simpleAddToCart, .product-button > a.simpleAddToCart').attr('href', $(this).data('cart-url'));
                if ($this.closest('div.product:not(.parent_div_product)').find('div.addtocartbutton a.addcartbutton, .variations').hasClass('ajax_enabled')) {
                    $this.closest('div.product:not(.parent_div_product)').find('.simpleAddToCart').addClass('ajax_add_to_cart');
                }
            });
            $('.variable_item,.variations .nice-select li').on('click', function () {
                $('form.variations_form').addClass('variation_clicked');

            });

        },
        infoonhoverAndClickAddedToCart: function ($variationItem) {
            if ($(window).width() < 768)
                return;
            if ($('.woocommerce .products.infoonhover').length || $('.woocommerce .products.infoonclick').length) {
                var $price = $variationItem.closest('div.product:not(.parent_div_product)').find('.price:not(.simpleprice)');
                var $onSale = $variationItem.closest('div.product:not(.parent_div_product)').find('.onsale');
                var $label = $variationItem.closest('div.product:not(.parent_div_product)').find('.custom_product_label');
                if ($variationItem.closest('div.products').hasClass('infoonhover') || $variationItem.closest('div.products').hasClass('infoonclick')) {
                    $variationItem.closest('div.product:not(.parent_div_product)').hover(function () {
                        $price.removeAttr('style');
                    }, function () {
                        $price.addClass('add-cart');
                    });
                }
                if ($variationItem.closest('div.products').hasClass('infoonclick')) {
                    $variationItem.closest('div.product:not(.parent_div_product)').toggleClass('show-hover-content');
                    $variationItem.closest('div.product:not(.parent_div_product)').find('.show-hover').toggleClass('show');
                }
                if ($onSale.length) {
                    $onSale.css('top', ($price.outerHeight() + 10) + 'px');
                    if ($label.length) {
                        $label.css('top', ($onSale.outerHeight() + $price.outerHeight() + 15) + 'px');
                    }
                }
                else if ($label.length) {
                    $label.css('top', ($price.outerHeight() + 10) + 'px');
                }

                if ($variationItem.closest('div.product:not(.parent_div_product)').hasClass('product-type-variable')) {
                    $variationItem.closest('div.product:not(.parent_div_product)').find('input[type="radio"]').prop('checked', false);
                }
            }
        },
        woocommerce_buttons_on_hover_cart_click: function () {
            var $addtocartbutton = $('.woocommerce div.products.buttonsonhover div.product .product-buttons .product-button a, .woocommerce div.products.instantshop div.product .instant_shop_button div.addtocartbutton a.addcartbutton');
            $addtocartbutton.off('click');
            $addtocartbutton.on('click', function (event) {
                if ($(this).closest('div.product:not(.parent_div_product)').find('.product-button, div.addtocartbutton,div.addtocartbutton a').hasClass('product_type_variable')) {
                    if ($(this).closest('div.product:not(.parent_div_product)').find('.simpleAddToCart').length == 0) {
                        $(this).after('<a href="" rel="nofollow" data-quantity="1" class="add_to_cart_button product_type_simple simpleAddToCart" style="display:none"><span class="icon"></span><span class="txt" data-hover="'+kite_theme_vars.add_to_cart+'">'+kite_theme_vars.add_to_cart+'</span></a>');
                    }
                    if ($(this).parents('div.products').hasClass('buttonsonhover')) {
                        $(this).closest('div.product:not(.parent_div_product)').find('.simpleAddToCart').addClass('button');
                    } else {
                        $(this).closest('div.product:not(.parent_div_product)').find('.simpleAddToCart').addClass('addcartbutton');
                    }
                }
            });
        },
        variation_hover_animation: function () {
            $('.woocommerce div.products.kiteStyle div.product').hover(function () {

            }, function () {

            });
        },
        mobile_header_search_button_click: function () {
            if ( $(window).width() >= 1140 ) 
                return;

            $('.kt-header-button.kt-search').each(function (index, el) {
                $(this).on('click', function () {
                    var $this = $(this);
                    $this.siblings('.responsive-whole-search-container').toggleClass('open');
                    $('.kt-header-builder-overlay').addClass('show');
                });
            });
            
            $(document).on('click', function (event) {
                if (!$(event.target).parents('.responsive-whole-search-container').length && !$(event.target).parents('.search_icon, .kt-header-button.kt-search').length && $('.responsive-whole-search-container').hasClass('open') ) {
                    $('.responsive-whole-search-container').removeClass('open');
                    $('.kt-header-builder-overlay').removeClass('show');
                }
            });
            
            // Not run in marketplace header
            if (!$('#mobile-header.style2').length)
                return;
            $('.search_icon, .kt-header-button.kt-search').each(function (index, el) {
                $(this).on('click', function () {
                    var $this = $(this);
                    $this.parent('.mobile-header-buttons').siblings('.responsive-whole-search-container').toggleClass('open');
                });
            });
        },
        ajax_search_form_sync: function ($element, $value) {
            if ($element.parent().hasClass('firstStateSearchForm')) {
                $('.secondstatesearchform .searchinput').val($value);
            } else if ($element.parent().hasClass('secondstatesearchform')) {
                $('.firstStateSearchForm .searchinput').val($value);
            }
        },
        ajax_search_form: function () {

            var self = this;
            var xhr = null;
            var $selectedCat = 'all';
            var $Cats;
            var $input = $('.searchinput');
            var $searchForm = $('.search-form-cls');
            var $searchinputWrapper = $('.search-inputwrapper');
            var $searchicon = $('.search-container .searchicon , .widget-has-catlist .searchicon');
            self.mobile_header_search_button_click();

            $searchicon.on('click', function (event) {
                $(this).parents('form').submit();
            });
            $('.searchresults, .searchcats,.searchcats span').on('click', function (e) {
                var $searchelements = $(this).closest('.search-container').find('.searchelements');
                if (!$searchelements.hasClass('focus')) {
                    $searchelements.addClass('focus');
                    $('.search-inputwrapper form').addClass('focus');
                }
            });
            $('.mobilesearchcats li.option').on('click', function (event) {
                event.preventDefault();
                $(this).parents('.search-container').find('.searchinput').attr('placeholder', 'Search in "' + $(this).text() + '"');
            });
            $('.mobilesearchcats').on('click', function () {
                if (!$(this).parents('.search-inputwrapper').find('.searchresults').hasClass('close')) {
                    $('.searchresults').addClass('close');
                    $('.show_all_results').addClass('close');

                }
            });
            $('.searchinput').on('click', function () {
                if (!$(this).parent('.searchelements').hasClass('focus')) {
                    $(this).parent('.searchelements').addClass('focus');
                    $(this).parents('form').addClass('focus');
                }
                if (!$('.mobile-sidebar-overlay').hasClass('open')) {
                    $('header#kt-header').addClass('z-index');
                    $('.mobile-sidebar-overlay').addClass('open');
                    $('body').addClass('kt-fix-responsive');
                }
                var $searchresults = $(this).closest('.search-container').find('.searchresults');
                var $show_all_results = $(this).closest('.search-container').find('.show_all_results');
                if ($searchresults.find('.searchitem').length > 0) {
                    if ($searchresults.hasClass('close')) {
                        $searchresults.toggleClass('close');
                        $show_all_results.toggleClass('close');
                    }
                } else {
                    var histories = self.get_search_history( '', false ),
                        history_length = ( typeof histories == 'undefined' ) ? 0 : ( histories.length >= 4 ? 4 : histories.length ),
                        $activeSearchResults = $(this).closest('.search-container').find('.searchresults');
                    
                        if ( history_length != 0 ) {
                        var histories_link = '',
                            hostname = kite_theme_vars.url,
                            post_type = $(this).parents('form').find("input[name='post_type']").val();

                        for ( var i=0; i < history_length; ++i ) {
                            var url = self.updateQueryStringParameter( hostname, 's', histories[i] );
                            url = self.updateQueryStringParameter( url, 'post_type', post_type);
                            histories_link += '<div class="row"><span class="icon icon-history"></span><a href="' + url +'">' + histories[i] + '</a></div>';
                        }
                        
                        if ( ! $activeSearchResults.find( '.searchitem' ).length ) {
                            $activeSearchResults.find('.kt-history').html( histories_link );
                        }

                        $activeSearchResults.removeClass('close');
                    }
                }

            });

            $('body').click(function (e) {
                if (!$(e.target).is('.searchcats,.searchinput, .searchcats span, .searchresults, .show_all_results,.search-button')) {
                    $('.searchelements').removeClass('focus');
                    $('.mobile-sidebar-overlay').removeClass('open');
                    $('body').removeClass('kt-fix-responsive');
                    $('header#kt-header').removeClass('z-index');
                    $('.search-inputwrapper form').removeClass('focus');
                    if ($(this).closest('.search-container').find('.searchresults').hasClass('close')) {
                        $(this).closest('.search-container').find('.show_all_results').addClass('close');
                    }

                }
            });

            $('.show_all_results').on('click', function () {
                $(this).closest('.search-container').find('form').submit();
            });
            $('.search-inputwrapper .searchicon').on('click', function () {
                $(this).closest('.search-container').find('form').submit();
            });
            $input.on('keyup', function () {
                if (xhr) {
                    xhr.abort();
                }
                var value = $(this).val();
                self.ajax_search_form_sync($(this), value);
                var $searchresults = $('.searchresults');
                var $show_all_results = $('.show_all_results');
                var $search_container = $(this).closest('.search-container');
                var $activeSearchResults = $search_container.find('.searchresults');
                var $activeShowAllResults = $search_container.find('.show_all_results');

                var result_columns = '';
                if ( $(this).closest('.search-container.search-element.columns-1, .search-container.search-element.columns-2, .search-container.search-element.columns-3').length ) {
                    if ( $search_container.hasClass('columns-1') ) {
                        result_columns = 1;
                    } else if ( $search_container.hasClass('columns-2') ) {
                        result_columns = 2;
                    } else {
                        result_columns = 3;
                    }
                }

                $searchresults.each(function (index, el) {
                    if ($(this).find('.searchitem').length > 0) {
                        if ($(this).hasClass('close')) {
                            $(this).toggleClass('close');
                            $(this).closest('.search-container').find('.show_all_results').toggleClass('close');
                        }
                    }
                });
                $Cats = $(this).parents('.search-container').find('li.option');
                if ($Cats.length > 0) {
                    $.each($Cats, function (index, val) {
                        if ($(this).hasClass('selected')) {
                            $selectedCat = $(this).attr('data-value');
                        }
                    });
                }
                var data = {
                    action: 'kite_ajax_search_action',
                    s: value,
                    cat: $selectedCat,
                    result_columns: result_columns
                }
                if (value.length < 2) {
                    $(this).parent().find('.typing-indicator span').css('visibility', 'hidden');
                    $searchinputWrapper.find('.searchicon span.icon,.searchicon, form .searchicon span').removeClass('loading');

                    $searchresults.each(function (index, el) {
                        if (!$(this).hasClass('close')) {
                            $(this).addClass('close');
                            $(this).closest('.search-container').find('.show_all_results').addClass('close');
                        }
                        if ($(this).find('.searchitem').length > 0) {
                            $(this).find('.kt-result').html('');
                            $(this).find('.kt-result').removeClass('has-result');
                        }
                        // Removeing The Style that Created with jquery when toggling search Form overlay 
                        // Refer to search_form Function 
                        $(this).removeAttr('style');
                        $(this).closest('.search-container').find('.show_all_results').removeAttr('style');
                    });
                    $show_all_results.each(function (index, el) {
                        if (!$(this).hasClass('close')) {
                            $(this).addClass('close');
                        }
                    });
                } else {
                    // show search histories
                    var histories = self.get_search_history( value, false ),
                        history_length = ( typeof histories == 'undefined' ) ? 0 : ( histories.length >= 4 ? 4 : histories.length );
                    if ( history_length != 0 ) {
                        var histories_link = '',
                            hostname = $('<a>').prop('href', url).prop('hostname'),
                            post_type = $(this).parents('form').find("input[name='post_type']").val();

                        for ( var i=0; i < history_length; ++i ) {
                            var url = self.updateQueryStringParameter( hostname, 's', histories[i] );
                            url = self.updateQueryStringParameter( url, 'post_type', post_type);
                            histories_link += '<div class="row"><span class="icon icon-history"></span><a href="' + url +'">' + histories[i] + '</a></div>';
                        }
                        
                        if ( ! $activeSearchResults.find( '.searchitem' ).length ) {
                            $activeSearchResults.find('.kt-history').html( histories_link );
                        }

                        $activeSearchResults.removeClass('close');
                    }

                    $(this).parent().find('.typing-indicator span').css('visibility', 'visible');
                    $searchinputWrapper.find('form .searchicon span.icon,form .searchicon, form .searchicon span').addClass('loading');
                    $show_all_results.each(function (index, el) {
                        if ($(this).hasClass('close')) {
                            $(this).removeClass('close');
                        }
                        $(this).html( kite_theme_vars.see_all_results + " <a href='#' class='productsearchlink'>" + value + "</a>")
                    });
                    xhr = $.ajax({
                        url: kite_theme_vars.ajax_url,
                        type: 'GET',
                        dataType: 'html',
                        data: data,
                    }).done(function (response) {
                        if ($(response).find('.searchitem').length > 0) {
                            self.add_search_history(value);
                            // Search Results Sync Between two state header
                            $searchresults.each(function (index, el) {
                                if ($(this).find('.searchitem').length > 0) {
                                    $(this).find('.kt-result').html('');
                                    $(this).find('.kt-result').removeClass('has-result');
                                }
                                $(this).find('.kt-history').html('');
                                $(this).find('.kt-result').html(response);
                                $(this).find('.kt-result').addClass('has-result');
                                self.lazyLoadOnLoad($(this));
                            });
                            // Toggling Search Result show for just the activated Input
                            if ($activeSearchResults.hasClass('close')) {
                                $activeSearchResults.removeClass('close');
                                $activeShowAllResults.removeClass('close');
                            }
                        } else {
                            $searchresults.each(function (index, el) {
                                if (!$(this).hasClass('close')) {
                                    $(this).addClass('close');
                                }
                                if ($(this).find('.searchitem').length > 0) {
                                    $(this).find('.kt-result').html('');
                                }
                                // Removeing The Style that Created with jquery when toggling search Form overlay 
                                // Refer to search_form Function 
                                $(this).removeAttr('style');
                                $(this).closest('.search-container').find('.show_all_results').removeAttr('style');
                            });
                            $show_all_results.each(function (index, el) {
                                if ($(this).hasClass('close')) {
                                    $(this).removeClass('close');
                                }
                                $(this).html(response + "<a href='#' class='productsearchlink'> " + value + "</a>")
                            });
                        }
                        $('.typing-indicator span').css('visibility', 'hidden');
                        $searchinputWrapper.find('.searchicon span.icon,.searchicon, form .searchicon span').removeClass('loading');

                    }).fail(function (response) {

                    }).always(function () {

                    });
                }
            });

            if ($('.search-container').find('li.option').length > 0) {
                $('.search-container').on('click', 'li.option', function (event) {
                    if (xhr) {
                        xhr.abort();
                    }
                    var $clickedCat = $(this);
                    var value = $clickedCat.closest('.search-container').find('input.searchinput').val();
                    var $activeSearchResults = $clickedCat.closest('.search-container').find('.searchresults');
                    var $activeShowAllResults = $clickedCat.closest('.search-container').find('.show_all_results');
                    var $searchresults = $('.searchresults');
                    var $show_all_results = $('.show_all_results');
                    var $selectedCat = $clickedCat.attr('data-value');
                    var $catsNiceSelect = $('.search-inputwrapper .nice-select');

                    // change category for non ajax search action
                    $clickedCat.closest('.search-container').find('input[name="cat"]').val( $selectedCat );

                    // Categories Sync between two state
                    if ($catsNiceSelect.length > 0) {
                        $catsNiceSelect.each(function (index, el) {
                            if (!$(this).parents('.search-container').is($clickedCat.parents('.search-container'))) {

                                var $otherStateCats = $(this).find('li.option');
                                $otherStateCats.each(function (index, el) {
                                    if ($(this).hasClass('selected')) {
                                        $(this).removeClass('selected focus');
                                    }
                                    if ($(this).attr('data-value') == $selectedCat) {
                                        $(this).addClass('selected focus');
                                        $(this).closest('.nice-select').find('.current').text($(this).text());
                                    }
                                });
                            }
                        });
                    }
                    var data = {
                        action: 'kite_ajax_search_action',
                        s: value,
                        cat: $selectedCat,
                    }
                    if (value.length < 2) {
                        if ($(this).parents('form').hasClass('popup')) {
                            $searchForm.find('.typing-indicator span').css('visibility', 'hidden');
                        } else {
                            $searchinputWrapper.find('.searchicon span.icon,.searchicon, form .searchicon span').removeClass('loading');
                        }
                        $searchresults.each(function (index, el) {
                            if (!$(this).hasClass('close')) {
                                $(this).addClass('close');
                                $(this).closest('.search-container').find('.show_all_results').addClass('close');
                            }
                            if ($(this).find('.searchitem').length > 0) {
                                $(this).find('.kt-result').html('');
                            }
                            // Removeing The Style that Created with jquery when toggling search Form overlay 
                            // Refer to search_form Function 
                            $(this).removeAttr('style');
                            $(this).closest('.search-container').find('.show_all_results').removeAttr('style');
                        });
                    } else {
                        $searchForm.find('.typing-indicator span').css('visibility', 'visible');
                        $searchinputWrapper.find('.searchicon span.icon,.searchicon, form .searchicon span').addClass('loading');
                        if (xhr) {
                            xhr.abort();
                        }
                        xhr = $.ajax({
                            url: kite_theme_vars.ajax_url,
                            type: 'GET',
                            dataType: 'html',
                            data: data,
                        }).done(function (response) {
                            if ($(response).find('.searchitem').length > 0) {
                                // Search Results Sync Between two state header
                                $searchresults.each(function (index, el) {
                                    if ($(this).find('.searchitem').length > 0) {
                                        $(this).find('.searchitem').remove();
                                    }
                                    $(this).find('.kt-history').html('');
                                    $(this).find('.kt-result').html(response);
                                    $(this).find('.kt-result').addClass('has-result');
                                    self.lazyLoadOnLoad($(this));
                                });
                                // Toggling Search Result show for just the activated Input
                                if ($activeSearchResults.hasClass('close')) {
                                    $activeSearchResults.removeClass('close');
                                    $activeShowAllResults.removeClass('close');
                                }
                            } else {
                                $searchresults.each(function (index, el) {
                                    if (!$(this).hasClass('close')) {
                                        $(this).addClass('close');
                                    }
                                    if ($(this).find('.searchitem').length > 0) {
                                        $(this).find('.kt-result').html('');
                                    }
                                    // Removeing The Style that Created with jquery when toggling search Form overlay 
                                    // Refer to search_form Function 
                                    $(this).removeAttr('style');
                                    $(this).closest('.search-container').find('.show_all_results').removeAttr('style');
                                });
                                $show_all_results.each(function (index, el) {
                                    if ($(this).hasClass('close')) {
                                        $(this).removeClass('close');
                                    }
                                    $(this).html(response + "<a href='#' class='productsearchlink'> " + value + "</a>")
                                });
                            }
                            $('.typing-indicator span').css('visibility', 'hidden');
                            $searchinputWrapper.find('.searchicon span.icon,.searchicon, form .searchicon span').removeClass('loading');
                        }).fail(function () {

                        });
                    }
                });
                self.$document.on('click', function (event) {

                    var $searchinputWrapper = $("#headerfirststate .search-inputwrapper,#mobile-header .search-inputwrapper, #kt-header.kt-elementor-template .search-inputwrapper");
                    if ($searchinputWrapper.length > 0) {
                        if ($searchinputWrapper.has(event.target).length == 0 && !$searchinputWrapper.is(event.target)) {
                            $searchinputWrapper.each(function (index, el) {
                                if (!$(this).find('.searchresults').hasClass('close')) {
                                    $(this).find('.searchresults').addClass('close');
                                    $(this).find('.show_all_results').addClass('close');
                                }
                            });
                        } else {
                            if ($searchinputWrapper.find('.searchcats').is(event.target) || $searchinputWrapper.find('.searchcats').has(event.target).length > 0) {
                                $searchinputWrapper.each(function (index, el) {
                                    if (!$(this).find('.searchresults').hasClass('close')) {
                                        $(this).find('.searchresults').addClass('close');
                                        $(this).find('.show_all_results').addClass('close');
                                    }
                                });
                            }
                        }
                    }
                    var $searchinputWrapperSecondState = $("#headersecondstate .search-inputwrapper,#mobile-header_secondstate .search-inputwrapper");
                    if ($searchinputWrapperSecondState.length > 0) {
                        if ($searchinputWrapperSecondState.has(event.target).length == 0 && !$searchinputWrapperSecondState.is(event.target)) {
                            $searchinputWrapperSecondState.each(function (index, el) {
                                if (!$(this).find('.searchresults').hasClass('close')) {
                                    $(this).find('.searchresults').addClass('close');
                                    $(this).find('.show_all_results').addClass('close');
                                }
                            });
                        } else {
                            if ($searchinputWrapperSecondState.find('.searchcats').is(event.target) || $searchinputWrapperSecondState.find('.searchcats').has(event.target).length > 0) {
                                $searchinputWrapperSecondState.each(function (index, el) {
                                    if (!$(this).find('.searchresults').hasClass('close')) {
                                        $(this).find('.searchresults').addClass('close');
                                        $(this).find('.show_all_results').addClass('close');
                                    }
                                });
                            }
                        }
                    }
                });
            }
        },
        add_search_history: function( search ) {
            if ( ! $('body').hasClass('kt-search-history') || search == 'undefined' ) {
                return;
            }
            var self = this;
            var history = Cookies.get('kt-search-history');
            if ( history != '' ) {
                if ( ! self.get_search_history( search, true ) ) {
                    history = history + '|' + search;
                }
            } else {
                history = search;
            }
            Cookies.set( 'kt-search-history', history, { expires: 30 } );
            return;
        },
        get_search_history: function ( search, same = false ) {
            if ( ! $('body').hasClass('kt-search-history') ) {
                return;
            }
            var history = Cookies.get('kt-search-history');
                var result = [];
                if( history == '' || typeof history == 'undefined' ) {
                    return;
                }

                var histories = history.split('|');
                // if search is empty return latest 4 history
                if ( search == '' ) {
                    var loop_num = histories.length >= 4 ? ( histories.length - 4 ) : 0; 
                    for ( var i = histories.length - 1; i >= loop_num; --i ) {
                        if ( histories[i] != 'undefined' ) {
                            result.push( histories[i] );
                        }
                    } 
                } else {
                    if ( same == true ) {
                        for(var i = 0; i < histories.length; ++i){
                            if ( histories[i] == search ) {
                                return true;
                            } 
                        }
                        return false;
                    }
                    for(var i = 0; i < histories.length; i++){
                        if ( histories[i].includes(search) ) {
                            if ( histories[i] != 'undefined' ) {
                                result.push(histories[i]);
                            }
                        }
                    }
                }

                return result;
        },
        // popup newsletter
        popupNewsletter: function () {

            var $newsletterModal = $("#kt-popup-newsletter");
            var $newsletterClose = $(".kt-popup-newsletter-close");
            var $newsletterInner = $(".kt-popup-newsletter-inner");
			var $topbar_newsletter = $(".topbar_newsletter, .kt-header-button.kt-newsletter");
			var $delay = $newsletterInner.data('delay');
            if ($delay == '' || !$.isNumeric($delay))
                $delay = 1000;
            
            if ($(window).width() < 1140 )
                $delay = 0;

			var topbarnewsletter = function(){
                setTimeout(function(){
                    $newsletterModal.css({
						'height': '100%',
						'opacity':'1'});
					$newsletterInner.addClass('show_popup');
                },$delay);
				
						
				// When the user clicks anywhere outside of the modal or on the X button, close it
				$newsletterModal.click(function (event) {
					var target = $(event.target);
					if (target.is($newsletterModal) || target.is($newsletterClose)) {
						$newsletterInner.removeClass('show_popup');
						$newsletterModal.css({
							'height': '0',
							'opacity':'0'});
						Cookies.set('kt_popup_newsletter', 'dismiss', { expires: 60, path: '/'});
					}
				});		
			}	
				
			// When topbarnewsletter is clicked, open the newsletter modal 
			$topbar_newsletter.click(function () {
				$delay = 100;
				topbarnewsletter(setTimeout(function(){
                    $newsletterModal.css({
						'height': '100%',
						'opacity':'1'});
					$newsletterInner.addClass('show_popup');
                },$delay - 50)
				);
				
			});

            if ($newsletterModal) {
                if ($newsletterModal.hasClass('hidden-phone') && self.windowWidth <= 768) {
                    return;
                }
                else {

                    if (Cookies.set('kt_popup_newsletter') == 'dismiss') {
                       $newsletterModal.css({
							'height': '0',
							'opacity':'0'});
                        return;
                    }
                    else {
                        topbarnewsletter();
                    }
                }
                if ($('.kt-popup-newsletter-shortcode .kt-newsletter').length != 0 && $('.kt-popup-newsletter-shortcode .kt-newsletter').hasClass('fullwidth'))
                    $('.kt-popup-newsletter-shortcode').addClass('fullwidth');
            }

        },
        kt_newsletter: function () {
            if ( ! $('.mailpoet_form.mailpoet_form_widget, .widget_mc4wp_form_widget, .mc4wp-form').length ) return;
            $('.mailpoet_form.mailpoet_form_widget, .widget_mc4wp_form_widget').each(function (index, el) {
                if ($(this).parents('.kt-newsletter').length == 0) {
                    $(this).wrap('<div class="kt-newsletter boxed style1"></div>');
                }
            });

            $('.widget_wysija_cont').each(function (index, el) {
                if ($(this).parents('.kt-newsletter').length == 0) {
                    $(this).wrap('<div class="kt-newsletter boxed style1"></div>');
                }
            });

            $('.kt-newsletter').each(function (index, el) {
                if ($(this).parent().width() < 325 || $(this).find('input:not(:hidden)').length > 2)
                    $(this).addClass('responsive');
                else
                    $(this).removeClass('responsive');


            });

            $('.mailpoet_paragraph').each(function (index, el) {
                if ($(this).find('input.mailpoet_submit').length && $(this).find('.mailpoet_submit_loading').length == 0)
                    $(this).append('<span class="mailpoet_submit_loading"></span>');
            });

            $('.kt-newsletter .mailpoet_text,.kt-newsletter .wysija-paragraph .wysija-input').hover(function () {
                $(this).parents('.kt-newsletter').addClass('hover');
            }, function () {
                $(this).parents('.kt-newsletter').removeClass('hover');
            });
        },

        // contact form
        kt_contactform: function () {
            if ( ! $('form.wpcf7-form').parents('div.wpcf7').length ) return;
            $('form.wpcf7-form').parents('div.wpcf7').each(function (index, el) {
                if ($(this).parent().width() < 325)
                    $(this).addClass('responsive');
                else
                    $(this).removeClass('responsive');
            });
            $('form.wpcf7-form.two_column').parents('div.wpcf7').each(function (index, el) {
                if ($(this).parent().width() < 510)
                    $(this).addClass('responsive');
                else
                    $(this).removeClass('responsive');
            });
            $('form.wpcf7-form.two_column p input[type!="submit"]').parents('p').addClass('two_column');
            $('form.wpcf7-form.two_column p textarea').parents('p').addClass('textarea');
        },

        HeaderPromoBar: function () {
            var self = this;
            var $responsive_header = $(".header-banner");
            var $header_banner_Close = $(".close-header-banner");
            $responsive_header.css('display', 'none');
            if ($responsive_header) {

                if (self.windowWidth <= 1024) {
                    var $responsive_header_height = $responsive_header.data("responsive-height");
                    $responsive_header.css('height', $responsive_header_height);
                }


                if (Cookies.set('header-banner') == 'dismiss') {
                    $responsive_header.remove();
                    return;
                }
                else {

                    if ($('#wpadminbar').length)
                        var wpAdminBarHeight = $('#wpadminbar').height();
                    else
                        var wpAdminBarHeight = 0;
                    $(window).on('load', function () {
                        $responsive_header.css('display', 'block');
                        var header_height = $responsive_header.height() + wpAdminBarHeight;
                        var header_topbar_height = $('#topbar').height() + header_height;
                        if ($responsive_header.hasClass('fixed-menu')) {
                            $('#topbar.fixed-menu').css('top', header_height);
                            $('#kt-header.fixed-menu , #kt-header.fixed-menu #headerfirststate').css('top', header_topbar_height);
                        }
                    });

                    // When the user clicks anywhere outside of the modal or on the X button, close it
                    $header_banner_Close.click(function (event) {
                        $responsive_header.css('display', 'none');
                        var topbar_height = $('#topbar').height() + wpAdminBarHeight;
                        $('#topbar.fixed-menu').css('top', wpAdminBarHeight);
                        $('#kt-header.fixed-menu, #kt-header.fixed-menu #headerfirststate').css('top', topbar_height);
                        $('#kt-header.kite-menu #headersecondstate').css({ 'top': wpAdminBarHeight, 'transition': 'top .3s ease' });
                        Cookies.set('header-banner', 'dismiss', { expires: 60, path: '/' });
                    });
                }
            }
        },

        // shop pagination
        kt_products_pagination: function () {
            var self = this,
                $shop_container = $(".woocommercepage"),
                $products_container = $(".woocommercepage .woocommerce.products"),
                $products_pagination = $('.woocommerce-pagination li a.next'),
                $mainContainer = self.$body,
                $load_more_text = $products_container.data('lm-text'),
                $layout_mode = $products_container.data('layoutmode');

                if ( ! $products_container.length ) return;
                $products_container.each(function(){
                    if ( ! $(this).find('div.product').hasClass('product-category') ) {

                        if ($products_pagination.length > 0) {
                            $(this).after("<div class='page-load-status'></div>");
                            var $load_status = $(".page-load-status");
                        }
        
                        if ($shop_container.hasClass('infinite_scroll')) {
                            var $pagination_method = "infinite_scroll";
                        } else if ($shop_container.hasClass('load_more')) {
                            if ($load_status) {
                                $load_status.append("<button class='view-more-button'>" + $load_more_text + "</button>");
                            }
                            var $pagination_method = "load_more";
                        } else {
                            var $pagination_method = "pagination";
                        }
        
                        if ($pagination_method != 'pagination' && $products_pagination.length > 0) {
        
                            var $container = $(this).infiniteScroll({
                                path: '.woocommerce-pagination li a.next',
                                append: '.main-shop-loop .product',
                                checkLastPage: true,
                                status: '.page-load-status',
                                hideNav: '.woocommerce-pagination',
                                button: '.view-more-button',
                                history: 'replace',
                                debug: false,
                            });
        
                            if ($pagination_method == 'load_more') {
                                $container.infiniteScroll('option', {
                                    scrollThreshold: false,
                                    loadOnScroll: false,
                                });
                            }
        
                            var $grid = $container.imagesLoaded(function () {
                                $grid.isotope({
                                    itemSelector: '.product',
                                    layoutMode: $layout_mode,
                                });
                            });
        
                            $grid.on('request.infiniteScroll', function (event, path) {
        
                                if ($pagination_method == 'infinite_scroll') {
                                    $load_status.addClass('loading-next-page');
                                }
        
                                if ($pagination_method == "load_more") {
                                    $load_status.addClass('loading-next-page');
                                    $load_status.css('display', 'flex');
                                    $load_status.find('.view-more-button').css('visibility', 'hidden');
                                }
        
                            });
                            $grid.on('append.infiniteScroll', function (event, response, path, items) {
        
                                $grid.find('.product').addClass('isotope-item');
                                self.runIsotopeInProducts($mainContainer);
        
                                var index = 0;
                                for (; index < items.length; index++) {
                                    items[index].classList.add('appended-item');
                                }
        
                                var $items = $('.appended-item');
                                $grid.append($items).isotope('appended', $items);
        
                                self.lazyLoadOnLoad($items);
                                self.lazyLoadOnHover();
                                self.buttonsappearunderHover($items);
                                self.products_infoOnclick($items);
                                self.woocommerce_variation_item_select($items);
                                var index = 0;
                                for (; index < items.length; index++) {
                                    items[index].classList.remove('appended-item');
                                }
        
                                $load_status.removeClass('loading-next-page');
        
                                if ($pagination_method == 'load_more') {
                                    $load_status.css('display', 'block');
                                    $load_status.find('.view-more-button').css('visibility', 'visible');
                                }
                                self.product_quickview();
                                self.compare();
                                self.woocommerce_buttons_on_hover_cart_click();
                                self.woocommerce_variation_item_select();
        
                            });
        
                            $grid.on('last.infiniteScroll', function (event, response, path) {
                                $load_status.remove();
                            });
                        }
                    }
                });
        },
        //switch view
        switch_view: function () {
            var self = this;
            var $shop_filter = $('.woocommercepage .shop-filter');

            self.kite_scrollbar('div.products.list_view .wrap_after_thumbnail .product__decription');

            if ($shop_filter.hasClass('no-categories-filter')) {
                $('.woocommerce .shop-filter .filter-search-form-container').css('border-radius', '50px');
                $('.search-box').click(function () {
                    if ($(this).hasClass('open')) {
                        $('.woocommerce .shop-filter .filter-search-form-container.open').css('width', 'calc(100% - 310px)');
                    } else {
                        $('.woocommerce .shop-filter .filter-search-form-container').css('width', '0');
                    }
                });

            }
        },
        kt_product_progressbar: function () {
            var $barWidth = $('.progress-bar');
            var $product_summary = $('.summary.entry-summary');
            function barWidth() {
                var barWidth = $barWidth.width();
                $('.progress-fill-text').css('width', barWidth);
            }
            if ($product_summary.length != 0) {
                barWidth();
            }
            $barWidth.each(function () {
                var $width = $(this).width();
                $(this).find('.progress-fill-text').css('width', $width);
            });
        },

        // Fixed Product Style
        fixedProductStyle: function () {
            if ($('.product.pd_fixed_summary').length != 0 && $(window).width() >= 979) {
                $('.product.pd_fixed_summary #product-fullview-thumbs').waitForImages(function(){
                    var $product_summary = $('.summary.entry-summary'),
                    $product_summary_height = $product_summary.height(),
                    $product_gallery_height = $('.product .images').height();
                    var $summary_offset = $('.summary').offset().top;
                    var $max_width = $('.images').width();
                    var windowWidth = $(window).height();

                    var $headerHeight = $('#kt-header').height();
                    var $imagesHeight = $('.images').height();
                    var $imagesHeightAndOffset = $imagesHeight + $summary_offset;
                    var menuHeight = $('#headerfirststate').outerHeight();
                    var topbarHeight = $('#topbar').height();
                    var offset = 0,
                        absoluteTrigger = 0;
                    if ($('#wpadminbar').length)
                        var wpAdminBarHeight = $('#wpadminbar').height();
                    else
                        var wpAdminBarHeight = 0;

                    if ($('#kt-header').hasClass('normal-menu')) {
                        menuHeight = 0;
                        topbarHeight = 0;
                        $summary_offset = $summary_offset - wpAdminBarHeight - 32;
                        offset = wpAdminBarHeight + 32;
                    }

                    if ($('#headersecondstate').length > 0) {
                        menuHeight = $('#headersecondstate').outerHeight();
                        $summary_offset = $summary_offset - menuHeight - wpAdminBarHeight - 32;
                        offset = menuHeight + wpAdminBarHeight + 32;
                    }

                    if ($('#kt-header').hasClass('fixed-menu')) {
                        menuHeight = $('#headerfirststate').outerHeight();
                        $summary_offset = $summary_offset - wpAdminBarHeight - menuHeight - topbarHeight - 32;
                        offset = topbarHeight + menuHeight + wpAdminBarHeight + 32;
                    }

                    var check_first = function () {
                        absoluteTrigger = $(document).scrollTop() + $product_summary_height + menuHeight + topbarHeight + wpAdminBarHeight + 32;
                        if ((absoluteTrigger >= $imagesHeightAndOffset)) {
                            if ($('#headersecondstate').length > 0) {
                                var top = $imagesHeight - $product_summary_height - 32;
                            } else {
                                var top = $imagesHeight - $product_summary_height;
                            }
                            $('.summary').css({
                                'position': 'absolute',
                                'top': top,
                                'left': '50%',
                                'width': '50%',
                                'max-width': $max_width
                            });

                        }
                        if (($(document).scrollTop() >= $summary_offset) && (absoluteTrigger < $imagesHeightAndOffset)) {
                            $product_summary.addClass('fixed');
                            $('.summary').css({
                                'position': 'fixed',
                                'top': offset,
                                'left': '50%',
                                'width': '50%',
                                'padding-left': '0px',
                                'max-width': $max_width,
                            });
                        } else if ($(document).scrollTop() < $summary_offset) {
                            $product_summary.removeClass('fixed');
                            $('.summary').removeAttr('style');
                        }

                    }
                    check_first();
                    $(document).scroll(function () {
                        check_first();
                    });
                });
            }
        },

        /*Wordpress Admin bar position in screen smaller size than 600px is not fixed
        and we need to fix over header in in fixed mode state to the top of screen while
        user scrolling the page down*/
        checkHeader: function () {
            var self = this;
            if ($('#wpadminbar').length > 0) {
                var $wpAdminBarHeight = $('#wpadminbar').height();
                // Check Window Width for the first time or when window resized
                if (self.windowWidth > 600) {
                    $('#kt-header.fixed-menu').attr("style", "");
                    $('#mobile-header_secondstate').css('top', $wpAdminBarHeight);
                }
            }
        },
        shop_head_cat_responsive: function () {
            $('.responsive_cat_icon').on('click', function () {
                $(this).parents('.header_cats').toggleClass('show');
            });
        },
        shop_head_cat_display: function () {
            var $header_content = $('#header.shoppage #header-content');
            if ($(window).width() <= 1140) {
                $header_content.parents('#header').css({
                    'background-image': 'none',
                    'transition': 'none',
                });
            }

        },
        kt_color_elements: function () {
            if ($('.overlay-color').length > 0) {
                $('.overlay-color').each(function (index, el) {
                    var classes = $(this).attr('class');
                    var overlay_color = classes.search('overlay-color-');
                    classes = classes.substr(overlay_color);
                    if (classes.search(' ') != -1)
                        overlay_color = classes.substr(0, classes.search(' '));
                    else
                        overlay_color = classes;

                    overlay_color = overlay_color.replace('overlay-color-', '');
                    $(this).prepend('<div class="row_overlay"></div>');
                    $(this).find('.row_overlay').css('background-color', overlay_color);
                });
            }
            var deactive_tab_color = '',
                active_tab_color = '';
            if ($('.active-tab-color').length > 0) {
                var classes = $('.active-tab-color').attr('class');
                var active_tab_color = classes.search('active-tab-color-');
                classes = classes.substr(active_tab_color);
                if (classes.search(' ') != -1)
                    active_tab_color = classes.substr(0, classes.search(' '));
                else
                    active_tab_color = classes;
                active_tab_color = active_tab_color.replace('active-tab-color-', '');
            }

            if ($('.disable-tab-color').length > 0) {
                var classes = $('.disable-tab-color').attr('class');
                var deactive_tab_color = classes.search('disable-tab-color-');
                classes = classes.substr(deactive_tab_color);
                if (classes.search(' ') != -1)
                    deactive_tab_color = classes.substr(0, classes.search(' '));
                else
                    deactive_tab_color = classes;

                deactive_tab_color = deactive_tab_color.replace('disable-tab-color-', '');
            }

            var addColor = function () {
                $('.vc_tta-tab.vc_active a span , .vc_tta-tab.vc_active .vc_tta-icon').attr('style', 'color:' + active_tab_color + ' !important;');
                $('.vc_tta-tab.vc_active').attr('style', 'border-bottom-color:' + active_tab_color + ';');

                $('.vc_tta-tab:not(.vc_active) a span, .vc_tta-tab:not(.vc_active) .vc_tta-icon').attr('style', 'color:' + deactive_tab_color + ' !important;');
                $('.vc_tta-tab:not(.vc_active)').attr('style', 'border-bottom-color:transparent;');
            };
            if ($('.active-tab-color').length > 0 || $('.disable-tab-color').length > 0) {
                addColor();
                $('li.vc_tta-tab').on('click', function () {
                    addColor();
                });
            }
        },
        banner_hyperLink: function () {

            if ($('.banner').length > 0) {
                var $banner = $('.banner');
                $banner.each(function (index, el) {
                    if ($(this).find('a').length > 0) {
                        $(this).find('.content-container').css('cursor', 'pointer');
                        $(this).on('click', function (event) {
                            var $a = $(this).find('a');
                            var $url = $a.attr('href'),
                                $target = $a.attr('target');
                            window.open($url, $target);

                        });
                    }
                });
            }
        },
        iconbox_whole_hyperLink: function () {
            if ($('.iconbox.whole_link_enable,.custom-iconbox.whole_link_enable').length) {
                $('.iconbox.whole_link_enable,.custom-iconbox.whole_link_enable').on('click', function () {
                    var $a = $(this).find('a');
                    window.open($a.attr('href'));
                });
            }
        },
        buttonsappearunderHover: function () {
            if ($('div.products.buttonsappearunder').parents('.woocommerce.carousel.wc-shortcode, .woocommerce .related.grid').length) {
                var $heightOfCarousel = $('div.products.buttonsappearunder').parents('.woocommerce.carousel.wc-shortcode ').height();
                var $heightOfGrid = $('div.products.buttonsappearunder').parents('.woocommerce .related.grid ').height();
                $('div.products.buttonsappearunder').parents('.woocommerce.carousel.wc-shortcode').css('height', $heightOfCarousel);
                $('div.products.buttonsappearunder').css('height', $heightOfCarousel);
                $('div.products.buttonsappearunder').parents('.woocommerce .related.grid').css('height', $heightOfGrid + 20 + 'px');
            }
        },

        kt_TabClick: function () {
            var self = this;
            $('.vc_tta-tabs-container ul li a').on('click', function () {
                if ($('div.infoonclick').length) {
                    $('div.infoonclick div').find('span.show-hover').off('click');
                    self.products_infoOnclick();
                }
            });
        },

        //humburger menu
        humburger_menu_toggle: function () {
            var self = this;
            var $humburger_menu = $('aside.humburger_menu_area'),
                $vertical_menu = $('aside.humburger_menu_area .menu_vertical'),
                $header = $('#kt-header.fixed-menu.type10'),
                $topbar = $('#topbar.type10');

            if ($('#wpadminbar').length)
                var wpAdminBarHeight = -($('#wpadminbar').height());
            else
                var wpAdminBarHeight = 0;

            $('.menu-toggle').on('click', function () {
                var $this = $(this);
                $this.toggleClass('open').removeClass('closed');
                $humburger_menu.toggleClass('show');
                $header.toggleClass('open');
            });
        },
		humburger_menu_update: function () {
            var $widget = $('.vertical_menu_navigation'),
                $list = $widget.find('ul.humburger_menu');
			if ( ! $widget.length ) return;
            $list.find('li.menu-item-has-children').each(function () {
                var $this = $(this);
                if ($this.find('ul').length <= 0)
                    return true;

                if ($this.hasClass('current-menu-ancestor'))
                    $this.append('<div class="cats-toggle toggle-active"></div>');
                else
                    $this.append('<div class="cats-toggle"></div>');
            });
           
            if ($list.find('li.current-menu-item').length > 0) {
                $list.find('li.current-menu-item').parents('ul').css("display", "block");
                $list.find('li.current-menu-item ul.sub-menu').css("display", "block");
                $list.find('.current-menu-item.current-menu-ancestor .cats-toggle').addClass('toggle-active');
			}
        },
        humburger_menu_Navigation: function () {
            var $widget = $('.vertical_menu_navigation'),
                $list = $widget.find('ul.humburger_menu'),
                time = 300;
            $list.on('click', '.cats-toggle', function () {
                var $btn = $(this),
				$li = $btn.parent('li');
               if ($li.hasClass('mega-menu-parent')) {
				   
					var $subList =  $li.find('> div.menu-item-wrapper > ul.sub-menu');
				}
				else
					var $subList =  $li.find('> ul.sub-menu');
				
                if ($subList.hasClass('list-shown')) {
                    $btn.removeClass('toggle-active');
                    $subList.stop().slideUp(time, 'easeInOutCirc').removeClass('list-shown');
                }
                else {
                    $subList.parent().parent().find('> li > .list-shown').slideUp().removeClass('list-shown');
                    $subList.parent().parent().find('> li > .toggle-active').removeClass('toggle-active');
                    $btn.addClass('toggle-active');
                    $subList.stop().slideDown(time, 'easeInOutCirc').addClass('list-shown');
                }
            });
        },


        // product 360 view
        product_360_view: function () {

            var $product_360_view_container = $("#product-360-view-container"),
                $product_360_view_button = $("#product_360_view_popup"),
                $product_360_view_close = $(".product-360-view-close");

            if (($product_360_view_container.length) > 0) {
                var load = document.getElementById('circularloader').getContext('2d');
                var al = 0,
                    start = 4.72,
                    ew = load.canvas.width,
                    eh = load.canvas.height,
                    diff;

                var progressSim = function () {
                    diff = ((al / 100) * Math.PI * 2 * 10).toFixed(2);
                    load.clearRect(0, 0, ew, eh);
                    load.lineWidth = 5;
                    load.fillStyle = '#000';
                    load.strokeStyle = "#000";
                    load.textAlign = "center";
                    load.font = "30px monospace";
                    load.fillText(al + '%', ew * .52, eh * .5 + 5, ew + 12);
                    load.beginPath();
                    load.arc(100, 100, 75, start, diff / 10 + start, false);
                    load.stroke();
                    $('#circularloader').css('display', 'block');
                    $('.kite-threed-view').css('display', 'none');
                    al++;
                    if (al > 100) {
                        clearTimeout(sim);
                        $('#circularloader').css('display', 'none');
                        $('.kite-threed-view').css('display', 'block');

                    }

                }

                var sim = setInterval(progressSim, 100);
            }

            // when users click on the popup button, show the gallery 360
            $product_360_view_button.click(function () {
                $product_360_view_container.css('display', 'block');
            });

            // When the user clicks on the X button, close it
            $product_360_view_close.click(function () {
                $product_360_view_container.css('display', 'none');
            });

            //when users press ESC button, close the modal
            $("body").keyup(function (event) {
                if (event.which === 27) {
                    $product_360_view_container.css('display', 'none');
                }
            });

        },
        woocommerce_ajax_products_tab: function (container = $(document)) {
            if (!container.find('.ajax_products_tab').length)
                return;
            var self = this,
                xhr = null,
                $panels = container.find('.ajax_products_tab .vc_tta-panels');
            $panels.each(function (index, el) {
                $(this).attr('style', 'min-height:' + $(this).height() + 'px !important;');
            });
            container.find('.ajax_products_tab li.vc_tta-tab,.ajax_products_tab li.vc_tta-tab a,.ajax_products_tab li.vc_tta-tab span').off('click');
            container.find('.ajax_products_tab li.vc_tta-tab').on('click', function (event) {
                event.preventDefault();

                if (xhr) {
                    xhr.abort();
                }

                if ($(this).hasClass('vc_active')) {
                    return;
                } else {
                    $(this).parents('.vc_tta-container').find('li.vc_active').removeClass('vc_active');
                    $(this).addClass('vc_active');
                }
                if ($(this).parents('.ajax_products_tab').find('.vc_tta-panel[data-tab-id=' + $(this).data('tab-id') + ']').length) {
                    $(this).parents('.ajax_products_tab').find('.vc_tta-panel.vc_active_show').removeClass('vc_active_show').removeClass('show').removeClass('vc_active');
                    $(this).parents('.ajax_products_tab').find('.vc_tta-panel[data-tab-id=' + $(this).data('tab-id') + ']').addClass('vc_active_show show vc_active');
                    $(this).parents('.ajax_products_tab').find('.vc_tta-panels').attr('style', 'min-height:' + $('.vc_tta-panels').find('.vc_active.vc_tta-panel').outerHeight() + 'px !important');
                    self.runIsotopeInProducts();
                    return;
                }
                var $tab_panels = $(this).parents('.ajax_products_tab').find('.vc_tta-panels');
                if ($tab_panels.outerHeight() > 500) {
                    $tab_panels.find('.wc-loading').css('top', '20%');
                } else {
                    $tab_panels.find('.wc-loading').css('top', '50%');
                }
                $tab_panels.find('.wc-loading').removeClass('hide');
                $tab_panels.find('.vc_active_show').removeClass('vc_active_show').removeClass('show').removeClass('vc_active');
                var data = {
                    action: 'fetch_woocommerce_shortcode_dom',
                    atts: $(this).data('shortcode-prop'),
                    tab_id: $(this).data('tab-id'),
                    context: 'frontend'
                };
                xhr = $.ajax({
                    url: kite_theme_vars.ajax_url,
                    type: 'GET',
                    dataType: 'html',
                    data: data,
                }).done(function (response) {
                    $tab_panels.find('.wc-loading').addClass('hide');
                    $tab_panels.append(response);
                    self.kite_carousel();
                    self.runIsotopeInProducts();
                    self.lazyLoadOnLoad($tab_panels);
                    self.lazyLoadOnHover($tab_panels);
                    self.compare();
                    self.woocommerce_variation_item_select();
                    self.woocommerce_buttons_on_hover_cart_click();
                    self.mobile_hover_state();
                    self.products_infoOnclick();
                    self.product_quickview();
                    $tab_panels.attr('style', 'min-height:' + $tab_panels.find('.vc_active.vc_tta-panel').height() + 'px !important;');
                }).fail(function (response) {

                }).always(function () {

                });
            });
        },
        instagram_ajax_request: function( container = $(document)) {
            var self = this;
            if (container.find('.insta-ajax').length) {
                let elements = [] ;
                container.find('.insta-ajax').each(function(){
                    elements.push($(this).attr('id'));
                });
                let i = 0;
                var insta_ajax_func = function(i) {
                    if (i < elements.length ) {
                        let $insta_url = "https://instagram.com/";
                        let el = container.find('#'+elements[i]);
                        let insta_data = el.data('insta');
                        
                        if ( typeof insta_data == 'undefined' || !insta_data ) return;

                        if (insta_data.hashtag.length)
                            $insta_url += "explore/tags/"+insta_data.hashtag;
                        else 
                            $insta_url += insta_data.username.trim();
                        
                        $.ajax({
                            url: $insta_url
                        }).done(function(response){
                            let ajaxurl = kite_theme_vars.ajax_url;
                            $.ajax({
                                url: ajaxurl,
                                method:'post',
                                data: {
                                    action:"kite-instagram-generate-dom",
                                    insta_data: insta_data,
                                    insta_html: response
                                }
                            }).done(function(new_response){
                                if (insta_data.carousel.length) {
                                    el.find('.swiper-wrapper').html(new_response);
                                    self.kite_carousel(container);
                                    self.instagramAnimation();
                                    self.instagram_equal_height_width();
                                } else {
                                    el.find('.instagramfeed').html(new_response);
                                    self.instagramAnimation();
                                    self.instagram_equal_height_width();
                                }
                                ++i;
                                insta_ajax_func(i);
                            }).fail(function(error){
                                console.log('2.failed to load instagram data');
                                ++i;
                                insta_ajax_func(i);
                            });
                        }).fail(function(){
                            console.log('1.failed to load instagram data');
                            ++i;
                            insta_ajax_func(i);
                        });
                    }
                };
                insta_ajax_func(i);
            }
        },
        instagram_equal_height_width: function () {
            if ($('.instagram-feed').length) {
                if ($('.instagram-feed').data('equal-height-width')) {
                    $('.instagram-feed').find('.instagram-img img').each(function (index, el) {
                        $(this).attr('style', 'height:' + $(this).width() + 'px !important;object-fit:cover;');
                    });
                }
            }
        },
        shop_history: function() {
            var self = this,
                this_url = window.location.href;

            if ( $('body.is-woocommerce-shop').length || $('body.archive.tax-product_cat').length || $('body.archive.tax-product_tag').length ) {
                this_url = self.updateQueryStringParameter( this_url, 'sp', '');
                window.history.replaceState({ 'url': this_url, 'title': '' }, '', this_url);
                $(document).on('click', function(e){
                    if ( $(e.target).parents('.product').length ) {
                        $(window).on('beforeunload',function(){
                            var this_url = window.location.href;
                            this_url = self.updateQueryStringParameter( this_url, 'sp', 'infinite_scroll');
                            window.history.replaceState({ 'url': this_url, 'title': '' }, '', this_url);
                        });     
                    } else {
                        $(window).off('beforeunload');
                    }
                });
            }
        },
        responsive_tables: function(){
            var self = this;
            if ( self.$window.width() <= 768 ) {
                $('.woocommerce-MyAccount-content table.woocommerce-orders-table').rtResponsiveTables({
                    containerBreakPoint: 768
                });
            }
                
        },
        bottom_navbar_handler: function() {
            $(document).on( 'click', function(e){
                if ( ! $(e.target).parents('.navicons').length && ! $(e.target).is('.navicons') ) {
                    return;
                }

                var $navicons = $(e.target).is('.navicons') ? $(e.target) : $(e.target).parents('.navicons');

                if ( $navicons.hasClass('cart') && ! $(e.target).is('.cart-sidebarbtn') && ! $(e.target).is('.kt-header-button.kt-cart') ) {
                    $('.cart-sidebarbtn').click();
                }

                if ( $navicons.hasClass('userAccount') && ! $(e.target).is('.login-link-popup') ) {
                    $('.login-link-popup').click();
                }
            });
        },
        kt_select_element: function() {
            $('.kt-select-element').each(function(){
                if ( $(this).data('action') == 'hover' ) {
                    $(this).hover(function () {
                            // over
                            $(this).addClass('open');
                        }, function () {
                            // out
                            $(this).removeClass('open');
                        }
                    );
                }
            });
        }
    };

    // Add core script to $.kiteTheme so it can be extended
    $.kiteTheme = kiteTheme.prototype;


    $(document).ready(function () {
        $('body').waypoint({
            handler: function () { }
        });
        // Initialize script
        if ( $('.vc_row').length &&  $('.wpb-js-composer').length ) {
            if ($('.descriptionTab > .vc_row').length) {
                $('.descriptionTab').removeClass('container');
                var $vcRow = $('.descriptionTab > .vc_row');
                $vcRow.each(function(){

                    if ( $(this).data('vc-full-width') != true ) {
                        $(this).addClass('container');
                    }

                });
            }
            var pinkmart = new kiteTheme();
            $(document).on('vc_js', function () {
                pinkmart.kite_carousel();
                pinkmart.updateCarousel();
                pinkmart.portfolioIsotope(1);
                pinkmart.runIsotopeInProducts();
            });
        } else if ( ! $('.elementor-element').length ) {
            var pinkmart = new kiteTheme();
        }
        
        $(window).on('vc_reload', function () {
            if ($('.vc_testimonial_item').length > 0) {
                $('.vc_testimonial_item').each(function (index) {
                    if (!$(this).hasClass('swiper-slide testimonial')) {
                        $(this).addClass('swiper-slide testimonial');
                    }
                });
            }
            $('.vc_controls-container.vc_controls').find('.vc_control-btn.vc_control-btn-append').css('top', '-30px');
            $('.vc_controls-container.vc_controls .vc_controls-bc').css('z-index', '3');
            $('.vc_element-container .vc_controls-out-tl').addClass('vc_controls-out-tr');
            $('.vc_element-container  .vc_controls-out-tl').removeClass('vc_controls-out-tl');
            new kiteTheme();
            $('.swiper-slide-duplicate').find('.vc_controls-cc').css('display', 'none');
            if ($('.descriptionTab > .vc_row').length) {
                $('.descriptionTab').removeClass('container');
                var $vcRow = $('.descriptionTab > .vc_row');
                $vcRow.each(function(){

                    if ( $(this).data('vc-full-width') != true ) {
                        $(this).addClass('container');
                    }

                });
            }
        });
        $(document).on('click', '.vc_control-btn-delete', function () {
            new kiteTheme();
        });

    });

    $(window).on('elementor/frontend/init', function () {

        // if (!elementorFrontend.isEditMode()) {
        //     return;
        // }

        var pinkmart = new kiteTheme();

        $(window).on('load', function(){
            $(this).trigger('resize');
        });

        if ($('.kt_product_page').length) {
            if ($('.descriptionTab').find('section.elementor-section-stretched').length) {
                $('.descriptionTab').removeClass('container');
                $('.woocommerce-Tabs-panel').css('padding', '0');
                $('.descriptionTab').find('section').each(function () {
                    if (!$(this).hasClass('elementor-section-stretched')) {
                        $(this).addClass('container');
                        $(this).css('padding', '20px 0px');
                    }
                });
            }
        }

        elementorFrontend.hooks.addAction('frontend/element_ready/global', function ($scope) {
            if ($scope.find('.carousel').length) {
                pinkmart.updateCarousel($scope);
                $(window).on('resize',function(){
                    pinkmart.updateCarousel($scope);
                });
            }
            if ($scope.find('.masonry-blog.isotope').length) {
                $(window).on('resize',function(){
                    pinkmart.kite_blogMasonry($scope);
                });
            }
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-testimonial.default', function ($scope) {
            pinkmart.kite_carousel($scope);
        });

        elementorFrontend.hooks.addAction('frontend/element_ready/kite-showcase.default', function ($scope) {
            pinkmart.showcase();
        });

        elementorFrontend.hooks.addAction('frontend/element_ready/kite-progressbar.default', function ($scope) {
            pinkmart.progressbar();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-piechart.default', function ($scope) {
            pinkmart.piechart();
            pinkmart.shortcodeanimation();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-contact-form-7.default', function ($scope) {
            pinkmart.kt_contactform();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-image-carousel.default', function ($scope) {
            pinkmart.kite_carousel($scope);
            pinkmart.lazyLoadOnLoad($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-gallery-carousel.default', function ($scope) {
            pinkmart.kite_carousel($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-count-down.default', function ($scope) {
            pinkmart.countdown();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-counter-box.default', function ($scope) {
            pinkmart.counterbox();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-gallery.default', function ($scope) {
            pinkmart.portfolioIsotope(1);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-woocommerce-products.default', function ($scope) {
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.lazyLoadOnHover($scope);
            pinkmart.kite_carousel($scope);
            pinkmart.runIsotopeInProducts($scope);
            pinkmart.kt_product_progressbar();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-woocommerce-products-by-attribute.default', function ($scope) {
            pinkmart.kite_carousel($scope);
            pinkmart.runIsotopeInProducts($scope);
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.lazyLoadOnHover($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-woocommerce-hand-picked-products.default', function ($scope) {
            pinkmart.kite_carousel($scope);
            pinkmart.runIsotopeInProducts($scope);
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.lazyLoadOnHover($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-ajax-woocommerce-products.default', function ($scope) {
            pinkmart.kite_carousel($scope);
            pinkmart.runIsotopeInProducts($scope);
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.lazyLoadOnHover($scope);
            pinkmart.woocommerce_ajax_products_tab($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-product-categories.default', function ($scope) {
            pinkmart.kite_carousel($scope);
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.runIsotopeInProducts($scope);
            pinkmart.isotopeAnimation($scope);
            pinkmart.shortcodeanimation();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-instagram-feed.default', function ($scope) {
            pinkmart.instagram_ajax_request($scope);
            pinkmart.kite_carousel($scope);
            pinkmart.instagram_equal_height_width();
            pinkmart.instagramAnimation();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-newsletter.default', function ($scope) {
            pinkmart.kt_newsletter();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-newsletter-mailchimp.default', function ($scope) {
            pinkmart.kt_newsletter();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-single-product.default', function ($scope) {
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.runIsotopeInProducts($scope);
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-blog.default', function ($scope) {
            pinkmart.lazyLoadOnLoad($scope);
            pinkmart.kite_blogMasonry($scope);
            pinkmart.blogLoadMore();
        });
        elementorFrontend.hooks.addAction('frontend/element_ready/kite-blog-headline.default', function ($scope) {
            pinkmart.blogHeadLine();
            pinkmart.blogLoadMore();
        });
		elementorFrontend.hooks.addAction('frontend/element_ready/kite-toggle-blog.default', function ($scope) {
            pinkmart.toggleBlog();
            pinkmart.blogLoadMore();
        });

        elementorFrontend.hooks.addAction('frontend/element_ready/kite-banner.default', function ($scope) {
            pinkmart.lazyLoadOnLoad($scope);
        });
    });

})(jQuery, window, document);
