<?php

function kite_vc_enqueue_main_css_forever() {
	wp_enqueue_style( 'js_composer_front' );
}

	add_action( 'wp_enqueue_scripts', 'kite_vc_enqueue_main_css_forever' );

function kite_vc_icons_field( $settings, $value ) {

	$icons = maybe_unserialize( get_transient( 'kite_icon_names' ) );
	if ( ! is_array($icons) ) {
		return ;
	}
	foreach ( $icons as $icon ) {
		$icon_fields[] = sprintf( '<span class="kt-icon icon-%s" data-name="%s"></span>', esc_attr( $icon ), esc_attr( $icon ) );
	}

	return '<div class="my_param_block kt-icon-container">'
			. implode( $icon_fields )
			. '<input type="text" name="' . esc_attr( $settings['param_name'] )
			. '" class="wpb_vc_param_value wpb-textinput kt-input-vc-icon hidden-field-value '
			. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '" />'
		 . '</div>';
}

function kite_vc_date_field( $settings, $value ) {

	return '<div>'
		. '<div class="label">' . esc_attr( $settings['label'] ) . '</div>'
			. '<input type="datetime-local" name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput ' .
		 esc_attr( $settings['param_name'] ) . ' ' .
		 esc_attr( $settings['type'] ) . '_field" value="' . esc_attr( $value ) . '" />'

		. '</div>';
}

function kite_vc_imageselect_field( $settings, $value ) {
	$options = $settings['value'];

	foreach ( $options as $optionkey => $optionvalue ) {
		$image_options[] = sprintf( '<span class="kt-image image-%s" data-name="%s"><img src="%s.png"></span>', esc_attr( $optionvalue ), esc_attr( $optionvalue ), esc_url( get_template_directory_uri() . '/lib/admin/img/vcimages/' . $optionkey ) );
	}

	return '<div class="my_param_block kt-imageselect-container ' . ( array_key_exists( 'class', $settings ) ? $settings['class'] : '' ) . '">'
			. implode( $image_options )
			. '<input type="text" name="' . esc_attr( $settings['param_name'] )
			. '" class="wpb_vc_param_value wpb-textinput kt-input-vc-imageselect hidden-field-value '
			. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>'
		 . '</div>';
}

function kite_vc_responsive_text_font_size( $settings, $value ) {

	$fonts = explode( ',', $value );
	return '<div class="my_param_block kt-responsive-text-container field clear-after"><div style="display:flex;align-items:center;justify-content:space-around;flex-direction:row;">'
						. '<div>'
						. '<label>' . esc_html__( 'Desktop : ', 'pinkmart' ) . '</label><input type="text" class="responsive_size desktop" style="width : 75px;" value="' . $fonts[0] . '">'
						. '</div><div>'
						. '<label>' . esc_html__( 'Tablet : ', 'pinkmart' ) . '</label><input type="text" class="responsive_size tablet" style="width : 75px;" value="' . $fonts[1] . '">'
						. '</div><div>'
						. '<label>' . esc_html__( 'Mobile : ', 'pinkmart' ) . '</label><input type="text" class="responsive_size mobile" style="width : 75px;" value="' . $fonts[2] . '">'
						. '</div></div>'
						. '<input type="text" name="' . esc_attr( $settings['param_name'] )
						. '" class="wpb_vc_param_value wpb-textinput kt-input-vc-responsive-text hidden-field-value '
						. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>'
		. '</div>';
}
function kite_vc_range_field( $settings, $value ) {

	return '<div class="my_param_block kt-rangefield-container field clear-after">'
		. '<div class="label">' . esc_attr( $settings['label'] ) . '</div>'
			. '<input type="range" start="' . esc_attr( $settings['min'] ) . '" min="' . esc_attr( $settings['min'] ) . '" max="' . esc_attr( $settings['max'] ) . '" step="' . esc_attr( $settings['step'] ) . '"  value="' . esc_attr( $value ) . '" />'
			. '<input type="text" name="' . esc_attr( $settings['param_name'] )
			. '" class="wpb_vc_param_value wpb-textinput kt-input-vc-range hidden-field-value '
			. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>'
		. '</div>';
}

function kite_vc_multi_select( $settings, $value ) {
	$items   = $settings['options'];
	$options = array();
	foreach ( $items as $optionkey => $optionvalue ) {
		$options[] = sprintf( '<input type="checkbox" name="%s" value="%s" class="kt-checkbox-field"> <span class="checkbox-label">%s</span>', $optionvalue, $optionkey, $optionvalue );
	}

	return '<div class="my_param_block kt-checkbox-container field clear-after">'
			. implode( $options )
			. '<input type="text" name="' . esc_attr( $settings['param_name'] )
			. '" class="wpb_vc_param_value wpb-textinput kt-input-vc-checkbox hidden-field-value '
			. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>'
		. '</div>';
}

if ( ! function_exists( 'js_composer_bridge_admin' ) ) {

	function kite_js_composer_css_admin() {
		if ( ! isset( $_GET['page'] ) || $_GET['page'] != 'theme_settings' ) {
			// presscore stuff
			wp_enqueue_style( 'kite-vc-extend-css', get_template_directory_uri() . '/lib/admin/css/vc-extend.css' );
		}

	}
}

	add_action( 'admin_enqueue_scripts', 'kite_js_composer_css_admin', 15 );


// animation array
$animations = array(
	esc_html__( 'None', 'pinkmart' )                => 'none',
	esc_html__( 'Fade in', 'pinkmart' )             => 'fade-in',
	esc_html__( 'Fade in from top', 'pinkmart' )    => 'fade-in-top',
	esc_html__( 'Fade in from left', 'pinkmart' )   => 'fade-in-left',
	esc_html__( 'Fade in from right', 'pinkmart' )  => 'fade-in-right',
	esc_html__( 'Fade in from bottom', 'pinkmart' ) => 'fade-in-bottom',
	esc_html__( 'Grow In', 'pinkmart' )             => 'grow-in',
);

$fontsize         = array(
	'20'  => '20',
	'24'  => '24',
	'32'  => '32',
	'40'  => '40',
	'48'  => '48',
	'60'  => '60',
	'80'  => '80',
	'100' => '100',
);
$subtitlefontsize = array(
	'13' => '13',
	'14' => '14',
	'15' => '15',
	'16' => '16',
	'18' => '18',
	'20' => '20',
	'22' => '22',
	'25' => '25',
);
$Customfontsize   = array(
	'20'  => '20',
	'24'  => '24',
	'32'  => '32',
	'40'  => '40',
	'48'  => '48',
	'60'  => '60',
	'80'  => '80',
	'100' => '100',
);

$bgtitlefont = array(
	'1'  => '1',
	'2'  => '2',
	'3'  => '3',
	'4'  => '4',
	'6'  => '6',
	'8'  => '8',
	'10' => '10',
	'12' => '12',
	'14' => '14',
	'16' => '16',
	'18' => '18',
	'20' => '20',
	'24' => '24',
);
$titlefont   = array(
	'1'  => '1',
	'2'  => '2',
	'3'  => '3',
	'4'  => '4',
	'6'  => '6',
	'8'  => '8',
	'10' => '10',
	'12' => '12',
	'14' => '14',
	'16' => '16',
	'18' => '18',

);

$contentfontsize = array(
	'12' => '12',
	'13' => '13',
	'14' => '14',
	'15' => '15',
	'16' => '16',
	'17' => '17',
	'18' => '18',
	'19' => '19',
	'20' => '20',
	'22' => '22',
	'24' => '24',
);

$contdownFontSize   = array(
	'16' => '16',
	'20' => '20',
	'28' => '28',
	'35' => '35',
	'44' => '44',
);
$predefinedFontSize = array(
	'16'                           => '16',
	'20'                           => '20',
	'28'                           => '28',
	'35'                           => '35',
	'44'                           => '44',
	esc_html__( 'custom', 'pinkmart' ) => 'custom',
);

// all of social icons
$socialIcon = array(
	'Facebook'              => 'facebook',
	'Twitter'               => 'twitter',
	'Vimeo'                 => 'vimeo',
	'YouTube'               => 'youtube-play',
	'Google+'               => 'google-plus',
	'Dribbble'              => 'dribbble',
	'Tumblr'                => 'tumblr',
	'linkedin'              => 'linkedin',
	'Flickr'                => 'flickr',
	'Github'                => 'github',
	'Last.fm'               => 'lastfm',
	'Paypal'                => 'paypal',
	'RSS'                   => 'feed',
	'Skype'                 => 'skype',
	'WordPress'             => 'wordpress',
	'Yahoo'                 => 'yahoo',
	'Steam'                 => 'steam',
	'Reddit'                => 'reddit-alien',
	'StumbleUpon'           => 'stumbleupon',
	'Pinterest'             => 'pinterest',
	'DeviantArt'            => 'deviantart',
	'Xing'                  => 'xing',
	'Blogger'               => 'blogger',
	'SoundCloud'            => 'soundcloud',
	'Delicious'             => 'delicious',
	'Foursquare'            => 'foursquare',
	'Instagram'             => 'instagram',
	'Behance'               => 'behance',
	'Custom Social Network' => 'custom',
);

// List of social icons with dark/light option
$socialIconDarkLight = array(
	'facebook',
	'twitter',
	'vimeo',
	'youtube-play',
	'google-plus',
	'dribbble',
	'tumblr',
	'linkedin',
	'flickr',
	'github',
	'lastfm',
	'paypal',
	'feed',
	'skype',
	'wordpress',
	'yahoo',
	'steam',
	'reddit-alien',
	'stumbleupon',
	'pinterest',
	'deviantart',
	'xing',
	'blogger',
	'soundcloud',
	'delicious',
	'foursquare',
	'instagram',
	'behance',
);

$portfolio_skills = array();
$cat_args         = array(
	'orderby'    => 'term_id',
	'order'      => 'ASC',
	'hide_empty' => false,
);

$terms = get_terms( 'skills', $cat_args );
if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) { // check is portfolio plugin is active or not
	foreach ( $terms as $taxonomy ) {
		 $portfolio_skills[ $taxonomy->slug ] = $taxonomy->name;
	}
}

// ------ Fetch gallery categories-------
$gallery_cats = array();
$cat_args     = array(
	'orderby'    => 'term_id',
	'order'      => 'ASC',
	'hide_empty' => false,
);

$terms = get_terms( 'gallery_cat', $cat_args );
if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) { // check is gallery plugin is active or not
	foreach ( $terms as $taxonomy ) {
			$gallery_cats[ $taxonomy->slug ] = $taxonomy->name;
	}
}

// Remove animation from VC shortcodes
vc_remove_param( 'vc_icon', 'css_animation' );
vc_remove_param( 'vc_separator', 'css_animation' );
vc_remove_param( 'vc_text_separator', 'css_animation' );
vc_remove_param( 'vc_facebook', 'css_animation' );
vc_remove_param( 'vc_tweetmeme', 'css_animation' );
vc_remove_param( 'vc_googleplus', 'css_animation' );
vc_remove_param( 'vc_pinterest', 'css_animation' );
vc_remove_param( 'vc_single_image', 'css_animation' );
vc_remove_param( 'vc_tta_tabs', 'css_animation' );
vc_remove_param( 'vc_tta_tour', 'css_animation' );
vc_remove_param( 'vc_tta_accordion', 'css_animation' );
vc_remove_param( 'vc_tta_accordion', 'css_animation' );
vc_remove_param( 'vc_gmaps', 'css_animation' );
vc_remove_param( 'vc_flickr', 'css_animation' );
vc_remove_param( 'vc_basic_grid', 'css_animation' );
vc_remove_param( 'vc_masonry_grid', 'css_animation' );
vc_remove_param( 'vc_zigzag', 'css_animation' );

/*
-----------------------------------------------------------------------------------*/
/*
 Section
/*
-----------------------------------------------------------------------------------*/
 // Remove VC Button Element
vc_remove_element( 'vc_section' );

/*
-----------------------------------------------------------------------------------*/
/*
  hoverbox
/*
-----------------------------------------------------------------------------------*/
 // Remove VC hoverbox  Element
vc_remove_element( 'vc_hoverbox' );

/*
-----------------------------------------------------------------------------------*/
/*
 Pricing box
/*-----------------------------------------------------------------------------------*/
vc_remove_param( 'mnky_pricing_box', 'css_animation' );
vc_remove_param( 'mnky_pricing_box', 'css_animation_delay' );

/*
-----------------------------------------------------------------------------------*/
/*
 Accordion
/*-----------------------------------------------------------------------------------*/

// remove param style
vc_remove_param( 'vc_tta_accordion', 'style' );

// remove param shape
vc_remove_param( 'vc_tta_accordion', 'shape' );

// remove param color
vc_remove_param( 'vc_tta_accordion', 'color' );

// remove param no_fill
vc_remove_param( 'vc_tta_accordion', 'no_fill' );

// remove param spacing
vc_remove_param( 'vc_tta_accordion', 'spacing' );

// remove param gap
vc_remove_param( 'vc_tta_accordion', 'gap' );

// remove param autoplay
vc_remove_param( 'vc_tta_accordion', 'autoplay' );

// remove param icon
vc_remove_param( 'vc_tta_accordion', 'c_icon' );

vc_add_param(
	'vc_tta_accordion',
	array(
		'type'        => 'dropdown',
		'param_name'  => 'style',
		'value'       => array(
			esc_html__( 'Dark', 'pinkmart' )  => 'dark',
			esc_html__( 'Light', 'pinkmart' ) => 'light',
		),
		'heading'     => esc_html__( 'Style', 'pinkmart' ),
		'description' => esc_html__( 'dark and light style of section', 'pinkmart' ),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Tabs
/*-----------------------------------------------------------------------------------*/

// remove param style
vc_remove_param( 'vc_tta_tabs', 'style' );

// remove param tab
 vc_remove_param( 'vc_tta_tabs', 'title' );

// remove param shape
vc_remove_param( 'vc_tta_tabs', 'shape' );

// remove param shape
vc_remove_param( 'vc_tta_tabs', 'alignment' );

// remove param color
vc_remove_param( 'vc_tta_tabs', 'color' );

// remove param no_fill_content_area
vc_remove_param( 'vc_tta_tabs', 'no_fill_content_area' );

// remove param spacing
vc_remove_param( 'vc_tta_tabs', 'spacing' );

// remove param gap
vc_remove_param( 'vc_tta_tabs', 'gap' );

// remove param pagination_style
vc_remove_param( 'vc_tta_tabs', 'pagination_style' );

// remove param pagination_color
vc_remove_param( 'vc_tta_tabs', 'pagination_color' );



vc_add_param(
	'vc_tta_tabs',
	array(
		'type'        => 'dropdown',
		'param_name'  => 'alignment',
		'value'       => array(
			esc_html__( 'Center', 'pinkmart' ) => 'center',
			esc_html__( 'Left', 'pinkmart' )   => 'left',
			esc_html__( 'Right', 'pinkmart' )  => 'right',
		),
		'heading'     => esc_html__( 'Alignment', 'pinkmart' ),
		'description' => esc_html__( 'Select tabs section title alignment.', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_tta_tabs',
	array(
		'type'        => 'dropdown',
		'param_name'  => 'style',
		'value'       => array(
			esc_html__( 'Dark', 'pinkmart' )  => 'dark',
			esc_html__( 'Light', 'pinkmart' ) => 'light',
		),
		'heading'     => esc_html__( 'Style', 'pinkmart' ),
		'description' => esc_html__( 'dark and light style of tab', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_tta_tabs',
	array(
		'type'        => 'dropdown',
		'param_name'  => 'shape',
		'value'       => array(
			esc_html__( 'Before title', 'pinkmart' )   => 'left',
			esc_html__( 'After of title', 'pinkmart' ) => 'right',
			esc_html__( 'Top of title', 'pinkmart' )   => 'top',
		),
		'heading'     => esc_html__( 'Icon position', 'pinkmart' ),
		'description' => esc_html__( 'Select icon position for tabs section.', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_tta_tabs',
	array(
		'type'        => 'colorpicker',
		'holder'      => 'div',
		'value'       => '',
		'param_name'  => 'active_tab_color',
		'heading'     => esc_html__( 'Active Tab Color', 'pinkmart' ),
		'description' => esc_html__( 'Select Color for active tab', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_tta_tabs',
	array(
		'type'        => 'colorpicker',
		'holder'      => 'div',
		'value'       => '',
		'param_name'  => 'deactive_tab_color',
		'heading'     => esc_html__( 'Deactive Tabs Color', 'pinkmart' ),
		'description' => esc_html__( 'Select Color for deactive tabs', 'pinkmart' ),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 Tour
/*
-----------------------------------------------------------------------------------*/
// remove param style
vc_remove_param( 'vc_tta_tour', 'style' );

// remove param shape
vc_remove_param( 'vc_tta_tour', 'shape' );

// remove param color
vc_remove_param( 'vc_tta_tour', 'color' );

// remove param no_fill_content_area
vc_remove_param( 'vc_tta_tour', 'no_fill_content_area' );

// remove param spacing
vc_remove_param( 'vc_tta_tour', 'spacing' );

// remove param gap
vc_remove_param( 'vc_tta_tour', 'gap' );

// remove param controls_size
vc_remove_param( 'vc_tta_tour', 'controls_size' );

// remove param pagination_style
vc_remove_param( 'vc_tta_tour', 'pagination_style' );

// remove param pagination_color
vc_remove_param( 'vc_tta_tour', 'pagination_color' );


/*
-----------------------------------------------------------------------------------*/
/*
 Empty_Space
/*
-----------------------------------------------------------------------------------*/
// Empty_Space - height on responsive mode
vc_add_param(
	'vc_empty_space',
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Height on responsive mode', 'pinkmart' ),
		'param_name'  => 'responsive_height',
		'description' => esc_html__( 'Enter empty space height on responsive mode (Note: CSS measurement units allowed).', 'pinkmart' ),
		'group'       => esc_html__( 'Responsive', 'pinkmart' ),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Row
/*-----------------------------------------------------------------------------------*/

$row_setting = array(
	'weight' => 10,
);
vc_map_update( 'vc_row', $row_setting );


if ( ! function_exists( 'kite_vc_extra_classes' ) ) {

	if ( defined( 'VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG' ) ) {
		add_filter( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'kite_vc_extra_classes', 30, 3 );
	}

	function kite_vc_extra_classes( $class, $base, $atts ) {

		// Row Animation
		if ( ! empty( $atts['row_animation'] ) && $atts['row_animation'] !== 'none' ) {
			$class .= ' shortcodeanimation row-animation-enable';
		}

		// Disable row animation  in mobile
		if ( ! empty( $atts['responsive_animation'] ) ) {
			$class .= ' no-responsive-animation';
		}
		if ( ! empty( $atts['overlay_color'] ) ) {
			$class .= ' overlay-color overlay-color-' . $atts['overlay_color'];
		}

		if ( ! empty( $atts['background_position'] ) ) {
			$class .= ' ' . $atts['background_position'];
		}

		if ( ! empty( $atts['interactive_background'] ) ) {
			$class .= ' interactive-background';
		}

		if ( $base == 'vc_row' ) {
			$class .= ' kt-section';
		}

		if ( ! empty( $atts['active_tab_color'] ) ) {
			$class .= ' active-tab-color active-tab-color-' . $atts['active_tab_color'];
		}

		if ( ! empty( $atts['deactive_tab_color'] ) ) {
			$class .= ' disable-tab-color disable-tab-color-' . $atts['deactive_tab_color'];
		}

		return $class;
	}
}
if ( ! function_exists( 'kite_update_google_fonts' ) ) {
	add_filter( 'vc_google_fonts_get_fonts_filter', 'kite_update_google_fonts' );
	function kite_update_google_fonts( $fonts_list ) {
		$poppins->font_family             = 'Poppins';
		$poppins->font_types              = '300 light regular:300:normal,400 regular:400:normal,500 bold regular:500:normal,600 bold regular:600:normal,700 bold regular:700:normal';
		$poppins->font_styles             = 'regular';
		$poppins->font_family_description = esc_html_e( 'Select font family', 'pinkmart' );
		$poppins->font_style_description  = esc_html_e( 'Select font styling', 'pinkmart' );

		$Gayathri->font_family             = 'Gayathri';
		$Gayathri->font_types              = '400 regular:400:normal,700 bold regular:700 :normal';
		$Gayathri->font_styles             = 'regular';
		$Gayathri->font_family_description = esc_html_e( 'Select font family', 'pinkmart' );
		$Gayathri->font_style_description  = esc_html_e( 'Select font styling', 'pinkmart' );
		$fonts_list[]                      = $poppins;
		$fonts_list[]                      = $Gayathri;

		return $fonts_list;
	}
}


function kite_get_fonts_data( $fontsString ) {
	if ( ! class_exists( 'Vc_Google_Fonts' ) ) {
		return;
	}
	$googleFontsParam = new Vc_Google_Fonts();
	$fieldSettings    = array();
	$fontsData        = strlen( $fontsString ) > 0 ? $googleFontsParam->_vc_google_fonts_parse_attributes( $fieldSettings, $fontsString ) : '';
	return $fontsData;
}

function kite_google_fonts_styles( $google_fonts_data ) {
	if ( ! empty( $google_fonts_data ) && isset( $google_fonts_data['values'], $google_fonts_data['values']['font_family'], $google_fonts_data['values']['font_style'] ) ) {

		$fontFamily = explode( ':', $google_fonts_data['values']['font_family'] );
		if ( isset( $fontFamily[0] ) ) {
			$styles[] = 'font-family:' . $fontFamily[0];
		}
		$fontStyles = explode( ':', $google_fonts_data['values']['font_style'] );
		if ( isset( $fontStyles[1] ) ) {
			$styles[] = 'font-weight:' . $fontStyles[1] . '!important';
		}
		if ( isset( $fontStyles[2] ) ) {
			$styles[] = 'font-style:' . $fontStyles[2];
		}
	}

	$inline_style = '';
	if ( isset( $fontFamily[0] ) || isset( $fontStyles[1] ) || isset( $fontStyles[2] ) ) {
		foreach ( $styles as $attribute ) {
			$inline_style .= $attribute . '; ';
		}
	}
	return $inline_style;
}
function kite_enqueue_google_fonts( $fontsData ) {

	$settings = get_option( 'wpb_js_google_fonts_subsets' );
	if ( is_array( $settings ) && ! empty( $settings ) ) {
		$subsets = '&subset=' . implode( ',', $settings );
	} else {
		$subsets = '';
	}
	if ( isset( $fontsData['values']['font_family'] ) ) {
		wp_enqueue_style(
			'vc_google_fonts_' . vc_build_safe_css_class( $fontsData['values']['font_family'] ),
			'//fonts.googleapis.com/css?family=' . $fontsData['values']['font_family'] . $subsets
		);
	}
}

// remove VC default row animation
vc_remove_param( 'vc_row', 'css_animation' );

vc_add_param(
	'vc_row',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Animation', 'pinkmart' ),
		'param_name'  => 'row_animation',
		'description' => esc_html__( 'Select animation type', 'pinkmart' ),
		'value'       => $animations,
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_row',
	array(
		'type'        => 'textfield',
		'class'       => '',
		'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
		'param_name'  => 'row_animation_delay',
		'value'       => '',
		'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_row',
	array(
		'type'        => 'vc_multiselect',
		'class'       => '',
		'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
		'param_name'  => 'responsive_animation',
		'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
		'value'       => 'disable',
		'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_row',
	array(
		'type'        => 'colorpicker',
		'class'       => '',
		'heading'     => esc_html__( 'Overlay Color', 'pinkmart' ),
		'param_name'  => 'overlay_color',
		'value'       => '',
		'description' => esc_html__( 'Select optional overlay color.', 'pinkmart' ),
		'group'       => esc_html__( 'pinkmart Options', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'background image position', 'pinkmart' ),
		'param_name'  => 'background_position',
		'description' => esc_html__( 'Choose background position for bckground image.', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Default', 'pinkmart' )       => '',
			esc_html__( 'Center Center', 'pinkmart' ) => 'center center',
			esc_html__( 'Center Top', 'pinkmart' )    => 'center top',
			esc_html__( 'Center Bottom', 'pinkmart' ) => 'center bottom',
			esc_html__( 'Left Top', 'pinkmart' )      => 'left top',
			esc_html__( 'Left Center', 'pinkmart' )   => 'left center',
			esc_html__( 'Left Bottom', 'pinkmart' )   => 'left bottom',
			esc_html__( 'Right Top', 'pinkmart' )     => 'right top',
			esc_html__( 'Right Center', 'pinkmart' )  => 'right center',
			esc_html__( 'Right Bottom', 'pinkmart' )  => 'right bottom',
		),
		'group'       => esc_html__( 'pinkmart Options', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_row_inner',
	array(
		'type'        => 'colorpicker',
		'class'       => '',
		'heading'     => esc_html__( 'Overlay Color', 'pinkmart' ),
		'param_name'  => 'overlay_color',
		'value'       => '',
		'description' => esc_html__( 'Select optional overlay color.', 'pinkmart' ),
		'group'       => esc_html__( 'pinkmart Options', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_row_inner',
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'background image position', 'pinkmart' ),
		'param_name'  => 'background_position',
		'description' => esc_html__( 'Choose background position for bckground image.', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Default', 'pinkmart' )       => '',
			esc_html__( 'Center Center', 'pinkmart' ) => 'center center',
			esc_html__( 'Center Top', 'pinkmart' )    => 'center top',
			esc_html__( 'Center Bottom', 'pinkmart' ) => 'center bottom',
			esc_html__( 'Left Top', 'pinkmart' )      => 'left top',
			esc_html__( 'Left Center', 'pinkmart' )   => 'left center',
			esc_html__( 'Left Bottom', 'pinkmart' )   => 'left bottom',
			esc_html__( 'Right Top', 'pinkmart' )     => 'right top',
			esc_html__( 'Right Center', 'pinkmart' )  => 'right center',
			esc_html__( 'Right Bottom', 'pinkmart' )  => 'right bottom',
		),
		'group'       => esc_html__( 'pinkmart Options', 'pinkmart' ),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 VC Column
/*-----------------------------------------------------------------------------------*/
vc_remove_param( 'vc_column', 'css_animation' );

/*
-----------------------------------------------------------------------------------*/
/*
  Visual Composer Seperator
/*-----------------------------------------------------------------------------------*/

$separator_setting = array(
	'show_settings_on_create' => true,
	'controls'                => '',
	'weight'                  => 9,
);
vc_map_update( 'vc_separator', $separator_setting );


/*
-----------------------------------------------------------------------------------*/
/*
  contact form 7
/*-----------------------------------------------------------------------------------*/

vc_add_param(
	'contact-form-7',
	array(
		'type'       => 'vc_contactform_style',
		'class'      => '',
		'param_name' => 'html_class',
		'value'      => 'light left boxed one_column style1',
	)
);


// remove param title
vc_remove_param( 'contact-form-7', 'title' );



/*
-----------------------------------------------------------------------------------*/
/*
 VC block text
/*-----------------------------------------------------------------------------------*/

$column_text_setting = array(
	'weight' => 9,
);
vc_map_update( 'vc_column_text', $column_text_setting );

vc_remove_param( 'vc_column_text', 'css_animation' );
vc_add_param(
	'vc_column_text',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Animation', 'pinkmart' ),
		'param_name'  => 'text_animation',
		'description' => esc_html__( 'Select animation type', 'pinkmart' ),
		'value'       => $animations,
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_column_text',
	array(
		'type'        => 'textfield',
		'class'       => '',
		'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
		'param_name'  => 'text_animation_delay',
		'value'       => '',
		'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_column_text',
	array(
		'type'        => 'vc_multiselect',
		'class'       => '',
		'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
		'param_name'  => 'responsive_animation',
		'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
		'value'       => 'disable',
		'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
		'group'       => esc_html__( 'Animation', 'pinkmart' ),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Separator
/*-----------------------------------------------------------------------------------*/

vc_remove_param( 'vc_separator', 'style' );
vc_remove_param( 'vc_separator', 'align' );
vc_remove_param( 'vc_separator', 'el_width' );
vc_remove_param( 'vc_separator', 'el_class' );
vc_remove_param( 'vc_separator', 'accent_color' );
vc_remove_param( 'vc_separator', 'color' );
vc_remove_param( 'vc_separator', 'border_width' );
vc_remove_param( 'vc_separator', 'css' ); // remove design tab options

vc_add_param(
	'vc_separator',
	array(
		'type'        => 'colorpicker',
		'holder'      => 'div',
		'class'       => '',
		'heading'     => esc_html__( "Separator's Color", 'pinkmart' ),
		'param_name'  => 'color',
		'value'       => '',
		'description' => esc_html__( "Select optional Separator's color ", 'pinkmart' ),
	)
);

// Separator
vc_add_param(
	'vc_separator',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Separator Size', 'pinkmart' ),
		'param_name'  => 'size',
		'description' => esc_html__( 'Choose the size of separator', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Full Width', 'pinkmart' )         => 'full',
			esc_html__( 'Small', 'pinkmart' )              => 'small',
			esc_html__( 'Small Center', 'pinkmart' )       => 'small-center',
			esc_html__( 'Extra Small', 'pinkmart' )        => 'extra-small',
			esc_html__( 'Extra Small Center', 'pinkmart' ) => 'extra-small-center',
			esc_html__( 'Medium', 'pinkmart' )             => 'medium',
			esc_html__( 'Medium Center', 'pinkmart' )      => 'medium-center',
		),
	)
);

vc_add_param(
	'vc_separator',
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Margin Top', 'pinkmart' ),
		'param_name'  => 'separator_margin_top',
		'description' => esc_html__( 'Insert top margin for current separator . example : 200', 'pinkmart' ),
		'group'       => esc_html__( 'Margin', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_separator',
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Margin Bottom', 'pinkmart' ),
		'param_name'  => 'separator_margin_bottom',
		'description' => esc_html__( 'Insert bottom margin for current separator . example : 200', 'pinkmart' ),
		'group'       => esc_html__( 'Margin', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_separator',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Border style', 'pinkmart' ),
		'param_name'  => 'border_style',
		'description' => esc_html__( 'Select border style', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Solid', 'pinkmart' )  => 'solid',
			esc_html__( 'Dashed', 'pinkmart' ) => 'dashed',
			esc_html__( 'Dotted', 'pinkmart' ) => 'dotted',
			esc_html__( 'Double', 'pinkmart' ) => 'double',
			esc_html__( 'Groove', 'pinkmart' ) => 'groove',
			esc_html__( 'Inset', 'pinkmart' )  => 'inset',
			esc_html__( 'Outset', 'pinkmart' ) => 'outset',
			esc_html__( 'Ridge', 'pinkmart' )  => 'ridge',
		),
	)
);

vc_add_param(
	'vc_separator',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Separator Size', 'pinkmart' ),
		'param_name'  => 'pxthickness',
		'description' => esc_html__( 'Select thickness of separator', 'pinkmart' ),
		'value'       => array(
			'1px'  => '1',
			'2px'  => '2',
			'3px'  => '3',
			'4px'  => '4',
			'5px'  => '5',
			'6px'  => '6',
			'7px'  => '7',
			'8px'  => '8',
			'9px'  => '9',
			'10px' => '10',
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Title separator
/*-----------------------------------------------------------------------------------*/

$text_separator_setting = array(
	'weight' => 9,
);
vc_map_update( 'vc_text_separator', $text_separator_setting );

vc_remove_param( 'vc_text_separator', 'color' );
vc_remove_param( 'vc_text_separator', 'accent_color' );
vc_remove_param( 'vc_text_separator', 'style' );
vc_remove_param( 'vc_text_separator', 'el_width' );
vc_remove_param( 'vc_text_separator', 'el_class' );
vc_remove_param( 'vc_text_separator', 'border_width' );
vc_remove_param( 'vc_text_separator', 'align' );
vc_remove_param( 'vc_text_separator', 'css' ); // remove design tab options

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'colorpicker',
		'holder'      => 'div',
		'icon'        => 'icon-wpb-text-separator',
		'class'       => '',
		'heading'     => esc_html__( "Separator's Color", 'pinkmart' ),
		'param_name'  => 'color',
		'value'       => '',
		'description' => esc_html__( "Select optional Separator's color ", 'pinkmart' ),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'dropdown',
		'class'       => '',
		'heading'     => esc_html__( 'Border Style', 'pinkmart' ),
		'param_name'  => 'border_style',
		'description' => esc_html__( 'Select border style', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Solid', 'pinkmart' )  => 'solid',
			esc_html__( 'Dashed', 'pinkmart' ) => 'dashed',
			esc_html__( 'Dotted', 'pinkmart' ) => 'dotted',
			esc_html__( 'Double', 'pinkmart' ) => 'double',
			esc_html__( 'Groove', 'pinkmart' ) => 'groove',
			esc_html__( 'Inset', 'pinkmart' )  => 'inset',
			esc_html__( 'Outset', 'pinkmart' ) => 'outset',
			esc_html__( 'Ridge', 'pinkmart' )  => 'ridge',
		),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'colorpicker',
		'holder'      => '',
		'class'       => '',
		'heading'     => esc_html__( "Title's Color", 'pinkmart' ),
		'param_name'  => 'title_color',
		'value'       => '',
		'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'dropdown',
		'holder'      => '',
		'class'       => '',
		'heading'     => esc_html__( 'Title font-weight', 'pinkmart' ),
		'param_name'  => 'title_weight',
		'description' => esc_html__( 'Select title font weight', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Bold', 'pinkmart' )   => 'bold',
			esc_html__( 'Normal', 'pinkmart' ) => 'normal',
		),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Margin Top', 'pinkmart' ),
		'param_name'  => 'separator_margin_top',
		'description' => esc_html__( 'Insert top margin for current separator . example : 200', 'pinkmart' ),
		'group'       => esc_html__( 'Margin', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Margin Bottom', 'pinkmart' ),
		'param_name'  => 'separator_margin_bottom',
		'description' => esc_html__( 'Insert bottom margin for current separator . example : 200', 'pinkmart' ),
		'group'       => esc_html__( 'Margin', 'pinkmart' ),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'dropdown',
		'holder'      => '',
		'class'       => '',
		'heading'     => esc_html__( 'Separator line thickness', 'pinkmart' ),
		'param_name'  => 'pxthickness',
		'description' => esc_html__( 'Select thickness of separator', 'pinkmart' ),
		'value'       => array(
			'1px'  => '1',
			'2px'  => '2',
			'3px'  => '3',
			'4px'  => '4',
			'5px'  => '5',
			'6px'  => '6',
			'7px'  => '7',
			'8px'  => '8',
			'9px'  => '9',
			'10px' => '10',
		),
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'dropdown',
		'holder'      => '',
		'class'       => '',
		'heading'     => esc_html__( 'Title Font size', 'pinkmart' ),
		'param_name'  => 'title_font_size',
		'description' => esc_html__( 'Select separator title font size', 'pinkmart' ),
		'value'       => $Customfontsize,
	)
);

vc_add_param(
	'vc_text_separator',
	array(
		'type'        => 'dropdown',
		'holder'      => '',
		'class'       => '',
		'heading'     => esc_html__( 'Enable border right/left For Title', 'pinkmart' ),
		'param_name'  => 'title_border_enable',
		'description' => esc_html__( 'Enable or Disbale right/left title border', 'pinkmart' ),
		'value'       => array(
			esc_html__( 'Enable', 'pinkmart' )  => 'enable',
			esc_html__( 'Disable', 'pinkmart' ) => 'disable',
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 toggle
/*-----------------------------------------------------------------------------------*/

vc_remove_param( 'vc_toggle', 'size' );
vc_remove_param( 'vc_toggle', 'color' );
vc_remove_param( 'vc_toggle', 'style' );
vc_remove_param( 'vc_toggle', 'css_animation' );

$vc_toggle_setting = array(
	'weight' => 9,
);
vc_add_param(
	'vc_toggle',
	array(
		'type'        => 'dropdown',
		'param_name'  => 'style',
		'value'       => array(
			esc_html__( 'Dark', 'pinkmart' )  => 'dark',
			esc_html__( 'Light', 'pinkmart' ) => 'light',
		),
		'heading'     => esc_html__( 'Text Style', 'pinkmart' ),
		'description' => esc_html__( 'dark and light text style of toggle block.', 'pinkmart' ),
	)
);
vc_add_param(
	'vc_toggle',
	array(
		'type'        => 'vc_multiselect',
		'class'       => '',
		'heading'     => esc_html__( 'background color', 'pinkmart' ),
		'param_name'  => 'color',
		'options'     => array( 'enable' => esc_html__( 'background color', 'pinkmart' ) ),
		'value'       => 'disable',
		'description' => esc_html__( 'text with background color.', 'pinkmart' ),
	)
);
vc_map_update( 'vc_toggle', $vc_toggle_setting );

/*
-----------------------------------------------------------------------------------*/
/*
 Testimonials
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'name'              => esc_html__( 'Testimonial', 'pinkmart' ),
		'base'              => 'testimonial',
		'category'          => 'By KiteSt',
		'weight'            => 9,
		'admin_enqueue_css' => array( get_template_directory_uri() . '/lib/admin/css/vc-extend.css' ),
		'icon'              => 'icon-wpb-testimonial',
		'as_parent'         => array( 'only' => 'testimonial_item' ),
		'js_view'           => 'VcColumnView',
		'content_element'   => true,
		'params'            => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'style',
				'description' => esc_html__( 'Select testimonial style.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'column', 'pinkmart' ),
				'param_name'  => 'visible_items',
				'description' => esc_html__( 'Select columns each row', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'testimonial_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'testimonial_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


vc_map(
	array(
		'name'              => esc_html__( 'Testimonial Item', 'pinkmart' ),
		'base'              => 'testimonial_item',
		'category'          => 'By KiteSt',
		'weight'            => 9,
		'admin_enqueue_css' => array( get_template_directory_uri() . '/lib/admin/css/vc-extend.css' ),
		'icon'              => 'icon-wpb-testimonial-item',
		'as_child'          => array( 'only' => 'testimonial' ),
		'content_element'   => true,
		'params'            => array(
			array(
				'type'        => 'attach_image',
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Name', 'pinkmart' ),
				'param_name'  => 'author',
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'job',
			),
			array(
				'type'        => 'textarea',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Statement', 'pinkmart' ),
				'param_name'  => 'text',
				'description' => esc_html__( 'Type down the statement.', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Horizontal progress bar
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Progress Bar', 'pinkmart' ),
		'base'     => 'progressbar',
		'icon'     => 'icon-wpb-progressbar',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => '',
				'admin_label' => true,
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'description' => '',
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Percentage', 'pinkmart' ),
				'param_name'  => 'percent',
				'value'       => '',
				'description' => esc_html__( 'If you want it to show 85% progression, just type 85 in this box.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Progressed Section Color', 'pinkmart' ),
				'param_name'  => 'active_bg_color',
				'description' => esc_html__( 'Select a color to be set as progress bar progressed section color.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Non-progressed Section Color', 'pinkmart' ),
				'param_name'  => 'inactive_bg_color',
				'description' => esc_html__( 'Select a color to be set as progress bar progressed section color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => 'div',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'progressbar_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'progressbar_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Horizontal progress bar
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Progress Bar', 'pinkmart' ),
		'base'     => 'progressbar',
		'icon'     => 'icon-wpb-progressbar',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => '',
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'description' => '',
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Percentage', 'pinkmart' ),
				'param_name'  => 'percent',
				'value'       => '',
				'description' => esc_html__( 'For example if you want to enter 85% just enter 85 .', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Active Background Color', 'pinkmart' ),
				'param_name'  => 'active_bg_color',
				'description' => '',
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Inactive Background Color', 'pinkmart' ),
				'param_name'  => 'inactive_bg_color',
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'progressbar_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'progressbar_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Portfolio List
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Portfolio', 'pinkmart' ),
		'base'     => 'portfolio',
		'icon'     => 'icon-wpb-portfolio',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Grid Layout', 'pinkmart' ),
				'param_name'  => 'portfolio_masonry',
				'value'       => array(
					esc_html__( 'Fixed Layout', 'pinkmart' ) => 'perfectMasonry',
					esc_html__( 'Masonary Layout', 'pinkmart' ) => 'masonry',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'portfoliotype',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio Type', 'pinkmart' ),
				'param_name'  => 'type',
				'value'       => array(
					'portfolio_space'    => 'portfolio_space',
					'portfolio_no_space' => 'portfolio_no_space',
					'portfolio_text'     => 'portfolio_text',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Show title', 'pinkmart' ),
				'param_name'  => 'title_bar',
				'description' => esc_html__( 'Show or hide the title', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Do not show title', 'pinkmart' )  => 'hide',
					esc_html__( 'Show custom title', 'pinkmart' ) => 'show',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title_text',
				'value'       => '',
				'description' => esc_html__( 'Choose a title to be shown at the beginning of portfolio section', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_bar',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle_text',
				'value'       => '',
				'description' => esc_html__( 'Choose a subtitle to be shown at the beginning of portfolio section', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_bar',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Display', 'pinkmart' ),
				'param_name'  => 'filter_display',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Style', 'pinkmart' ),
				'param_name'  => 'filter_style',
				'value'       => array(
					esc_html__( 'Standard', 'pinkmart' ) => 'standard',
					esc_html__( 'Toggle', 'pinkmart' )   => 'toggle',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Filter toggle beginning state', 'pinkmart' ),
				'param_name'  => 'filter_toggle_state',
				'value'       => array(
					'Close' => 'close',
					'Open'  => 'open',
				),
				'description' => '',
				'dependency'  => array(
					'element' => 'filter_style',
					'value'   => 'toggle',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Portfolio Categories', 'pinkmart' ),
				'param_name'  => 'portfolio_filter',
				'value'       => array(
					'All'    => 'all',
					'Custom' => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio Custom Categories', 'pinkmart' ),
				'param_name'  => 'filters',
				'options'     => $portfolio_skills,
				'description' => esc_html__( 'Selected categories to be shown in portfolio section', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'portfolio_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_rangefield',
				'label'       => 'items',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio Post Per Section', 'pinkmart' ),
				'param_name'  => 'portfolio_posts_page',
				'min'         => '1',
				'max'         => '30',
				'step'        => '1',
				'value'       => '12',
				'description' => esc_html__( 'Choose the initial number of portfolio items to be shown before clicking load more button.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'filter_loadmore_style',
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )    => 'darkstyle',
					esc_html__( '"Light"', 'pinkmart' ) => 'lightstyle',
				),
				'description' => esc_html__( 'dark and light styles for filter bar , load more button and title and subtitle', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover type', 'pinkmart' ),
				'param_name'  => 'portfolio_hover',
				'value'       => array(
					esc_html__( 'Creative', 'pinkmart' )     => 'creativetype',
					esc_html__( 'Border Style', 'pinkmart' ) => 'bordertype',
					esc_html__( 'Simple', 'pinkmart' )       => 'simpletype',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'type',
					'value'   => array( 'portfolio_space', 'portfolio_no_space' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover style', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_style',
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
					esc_html__( 'Dark', 'pinkmart' )  => 'darkstyle',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Display like Button On hover', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_like_button',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance Animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Portfolio inner
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Portfolio Inner', 'pinkmart' ),
		'base'     => 'portfolio_inner',
		'icon'     => 'icon-wpb-portfolio-inner',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Grid Layout', 'pinkmart' ),
				'param_name'  => 'portfolio_masonry',
				'value'       => array(
					esc_html__( 'Fixed Layout', 'pinkmart' ) => 'perfectMasonry',
					esc_html__( 'Masonary Layout', 'pinkmart' ) => 'masonry',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'portfoliotype',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio Type', 'pinkmart' ),
				'param_name'  => 'type',
				'value'       => array(
					'portfolio_space'    => 'portfolio_space',
					'portfolio_no_space' => 'portfolio_no_space',
					'portfolio_text'     => 'portfolio_text',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Show Title', 'pinkmart' ),
				'param_name'  => 'title_bar',
				'description' => esc_html__( 'Show or hide the title', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Do not show title', 'pinkmart' )  => 'hide',
					esc_html__( 'Show custom title', 'pinkmart' ) => 'show',

				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title_text',
				'value'       => '',
				'description' => esc_html__( 'Choose a title to be shown at the beginning of portfolio section', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_bar',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle_text',
				'value'       => '',
				'description' => esc_html__( 'Choose a subtitle to be shown at the beginning of portfolio section', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_bar',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Display', 'pinkmart' ),
				'param_name'  => 'filter_display',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Style', 'pinkmart' ),
				'param_name'  => 'filter_style',
				'value'       => array(
					esc_html__( 'Standard', 'pinkmart' ) => 'standard',
					esc_html__( 'Toggle', 'pinkmart' )   => 'toggle',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Filter toggle beginning state', 'pinkmart' ),
				'param_name'  => 'filter_toggle_state',
				'value'       => array(
					esc_html__( 'Close', 'pinkmart' ) => 'close',
					esc_html__( 'Open', 'pinkmart' )  => 'open',
				),
				'description' => '',
				'dependency'  => array(
					'element' => 'filter_style',
					'value'   => 'toggle',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Portfolio Categories', 'pinkmart' ),
				'param_name'  => 'portfolio_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio custom Categories', 'pinkmart' ),
				'param_name'  => 'filters',
				'options'     => $portfolio_skills,
				'description' => 'Selected categories to be shown in portfolio section',
				'value'       => '',
				'dependency'  => array(
					'element' => 'portfolio_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_rangefield',
				'label'       => 'items',
				'admin_label' => true,
				'heading'     => esc_html__( 'Portfolio Post Per Section', 'pinkmart' ),
				'param_name'  => 'portfolio_posts_page',
				'min'         => '1',
				'max'         => '30',
				'step'        => '1',
				'value'       => '12',
				'description' => esc_html__( 'Choose the initial number of portfolio items to be shown before clicking load more button.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'style', 'pinkmart' ),
				'param_name'  => 'filter_loadmore_style',
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'darkstyle',
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
				),
				'description' => esc_html__( 'dark and light styles for filter bar , load more button and title and subtitle', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover type', 'pinkmart' ),
				'param_name'  => 'portfolio_hover',
				'value'       => array(
					esc_html__( 'Creative', 'pinkmart' )     => 'creativetype',
					esc_html__( 'Border Style', 'pinkmart' ) => 'bordertype',
					esc_html__( 'Simple', 'pinkmart' )       => 'simpletype',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover style', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_style',
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
					esc_html__( 'Dark', 'pinkmart' )  => 'darkstyle',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Display like Button On hover', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_like_button',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);
vc_remove_element( 'portfolio' );
vc_remove_element( 'portfolio_inner' );
/*
-----------------------------------------------------------------------------------*/
/*
 SoundCloud
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'SoundCloud', 'pinkmart' ),
		'base'     => 'audio_soundcloud',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-soundcloud',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'textfield',
				'holder'      => '',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'SoundCloud URL', 'pinkmart' ),
				'param_name'  => 'soundcloud_id',
				'value'       => '',
				'description' => esc_html__( 'Enter SoundCloud track URL here', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'SoundCloud Player Style', 'pinkmart' ),
				'param_name'  => 'soundcloud_style',
				'value'       => array(
					esc_html__( 'Full background album art', 'pinkmart' ) => 'full_width_thumbnail',
					esc_html__( 'Thumbnail album art', 'pinkmart' ) => 'small_thumbnail',
				),
				'description' => esc_html__( 'Choose a style for SoundCloud element.', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'SoundCloud Player Height', 'pinkmart' ),
				'param_name'  => 'soundcloud_height',
				'value'       => '',
				'description' => esc_html__( 'Enter SoundCloud height, for example 300.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'soundcloud_style',
					'value'   => 'full_width_thumbnail',
				),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Player Color', 'pinkmart' ),
				'param_name'  => 'soundcloud_color',
				'description' => '',
				'dependency'  => array(
					'element' => 'soundcloud_style',
					'value'   => 'small_thumbnail',
				),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Embed Video
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Embed Video', 'pinkmart' ),
		'base'     => 'embed_video',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-embed_video',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Video Display Type', 'pinkmart' ),
				'param_name'  => 'video_display_type',
				'value'       => array(
					esc_html__( 'local Video', 'pinkmart' ) => 'local_video',
					esc_html__( 'Embedded Video (Youtube)', 'pinkmart' ) => 'embeded_video_youtube',
					esc_html__( 'Embedded Video (Vimeo)', 'pinkmart' ) => 'embeded_video_vimeo',
					esc_html__( 'Local Video Popup', 'pinkmart' ) => 'local_video_popup',
					esc_html__( 'Embedded Video  ( Youtube Popup )', 'pinkmart' ) => 'embeded_video_youtube_popup',
					esc_html__( 'Embedded Video ( Vimeo Popup )', 'pinkmart' ) => 'embeded_video_vimeo_popup',
				),
				'description' => esc_html__( 'Select video type.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Play Button Alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Select Video Play Button alignment.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'center', 'pinkmart' ) => 'center',
					esc_html__( 'left', 'pinkmart' )   => 'left',
					esc_html__( 'right', 'pinkmart' )  => 'right',
				),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Video Aspect Ratio', 'pinkmart' ),
				'param_name'  => 'el_aspect',
				'value'       => array(
					'16:9'   => '169',
					'4:3'    => '43',
					'2.35:1' => '235',
				),
				'description' => esc_html__( 'Select video aspect ratio.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'embeded_video_youtube', 'embeded_video_vimeo' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Auto-play', 'pinkmart' ),
				'param_name'  => 'video_autoplay',
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'Enable or disable video auto-play.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'loop', 'pinkmart' ),
				'param_name'  => 'loop',
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'Enable or disable video loop.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'video controls', 'pinkmart' ),
				'param_name'  => 'mejs_controls',
				'value'       => array(
					esc_html__( 'show', 'pinkmart' ) => 'enable',
					esc_html__( 'hide', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'show/hide video controls.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'attach_image',
				'class'       => '',
				'heading'     => esc_html__( 'Video Poster Image', 'pinkmart' ),
				'param_name'  => 'video_poster_image',
				'description' => esc_html__( 'This image will bw shown while the video is loading.', 'pinkmart' ),
				'admin_label' => false,
				'value'       => '',
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup' ),
				),
			),
			array(
				'type'        => 'attach_image',
				'class'       => '',
				'heading'     => esc_html__( 'Video Cover Image', 'pinkmart' ),
				'param_name'  => 'video_background_image',
				'description' => esc_html__( 'Cover image of video shortcode(Optional).', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Self Hosted Video (.webm video type)', 'pinkmart' ),
				'param_name'  => 'video_webm',
				'value'       => '',
				'admin_label' => false,
				'description' => esc_html__( 'Please provide a URL to all of the video types', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup' ),
				),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Self Hosted Video (.mp4 video type)', 'pinkmart' ),
				'param_name'  => 'video_mp4',
				'value'       => '',
				'admin_label' => false,
				'description' => esc_html__( 'Please provide a URL to all of the video types', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup' ),
				),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Self Hosted Video (.ogv video type)', 'pinkmart' ),
				'param_name'  => 'video_ogv',
				'value'       => '',
				'admin_label' => false,
				'description' => esc_html__( 'Please provide a URL to all of the video types', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Video Play Button Color', 'pinkmart' ),
				'param_name'  => 'video_play_button_color',
				'description' => esc_html__( 'Select play button style.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'local_video', 'local_video_popup', 'embeded_video_youtube_popup', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Vimeo Video URL', 'pinkmart' ),
				'param_name'  => 'video_vimeo_id',
				'value'       => '',
				'admin_label' => false,
				'description' => esc_html__( 'Enter vimeo video URL', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'embeded_video_vimeo', 'embeded_video_vimeo_popup' ),
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'YouTube Video URL', 'pinkmart' ),
				'param_name'  => 'video_youtube_id',
				'value'       => '',
				'admin_label' => false,
				'description' => esc_html__( 'Enter YouTube video URL', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'video_display_type',
					'value'   => array( 'embeded_video_youtube', 'embeded_video_youtube_popup' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Image Box
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'imagebox', 'pinkmart' ),
		'base'     => 'imagebox',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-imagebox',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Full', 'pinkmart' )      => 'full',
					esc_html__( 'Medium', 'pinkmart' )    => 'medium',
					esc_html__( 'Thumbnail', 'pinkmart' ) => 'thumbnail',
					esc_html__( 'Custom', 'pinkmart' )    => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size width', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => 'Crop image' ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover', 'pinkmart' ),
				'param_name'  => 'image_hover',
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'You can Enable Or Disable imagebox hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover shadow', 'pinkmart' ),
				'param_name'  => 'image_hover_shadow',
				'value'       => array(
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
				),
				'description' => esc_html__( 'You can Enable Or Disable imagebox hover shadow', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => 'presets',
				'heading'     => esc_html__( 'Hover color presets', 'pinkmart' ),
				'param_name'  => 'image_hover_color_preset',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
				'dependency'  => array(
					'element' => 'image_hover',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Hover Color', 'pinkmart' ),
				'param_name'  => 'image_hover_color_custom',
				'value'       => '',
				'description' => esc_html__( 'Select custom hover color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_hover_color_preset',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'image_title_size',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'value'       => '',
				'description' => esc_html__( 'Enter Subtitle text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Subtitle Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_fontsize',
				'description' => esc_html__( 'Select the font size of the Subtitle.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle color ', 'pinkmart' ),
				'param_name'  => 'subtitle_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional Subtitle color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text', 'pinkmart' ),
				'param_name'  => 'vccontent',
				'value'       => '',
				'description' => esc_html__( 'Enter your text content here', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font Size', 'pinkmart' ),
				'param_name'  => 'content_fontsize',
				'description' => esc_html__( 'Select content font size.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text Color', 'pinkmart' ),
				'param_name'  => 'image_text_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional text color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text Align', 'pinkmart' ),
				'param_name'  => 'image_text_align',
				'description' => esc_html__( 'Select text align', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Left', 'pinkmart' )   => 'left',
					esc_html__( 'Right', 'pinkmart' )  => 'right',
					esc_html__( 'Center', 'pinkmart' ) => 'center',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Color', 'pinkmart' ),
				'param_name'  => 'image_text_background_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional background color ', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'content border', 'pinkmart' ),
				'param_name'  => 'imagebox_content_border',
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'You can Enable Or Disable imagebox content border', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border Color', 'pinkmart' ),
				'param_name'  => 'image_text_border_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional border color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'imagebox_content_border',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Target', 'pinkmart' ),
				'param_name'  => 'target',
				'description' => esc_html__( 'Open link in the same page or a new browser page.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Font Size', 'pinkmart' ),
				'param_name'  => 'title_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Line Height', 'pinkmart' ),
				'param_name'  => 'title_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_fontsize',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Line Height', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_fontsize',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Custom Font Size', 'pinkmart' ),
				'param_name'  => 'content_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'content_fontsize',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Custom Line Height', 'pinkmart' ),
				'param_name'  => 'content_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'content_fontsize',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'image_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'image_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 Animated Text
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'name'     => esc_html__( 'Animated Text', 'pinkmart' ),
		'base'     => 'animatedtext',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-animatedtitle',
		'holder'   => 'div',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Styles', 'pinkmart' ),
				'param_name'  => 'animatedtext_style',
				'description' => esc_html__( 'Select one of available styles.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Animated text with Image background', 'pinkmart' ) => 'with_image',
					esc_html__( 'Animated text', 'pinkmart' ) => 'text_only',
				),
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
				'dependency'  => array(
					'element'            => 'animatedtext_style',
					'value_not_equal_to' => 'text_only',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Front text color', 'pinkmart' ),
				'param_name'  => 'title_front_color',
				'value'       => '',
				'description' => esc_html__( 'Select a color for your front text.', 'pinkmart' ),
				'dependency'  => array(
					'element'            => 'animatedtext_style',
					'value_not_equal_to' => 'text_only',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Text color', 'pinkmart' ),
				'param_name'  => 'title_back_color',
				'value'       => '',
				'description' => esc_html__( 'Select a color for your main text.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Font Size', 'pinkmart' ),
				'param_name'  => 'animatedtext_font_size',
				'description' => esc_html__( 'Enter the size of font (minimum possible value is equal to 1), for example 14.', 'pinkmart' ),
				'value'       => '30',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation duration', 'pinkmart' ),
				'param_name'  => 'animatedtext_speed',
				'description' => esc_html__( 'Select one of available options.', 'pinkmart' ),
				'value'       => array(
					'Faster' => '4',
					'Fast'   => '8',
					'Medium' => '12',
					'Slow'   => '16',
					'Slower' => '24',
				),
			),
		),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 banner
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Banner', 'pinkmart' ),
		'base'     => 'banner',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-banner',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'attach_image',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Full', 'pinkmart' )      => 'full',
					esc_html__( 'Medium', 'pinkmart' )    => 'medium',
					esc_html__( 'Thumbnail', 'pinkmart' ) => 'thumbnail',
					esc_html__( 'Custom', 'pinkmart' )    => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size width', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => 'Crop image' ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading', 'pinkmart' ),
				'param_name'  => 'heading',
				'value'       => '',
				'description' => esc_html__( 'Enter heading text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Heading Font Size', 'pinkmart' ),
				'param_name'  => 'heading_size',
				'description' => esc_html__( 'Select the font size of the heading.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Font type', 'pinkmart' ),
				'param_name'  => 'heading_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'heading_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'heading_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Heading color ', 'pinkmart' ),
				'param_name'  => 'heading_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional heading color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'title_size',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Title color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'value'       => '',
				'description' => esc_html__( 'Enter Subtitle text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'subtitle Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_size',
				'description' => esc_html__( 'Select the font size of the subtitle.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Font type', 'pinkmart' ),
				'param_name'  => 'sub_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'sub_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'sub_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle color ', 'pinkmart' ),
				'param_name'  => 'subtitle_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional Subtitle color.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Badge', 'pinkmart' ),
				'param_name'  => 'badge',
				'options'     => array( 'enable' => esc_html__( '"Enable Badge"', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable line around the product box', 'pinkmart' ),
				'value'       => '',
				'group'       => esc_html__( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Position', 'pinkmart' ),
				'param_name'  => 'badge_position',
				'description' => esc_html__( 'Select badge position', 'pinkmart' ),
				'value'       => array(
					'badge_top_left'     => 'top left',
					'badge_top_right'    => 'top right',
					'badge_bottom_left'  => 'bottom left',
					'badge_bottom_right' => 'bottom right',
				),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => esc_html__( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Background color ', 'pinkmart' ),
				'param_name'  => 'badge_bg_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional badge background color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => esc_html__( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Content', 'pinkmart' ),
				'param_name'  => 'badge_content',
				'value'       => '',
				'description' => esc_html__( 'Enter Badge Content', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => esc_html__( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Badge content color ', 'pinkmart' ),
				'param_name'  => 'badge_content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional badge content color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => esc_html__( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Position', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Select Text Alignment', 'pinkmart' ),
				'value'       => array(
					'top_left'      => 'top_left',
					'top_center'    => 'top_center',
					'top_right'     => 'top_right',
					'center_left'   => 'center_left',
					'center_center' => 'center_center',
					'center_right'  => 'center_right',
					'bottom_left'   => 'bottom_left',
					'bottom_center' => 'bottom_center',
					'bottom_right'  => 'bottom_right',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover', 'pinkmart' ),
				'param_name'  => 'hover',
				'options'     => array( 'enable' => esc_html__( 'Enable Hover', 'pinkmart' ) ),
				'value'       => 'enable',
				'description' => esc_html__( 'You can Enable Or Disable hover', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => false,
				'class'       => 'presets',
				'heading'     => esc_html__( 'Hover color presets', 'pinkmart' ),
				'param_name'  => 'hover_color_preset',
				'description' => esc_html__( 'Select Hover overlay color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
				'dependency'  => array(
					'element' => 'hover',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Hover Color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'value'       => '',
				'description' => esc_html__( 'Select custom hover color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color_preset',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Hover Zoom Animation', 'pinkmart' ),
				'param_name'  => 'hover_zoom',
				'options'     => array( 'disable' => esc_html__( 'Disable hover zoom animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Hover Zoom Animation.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link Text color ', 'pinkmart' ),
				'param_name'  => 'link_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional link color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Button Style', 'pinkmart' ),
				'param_name'  => 'button_style',
				'description' => esc_html__( 'Select Button Style For Link', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Link Style', 'pinkmart' ) => 'link',
					esc_html__( 'Button Fill Style', 'pinkmart' ) => 'fill',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Link Font Size', 'pinkmart' ),
				'param_name'  => 'link_size',
				'description' => esc_html__( 'Select the font size of the link.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'link',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Font type', 'pinkmart' ),
				'param_name'  => 'link_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'link',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'link_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'link_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link background color ', 'pinkmart' ),
				'param_name'  => 'link_bg_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional link background color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'fill',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Show Button on release style', 'pinkmart' ),
				'param_name'  => 'show_button',
				'options'     => array( 'enable' => esc_html__( 'Show Button', 'pinkmart' ) ),
				'value'       => '',
				'description' => esc_html__( 'Hover Zoom Animation.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Button Size', 'pinkmart' ),
				'param_name'  => 'size',
				'description' => esc_html__( 'Choose one of four button sizes', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'default', 'pinkmart' ) => 'default',
					esc_html__( 'Small', 'pinkmart' )   => 'small',
					esc_html__( 'medium', 'pinkmart' )  => 'standard',
					esc_html__( 'Large', 'pinkmart' )   => 'large',
				),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'fill',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Custom Font Size', 'pinkmart' ),
				'param_name'  => 'heading_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'heading_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Custom Line Height', 'pinkmart' ),
				'param_name'  => 'heading_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'heading_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Font Size', 'pinkmart' ),
				'param_name'  => 'title_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Line Height', 'pinkmart' ),
				'param_name'  => 'title_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Line Height', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Custom Font Size', 'pinkmart' ),
				'param_name'  => 'link_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'link_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Custom Line Height', 'pinkmart' ),
				'param_name'  => 'link_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'link_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'heading'     => esc_html__( 'margin left', 'pinkmart' ),
				'param_name'  => 'content_margin_left',
				'value'       => '',
				'description' => esc_html__( 'Insert Left Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'margin right', 'pinkmart' ),
				'param_name'  => 'content_margin_right',
				'value'       => '',
				'description' => esc_html__( 'Insert Right Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( ' margin top', 'pinkmart' ),
				'param_name'  => 'content_margin_top',
				'value'       => '',
				'description' => esc_html__( 'Insert Top Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'margin bottom', 'pinkmart' ),
				'param_name'  => 'content_margin_bottom',
				'value'       => '',
				'description' => esc_html__( 'Insert Bottom Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin left', 'pinkmart' ),
				'param_name'  => 'res_content_margin_left',
				'value'       => '',
				'description' => esc_html__( 'Insert Left Margin for banner content in Mobile. example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile  margin right', 'pinkmart' ),
				'param_name'  => 'res_content_margin_right',
				'value'       => '',
				'description' => esc_html__( 'Insert Right Margin for banner content in Mobile. example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin top', 'pinkmart' ),
				'param_name'  => 'res_content_margin_top',
				'value'       => '',
				'description' => esc_html__( 'Insert top margin for banner content in Mobile . example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin bottom', 'pinkmart' ),
				'param_name'  => 'res_content_margin_bottom',
				'value'       => '',
				'description' => esc_html__( 'Insert bottom margin for banner content in Mobile . example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
		),
	)
);

/*-----------------------------------------------------------------------------------*/
/* Modern Banner
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => 'Modern Banner',
		'base'     => 'modernBanner',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-banner',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'attach_image',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Second Image URL', 'pinkmart' ),
				'param_name'  => 'second_image_url',
				'value'       => '',
				'description' => esc_html__( 'URL of the second image', 'pinkmart' ),
			),
			array(
				'type'       => 'dropdown',
				'class'      => '',
				'heading'    => esc_html__( 'Hover Effect', 'pinkmart' ),
				'param_name' => 'hover_effect',
				'value'      => array(
					__( 'Style 1', 'pinkmart' )  => '1',
					__( 'Style 2', 'pinkmart' )  => '2',
					__( 'Style 3', 'pinkmart' )  => '3',
					__( 'Style 4', 'pinkmart' )  => '4',
					__( 'Style 5', 'pinkmart' )  => '5',
					__( 'Style 6', 'pinkmart' )  => '6',
					__( 'Style 7', 'pinkmart' )  => '7',
					__( 'Style 8', 'pinkmart' )  => '8',
					__( 'Style 9', 'pinkmart' )  => '9',
					__( 'Style 10', 'pinkmart' ) => '10',
					__( 'Style 11', 'pinkmart' ) => '11',
					__( 'Style 12', 'pinkmart' ) => '12',
					__( 'Style 13', 'pinkmart' ) => '13',
					__( 'Style 14', 'pinkmart' ) => '14',
					__( 'Style 15', 'pinkmart' ) => '15',
					__( 'Style 16', 'pinkmart' ) => '16',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					'Full'      => 'full',
					'Medium'    => 'medium',
					'Thumbnail' => 'thumbnail',
					'Custom'    => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size width', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => 'Crop image' ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading', 'pinkmart' ),
				'param_name'  => 'heading',
				'value'       => '',
				'description' => esc_html__( 'Enter heading text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Heading Font Size', 'pinkmart' ),
				'param_name'  => 'heading_size',
				'description' => esc_html__( 'Select the font size of the heading.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Font type', 'pinkmart' ),
				'param_name'  => 'heading_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'heading_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => __( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => __( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'heading_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Heading color ', 'pinkmart' ),
				'param_name'  => 'heading_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional heading color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'title_size',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => __( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => __( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Title color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'value'       => '',
				'description' => esc_html__( 'Enter Subtitle text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'subtitle Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_size',
				'description' => esc_html__( 'Select the font size of the subtitle.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Font type', 'pinkmart' ),
				'param_name'  => 'sub_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'sub_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => __( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => __( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'sub_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle color ', 'pinkmart' ),
				'param_name'  => 'subtitle_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional Subtitle color.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Position', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Select Text Alignment', 'pinkmart' ),
				'value'       => array(
					'top_left'      => 'top_left',
					'top_center'    => 'top_center',
					'top_right'     => 'top_right',
					'center_left'   => 'center_left',
					'center_center' => 'center_center',
					'center_right'  => 'center_right',
					'bottom_left'   => 'bottom_left',
					'bottom_center' => 'bottom_center',
					'bottom_right'  => 'bottom_right',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover Color', 'pinkmart' ),
				'param_name'  => 'hover',
				'options'     => array( 'enable' => __( 'Enable Hover Color', 'pinkmart' ) ),
				'value'       => 'enable',
				'description' => esc_html__( 'You can Enable Or Disable hover color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => false,
				'class'       => 'presets',
				'heading'     => esc_html__( 'Hover color presets', 'pinkmart' ),
				'param_name'  => 'hover_color_preset',
				'description' => esc_html__( 'Select Hover overlay color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
				'dependency'  => array(
					'element' => 'hover',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Hover Color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'value'       => '',
				'description' => esc_html__( 'Select custom hover color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color_preset',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link Text color ', 'pinkmart' ),
				'param_name'  => 'link_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional link color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Button Style', 'pinkmart' ),
				'param_name'  => 'button_style',
				'description' => esc_html__( 'Select Button Style For Link', 'pinkmart' ),
				'value'       => array(
					'Link Style'        => 'link',
					'Button Fill Style' => 'fill',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Link Font Size', 'pinkmart' ),
				'param_name'  => 'link_size',
				'description' => esc_html__( 'Select the font size of the link.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'link',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Font type', 'pinkmart' ),
				'param_name'  => 'link_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'link',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'link_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'link_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link background color ', 'pinkmart' ),
				'param_name'  => 'link_bg_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional link background color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'fill',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Show Button on release style', 'pinkmart' ),
				'param_name'  => 'show_button',
				'options'     => array( 'enable' => 'Show Button' ),
				'value'       => '',
				'description' => esc_html__( 'Hover Zoom Animation.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Button Size', 'pinkmart' ),
				'param_name'  => 'size',
				'description' => esc_html__( 'Choose one of four button sizes', 'pinkmart' ),
				'value'       => array(
					'default' => 'default',
					'Small'   => 'small',
					'medium'  => 'standard',
					'Large'   => 'large',
				),
				'dependency'  => array(
					'element' => 'button_style',
					'value'   => 'fill',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Badge', 'pinkmart' ),
				'param_name'  => 'badge',
				'options'     => array( 'enable' => __( '"Enable Badge"', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable line around the product box', 'pinkmart' ),
				'value'       => '',
				'group'       => __( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Position', 'pinkmart' ),
				'param_name'  => 'badge_position',
				'description' => esc_html__( 'Select badge position', 'pinkmart' ),
				'value'       => array(
					'badge_top_left'     => 'top left',
					'badge_top_right'    => 'top right',
					'badge_bottom_left'  => 'bottom left',
					'badge_bottom_right' => 'bottom right',
				),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => __( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Background color ', 'pinkmart' ),
				'param_name'  => 'badge_bg_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional badge background color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => __( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Badge Content', 'pinkmart' ),
				'param_name'  => 'badge_content',
				'value'       => '',
				'description' => esc_html__( 'Enter Badge Content', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => __( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Badge content color ', 'pinkmart' ),
				'param_name'  => 'badge_content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional badge content color.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'badge',
					'value'   => 'enable',
				),
				'group'       => __( 'Badge', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Custom Font Size', 'pinkmart' ),
				'param_name'  => 'heading_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'heading_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Heading Custom Line Height', 'pinkmart' ),
				'param_name'  => 'heading_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'heading_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Font Size', 'pinkmart' ),
				'param_name'  => 'title_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Line Height', 'pinkmart' ),
				'param_name'  => 'title_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Font Size', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Custom Line Height', 'pinkmart' ),
				'param_name'  => 'subtitle_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'subtitle_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Custom Font Size', 'pinkmart' ),
				'param_name'  => 'link_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'link_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link Custom Line Height', 'pinkmart' ),
				'param_name'  => 'link_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'link_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'heading'     => esc_html__( 'margin left', 'pinkmart' ),
				'param_name'  => 'content_margin_left',
				'value'       => '',
				'description' => esc_html__( 'Insert Left Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'margin right', 'pinkmart' ),
				'param_name'  => 'content_margin_right',
				'value'       => '',
				'description' => esc_html__( 'Insert Right Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( ' margin top', 'pinkmart' ),
				'param_name'  => 'content_margin_top',
				'value'       => '',
				'description' => esc_html__( 'Insert Top Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'margin bottom', 'pinkmart' ),
				'param_name'  => 'content_margin_bottom',
				'value'       => '',
				'description' => esc_html__( 'Insert Bottom Margin for banner content in Desktop. example : 30', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin left', 'pinkmart' ),
				'param_name'  => 'res_content_margin_left',
				'value'       => '',
				'description' => esc_html__( 'Insert Left Margin for banner content in Mobile. example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile  margin right', 'pinkmart' ),
				'param_name'  => 'res_content_margin_right',
				'value'       => '',
				'description' => esc_html__( 'Insert Right Margin for banner content in Mobile. example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin top', 'pinkmart' ),
				'param_name'  => 'res_content_margin_top',
				'value'       => '',
				'description' => esc_html__( 'Insert top margin for banner content in Mobile . example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Mobile margin bottom', 'pinkmart' ),
				'param_name'  => 'res_content_margin_bottom',
				'value'       => '',
				'description' => esc_html__( 'Insert bottom margin for banner content in Mobile . example : 10', 'pinkmart' ),
				'group'       => esc_html__( 'Custom Margin', 'pinkmart' ),
			),
		),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 LookBook - Image Popup Reveal
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => __( 'LookBook - Hover Popup Reveal', 'pinkmart' ),
		'base'     => 'imagePopupReveal',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-banner',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'attach_image',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'img_id',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'       => 'dropdown',
				'class'      => '',
				'heading'    => esc_html__( 'Image reveal animation', 'pinkmart' ),
				'param_name' => 'image_animation',
				'value'      => array(
					esc_html__( 'Default style', 'pinkmart' ) => '2',
					'Style 1'                             => '4',
					'Style 2'                             => '5',
					'Style 3'                             => '9',
					'Style 4'                             => '10',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Shop Catalog', 'pinkmart' ) => 'shop_catalog',
					'Full'                               => 'full',
					'Medium'                             => 'medium',
					'Thumbnail'                          => 'thumbnail',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Custom Hover Image Size', 'pinkmart' ),
				'param_name' => 'custom_image_size',
				'options'    => array( 'enable' => __( 'Custom Hover Image Size', 'pinkmart' ) ),
				'value'      => '',
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom Image Width', 'pinkmart' ),
				'param_name'  => 'custom_image_width',
				'value'       => '',
				'dependency'  => array(
					'element' => 'custom_image_size',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom Image Height', 'pinkmart' ),
				'param_name'  => 'custom_image_height',
				'value'       => '',
				'dependency'  => array(
					'element' => 'custom_image_size',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'value'       => array(
					__( 'Center', 'pinkmart' ) => 'center',
					__( 'Left', 'pinkmart' )   => 'left',
					__( 'Right', 'pinkmart' )  => 'right',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional color for title.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'title_font_size',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Font Size', 'pinkmart' ),
				'param_name'  => 'title_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_font_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Line Height', 'pinkmart' ),
				'param_name'  => 'title_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_font_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link URL', 'pinkmart' ),
				'param_name'  => 'link_url',
				'value'       => '',
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Open Link in new tab', 'pinkmart' ),
				'param_name' => 'responsive_animation',
				'options'    => array( true => __( 'Open Link in new tab', 'pinkmart' ) ),
				'value'      => '',
			),
		),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 LookBook - Image FullScreen Reveal
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => __( 'LookBook - FullScreen Image Reveal', 'pinkmart' ),
		'base'     => 'imageFullScreenReveal',
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-banner',
		'weight'   => 9,
		'params'   => array(
			array(
				'type'        => 'attach_images',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'imgs_id',
				'value'       => '',
				'description' => esc_html__( 'URL of the image', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'value'       => array(
					__( 'Center', 'pinkmart' ) => 'center',
					__( 'Left', 'pinkmart' )   => 'left',
					__( 'Right', 'pinkmart' )  => 'right',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional color for title.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'title_font_size',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Font Size', 'pinkmart' ),
				'param_name'  => 'title_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_font_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Custom Line Height', 'pinkmart' ),
				'param_name'  => 'title_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_font_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link URL', 'pinkmart' ),
				'param_name'  => 'link_url',
				'value'       => '',
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Open Link in new tab', 'pinkmart' ),
				'param_name' => 'responsive_animation',
				'options'    => array( 'enable' => __( 'Open Link in new tab', 'pinkmart' ) ),
				'value'      => '',
			),
		),
	)
);
/*
-----------------------------------------------------------------------------------*/
/*
 text Box
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Teta textbox', 'pinkmart' ),
		'base'     => 'textbox',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-textbox',
		'params'   => array(
			array(
				'type'        => 'textarea_html',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content',
				'value'       => '',
				'description' => esc_html__( 'Enter your text content here', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Alignment', 'pinkmart' ),
				'param_name'  => 'content_align',
				'description' => esc_html__( 'Select content alignment', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Left', 'pinkmart' )   => 'left',
					esc_html__( 'Right', 'pinkmart' )  => 'right',
					esc_html__( 'Center', 'pinkmart' ) => 'center',
				),
			),
			array(
				'type'        => 'vc_rangefield',
				'label'       => '%',
				'admin_label' => true,
				'heading'     => esc_html__( 'Content Size', 'pinkmart' ),
				'param_name'  => 'content_size',
				'min'         => '10',
				'max'         => '100',
				'step'        => '10',
				'value'       => '100',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font Size', 'pinkmart' ),
				'param_name'  => 'content_fontsize',
				'description' => esc_html__( 'Select content font size.', 'pinkmart' ),
				'value'       => $predefinedFontSize,
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Custom Color', 'pinkmart' ),
				'param_name' => 'custom_color_check',
				'options'    => array( 'enable' => esc_html__( 'Enable Custom Color For Content', 'pinkmart' ) ),
				'value'      => '',
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Color', 'pinkmart' ),
				'param_name'  => 'text_content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional color for content.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'custom_color_check',
					'value'   => 'enable',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Typing Animation', 'pinkmart' ),
				'param_name' => 'typing_animation_check',
				'options'    => array( 'enable' => esc_html__( 'Enable Typing Animation For Content', 'pinkmart' ) ),
				'value'      => '',
			),
			array(
				'type'        => 'dropdown',
				'label'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Type Speed', 'pinkmart' ),
				'param_name'  => 'type_speed',
				'value'       => array(
					esc_html__( 'Very Slow', 'pinkmart' ) => 'very_slow',
					esc_html__( 'Slow', 'pinkmart' )      => 'slow',
					esc_html__( 'Normal', 'pinkmart' )    => 'normal',
					esc_html__( 'Fast', 'pinkmart' )      => 'fast',
					esc_html__( 'Very Fast', 'pinkmart' ) => 'very_fast',
				),
				'dependency'  => array(
					'element' => 'typing_animation_check',
					'value'   => 'enable',
				),
			),

			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Loop', 'pinkmart' ),
				'param_name' => 'loop_animation_check',
				'options'    => array( 'enable' => esc_html__( 'Enable loop Animation For Content', 'pinkmart' ) ),
				'dependency' => array(
					'element' => 'typing_animation_check',
					'value'   => 'enable',
				),
			),

			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'text_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'text_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'ContentCustom Font Size', 'pinkmart' ),
				'param_name'  => 'content_custom_font_size',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'content_fontsize',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_responsive_text',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Custom Line Height', 'pinkmart' ),
				'param_name'  => 'content_custom_line_height',
				'value'       => '',
				'group'       => esc_html__( 'Responsive Font Size', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'content_fontsize',
					'value'   => 'custom',
				),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Custom Heading - Title
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Title', 'pinkmart' ),
		'base'     => 'custom_title',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-custom-title',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'class'       => '',
				'heading'     => esc_html__( 'Title color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( "Select optional title's color ", 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'title_fontsize',
				'description' => esc_html__( 'Select the font size of the title.', 'pinkmart' ),
				'value'       => $titlefont,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Letter Spacing', 'pinkmart' ),
				'param_name'  => 'letter_spacing',
				'description' => esc_html__( 'Select a spacing amount for your title.', 'pinkmart' ),
				'value'       => array(
					'0' => '0',
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Background Style', 'pinkmart' ),
				'param_name'  => 'title_background_style',
				'description' => esc_html__( "Select a style for your title's background.", 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Icon Background', 'pinkmart' ) => 'iconbackground',
					esc_html__( 'Shape Background', 'pinkmart' ) => 'shapebackground',
					esc_html__( 'text Background', 'pinkmart' ) => 'textbackground',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Title', 'pinkmart' ),
				'param_name'  => 'bg_title',
				'value'       => '',
				'description' => esc_html__( "Enter title's background text", 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'textbackground',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Title Font Size', 'pinkmart' ),
				'param_name'  => 'bg_title_font_size',
				'value'       => $bgtitlefont,
				'description' => esc_html__( "Select title's background Font Size.", 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'textbackground',
				),
			),
			array(
				'type'        => 'colorpicker',
				'class'       => '',
				'heading'     => esc_html__( 'Background title color', 'pinkmart' ),
				'param_name'  => 'bg_title_color',
				'value'       => '',
				'description' => esc_html__( "Select optional background title's color", 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'textbackground',
				),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( "Select an icon to be located at title's background", 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'iconbackground',
				),
			),
			array(
				'type'        => 'colorpicker',
				'class'       => '',
				'heading'     => esc_html__( 'Background icon color', 'pinkmart' ),
				'param_name'  => 'bg_icon_color',
				'value'       => '',
				'description' => esc_html__( "Select optional background icon's color", 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'iconbackground',
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Shape', 'pinkmart' ),
				'class'       => 'shapes',
				'param_name'  => 'style',
				'description' => esc_html__( 'Select the shape that is going to be shown in title background.', 'pinkmart' ),
				'value'       => array(
					'line'           => 'line',
					'circle'         => 'circle',
					'square'         => 'square',
					'rotated_square' => 'rotated_square',
					'triangle'       => 'triangle',
				),
				'dependency'  => array(
					'element' => 'title_background_style',
					'value'   => 'shapebackground',
				),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Hover line color ', 'pinkmart' ),
				'param_name'  => 'hoverline_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional hover line color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'line' ),
				),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Shape border color ', 'pinkmart' ),
				'param_name'  => 'shape_border_color',
				'value'       => '',
				'description' => esc_html__( 'Select shape border color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'circle', 'square', 'rotated_square', 'triangle' ),
				),
			),
			array(
				'type'        => 'colorpicker',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Shape fill color ', 'pinkmart' ),
				'param_name'  => 'shape_fill_color',
				'value'       => '',
				'description' => esc_html__( 'Select shape fill color ', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'circle', 'square', 'rotated_square', 'triangle' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'title_animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'holder'      => 'div',
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'title_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Icon Box top - no border
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'IconBox - Top', 'pinkmart' ),
		'base'     => 'iconbox_top_noborder',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-iconbox-noborder',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'title_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content_text',
				'value'       => '',
				'description' => esc_html__( 'Enter some content for your IconBox.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Color', 'pinkmart' ),
				'param_name'  => 'content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional content color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located at the top of the box', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Choose one of available alignments.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Right', 'pinkmart' )  => 'right_alignment',
					esc_html__( 'Center', 'pinkmart' ) => 'center_alignment',
					esc_html__( 'Left', 'pinkmart' )   => 'left_alignment',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Alignment in Mobile', 'pinkmart' ),
				'param_name'  => 'alignment_resp',
				'description' => esc_html__( 'Choose one of available alignments for mobile display.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Center', 'pinkmart' ) => 'center_mob',
					esc_html__( 'Right', 'pinkmart' )  => 'right_mob',
					esc_html__( 'Left', 'pinkmart' )   => 'left_mob',
				),
				'defualt'     => 'center_mob',
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Color', 'pinkmart' ),
				'param_name'  => 'icon_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'icon_animation',
				'description' => esc_html__( 'Select an animation for Icon box.', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'icon_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Whole Icon box Link', 'pinkmart' ),
				'param_name'  => 'whole_box_link',
				'options'     => array( 'enable' => esc_html__( 'Enable', 'pinkmart' ) ),
				'description' => esc_html__( 'Make whole icon box a link', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Icon Box top rectangle
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'IconBox - Top Square ', 'pinkmart' ),
		'base'     => 'iconbox_rectangle',
		'weight'   => 8,
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-iconbox-rectangle',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'title_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content_text',
				'value'       => '',
				'description' => esc_html__( 'Enter some content for your IconBox', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Color', 'pinkmart' ),
				'param_name'  => 'content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional content color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located at the top of the box.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Color', 'pinkmart' ),
				'param_name'  => 'icon_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Background Style', 'pinkmart' ),
				'param_name'  => 'icon_background_fill',
				'description' => esc_html__( "Select a style for your icon's background.", 'pinkmart' ),
				'value'       => array(
					'Fill Background'        => 'fillbackground',
					'transparent Background' => 'transparentbackground',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Border/Fill color', 'pinkmart' ),
				'param_name'  => 'icon_border_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon border color', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'icon_animation',
				'description' => esc_html__( 'Select an animation for Icon box.', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'icon_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Whole Icon box Link', 'pinkmart' ),
				'param_name'  => 'whole_box_link',
				'options'     => array( 'enable' => 'Enable' ),
				'description' => esc_html__( 'Make whole icon box a link', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Icon Box top circle
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'IconBox - Top Circle ', 'pinkmart' ),
		'base'     => 'iconbox_circle',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-iconbox-circle',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'title_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content_text',
				'value'       => '',
				'description' => esc_html__( 'Enter some content for your Iconbox.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Color', 'pinkmart' ),
				'param_name'  => 'content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional content color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located at the top of the box.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Color', 'pinkmart' ),
				'param_name'  => 'icon_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon color.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Border Color', 'pinkmart' ),
				'param_name'  => 'icon_border_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon border color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Background Style', 'pinkmart' ),
				'param_name'  => 'icon_background_fill',
				'description' => esc_html__( 'Select a style for your icon background.', 'pinkmart' ),
				'value'       => array(
					'Fill Background'        => 'fillbackground',
					'transparent Background' => 'transparentbackground',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'icon_animation',
				'description' => esc_html__( 'Select an animation for Icon box.', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'icon_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Whole Icon box Link', 'pinkmart' ),
				'param_name'  => 'whole_box_link',
				'options'     => array( 'enable' => esc_html__( 'Enable', 'pinkmart' ) ),
				'description' => esc_html__( 'Make whole icon box a link', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Icon Box left
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'IconBox - left ', 'pinkmart' ),
		'base'     => 'iconbox_left',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-iconbox-left',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'title_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color ', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content_text',
				'value'       => '',
				'description' => esc_html__( 'Enter some content for your IconBox', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Color', 'pinkmart' ),
				'param_name'  => 'content_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional content color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located at the top of the box.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Color', 'pinkmart' ),
				'param_name'  => 'icon_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional icon color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'icon_animation',
				'description' => esc_html__( 'Select an animation for Icon box.', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'icon_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Whole Icon box Link', 'pinkmart' ),
				'param_name'  => 'whole_box_link',
				'options'     => array( 'enable' => esc_html__( 'Enable', 'pinkmart' ) ),
				'description' => esc_html__( 'Make whole icon box a link', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Custom iconbox - creative iconbox
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'name'     => esc_html__( 'IconBox Creative', 'pinkmart' ),
		'base'     => 'iconbox_custom',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-iconbox-custom',
		'params'   => array(
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter title text', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'title_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					'Default of theme' => 'default',
					'Custom font'      => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'title_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'title_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a Title color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located at the top of the box.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Color', 'pinkmart' ),
				'param_name'  => 'icon_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a icon color', 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'content_text',
				'value'       => '',
				'description' => esc_html__( 'Enter some content for your IconBox', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content Font type', 'pinkmart' ),
				'param_name'  => 'content_font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'content_google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'content_font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border Color', 'pinkmart' ),
				'param_name'  => 'border_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a border color', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Color', 'pinkmart' ),
				'param_name'  => 'bg_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a background color', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Hover Color', 'pinkmart' ),
				'param_name'  => 'bg_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a background hover color', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text color in hover state', 'pinkmart' ),
				'param_name'  => 'text_color_hover_state',
				'value'       => '',
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover background image', 'pinkmart' ),
				'param_name'  => 'image',
				'description' => esc_html__( 'Choose an image to be used as hover background (Optional)', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover style', 'pinkmart' ),
				'param_name'  => 'hover_style',
				'description' => esc_html__( 'Select an hover style', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Style 1', 'pinkmart' ) => 'style1',
					esc_html__( 'Style 2', 'pinkmart' ) => 'style2',
				),
			),
			array(
				'type'        => 'vc_link',
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'admin_label' => true,
				'heading'     => esc_html__( 'Whole Icon box Link', 'pinkmart' ),
				'param_name'  => 'whole_box_link',
				'options'     => array( 'enable' => esc_html__( 'Enable', 'pinkmart' ) ),
				'description' => esc_html__( 'Make whole icon box a link', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Social icon
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'SocialIcon ', 'pinkmart' ),
		'base'     => 'socialIcon',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-social',

		'params'   => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social Network Type', 'pinkmart' ),
				'param_name'  => 'sociallink_type',
				'description' => esc_html__( 'Select social link type.', 'pinkmart' ),
				'value'       => $socialIcon,
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social Network URL', 'pinkmart' ),
				'param_name'  => 'sociallink_url',
				'value'       => '',
				'description' => esc_html__( 'Copy and paste social network URL.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social Network Style', 'pinkmart' ),
				'param_name'  => 'sociallink_style',
				'description' => esc_html__( 'Select social link style.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
				'dependency'  => array(
					'element' => 'sociallink_type',
					'value'   => $socialIconDarkLight,
				),
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image URL', 'pinkmart' ),
				'param_name'  => 'sociallink_image',
				'description' => esc_html__( "Choose an image to be used as social icon's logo. ( best size : 20px * 25px ) ", 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'sociallink_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social color', 'pinkmart' ),
				'param_name'  => 'sociallink_color',
				'description' => esc_html__( "Choose a color to be used as social icon's accent color.", 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'sociallink_type',
					'value'   => 'custom',
				),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Social link
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'SocialLink ', 'pinkmart' ),
		'base'     => 'socialLink',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-sociallink',
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social Network Type', 'pinkmart' ),
				'param_name'  => 'sociallink_type',
				'description' => esc_html__( 'Select social link type.', 'pinkmart' ),
				'value'       => $socialIcon,
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Socail Network URL', 'pinkmart' ),
				'param_name'  => 'sociallink_url',
				'value'       => '',
				'description' => esc_html__( 'Copy and paste social network URL.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social Network Style', 'pinkmart' ),
				'param_name'  => 'sociallink_style',
				'description' => esc_html__( 'Select social link style.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social color', 'pinkmart' ),
				'param_name'  => 'sociallink_color',
				'description' => esc_html__( "Choose a color to be used as social icon's accent color.", 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'sociallink_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Social network name', 'pinkmart' ),
				'param_name'  => 'sociallink_text',
				'description' => esc_html__( 'Enter a name for your social link', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'sociallink_type',
					'value'   => 'custom',
				),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
  Count Down
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Count Down', 'pinkmart' ),
		'base'     => 'countdown',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-coundown',
		'params'   => array(
			array(
				'type'        => 'vc_date',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'count to', 'pinkmart' ),
				'param_name'  => 'end_date',
				'value'       => '',
				'description' => esc_html__( 'Enter the final date. Format : Month/Day/Year, Hour:Minute AM-PM. Notes that the entered date must be greater than current date!', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'countdown style', 'pinkmart' ),
				'param_name'  => 'style',
				'description' => esc_html__( 'Select the style of the countdown.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'style 1', 'pinkmart' ) => 'default',
					esc_html__( 'Style 2', 'pinkmart' ) => 'deal_style',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Color', 'pinkmart' ),
				'param_name'  => 'bg_color',
				'description' => esc_html__( 'Choose the Background Color', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'style',
					'value'   => 'deal_style',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Color', 'pinkmart' ),
				'param_name'  => 'color',
				'description' => esc_html__( 'Choose the color of numbers', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Label Color', 'pinkmart' ),
				'param_name'  => 'label_color',
				'description' => esc_html__( 'Choose the color of labels', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'countdown Font Size', 'pinkmart' ),
				'param_name'  => 'fontsize',
				'description' => esc_html__( 'Select the font size of the countdown.', 'pinkmart' ),
				'value'       => $contdownFontSize,
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Select alignment of the countdown.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Center', 'pinkmart' ) => 'center',
					esc_html__( 'Left', 'pinkmart' )   => 'left',
					esc_html__( 'Right', 'pinkmart' )  => 'right',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'animation',
				'description' => esc_html__( 'Select entrance animation', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),

		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Counter Box
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Counter Box', 'pinkmart' ),
		'base'     => 'conterbox',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'icon'     => 'icon-wpb-counterbox',
		'params'   => array(
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Number', 'pinkmart' ),
				'param_name'  => 'counter_number',
				'value'       => '',
				'description' => esc_html__( 'Enter the number that is going to be shown in counter', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( "Counter's Number Color", 'pinkmart' ),
				'param_name'  => 'counter_number_color',
				'value'       => '',
				'description' => esc_html__( "Select optional counter's number color", 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Counter title', 'pinkmart' ),
				'param_name'  => 'counter_text',
				'value'       => '',
				'description' => esc_html__( 'Enter counter title', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Counter text', 'pinkmart' ),
				'param_name'  => 'counter_text2',
				'value'       => '',
				'description' => esc_html__( 'Enter text title', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color ', 'pinkmart' ),
				'param_name'  => 'counter_text_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'counter_animation',
				'description' => esc_html__( "Select counter's animation", 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'counter_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
  Piechart
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Pie Chart', 'pinkmart' ),
		'base'     => 'piechart',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'icon'     => 'icon-wpb-piechart',

		'params'   => array(
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Pie Chart Progress Percentage', 'pinkmart' ),
				'param_name'  => 'piechart_percent',
				'value'       => '',
				'description' => esc_html__( 'Enter the number that shows your progress in related skill here.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Pie Chart Percentage visibility', 'pinkmart' ),
				'param_name'  => 'piechart_percent_display',
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'enable',
					esc_html__( 'Disable', 'pinkmart' ) => 'disable',
				),
				'description' => esc_html__( 'You can enable Or disable progress bar percentage visibility.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'piechart_icon',
				'value'       => '',
				'description' => esc_html__( 'Select an icon to be located into the chart.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Main Color', 'pinkmart' ),
				'param_name'  => 'main_color',
				'value'       => '#444',
				'description' => esc_html__( 'Enter the main color of pie chart that includes its icon, percentage related data and dot color.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => 'presets',
				'heading'     => esc_html__( 'Pie Chart Line Color', 'pinkmart' ),
				'param_name'  => 'piechart_color_preset',
				'description' => esc_html__( 'Select pie chart line color', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Pie chart line custom Color', 'pinkmart' ),
				'param_name'  => 'piechart_color',
				'value'       => '',
				'dependency'  => array(
					'element' => 'piechart_color_preset',
					'value'   => 'custom',
				),
				'description' => esc_html__( "Enter optional Pie Chart's line color", 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Pie chart Title', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter pie chart title.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Color', 'pinkmart' ),
				'param_name'  => 'title_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional title color. ', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Pie Chart Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'value'       => '',
				'description' => esc_html__( 'Enter pie chart subtitle.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle Color', 'pinkmart' ),
				'param_name'  => 'subtitle_color',
				'value'       => '',
				'description' => esc_html__( 'Select optional subtitle color.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'piechart_animation',
				'description' => esc_html__( 'Select an animation for pie chart.', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'piechart_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
  Team member
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Team Member', 'pinkmart' ),
		'base'     => 'team_member',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'icon'     => 'icon-wpb-teammemmber',

		'params'   => array(
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Name', 'pinkmart' ),
				'param_name'  => 'name',
				'value'       => '',
				'description' => esc_html__( 'Name of the team member', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Job Title', 'pinkmart' ),
				'param_name'  => 'job_title',
				'value'       => '',
				'description' => esc_html__( "Team member's job title", 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'style',
				'description' => esc_html__( 'Choose between dark and light styles', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => 'presets',
				'heading'     => esc_html__( 'Color Presets', 'pinkmart' ),
				'param_name'  => 'team_color_preset',
				'description' => esc_html__( "Select team member's color", 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom team member Color', 'pinkmart' ),
				'param_name'  => 'team_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a team member color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'team_color_preset',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image', 'pinkmart' ),
				'param_name'  => 'image',
				'value'       => '',
				'description' => esc_html__( "Optional URL of member's image", 'pinkmart' ),
			),
			array(
				'type'        => 'attach_image',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Signature', 'pinkmart' ),
				'param_name'  => 'signature',
				'value'       => '',
				'description' => esc_html__( "Optional URL of the person's signature", 'pinkmart' ),
			),
			array(
				'type'        => 'textarea',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'description',
				'value'       => '',
				'description' => esc_html__( 'Small content text about the member', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'team_animation',
				'description' => esc_html__( "Select team member's animation", 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'team_animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_icons',
				'class'       => '',
				'heading'     => esc_html__( 'Choose an icon for team member icon 1', 'pinkmart' ),
				'param_name'  => 'team_icon1',
				'value'       => '',
				'group'       => 'social icons',
				'description' => esc_html__( 'Select an icon for team member icon 1(You can use it for social network icons)', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Icon 1 Link', 'pinkmart' ),
				'param_name'  => 'team_icon_url1',
				'value'       => '',
				'group'       => 'social icons',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( "Icon 1 link's target", 'pinkmart' ),
				'param_name'  => 'team_icon_target1',
				'group'       => 'social icons',
				'description' => esc_html__( 'Open the link in the same tab or a blank browser tab', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
			array(
				'type'        => 'vc_icons',
				'class'       => '',
				'heading'     => esc_html__( 'Choose an icon for team member icon 2', 'pinkmart' ),
				'param_name'  => 'team_icon2',
				'value'       => '',
				'group'       => 'social icons',
				'description' => esc_html__( 'Select an icon for team member icon 2(You can use it for social network icons)', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Icon 2 Link', 'pinkmart' ),
				'param_name'  => 'team_icon_url2',
				'value'       => '',
				'group'       => 'social icons',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( "Icon 2 link's target", 'pinkmart' ),
				'param_name'  => 'team_icon_target2',
				'group'       => 'social icons',
				'description' => esc_html__( 'Open the link in the same tab or a blank browser tab', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
			array(
				'type'        => 'vc_icons',
				'class'       => '',
				'heading'     => esc_html__( 'Choose an icon for team member icon 3', 'pinkmart' ),
				'param_name'  => 'team_icon3',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Select an icon for team member icon 3(You can use it for social network icons)', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Icon 3 link', 'pinkmart' ),
				'param_name'  => 'team_icon_url3',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( "Icon 3 link's target", 'pinkmart' ),
				'param_name'  => 'team_icon_target3',
				'group'       => 'social icons',
				'description' => esc_html__( 'Open the link in the same tab or a blank browser tab', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
			array(
				'type'        => 'vc_icons',
				'class'       => '',
				'heading'     => esc_html__( 'Choose an icon for team member icon 4', 'pinkmart' ),
				'param_name'  => 'team_icon4',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Select an icon for team member icon 4(You can use it for social network icons)', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Icon 4 Link', 'pinkmart' ),
				'param_name'  => 'team_icon_url4',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( "Icon 4 link's target", 'pinkmart' ),
				'param_name'  => 'team_icon_target4',
				'group'       => 'social icons',
				'description' => esc_html__( 'Open the link in the same tab or a blank browser tab', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
			array(
				'type'        => 'vc_icons',
				'class'       => '',
				'heading'     => esc_html__( 'Choose an icon for team member icon 5', 'pinkmart' ),
				'param_name'  => 'team_icon5',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Select an icon for team member icon 5(You can use it for social network icons)', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Icon 5 Link', 'pinkmart' ),
				'param_name'  => 'team_icon_url5',
				'group'       => 'social icons',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( "Icon 5 link's target", 'pinkmart' ),
				'param_name'  => 'team_icon_target5',
				'group'       => 'social icons',
				'description' => esc_html__( 'Open the link in the same tab or a blank browser tab', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Open in same window', 'pinkmart' ) => '_self',
					esc_html__( 'Open in new window', 'pinkmart' ) => '_blank',
				),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
  Button
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Button', 'pinkmart' ),
		'base'     => 'button',
		'category' => 'By KiteSt',
		'weight'   => 9,
		'icon'     => 'icon-wpb-button',
		'params'   => array(
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'buttons Style', 'pinkmart' ),
				'param_name'  => 'button_hover_style',
				'value'       => array(
					'style2'     => 'style2',
					'style1'     => 'style1',
					'link_style' => 'link_style',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Style', 'pinkmart' ),
				'param_name'  => 'button_bg_style',
				'description' => esc_html__( 'Choose one of available button background styles.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Fill', 'pinkmart' )        => 'fill',
					esc_html__( 'Transparent', 'pinkmart' ) => 'transparent',
				),
				'dependency'  => array(
					'element'              => 'button_hover_style',
					// 'value' => array('style1','style2')
					  'value_not_equal_to' => array( 'link_style' ),
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Style', 'pinkmart' ),
				'param_name'  => 'link_display_style',
				'description' => esc_html__( 'Choose one of available button styles.', 'pinkmart' ),
				'value'       => array(
					'text' => 'text',
					'icon' => 'icon',
				),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'link_style' ),
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text', 'pinkmart' ),
				'param_name'  => 'text',
				'value'       => '',
				'description' => esc_html__( 'Button text', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style2', 'link_style' ),
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text', 'pinkmart' ),
				'param_name'  => 'text_hover',
				'value'       => '',
				'description' => esc_html__( 'Button on hover text', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style1' ),

				),
			),
			array(
				'type'        => 'vc_link',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'url',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Size', 'pinkmart' ),
				'param_name'  => 'size',
				'description' => esc_html__( 'Choose one of four button sizes', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'default', 'pinkmart' ) => 'default',
					esc_html__( 'Small', 'pinkmart' )   => 'small',
					esc_html__( 'medium', 'pinkmart' )  => 'standard',
					esc_html__( 'Large', 'pinkmart' )   => 'large',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'button_display',
				'description' => esc_html__( 'Choose one of available button styles', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Box', 'pinkmart' )        => 'box',
					esc_html__( 'Full width', 'pinkmart' ) => 'full',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Alignment', 'pinkmart' ),
				'param_name'  => 'alignment',
				'description' => esc_html__( 'Choose one of available button alignments.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Left', 'pinkmart' )   => 'left',
					esc_html__( 'Center', 'pinkmart' ) => 'center',
					esc_html__( 'Right', 'pinkmart' )  => 'right',
				),
				'dependency'  => array(
					'element' => 'button_display',
					'value'   => array( 'box' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Position', 'pinkmart' ),
				'param_name'  => 'position',
				'description' => esc_html__( 'Choose one of available button styles', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'In separate rows', 'pinkmart' ) => 'separate',
					esc_html__( 'In a row', 'pinkmart' ) => 'row',
				),
				'dependency'  => array(
					'element' => 'alignment',
					'value'   => array( 'left', 'right' ),
				),
			),
			array(
				'type'        => 'vc_icons',
				'heading'     => esc_html__( 'Select Icon', 'pinkmart' ),
				'param_name'  => 'button_icon',
				'description' => esc_html__( 'Select an icon to be shown in buttons', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon Position', 'pinkmart' ),
				'param_name'  => 'button_icon_position',
				'value'       => array(
					esc_html__( 'Icon at left', 'pinkmart' )  => 'left',
					esc_html__( 'Icon at right', 'pinkmart' ) => 'right',
				),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style2', 'link_style' ),
				),

			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text & Icon Color', 'pinkmart' ),
				'param_name'  => 'button_text_color',
				'value'       => '',
				'description' => esc_html__( "Enter optional color for button's text and icon.", 'pinkmart' ),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text & Icon On-hover Color', 'pinkmart' ),
				'param_name'  => 'button_text_hover_color',
				'value'       => '',
				'description' => esc_html__( "The color of button's text and icon on hover mode.", 'pinkmart' ),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border Color', 'pinkmart' ),
				'param_name'  => 'button_border_color',
				'value'       => '',
				'description' => esc_html__( 'Select an optional border color for your button.', 'pinkmart' ),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border On-hover Color', 'pinkmart' ),
				'param_name'  => 'button_border_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Select an optional on-hover border color for your button.', 'pinkmart' ),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background Color', 'pinkmart' ),
				'param_name'  => 'button_bg_color',
				'value'       => '',
				'description' => esc_html__( 'Select Background color for your button.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style1', 'style2' ),

				),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Background On-hover Color', 'pinkmart' ),
				'param_name'  => 'button_bg_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Select Background color on-hover mode for your button.', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style1', 'style2' ),

				),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border Radius ', 'pinkmart' ),
				'param_name'  => 'button_border_radius',
				'value'       => array(
					'1px'  => '1px',
					'5px'  => '5px',
					'10px' => '10px',
					'15px' => '15px',
					'20px' => '20px',
				),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style1', 'style2' ),
				),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Border stroke ', 'pinkmart' ),
				'param_name'  => 'button_border_width',
				'value'       => array(
					'1px' => '1px',
					'2px' => '2px',
					'3px' => '3px',
					'4px' => '4px',
				),
				'dependency'  => array(
					'element' => 'button_hover_style',
					'value'   => array( 'style1', 'style2' ),
				),
				'group'       => esc_html__( 'Custom design', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Tooltip text', 'pinkmart' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'Enter the text that you want to be shown on your button tooltip.', 'pinkmart' ),
				'group'       => esc_html__( 'Tooltip', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Animation', 'pinkmart' ),
				'param_name'  => 'animation',
				'description' => esc_html__( 'Select animation type', 'pinkmart' ),
				'value'       => $animations,
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
				'param_name'  => 'animation_delay',
				'value'       => '',
				'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
  image Carousel
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Image Carousel', 'pinkmart' ),
		'base'     => 'image_carousel',
		'weight'   => 9,
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-imagecarousel',

		'params'   => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Visible Items', 'pinkmart' ),
				'param_name'  => 'visible_items',
				'description' => esc_html__( 'Enter the maximum number of visible items that you want to be visible in the carousel.', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
					'7' => '7',
					'8' => '8',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
				'param_name'  => 'gutter',
				'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
				'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Navigation Buttons Visibility', 'pinkmart' ),
				'param_name'  => 'naxt_prev_btn',
				'description' => esc_html__( 'Enable or disable showing navigation buttons', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'show',
					esc_html__( 'Disable', 'pinkmart' ) => 'hide',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Navigation Style', 'pinkmart' ),
				'param_name'  => 'nav_style',
				'description' => esc_html__( 'Choose dark or light style', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
			),
			array(
				'type'        => 'attach_images',
				'class'       => '',
				'heading'     => esc_html__( 'Images', 'pinkmart' ),
				'param_name'  => 'images',
				'value'       => '',
				'description' => esc_html__( 'Select images from media library.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Carousel Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Full', 'pinkmart' )      => 'full',
					esc_html__( 'medium', 'pinkmart' )    => 'medium',
					esc_html__( 'thumbnail', 'pinkmart' ) => 'thumbnail',
					esc_html__( 'Custom', 'pinkmart' )    => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size width', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => 'Crop image' ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',

				),
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'presets',
				'admin_label' => false,
				'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'default'     => '2e2e2e',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
				'param_name'  => 'custom_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Hover Zoom effect', 'pinkmart' ),
				'param_name'  => 'zoom',
				'options'     => array( 'yes' => esc_html__( 'Enable', 'pinkmart' ) ),
				'description' => esc_html__( 'Zoom effect on hover', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Autoplay', 'pinkmart' ),
				'param_name'  => 'is_autoplay',
				'description' => esc_html__( 'Autoplay of carousel', 'pinkmart' ),
				'value'       => array(
					'On'  => 'on',
					'Off' => 'off',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		),
	)
);


/*
-----------------------------------------------------------------------------------*/
/*
 Showcase
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'            => esc_html__( 'Showcase', 'pinkmart' ),
		'base'            => 'showcase',
		'category'        => 'By KiteSt',
		'weight'          => 9,
		'icon'            => 'icon-wpb-showcase',
		'as_parent'       => array( 'only' => 'showcase_item' ),
		'js_view'         => 'VcColumnView',
		'content_element' => true,
		'params'          => array(
			array(
				'type'        => 'textarea',
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'description' => 'Type in a title for your showcase.',
			),
			array(
				'type'        => 'textfield',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'description' => esc_html__( 'Type in a subtitle for your showcase.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Next Section Button Visibility', 'pinkmart' ),
				'param_name'  => 'nextsection',
				'description' => esc_html__( 'Enable or disable showing next section button', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'show',
					esc_html__( 'Disable', 'pinkmart' ) => 'hide',
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Overlay', 'pinkmart' ),
				'param_name'  => 'overlay',
				'description' => esc_html__( 'Enable or disable overlaying on the background.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'show',
					esc_html__( 'Disable', 'pinkmart' ) => 'hide',
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'style',
				'description' => esc_html__( 'Choose dark or light style', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'dark',
					esc_html__( 'Dark', 'pinkmart' )  => 'light',
				),
			),
			array(
				'type'        => 'colorpicker',
				'class'       => '',
				'heading'     => esc_html__( 'Hover Color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter optional color for On-Hover state', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Direction', 'pinkmart' ),
				'param_name'  => 'direction',
				'description' => esc_html__( 'Select your showcase location (left or right).', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Left', 'pinkmart' )  => 'left-align',
					esc_html__( 'Right', 'pinkmart' ) => 'right-align',
				),
			),
		),
	)
);

vc_map(
	array(
		'name'              => esc_html__( 'Showcase item', 'pinkmart' ),
		'base'              => 'showcase_item',
		'category'          => 'By KiteSt',
		'weight'            => 9,
		'admin_enqueue_css' => array( get_template_directory_uri() . '/lib/admin/css/vc-extend.css' ),
		'icon'              => 'icon-wpb-showcase-item',
		'content_element'   => true,
		'as_child'          => array( 'only' => 'showcase' ),
		'params'            => array(
			array(
				'type'        => 'textfield',
				'holder'      => '',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title',
				'description' => '',
			),
			array(
				'type'        => 'textfield',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Subtitle', 'pinkmart' ),
				'param_name'  => 'subtitle',
				'description' => '',
			),
			array(
				'type'        => 'textarea',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Content', 'pinkmart' ),
				'param_name'  => 'text',
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Text Background', 'pinkmart' ),
				'param_name'  => 'text_bg',
				'description' => esc_html__( 'Enable or disable showing background under the text', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
					esc_html__( 'Show', 'pinkmart' ) => 'show',
				),
			),
			array(
				'type'        => 'attach_image',
				'class'       => '',
				'heading'     => esc_html__( 'Background Image', 'pinkmart' ),
				'param_name'  => 'bg',
				'value'       => '',
				'description' => esc_html__( 'Select an image as background', 'pinkmart' ),
			),
			array(
				'type'        => 'attach_images',
				'class'       => '',
				'heading'     => esc_html__( 'Images', 'pinkmart' ),
				'param_name'  => 'images',
				'value'       => '',
				'description' => esc_html__( 'Select images from media library.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_link',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Link', 'pinkmart' ),
				'param_name'  => 'outer_link',
				'value'       => '',
				'description' => esc_html__( 'Optional URL to another web page.', 'pinkmart' ),
			),
		),
	)
);

/*
-----------------------------------------------------------------------------------*/
/*
 Tabs, Tour, accordion
/*-----------------------------------------------------------------------------------*/

$tta_setting = array(
	'weight' => 9,
);
vc_map_update( 'vc_tta_tour', $tta_setting );
vc_map_update( 'vc_tta_tabs', $tta_setting );
vc_map_update( 'vc_tta_accordion', $tta_setting );

/*
-----------------------------------------------------------------------------------*/
/*
  Get MailPoet forms
/*-----------------------------------------------------------------------------------*/

if ( class_exists( 'WYSIJA_NL_Widget' ) ) { // Check if mailpoet be active then run below code
	vc_map(
		array(
			'name'     => esc_html__( 'Newsletter Subscription', 'pinkmart' ),
			'base'     => 'kt_newsletter',
			'category' => 'By KiteSt',
			'weight'   => 9,
			'icon'     => 'icon-wpb-newsletter',
			'params'   => array(
				array(
					'type'        => 'dropdown',
					'holder'      => '',
					'class'       => '',
					'heading'     => esc_html__( 'MailPoet Form', 'pinkmart' ),
					'param_name'  => 'mail_poet_form',
					'value'       => array_merge( array( 1 => 'Select a form ...' ), kite_get_mail_poet_forms() ),
					'description' => esc_html__( 'Select a MailPoet form', 'pinkmart' ),
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Form Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_form_style',
					'value'       => array(
						esc_html__( 'Light', 'pinkmart' ) => 'light',
						esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					),
					'description' => esc_html__( 'dark and light styles set for button and input style', 'pinkmart' ),
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Form Width Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_form_width_style',
					'value'       => array(
						esc_html__( 'Boxed', 'pinkmart' )      => 'boxed',
						esc_html__( 'Full width', 'pinkmart' ) => 'fullwidth',
					),
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Button Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_button_style',
					'value'       => array(
						esc_html__( 'Style 1', 'pinkmart' ) => 'style1',
						esc_html__( 'Style 2', 'pinkmart' ) => 'style2',
						esc_html__( 'Style 3', 'pinkmart' ) => 'style3',
					),
					'description' => esc_html__( 'dark and light styles set for button style', 'pinkmart' ),
				),
			),
		)
	);
}


/* contact form :  */
function kite_vc_contactform_style( $settings, $value ) {
	$options = explode( ' ', $value );
	return '<div class="my_param_block kt-contactform-container field clear-after">'
						. '<div class="wpb_element_label">Form Color Style'
						. '</div>'
						. '<div>'
						. '<select class="contactform_css" >'
						. '<option value=light_styles ' . ( ( $options[0] == 'light_styles' ) ? 'selected' : '' ) . '>' . esc_html__( 'Light', 'pinkmart' ) . '</option>'
						. '<option value=dark_styles ' . ( ( $options[0] == 'dark_styles' ) ? 'selected' : '' ) . '>' . esc_html__( 'Dark', 'pinkmart' ) . '</option>'
						. '</select>'
						. '</div>'
						. '<div class="vc_description" style="margin-top: 5px;">' . esc_html__( ' dark and light styles set for input style', 'pinkmart' )
						. '</div>'
						. '<div class="wpb_element_label" style="padding-top:15px;"> ' . esc_html__( 'Form Align', 'pinkmart' )
						. '</div>'
						. '<div>'
						. '<select class="contactform_css" >'
						. '<option value=left ' . ( ( $options[1] == 'left' ) ? 'selected' : '' ) . '>Left</option>'
						. '<option value=center ' . ( ( $options[1] == 'center' ) ? 'selected' : '' ) . '>Center</option>'
						. '</select>'
						. '</div>'
						. '<div class="vc_description"> ' . esc_html__( 'left and center align set for form and button style', 'pinkmart' )
						. '</div>'
						. '<div class="wpb_element_label" style="padding-top:15px;">' . esc_html__( 'Form Width Style', 'pinkmart' )
						. '</div>'
						. '<div>'
						. '<select class="contactform_css">'
						. '<option value=boxed ' . ( ( $options[2] == 'boxed' ) ? 'selected' : '' ) . '>' . esc_html__( 'Boxed', 'pinkmart' ) . '</option>'
						. '<option value=fullwidth ' . ( ( $options[2] == 'fullwidth' ) ? 'selected' : '' ) . '>' . esc_html__( 'Full Width', 'pinkmart' ) . '</option>'
						. '</select>'
						. '</div>'
						. '<div class="vc_description" style="margin-top: 5px;"> ' . esc_html__( 'boxed and full width set for form style', 'pinkmart' )
						. '</div>'
						. '<div class="wpb_element_label" style="padding-top:15px;">' . esc_html__( 'Form Style', 'pinkmart' )
						. '</div>'
						. '<div>'
						. '<select class="contactform_css">'
						. '<option value=one_column ' . ( ( $options[3] == 'one_column' ) ? 'selected' : '' ) . '>' . esc_html__( 'One Column', 'pinkmart' ) . '</option>'
						. '<option value=two_column ' . ( ( $options[3] == 'two_column' ) ? 'selected' : '' ) . '>' . esc_html__( 'Two Column', 'pinkmart' ) . '</option>'
						. '</select>'
						. '</div>'
						. '<div class="vc_description" style="margin-top: 5px;"> ' . esc_html__( 'one column and twp column set for form style', 'pinkmart' )
						. '</div>'
						. '<div class="wpb_element_label" style="padding-top:15px;">' . esc_html__( 'Button Style', 'pinkmart' )
						. '</div>'
						. '<div>'
						. '<select class="contactform_css">'
						. '<option value=style1 ' . ( ( $options[4] == 'style1' ) ? 'selected' : '' ) . '>' . esc_html__( 'Style1', 'pinkmart' ) . '</option>'
						. '<option value=style2 ' . ( ( $options[4] == 'style2' ) ? 'selected' : '' ) . '>' . esc_html__( 'Style2', 'pinkmart' ) . '</option>'
						. '<option value=style3 ' . ( ( $options[4] == 'style3' ) ? 'selected' : '' ) . '>' . esc_html__( 'Style3', 'pinkmart' ) . '</option>'
						. '</select>'
						. '</div>'
						. '<div class="vc_description" style="margin-top: 5px; padding-bottom: 15px;"> ' . esc_html__( 'dark and light styles set for button and input style', 'pinkmart' )
						. '</div>'
						. '<input type="text" name="' . esc_attr( $settings['param_name'] )
						. '" class="wpb_vc_param_value wpb-textinput kt-contact-form hidden-field-value '
						. esc_attr( $settings['param_name'] ) . ' ' . esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>'
		. '</div>';
}

/*-----------------------------------------------------------------------------------*/
/*  Get MailPoet forms - v3
/*-----------------------------------------------------------------------------------*/

/* if (is_plugin_active('mailpoet/mailpoet.php'))  */
if ( function_exists( 'mailpoet_deactivate_plugin' ) ) { // Check if mailpoet be active then run below code
	vc_map(
		array(
			'name'     => esc_html__( 'Newsletter Subscription - V3', 'pinkmart' ),
			'base'     => 'kt_newsletter_3',
			'category' => 'By KiteSt',
			'weight'   => 9,
			'icon'     => 'icon-wpb-newsletter',
			'params'   => array(
				array(
					'type'        => 'dropdown',
					'holder'      => '',
					'class'       => '',
					'heading'     => esc_html__( 'MailPoet Form', 'pinkmart' ),
					'param_name'  => 'mailpoet_form',
					'value'       => array_merge( array( 1 => 'Select a form ...' ), kite_get_mailpoet_forms() ),
					'description' => esc_html__( 'Select a MailPoet form', 'pinkmart' ),
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Form Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_form_style',
					'value'       => array(
						esc_html__( 'Light', 'pinkmart' ) => 'light',
						esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					),
					'description' => 'dark and light styles set for button and input style',
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Form Width Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_form_width_style',
					'value'       => array(
						esc_html__( 'Boxed', 'pinkmart' )      => 'boxed',
						esc_html__( 'Full width', 'pinkmart' ) => 'fullwidth',
					),
				),
				array(
					'type'        => 'dropdown',
					'class'       => '',
					'admin_label' => true,
					'heading'     => esc_html__( 'Button Style', 'pinkmart' ),
					'param_name'  => 'mail_poet_button_style',
					'value'       => array(
						esc_html__( 'Style 1', 'pinkmart' ) => 'style1',
						esc_html__( 'Style 2', 'pinkmart' ) => 'style2',
						esc_html__( 'Style 3', 'pinkmart' ) => 'style3',
					),
					'description' => esc_html__( 'dark and light styles set for button style', 'pinkmart' ),
				),
			),
		)
	);
}
/*-----------------------------------------------------------------------------------*/
/* Gallery
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Gallery', 'pinkmart' ),
		'base'     => 'kt_gallery',
		'icon'     => 'icon-wpb-gallery',
		'category' => 'By KiteSt',
		'weight'   => 8,
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Grid Layout', 'pinkmart' ),
				'param_name'  => 'portfolio_masonry',
				'value'       => array(
					esc_html__( 'Fixed Layout', 'pinkmart' ) => 'perfectMasonry',
					esc_html__( 'Masonary Layout', 'pinkmart' ) => 'masonry',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'portfoliotype',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery Type', 'pinkmart' ),
				'param_name'  => 'type',
				'value'       => array(
					'portfolio_space'    => 'portfolio_space',
					'portfolio_no_space' => 'portfolio_no_space',
					'portfolio_text'     => 'portfolio_text',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Show title', 'pinkmart' ),
				'param_name'  => 'title_bar',
				'description' => esc_html__( 'Show or hide the title', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Do not show title', 'pinkmart' )  => 'hide',
					esc_html__( 'Show custom title', 'pinkmart' ) => 'show',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'title_text',
				'value'       => '',
				'description' => esc_html__( 'Enter a title to be shown at the beginning of gallery section', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'title_bar',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Display', 'pinkmart' ),
				'param_name'  => 'filter_display',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Filter Style', 'pinkmart' ),
				'param_name'  => 'filter_style',
				'value'       => array(
					esc_html__( 'Standard', 'pinkmart' ) => 'standard',
					esc_html__( 'Toggle', 'pinkmart' )   => 'toggle',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Filter toggle beginning state', 'pinkmart' ),
				'param_name'  => 'filter_toggle_state',
				'value'       => array(
					esc_html__( 'Close', 'pinkmart' ) => 'close',
					esc_html__( 'Open', 'pinkmart' )  => 'open',
				),
				'description' => '',
				'dependency'  => array(
					'element' => 'filter_style',
					'value'   => 'toggle',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Gallery Categories', 'pinkmart' ),
				'param_name'  => 'portfolio_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery custom Categories', 'pinkmart' ),
				'param_name'  => 'filters',
				'options'     => $gallery_cats,
				'description' => esc_html__( 'Selected categories to be shown gallery section', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'portfolio_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_rangefield',
				'label'       => 'items',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery Post Per Section', 'pinkmart' ),
				'param_name'  => 'gallery_posts_page',
				'min'         => '1',
				'max'         => '30',
				'step'        => '1',
				'value'       => '12',
				'description' => esc_html__( 'Choose the initial number of gallery items to be shown before clicking on load more button.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'filter_loadmore_style',
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'darkstyle',
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
				),
				'description' => esc_html__( 'dark and light styles set for filter bar , load more button , title and subtitle', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery Thumbnail Display', 'pinkmart' ),
				'param_name'  => 'gallery_thumbnail_display',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => true,
					esc_html__( 'Hide', 'pinkmart' ) => false,
				),
				'description' => esc_html__( 'Do you prefer to have the galery thumbnails?', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover type', 'pinkmart' ),
				'param_name'  => 'portfolio_hover',
				'value'       => array(
					esc_html__( 'Simple Gallery', 'pinkmart' ) => 'simplegallery',
					esc_html__( 'Border Style', 'pinkmart' )   => 'bordertype',
					esc_html__( 'Simple', 'pinkmart' )         => 'simpletype',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover style', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_style',
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
					esc_html__( 'Dark', 'pinkmart' )  => 'darkstyle',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Display like Button On hover', 'pinkmart' ),
				'param_name'  => 'portfolio_hover_like_button',
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'description' => '',
				'group'       => esc_html__( 'On-hover', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Pop-up style', 'pinkmart' ),
				'param_name'  => 'gallery_pop_up',
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'darkPopUp',
					esc_html__( 'Light', 'pinkmart' ) => 'lightPopUp',

				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery Slide Animation', 'pinkmart' ),
				'param_name'  => 'animation_style',
				'value'       => array(
					esc_html__( 'Fade', 'pinkmart' )           => 'lg-fade',
					esc_html__( 'Slide', 'pinkmart' )          => 'lg-slide',
					esc_html__( 'Zoom-In', 'pinkmart' )        => 'lg-zoom-in',
					esc_html__( 'Zoom-In Big', 'pinkmart' )    => 'lg-zoom-in-big',
					esc_html__( 'Zoom-Out', 'pinkmart' )       => 'lg-zoom-out',
					esc_html__( 'Zoom-Out Big', 'pinkmart' )   => 'lightPopUp',
					esc_html__( 'Zoom-Out In', 'pinkmart' )    => 'lg-zoom-out-in',
					esc_html__( 'Zoom-In Out', 'pinkmart' )    => 'lg-zoom-in-out',
					esc_html__( 'Soft Zoom', 'pinkmart' )      => 'lg-soft-zoom',
					esc_html__( 'Scale-Up', 'pinkmart' )       => 'lg-scale-up',
					esc_html__( 'Circular Slide', 'pinkmart' ) => 'lg-slide-circular',
					esc_html__( 'Circular Vertical Slide', 'pinkmart' ) => 'lg-slide-circular-vertical',
					esc_html__( 'Vertical Slide', 'pinkmart' ) => 'lg-slide-vertical',
					esc_html__( 'Vertical Slide with growth', 'pinkmart' ) => 'lg-slide-vertical-growth',
					esc_html__( 'Skew', 'pinkmart' )           => 'lg-slide-skew-only',
					esc_html__( 'reverse Skew', 'pinkmart' )   => 'lg-slide-skew-only-rev',
					esc_html__( 'Skew', 'pinkmart' )           => 'lg-slide-skew-only',
					esc_html__( 'Horizontal Skew', 'pinkmart' ) => 'lg-slide-skew-only-y',
					esc_html__( 'Reverse Horizontal Skew', 'pinkmart' ) => 'lg-slide-skew-only-y-rev',
					esc_html__( 'Slide Skew', 'pinkmart' )     => 'lg-slide-skew',
					esc_html__( 'Slide reverse Skew', 'pinkmart' ) => 'lg-slide-skew-rev',
					esc_html__( 'Slide Skew Cross', 'pinkmart' ) => 'lg-slide-skew-cross',
					esc_html__( 'Reverse Slide Skew Cross', 'pinkmart' ) => 'lg-slide-skew-cross-rev',
					esc_html__( 'Vertical Slide Skew', 'pinkmart' ) => 'lg-slide-skew-ver',
					esc_html__( 'Reverse Vertical Slide Skew', 'pinkmart' ) => 'lg-slide-skew-ver-rev',
					esc_html__( 'Vertical Slide Skew Cross', 'pinkmart' ) => 'lg-slide-skew-ver-cross',
					esc_html__( 'Reverse Vertical Slide Skew Cross', 'pinkmart' ) => 'lg-slide-skew-ver-cross-rev',
					esc_html__( 'Lollipop', 'pinkmart' )       => 'lg-lollipop',
					esc_html__( 'Reverse Lollipop', 'pinkmart' ) => 'lg-lollipop-rev',
					esc_html__( 'Rotate', 'pinkmart' )         => 'lg-rotate',
					esc_html__( 'Asynchronous Rotate', 'pinkmart' ) => 'lg-rotate-rev',
					esc_html__( 'Tube', 'pinkmart' )           => 'lg-tube',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Load More Button', 'pinkmart' ),
				'param_name'  => 'show_more_button',
				'options'     => array( 'disable' => esc_html__( 'Disable Load More Button', 'pinkmart' ) ),
				'value'       => 'disable',
			),
		),
	)
);


/*-----------------------------------------------------------------------------------*/
/* Carousel Galleryd
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'gallery Carousel', 'pinkmart' ),
		'base'     => 'gallery_carousel',
		'weight'   => 9,
		'category' => 'By KiteSt',
		'icon'     => 'icon-wpb-imagecarousel',
		'params'   => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Visible Items', 'pinkmart' ),
				'param_name'  => 'visible_items',
				'description' => esc_html__( 'Enter the maximum number of visible items that you want to be visible in the carousel.', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
				'param_name'  => 'gutter',
				'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
				'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Navigation Buttons Visibility', 'pinkmart' ),
				'param_name'  => 'naxt_prev_btn',
				'description' => esc_html__( 'Enable or disable showing navigation buttons', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'show',
					esc_html__( 'Disable', 'pinkmart' ) => 'hide',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Navigation Style', 'pinkmart' ),
				'param_name'  => 'nav_style',
				'description' => esc_html__( 'Choose dark or light style', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'presets',
				'admin_label' => false,
				'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'default'     => '2e2e2e',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
				'param_name'  => 'custom_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Autoplay', 'pinkmart' ),
				'param_name'  => 'is_autoplay',
				'description' => esc_html__( 'Autoplay of carousel', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'On', 'pinkmart' )  => 'on',
					esc_html__( 'Off', 'pinkmart' ) => 'off',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Gallery Categories', 'pinkmart' ),
				'param_name'  => 'portfolio_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gallery custom Categories', 'pinkmart' ),
				'param_name'  => 'filters',
				'options'     => $gallery_cats,
				'description' => esc_html__( 'Selected categories to be shown gallery section', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'portfolio_filter',
					'value'   => 'custom',
				),
			),
		),
	)
);

/*-----------------------------------------------------------------------------------*/
/* Instagram feed
/*-----------------------------------------------------------------------------------*/

vc_map(
	array(
		'name'     => esc_html__( 'Instagram feed', 'pinkmart' ),
		'base'     => 'kt_instagram',
		'icon'     => 'icon-wpb-instagram',
		'weight'   => 8,
		'category' => 'By KiteSt',
		'params'   => array(
			array(
				'type'        => 'textfield',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Username', 'pinkmart' ),
				'param_name'  => 'user',
				'value'       => '',
				'description' => esc_html__( 'Display posts from a specific user', 'pinkmart' ),
			),


			array(
				'type'        => 'vc_rangefield',
				'label'       => 'items',
				'admin_label' => true,
				'heading'     => esc_html__( 'Post count', 'pinkmart' ),
				'param_name'  => 'posts_count',
				'min'         => '1',
				'max'         => '20',
				'step'        => '1',
				'value'       => '10',
				'description' => esc_html__( 'Choose the number of posts', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Columns', 'pinkmart' ),
				'param_name'  => 'column',
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image Resolution', 'pinkmart' ),
				'param_name'  => 'image_resolution',
				'value'       => array(
					esc_html__( 'Thumbnail (150x150)', 'pinkmart' ) => 'thumbnail',
					esc_html__( 'Medium', 'pinkmart' )     => 'medium',
					esc_html__( 'Full size ', 'pinkmart' ) => 'large',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
				'param_name'  => 'gutter',
				'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
				'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Carousel/Grid', 'pinkmart' ),
				'param_name'  => 'carousel',
				'description' => esc_html__( 'Enable Carousel/Grid mode for Instagram feed', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Grid', 'pinkmart' )     => 'disable',
					esc_html__( 'Carousel', 'pinkmart' ) => 'enable',
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'heading'     => esc_html__( 'Navigation Buttons Visibility', 'pinkmart' ),
				'param_name'  => 'naxt_prev_btn',
				'description' => esc_html__( 'Enable or disable showing navigation buttons', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Enable', 'pinkmart' )  => 'show',
					esc_html__( 'Disable', 'pinkmart' ) => 'hide',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Navigations Style', 'pinkmart' ),
				'param_name'  => 'nav_style',
				'description' => esc_html__( 'Choose dark or light style of navigation', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'dependency'  => array(
					'element' => 'naxt_prev_btn',
					'value'   => 'show',
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'presets',
				'admin_label' => false,
				'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'default'     => '2e2e2e',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => false,
				'class'       => '',
				'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
				'param_name'  => 'custom_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Like', 'pinkmart' ),
				'param_name'  => 'like',
				'options'     => array( 'enable' => esc_html__( 'Show', 'pinkmart' ) ),
				'description' => esc_html__( 'Show likes count', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Comment', 'pinkmart' ),
				'param_name'  => 'comment',
				'options'     => array( 'enable' => esc_html__( 'Show', 'pinkmart' ) ),
				'description' => esc_html__( 'Show comment count', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => false,
				'heading'     => esc_html__( 'Equal width and height image', 'pinkmart' ),
				'param_name'  => 'eqaul_height_width',
				'options'     => array( 'enable' => esc_html__( 'Show', 'pinkmart' ) ),
				'value'       => 'enable',
			),
		),
	)
);

/*-----------------------------------------------------------------------------------*/
/* VC masonry grid
/*-----------------------------------------------------------------------------------*/
// remove filter
vc_remove_param( 'vc_masonry_grid', 'show_filter' );
vc_remove_param( 'vc_masonry_grid', 'filter_source' );
vc_remove_param( 'vc_masonry_grid', 'exclude_filter' );
vc_remove_param( 'vc_masonry_grid', 'filter_style' );
vc_remove_param( 'vc_masonry_grid', 'filter_align' );
vc_remove_param( 'vc_masonry_grid', 'filter_color' );
vc_remove_param( 'vc_masonry_grid', 'filter_size' );

// remove load more button style
vc_remove_param( 'vc_masonry_grid', 'button_color' );
vc_remove_param( 'vc_masonry_grid', 'button_size' );
vc_remove_param( 'vc_masonry_grid', 'button_style' );

// remove pagination options
vc_remove_param( 'vc_masonry_grid', 'arrows_design' );
vc_remove_param( 'vc_masonry_grid', 'arrows_color' );
vc_remove_param( 'vc_masonry_grid', 'arrows_position' );
vc_remove_param( 'vc_masonry_grid', 'paging_design' );
vc_remove_param( 'vc_masonry_grid', 'paging_color' );


/*-----------------------------------------------------------------------------------*/
/* Masonry blog- Card Blog
/*-----------------------------------------------------------------------------------*/

$posts_cats = array();
$cat_args   = array(
	'orderby'    => 'term_id',
	'order'      => 'ASC',
	'hide_empty' => false,
);

$terms = get_terms( 'category', $cat_args );

foreach ( $terms as $taxonomy ) {
	 $posts_cats[ $taxonomy->slug ] = $taxonomy->name;
}

vc_map(
	array(
		'base'                    => 'kt_masonry_blog',
		'name'                    => esc_html__( 'Blog', 'pinkmart' ),
		'icon'                    => 'icon-wpb-blog',
		'show_settings_on_create' => false,
		'category'                => 'By KiteSt',
		'weight'                  => 8,
		'params'                  => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Number of columns', 'pinkmart' ),
				'param_name' => 'blog_column',
				'value'      => array(
					esc_html__( 'Three', 'pinkmart' ) => '3',
					esc_html__( 'Four', 'pinkmart' )  => '4',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Blog Categories', 'pinkmart' ),
				'param_name'  => 'blog_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Category', 'pinkmart' ),
				'param_name'  => 'blog_category',
				'options'     => $posts_cats,
				'defaults'    => 'all',
				'admin_label' => true,
				'description' => esc_html__( 'Selected categories to be shown in blog section.', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'blog_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Blog Style', 'pinkmart' ),
				'param_name'  => 'blog_style',
				'value'       => array(
					esc_html__( 'Inline interaction', 'pinkmart' )  => 'inline_interaction',
					esc_html__( 'Pop-up interaction', 'pinkmart' )  => 'popup_interaction',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Layout Mode', 'pinkmart' ),
				'param_name'  => 'blog_layout_mode',
				'description' => esc_html__( 'Choose masonry or fitrow for blog layout', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Masonry', 'pinkmart' )  => 'masonry',
					esc_html__( 'Fit Rows', 'pinkmart' ) => 'fitRows',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Image size', 'pinkmart' ),
				'param_name'  => 'blog_image_size',
				'description' => esc_html__( 'Select image size for blog', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Large', 'pinkmart' )  => 'large',
					esc_html__( 'Scaled', 'pinkmart' ) => 'scaled',
				),
			),
			array(
				'type'           => 'textfield',
				'heading'        => esc_html__( 'Number of posts', 'pinkmart' ),
				'param_name'     => 'blog_post_number',
				'value'          => '16',
				'defaultSetting' => array(
					'min'    => '0',
					'max'    => '30',
					'prefix' => '',
					'step'   => '1',
				),
				'description'    => esc_html__( 'Number of posts per page, minimum valid number is 0 and maximum valid number of posts is 30.', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Load More Button', 'pinkmart' ),
				'param_name'  => 'blog_more_button',
				'options'     => array( 'disable' => esc_html__( 'Disable Load More Button', 'pinkmart' ) ),
				'value'       => 'disable',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Blog Author & Comments', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_category_author',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'yes',
					esc_html__( 'Invisible', 'pinkmart' ) => 'no',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Category Visibility', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_category_visibility',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'yes',
					esc_html__( 'Invisible', 'pinkmart' ) => 'no',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance Animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text Color', 'pinkmart' ),
				'param_name'  => 'blog_foreground_color',
				'description' => esc_html__( 'Choose dark or light style of text', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Load more style', 'pinkmart' ),
				'param_name'  => 'load_more_style',
				'description' => esc_html__( 'Choose dark or light style for load more in blog.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
				),
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => esc_html__( 'Background Color', 'pinkmart' ),
				'param_name'  => 'blog_background_color',
				'value'       => '#f8f8f8',
				'admin_label' => false,
				'opacity'     => false,
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => esc_html__( 'Quote Post Background Color', 'pinkmart' ),
				'param_name'  => 'quote_blog_background_color',
				'value'       => '#073B87',
				'admin_label' => false,
				'opacity'     => false,
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'heading'     => esc_html__( 'Quote Post text Color', 'pinkmart' ),
				'param_name'  => 'quote_blog_text_color',
				'value'       => '#fff',
				'admin_label' => false,
				'opacity'     => false,
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Video & sound icon style', 'pinkmart' ),
				'param_name'  => 'blog_multimedia_icon_style',
				'description' => esc_html__( 'Choose dark or light style for sound and video blog types.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
		),
	)
);


/*-----------------------------------------------------------------------------------*/
/* Woocommerce elements
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'kite_vc_change_woocommerce_elements' ) ) {

	function kite_vc_change_woocommerce_elements() {

		$animations = array(
			esc_html__( 'None', 'pinkmart' )                => 'none',
			esc_html__( 'Fade in', 'pinkmart' )             => 'fade-in',
			esc_html__( 'Fade in from top', 'pinkmart' )    => 'fade-in-top',
			esc_html__( 'Fade in from left', 'pinkmart' )   => 'fade-in-left',
			esc_html__( 'Fade in from right', 'pinkmart' )  => 'fade-in-right',
			esc_html__( 'Fade in from bottom', 'pinkmart' ) => 'fade-in-bottom',
			esc_html__( 'Grow In', 'pinkmart' )             => 'grow-in',
		);

		/*---------------------------*/
		/*Single Product shortcode
		/*---------------------------*/
		vc_map(
			array(
				'name'        => esc_html__( 'Single Product', 'pinkmart' ),
				'base'        => 'product',
				'icon'        => 'icon-wpb-single-product',
				'weight'      => 0,
				'category'    => esc_html__( 'WooCommerce', 'pinkmart' ),
				'description' => esc_html__( 'Show a single product by ID or SKU', 'pinkmart' ),
				'params'      => array(
					array(
						'type'        => 'autocomplete',
						'heading'     => esc_html__( 'Select Identifier', 'pinkmart' ),
						'param_name'  => 'id',
						'description' => esc_html__( 'Input product ID or product SKU or product title to see suggestions', 'pinkmart' ),
					),
					array(
						'type'       => 'hidden',
						// This will not show on render, but will be used when defining value for autocomplete
						'param_name' => 'sku',
					),
					array(
						'type'        => 'dropdown',
						'admin_label' => true,
						'class'       => '',
						'heading'     => esc_html__( 'Style', 'pinkmart' ),
						'param_name'  => 'style',
						'description' => esc_html__( 'Choose style of items', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'Buttons on hover', 'pinkmart' ) => 'style1',
							esc_html__( 'Info on hover', 'pinkmart' ) => 'style2',
							esc_html__( 'Info on click', 'pinkmart' ) => 'style3',
							esc_html__( 'Instant shop', 'pinkmart' ) => 'style4',
							esc_html__( 'Buttons Appear Under', 'pinkmart' ) => 'buttonsappearunder',
						),
					),
					array(
						'type'        => 'dropdown',
						'admin_label' => true,
						'class'       => '',
						'heading'     => esc_html__( 'Product Color Scheme', 'pinkmart' ),
						'param_name'  => 'product_color_scheme',
						'description' => esc_html__( 'Choose dark or light style of Product Color Scheme', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'Light', 'pinkmart' ) => 'light',
							esc_html__( 'Dark', 'pinkmart' )  => 'dark',
						),
					),
					array(
						'type'        => 'dropdown',
						'class'       => '',
						'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
						'param_name'  => 'image_size',
						'description' => esc_html__( 'Select image size', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'Catalog Images', 'pinkmart' ) => 'shop_catalog',
							esc_html__( 'Single Product Image', 'pinkmart' ) => 'shop_single',
							esc_html__( 'Product Thumbnails', 'pinkmart' ) => 'shop_thumbnail',
							esc_html__( 'Full', 'pinkmart' )   => 'full',
							esc_html__( 'Custom', 'pinkmart' ) => 'custom',
						),
					),
					array(
						'type'        => 'textfield',
						'class'       => 'custom_image_size',
						'admin_label' => false,
						'heading'     => esc_html__( 'Custom image size', 'pinkmart' ),
						'param_name'  => 'image_size_width',
						'value'       => '',
						'description' => esc_html__( 'Width', 'pinkmart' ),
						'dependency'  => array(
							'element' => 'image_size',
							'value'   => 'custom',
						),
					),
					array(
						'type'        => 'textfield',
						'class'       => 'custom_image_size',
						'admin_label' => false,
						'heading'     => esc_html__( 'image size height', 'pinkmart' ),
						'param_name'  => 'image_size_height',
						'value'       => '',
						'description' => esc_html__( 'Height', 'pinkmart' ),
						'dependency'  => array(
							'element' => 'image_size',
							'value'   => 'custom',
						),
					),
					array(
						'type'       => 'vc_multiselect',
						'class'      => 'custom_image_size',
						'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
						'param_name' => 'image_size_crop',
						'options'    => array( 'yes' => 'Crop image' ),
						'value'      => '',
						'dependency' => array(
							'element' => 'image_size',
							'value'   => 'custom',
						),
					),
					array(
						'type'        => 'dropdown',
						'class'       => '',
						'heading'     => esc_html__( 'Hover Image', 'pinkmart' ),
						'param_name'  => 'hover_image',
						'description' => esc_html__( 'Show or hide hover image if exist', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'Show', 'pinkmart' ) => 'show',
							esc_html__( 'Hide', 'pinkmart' ) => 'hide',
						),
					),
					array(
						'type'        => 'dropdown',
						'class'       => '',
						'heading'     => esc_html__( 'Countdown timer', 'pinkmart' ),
						'param_name'  => 'countdown_activation',
						'description' => esc_html__( 'Show timer for products that have scheduled date for the sale price', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'off', 'pinkmart' ) => 'off',
							esc_html__( 'on', 'pinkmart' )  => 'on',
						),
					),
					array(
						'type'        => 'dropdown',
						'class'       => '',
						'heading'     => esc_html__( 'Product Avalibilty', 'pinkmart' ),
						'param_name'  => 'progressbar_activation',
						'description' => esc_html__( 'Show ProgressBar Avalibilty for products', 'pinkmart' ),
						'value'       => array(
							esc_html__( 'off', 'pinkmart' ) => 'off',
							esc_html__( 'on', 'pinkmart' )  => 'on',
						),
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => false,
						'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
						'param_name'  => 'gutter',
						'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
						'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
						'value'       => '',
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'Border', 'pinkmart' ),
						'param_name'  => 'border',
						'options'     => array( 'disable' => esc_html__( 'Disable border', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable border around the product box', 'pinkmart' ),
						'value'       => '',
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'Quick View Button', 'pinkmart' ),
						'param_name'  => 'quickview',
						'options'     => array( 'disable' => esc_html__( 'Disable quickview', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable quick view button', 'pinkmart' ),
						'value'       => '',
						'dependency'  => array(
							'element' => 'style',
							'value'   => array( 'style1', 'style1-center', 'style2', 'style4', 'buttonsappearunder' ),
						),
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'Wishlist Button', 'pinkmart' ),
						'param_name'  => 'wishlist',
						'options'     => array( 'disable' => esc_html__( 'Disable wishlist', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable wishlist button', 'pinkmart' ),
						'value'       => '',
						'dependency'  => array(
							'element' => 'style',
							'value'   => array( 'style1', 'style1-center', 'style2', 'buttonsappearunder' ),
						),
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'Compare Button', 'pinkmart' ),
						'param_name'  => 'compare',
						'options'     => array( 'disable' => esc_html__( 'Disable compare', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable compare button', 'pinkmart' ),
						'dependency'  => array(
							'element' => 'style',
							'value'   => array( 'style1', 'style1-center', 'style2', 'buttonsappearunder' ),
						),
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'Badges', 'pinkmart' ),
						'param_name'  => 'badges',
						'options'     => array( 'disable' => esc_html__( 'Disable badges', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable badges ( sales , out of stock ...)', 'pinkmart' ),
						'value'       => '',
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'admin_label' => true,
						'heading'     => esc_html__( 'hover price', 'pinkmart' ),
						'param_name'  => 'hover_price',
						'options'     => array( 'disable' => esc_html__( 'Disable hover price', 'pinkmart' ) ),
						'description' => esc_html__( 'Disable hover price / In 5 column is disabled by default ', 'pinkmart' ),
						'value'       => '',
						'dependency'  => array(
							'element' => 'style',
							'value'   => array( 'style2' ),
						),
					),
					array(
						'type'        => 'vc_imageselect',
						'class'       => 'presets',
						'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
						'param_name'  => 'hover_color',
						'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
						'value'       => array(
							'c0392b'       => 'c0392b',
							'e74c3c'       => 'e74c3c',
							'd35400'       => 'd35400',
							'e67e22'       => 'e67e22',
							'f39c12'       => 'f39c12',
							'f1c40f'       => 'f1c40f',
							'1abc9c'       => '1abc9c',
							'2ecc71'       => '2ecc71',
							'3498db'       => '3498db',
							'01558f'       => '01558f',
							'9b59b6'       => '9b59b6',
							'ecf0f1'       => 'ecf0f1',
							'bdc3c7'       => 'bdc3c7',
							'7f8c8d'       => '7f8c8d',
							'95a5a6'       => '95a5a6',
							'34495e'       => '34495e',
							'2e2e2e'       => '2e2e2e',
							'custom-color' => 'custom',
						),
						'dependency'  => array(
							'element' => 'style',
							'value'   => array( 'style2', 'style3' ),
						),
					),
					array(
						'type'        => 'colorpicker',
						'admin_label' => true,
						'class'       => '',
						'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
						'param_name'  => 'custom_hover_color',
						'value'       => '',
						'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
						'dependency'  => array(
							'element' => 'hover_color',
							'value'   => 'custom',
						),
					),
					array(
						'type'        => 'dropdown',
						'admin_label' => false,
						'class'       => '',
						'admin_label' => false,
						'heading'     => esc_html__( 'Animation', 'pinkmart' ),
						'param_name'  => 'animation',
						'description' => esc_html__( 'Select animation type', 'pinkmart' ),
						'value'       => $animations,
						'group'       => esc_html__( 'Animation', 'pinkmart' ),
					),
					array(
						'type'        => 'textfield',
						'class'       => '',
						'admin_label' => false,
						'heading'     => esc_html__( 'Animation Delay', 'pinkmart' ),
						'param_name'  => 'delay',
						'value'       => '',
						'description' => esc_html__( 'Enter animation delay (in milliseconds), for example if you want 3 seconds delay, you should enter 3000 .', 'pinkmart' ),
						'group'       => esc_html__( 'Animation', 'pinkmart' ),
					),
					array(
						'type'        => 'vc_multiselect',
						'class'       => '',
						'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
						'param_name'  => 'responsive_animation',
						'options'     => array( 'disable' => 'Disable animation' ),
						'value'       => 'disable',
						'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
						'group'       => esc_html__( 'Animation', 'pinkmart' ),
					),
				),
			)
		);

		// Add autocomplete functionality to search in porducts  shortcode
		if ( class_exists( 'Vc_Vendor_Woocommerce' ) ) {
			$vc_vendor_wc = new Vc_Vendor_Woocommerce();
			// Filters For autocomplete param:
			// For suggestion: vc_autocomplete_[shortcode_name]_[param_name]_callback

			add_filter(
				'vc_autocomplete_woocommerce_products_category_callback',
				array(
					&$vc_vendor_wc,
					'productCategoryCategoryAutocompleteSuggesterBySlug',
				),
				10,
				1
			); // Get suggestion(find). Must return an array
					add_filter(
						'vc_autocomplete_woocommerce_products_category_render',
						array(
							&$vc_vendor_wc,
							'productCategoryCategoryRenderBySlugExact',
						),
						10,
						1
					);

					add_filter( 'vc_autocomplete_woocommerce_products_tags_callback', 'kite_product_tags_auto_complete_suggester_by_slug', 10, 1 ); // Get tags suggestion(find) in featured products
					add_filter( 'vc_autocomplete_woocommerce_products_tags_render', 'kite_product_tags_render_by_slug_exact', 10, 1 );

					add_filter(
						'vc_autocomplete_woocommerce_products_ajax_category_callback',
						array(
							&$vc_vendor_wc,
							'productCategoryCategoryAutocompleteSuggesterBySlug',
						),
						10,
						1
					); // Get suggestion(find). Must return an array
					add_filter(
						'vc_autocomplete_woocommerce_products_ajax_category_render',
						array(
							&$vc_vendor_wc,
							'productCategoryCategoryRenderBySlugExact',
						),
						10,
						1
					);

					add_filter( 'vc_autocomplete_woocommerce_products_ajax_tags_callback', 'kite_product_tags_auto_complete_suggester_by_slug', 10, 1 ); // Get tags suggestion(find) in featured products
					add_filter( 'vc_autocomplete_woocommerce_products_ajax_tags_render', 'kite_product_tags_render_by_slug_exact', 10, 1 );

		}

		
		/* ------------- woocommerce shortcodes with carousel capability ------------ */
		$wc_shortcode_category_setting = array(
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Product Type', 'pinkmart' ),
				'param_name'  => 'product_type',
				'description' => esc_html__( 'Select Product Type', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Top Rated Products', 'pinkmart' ) => 'top_rated',
					esc_html__( 'Featured Products', 'pinkmart' ) => 'featured',
					esc_html__( 'onSale Products', 'pinkmart' ) => 'sale',
					esc_html__( 'Best Selling Products', 'pinkmart' ) => 'best_selling',
					esc_html__( 'Recent Products', 'pinkmart' ) => 'recent',
					esc_html__( 'Deal Products', 'pinkmart' ) => 'deal',
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number of Products', 'pinkmart' ),
				'param_name'  => 'per_page',
				'value'       => '12',
				'description' => esc_html__( 'Number of Products per page', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Order by', 'pinkmart' ),
				'param_name'  => 'orderby',
				'value'       => array(
					'',
					esc_html__( 'Date', 'pinkmart' )          => 'date',
					esc_html__( 'ID', 'pinkmart' )            => 'ID',
					esc_html__( 'Author', 'pinkmart' )        => 'author',
					esc_html__( 'Title', 'pinkmart' )         => 'title',
					esc_html__( 'Modified', 'pinkmart' )      => 'modified',
					esc_html__( 'Random', 'pinkmart' )        => 'rand',
					esc_html__( 'Comment count', 'pinkmart' ) => 'comment_count',
					esc_html__( 'Menu order', 'pinkmart' )    => 'menu_order',
					esc_html__( 'Menu order & title', 'pinkmart' ) => 'menu_order title',
					esc_html__( 'Include', 'pinkmart' )       => 'include',
				),
				'std'         => 'date',
				'save_always' => true,
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Sort order', 'pinkmart' ),
				'param_name'  => 'order',
				'std'         => 'DESC',
				'value'       => array(
					'',
					esc_html__( 'Descending', 'pinkmart' ) => 'DESC',
					esc_html__( 'Ascending', 'pinkmart' )  => 'ASC',
				),
				'save_always' => true,
				'description' => esc_html__( 'List of product categories', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'category'    => '',
				'heading'     => esc_html__( 'product Categories', 'pinkmart' ),
				'param_name'  => 'product_cats',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => esc_html__( 'Show Products from specific categories', 'pinkmart' ),
			),
			array(
				'type'        => 'autocomplete',
				'heading'     => esc_html__( 'Categories', 'pinkmart' ),
				'param_name'  => 'category',
				'settings'    => array(
					'multiple' => true,
					'sortable' => true,
				),
				'dependency'  => array(
					'element' => 'product_cats',
					'value'   => 'custom',
				),
				'save_always' => true,
				'description' => esc_html__( 'List of product categories', 'pinkmart' ),
			),
			array(
				'type'        => 'autocomplete',
				'heading'     => esc_html__( 'Product Tags', 'pinkmart' ),
				'param_name'  => 'tags',
				'settings'    => array(
					'multiple' => true,
					'sortable' => true,
				),
				'save_always' => true,
				'description' => esc_html__( 'List of product tages', 'pinkmart' ),
			),

		);

		$wc_shortcode_setting = array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Carousel/Grid Mode/List View', 'pinkmart' ),
				'param_name'  => 'carousel',
				'description' => esc_html__( 'Enable Carousel/Grid mode for products', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Grid', 'pinkmart' )      => 'disable',
					esc_html__( 'Carousel', 'pinkmart' )  => 'enable',
					esc_html__( 'List View', 'pinkmart' ) => 'list',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'List Style', 'pinkmart' ),
				'param_name'  => 'list_style',
				'description' => esc_html__( 'Select the Style of List View', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'list',
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Columns', 'pinkmart' ),
				'param_name'  => 'columns',
				'description' => esc_html__( 'Select number of items', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Columns in Mobile', 'pinkmart' ),
				'param_name'  => 'column_in_mobile',
				'description' => esc_html__( 'Choose number of columns in mobile', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'disable',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Catalog Images', 'pinkmart' ) => 'shop_catalog',
					esc_html__( 'Single Product Image', 'pinkmart' ) => 'shop_single',
					esc_html__( 'Product Thumbnails', 'pinkmart' ) => 'shop_thumbnail',
					esc_html__( 'Full', 'pinkmart' )           => 'full',
					esc_html__( 'Custom', 'pinkmart' )         => 'custom',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'Custom image size', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => 'Crop image' ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Hover Image', 'pinkmart' ),
				'param_name'  => 'hover_image',
				'description' => esc_html__( 'Show or hide hover image if exist', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Show', 'pinkmart' ) => 'show',
					esc_html__( 'Hide', 'pinkmart' ) => 'hide',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance Animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => 'Disable animation' ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Autoplay', 'pinkmart' ),
				'param_name'  => 'is_autoplay',
				'description' => esc_html__( 'Autoplay of carousel', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Off', 'pinkmart' ) => 'off',
					esc_html__( 'On', 'pinkmart' )  => 'on',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Countdown timer', 'pinkmart' ),
				'param_name'  => 'countdown_activation',
				'description' => esc_html__( 'Show timer for products that have scheduled date for the sale price', 'pinkmart' ),
				'options'     => array( 'on' => esc_html__( 'Countdown timer', 'pinkmart' ) ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Product Avalibilty', 'pinkmart' ),
				'param_name'  => 'progressbar_activation',
				'description' => esc_html__( 'Show ProgressBar Avalibilty for products', 'pinkmart' ),
				'options'     => array( 'on' => esc_html__( 'ProgressBar Avalibilty', 'pinkmart' ) ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Navigations Style', 'pinkmart' ),
				'param_name'  => 'nav_style',
				'description' => esc_html__( 'Choose dark or light style of navigation', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'param_name'  => 'style',
				'description' => esc_html__( 'Choose style of items', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Buttons on hover', 'pinkmart' ) => 'style1',
					esc_html__( 'Buttons on hover - centered title', 'pinkmart' ) => 'style1-center',
					esc_html__( 'Info on hover', 'pinkmart' ) => 'style2',
					esc_html__( 'Info on click', 'pinkmart' ) => 'style3',
					esc_html__( 'Instant shop', 'pinkmart' )  => 'style4',
					esc_html__( 'Buttons Appear Under', 'pinkmart' ) => 'buttonsappearunder',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Product Color Scheme', 'pinkmart' ),
				'param_name'  => 'product_color_scheme',
				'description' => esc_html__( 'Choose dark or light style of Product Color Scheme', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Layout Mode', 'pinkmart' ),
				'param_name'  => 'layout_mode',
				'description' => esc_html__( 'Choose dark or light style of navigation', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Masonry', 'pinkmart' )  => 'masonry',
					esc_html__( 'Fit Rows', 'pinkmart' ) => 'fitRows',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'disable',
				),
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'presets',
				'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2', 'style3' ),
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
				'param_name'  => 'custom_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
				'param_name'  => 'gutter',
				'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
				'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Border', 'pinkmart' ),
				'param_name'  => 'border',
				'options'     => array( 'disable' => esc_html__( 'Disable border', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable border around the product box', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Quick View Button', 'pinkmart' ),
				'param_name'  => 'quickview',
				'options'     => array( 'disable' => esc_html__( 'Disable quickview', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable quick view button', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style1-center', 'style2', 'style4', 'buttonsappearunder' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'wishlist button', 'pinkmart' ),
				'param_name'  => 'wishlist',
				'options'     => array( 'disable' => esc_html__( 'Disable wishlist', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable wishlist button', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style1-center', 'style2', 'buttonsappearunder' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Compare Button', 'pinkmart' ),
				'param_name'  => 'compare',
				'options'     => array( 'disable' => esc_html__( 'Disable compare', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable compare button', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style1-center', 'style2', 'buttonsappearunder' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Badges', 'pinkmart' ),
				'param_name'  => 'badges',
				'options'     => array( 'disable' => esc_html__( 'Disable badges', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable badges ( sales , out of stock ...)', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'hover price', 'pinkmart' ),
				'param_name'  => 'hover_price',
				'options'     => array( 'disable' => esc_html__( 'Disable hover price', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable hover price', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2' ),
				),
			),
		);

		vc_add_params( 'products', $wc_shortcode_setting );
		vc_add_params( 'product_attribute', $wc_shortcode_setting );
		vc_add_params( 'woocommerce_products', $wc_shortcode_category_setting );
		vc_add_params( 'woocommerce_products', $wc_shortcode_setting );
		vc_add_params( 'woocommerce_products_ajax', $wc_shortcode_category_setting );
		vc_add_params( 'woocommerce_products_ajax', $wc_shortcode_setting );

		/*---------------------------*/
		/*Product categories
		/*---------------------------*/
		$categories_options = array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Carousel/Grid Mode/List View', 'pinkmart' ),
				'param_name'  => 'carousel',
				'description' => esc_html__( 'Enable Carousel/Grid mode for products', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Grid', 'pinkmart' )      => 'disable',
					esc_html__( 'Carousel', 'pinkmart' )  => 'enable',
					esc_html__( 'List View', 'pinkmart' ) => 'list',
				),
			),
			array(
				'type'        => 'dropdown',
				'holder'      => '',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Columns', 'pinkmart' ),
				'param_name'  => 'columns',
				'description' => esc_html__( 'Select number of columns', 'pinkmart' ),
				'value'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => 'show_image',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Category Image', 'pinkmart' ),
				'param_name'  => 'show_image',
				'options'     => array( 'true' => esc_html__( 'Show Category Image', 'pinkmart' ) ),
				'value'       => 'true',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'list',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Catalog Images', 'pinkmart' ) => 'shop_catalog',
					esc_html__( 'Single Product Image', 'pinkmart' ) => 'shop_single',
					esc_html__( 'Product Thumbnails', 'pinkmart' ) => 'shop_thumbnail',
					esc_html__( 'Full', 'pinkmart' )           => 'full',
					esc_html__( 'Custom', 'pinkmart' )         => 'custom',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'Custom image size', 'pinkmart' ),
				'param_name'  => 'image_size_width',
				'value'       => '',
				'description' => esc_html__( 'Width', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => 'custom_image_size',
				'admin_label' => false,
				'heading'     => esc_html__( 'image size height', 'pinkmart' ),
				'param_name'  => 'image_size_height',
				'value'       => '',
				'description' => esc_html__( 'Height', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => 'custom_image_size',
				'heading'    => esc_html__( 'image size crop', 'pinkmart' ),
				'param_name' => 'image_size_crop',
				'options'    => array( 'yes' => esc_html__( 'Crop image', 'pinkmart' ) ),
				'value'      => '',
				'dependency' => array(
					'element' => 'image_size',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Navigations Style', 'pinkmart' ),
				'param_name'  => 'nav_style',
				'description' => esc_html__( 'Choose dark or light style of navigation', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Light', 'pinkmart' ) => 'light',
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'enable',
				),
			),

			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Autoplay', 'pinkmart' ),
				'param_name'  => 'is_autoplay',
				'description' => esc_html__( 'Autoplay of carousel', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Off', 'pinkmart' ) => 'off',
					esc_html__( 'On', 'pinkmart' )  => 'on',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => 'enable',
				),
			),

			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Title Styles', 'pinkmart' ),
				'param_name'  => 'product-category-styles',
				'description' => esc_html__( 'Select styles of product categories', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Top Left', 'pinkmart' )      => 'style-1',
					esc_html__( 'Bottom Center', 'pinkmart' ) => 'style-3',
					esc_html__( 'Under Center', 'pinkmart' )  => 'style-2',
				),
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font type', 'pinkmart' ),
				'param_name'  => 'font_type',
				'description' => esc_html__( 'Select theme default/custom font', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Default of theme', 'pinkmart' ) => 'default',
					esc_html__( 'Custom font', 'pinkmart' ) => 'custom',
				),
			),
			array(
				'type'       => 'google_fonts',
				'param_name' => 'google_fonts',
				'value'      => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'settings'   => array(
					'fields' => array(
						'font_family_description' => esc_html__( 'Select font family.', 'pinkmart' ),
						'font_style_description'  => esc_html__( 'Select font styling.', 'pinkmart' ),
					),
				),
				'dependency' => array(
					'element' => 'font_type',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title Font Size', 'pinkmart' ),
				'param_name'  => 'font_size',
				'description' => esc_html__( 'Select font size', 'pinkmart' ),
				'value'       => array(
					'16' => '16',
					'20' => '20',
					'28' => '28',
					'35' => '35',
					'44' => '44',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Text color', 'pinkmart' ),
				'param_name'  => 'style',
				'value'       => '',
				'description' => esc_html__( 'Select category text color', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_imageselect',
				'class'       => 'presets',
				'heading'     => esc_html__( 'Hover color', 'pinkmart' ),
				'param_name'  => 'hover_color',
				'description' => esc_html__( 'Select hover color.', 'pinkmart' ),
				'value'       => array(
					'c0392b'       => 'c0392b',
					'e74c3c'       => 'e74c3c',
					'd35400'       => 'd35400',
					'e67e22'       => 'e67e22',
					'f39c12'       => 'f39c12',
					'f1c40f'       => 'f1c40f',
					'1abc9c'       => '1abc9c',
					'2ecc71'       => '2ecc71',
					'3498db'       => '3498db',
					'01558f'       => '01558f',
					'9b59b6'       => '9b59b6',
					'ecf0f1'       => 'ecf0f1',
					'bdc3c7'       => 'bdc3c7',
					'7f8c8d'       => '7f8c8d',
					'95a5a6'       => '95a5a6',
					'34495e'       => '34495e',
					'2e2e2e'       => '2e2e2e',
					'custom-color' => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom hover Color', 'pinkmart' ),
				'param_name'  => 'custom_hover_color',
				'value'       => '',
				'description' => esc_html__( 'Enter a custom hover color', 'pinkmart' ),
				'dependency'  => array(
					'element' => 'hover_color',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'colorpicker',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Hover Text Color', 'pinkmart' ),
				'param_name'  => 'hover_text_color',
				'value'       => '',
				'description' => esc_html__( 'This is the font color when category is hovered.', 'pinkmart' ),
			),

			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Product count', 'pinkmart' ),
				'param_name'  => 'count',
				'options'     => array( 'enable' => esc_html__( 'Show product count', 'pinkmart' ) ),
				'description' => esc_html__( 'Show product count', 'pinkmart' ),
				'value'       => '',
			),

			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show category description', 'pinkmart' ),
				'param_name'  => 'description',
				'options'     => array( 'enable' => esc_html__( 'Show category description', 'pinkmart' ) ),
				'description' => esc_html__( 'Show category description', 'pinkmart' ),
				'value'       => 'enable',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Border', 'pinkmart' ),
				'param_name'  => 'border',
				'options'     => array( 'disable' => esc_html__( 'Disable border', 'pinkmart' ) ),
				'description' => esc_html__( 'Disable border around the product box', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hide empty categories', 'pinkmart' ),
				'param_name'  => 'hide_empty',
				'options'     => array( 'true' => esc_html__( 'Hide empty', 'pinkmart' ) ),
				'description' => esc_html__( 'Hide categories that have no any products', 'pinkmart' ),
				'value'       => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Gutter', 'pinkmart' ),
				'param_name'  => 'gutter',
				'options'     => array( 'no' => esc_html__( 'No gutter', 'pinkmart' ) ),
				'description' => esc_html__( 'Remove gutter between items', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'carousel',
					'value'   => array( 'enable', 'disable' ),
				),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Hover Animation', 'pinkmart' ),
				'param_name'  => 'hover_animation',
				'options'     => array( 'enable' => esc_html__( 'Enable Hover Animation', 'pinkmart' ) ),
				'description' => esc_html__( 'Enable Hover Animation', 'pinkmart' ),
				'value'       => 'enable',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Entrance Animation', 'pinkmart' ),
				'param_name'  => 'enterance_animation',
				'description' => esc_html__( 'How you want your items to enter the page', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'FadeIn', 'pinkmart' )       => 'fadein',
					esc_html__( 'FadeIn From Bottom', 'pinkmart' ) => 'fadeinfrombottom',
					esc_html__( 'FadeIn From Top', 'pinkmart' ) => 'fadeinfromtop',
					esc_html__( 'FadeIn From Right', 'pinkmart' ) => 'fadeinfromright',
					esc_html__( 'FadeIn From Left', 'pinkmart' ) => 'fadeinfromleft',
					esc_html__( 'Zoom-in', 'pinkmart' )      => 'zoomin',
					esc_html__( 'No Animation', 'pinkmart' ) => 'default',
				),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Animation in Responsive', 'pinkmart' ),
				'param_name'  => 'responsive_animation',
				'options'     => array( 'disable' => esc_html__( 'Disable animation', 'pinkmart' ) ),
				'value'       => 'disable',
				'description' => esc_html__( 'Disable animation in mobiles and tablet devices.', 'pinkmart' ),
				'group'       => esc_html__( 'Animation', 'pinkmart' ),
			),
		);

			vc_add_params( 'product_categories', $categories_options );

	}
}

add_action( 'vc_after_mapping', 'kite_vc_change_woocommerce_elements', 15 );


/*-----------------------------------------------------------------------------------*/
/* VC basic grid
/*
-----------------------------------------------------------------------------------*/
// remove filter
vc_remove_param( 'vc_basic_grid', 'show_filter' );
vc_remove_param( 'vc_basic_grid', 'filter_source' );
vc_remove_param( 'vc_basic_grid', 'exclude_filter' );
vc_remove_param( 'vc_basic_grid', 'filter_style' );
vc_remove_param( 'vc_basic_grid', 'filter_align' );
vc_remove_param( 'vc_basic_grid', 'filter_color' );
vc_remove_param( 'vc_basic_grid', 'filter_size' );

// remove load more button style
vc_remove_param( 'vc_basic_grid', 'button_color' );
vc_remove_param( 'vc_basic_grid', 'button_size' );
vc_remove_param( 'vc_basic_grid', 'button_style' );

// remove pagination options
vc_remove_param( 'vc_basic_grid', 'arrows_design' );
vc_remove_param( 'vc_basic_grid', 'arrows_color' );
vc_remove_param( 'vc_basic_grid', 'arrows_position' );
vc_remove_param( 'vc_basic_grid', 'paging_design' );
vc_remove_param( 'vc_basic_grid', 'paging_color' );


/*-----------------------------------------------------------------------------------*/
/* Add container functionality to shortcodes
/*-----------------------------------------------------------------------------------*/

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {

	class WPBakeryShortCode_showcase extends WPBakeryShortCodesContainer {
	}

	class WPBakeryShortCode_testimonial extends WPBakeryShortCodesContainer {
	}

	class WPBakeryShortCode_ajax_products_tab extends WPBakeryShortCodesContainer {
	}
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_showcase_item extends WPBakeryShortCode {

		// Show Images in images Selector ( VC )

		public function singleParamHtmlHolder( $param, $value ) {
			$output = '';
			// Compatibility fixes
			$old_names = array( 'yellow_message', 'blue_message', 'green_message', 'button_green', 'button_grey', 'button_yellow', 'button_blue', 'button_red', 'button_orange' );
			$new_names = array( 'alert-block', 'alert-info', 'alert-success', 'btn-success', 'btn', 'btn-info', 'btn-primary', 'btn-danger', 'btn-warning' );
			$value     = str_ireplace( $old_names, $new_names, $value );

			$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
			$type       = isset( $param['type'] ) ? $param['type'] : '';
			$class      = isset( $param['class'] ) ? $param['class'] : '';

			if ( isset( $param['holder'] ) == false || $param['holder'] == 'hidden' || $param['holder'] == '' ) {
				$output .= '<input type="hidden" class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '" value="' . esc_attr( $value ) . '" />';
				if ( ( $param['type'] ) == 'attach_images' ) {
					$images_ids = empty( $value ) ? array() : explode( ',', trim( $value ) );
					$output    .= '<ul class="attachment-thumbnails thumb-attach-images' . ( empty( $images_ids ) ? ' image-exists' : '' ) . '" data-name="' . esc_attr( $param_name ) . '">';
					foreach ( $images_ids as $image ) {
						$img     = wpb_getImageBySize(
							array(
								'attach_id'  => (int) $image,
								'thumb_size' => 'thumbnail',
							)
						);
						$output .= ( $img ? '<li>' . $img['thumbnail'] . '</li>' : '<li><img width="32" height="32" test="' . esc_url( $image ) . '" src="' . esc_url( vc_asset_url( 'vc/blank.gif' ) ) . '" class="attachment-thumbnail" alt="' . esc_attr__( 'blank', 'pinkmart' ) . '" title="' . esc_attr__( 'blank', 'pinkmart' ) . '" /></li>' );
					}
					$output .= '</ul>';
				}
			} else {
				$output .= '<' . $param['holder'] . ' class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '">' . $value . '</' . $param['holder'] . '>';
			}

			if ( ! empty( $param['admin_label'] ) && $param['admin_label'] === true ) {
				$output .= '<h4 class="wpb_element_title">' . 'showcase item' . '</h4>';
				$output .= sprintf( '<span class="vc_admin_label admin_label_' . $param['param_name'] . ( empty( $value ) ? ' hidden-label' : '' ) . '"><label>%s</label>: ' . $value . '</span>', esc_attr( $param['heading'] ) );
			}

			return $output;
		}
		protected function outputTitle( $title ) {
			return '';
		}
		protected function outputTitleTrue( $title ) {
			return '<h4 class="wpb_element_title">' . $title . ' ' . $this->settings( 'logo' ) . '</h4>';
		}
	}

	class WPBakeryShortCode_testimonial_item extends WPBakeryShortCode {

		// Show Images in images Selector ( VC )
		public function singleParamHtmlHolder( $param, $value ) {
			$output = '';
			// Compatibility fixes
			$old_names = array( 'yellow_message', 'blue_message', 'green_message', 'button_green', 'button_grey', 'button_yellow', 'button_blue', 'button_red', 'button_orange' );
			$new_names = array( 'alert-block', 'alert-info', 'alert-success', 'btn-success', 'btn', 'btn-info', 'btn-primary', 'btn-danger', 'btn-warning' );
			$value     = str_ireplace( $old_names, $new_names, $value );

			$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
			$type       = isset( $param['type'] ) ? $param['type'] : '';
			$class      = isset( $param['class'] ) ? $param['class'] : '';

			if ( isset( $param['holder'] ) == false || $param['holder'] == 'hidden' ) {
				$output .= '<input type="hidden" class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '" value="' . esc_attr( $value ) . '" />';
				if ( ( $param['type'] ) == 'attach_image' ) {
					$element_icon = $this->settings( 'icon' );
					$img          = wpb_getImageBySize(
						array(
							'attach_id'  => (int) preg_replace( '/[^\d]/', '', $value ),
							'thumb_size' => 'thumbnail',
						)
					);
					$this->setSettings( 'logo', ( $img ? $img['thumbnail'] : '<img width="150" height="150" src="' . esc_url( vc_asset_url( 'vc/blank.gif' ) ) . '" class="attachment-thumbnail vc_element-icon"  data-name="' . esc_attr( $param_name ) . '" alt="' . esc_attr__( 'blank', 'pinkmart' ) . '" title="' . esc_attr__( 'blank', 'pinkmart' ) . '" style="display: none;" />' ) . '<span class="no_image_image vc_element-icon' . esc_attr( ( ! empty( $element_icon ) ? ' ' . $element_icon : '' ) . ( $img && ! empty( $img['p_img_large'][0] ) ? ' image-exists' : '' ) ) . '" />' );
					$output .= $this->outputTitleTrue( $this->settings['name'] );

				}
			} else {
				$output .= '<' . $param['holder'] . ' class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '">' . $value . '</' . $param['holder'] . '>';
			}

			if ( ! empty( $param['admin_label'] ) && $param['admin_label'] === true ) {

				$output .= sprintf( '<span class="vc_admin_label admin_label_' . esc_attr( $param['param_name'] ) . ( empty( $value ) ? ' hidden-label' : '' ) . '"><label>%s</label>: ' . $value . '</span>', esc_attr( $param['heading'] ) );

			}

			return $output;
		}
		protected function outputTitle( $title ) {
			return '';
		}
		protected function outputTitleTrue( $title ) {
			return '<h4 class="wpb_element_title">' . $title . ' ' . $this->settings( 'logo' ) . '</h4>';
		}
	}


	class WPBakeryShortCode_image_carousel extends WPBakeryShortCode {

		public function singleParamHtmlHolder( $param, $value ) {
			$output = '';
			// Compatibility fixes
			$old_names = array( 'yellow_message', 'blue_message', 'green_message', 'button_green', 'button_grey', 'button_yellow', 'button_blue', 'button_red', 'button_orange' );
			$new_names = array( 'alert-block', 'alert-info', 'alert-success', 'btn-success', 'btn', 'btn-info', 'btn-primary', 'btn-danger', 'btn-warning' );
			$value     = str_ireplace( $old_names, $new_names, $value );

			$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
			$type       = isset( $param['type'] ) ? $param['type'] : '';
			$class      = isset( $param['class'] ) ? $param['class'] : '';

			if ( isset( $param['holder'] ) == false || $param['holder'] == 'hidden' || $param['holder'] == '' ) {
				$output .= '<input type="hidden" class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '" value="' . esc_attr( $value ) . '" />';
				if ( ( $param['type'] ) == 'attach_images' ) {
					$images_ids = empty( $value ) ? array() : explode( ',', trim( $value ) );
					$output    .= '<ul class="attachment-thumbnails thumb-attach-images' . ( ! empty( $images_ids ) ? ' image-exists' : '' ) . '" data-name="' . esc_attr( $param_name ) . '">';
					foreach ( $images_ids as $image ) {
						$img     = wpb_getImageBySize(
							array(
								'attach_id'  => (int) $image,
								'thumb_size' => 'thumbnail',
							)
						);
						$output .= ( $img ? '<li>' . $img['thumbnail'] . '</li>' : '<li><img width="32" height="32" test="' . esc_url( $image ) . '" src="' . esc_url( vc_asset_url( 'vc/blank.gif' ) ) . '" class="attachment-thumbnail" alt="' . esc_attr__( 'blank', 'pinkmart' ) . '" title="' . esc_attr__( 'blank', 'pinkmart' ) . '" /></li>' );
					}
					$output .= '</ul>';
				}
			} else {
				$output .= '<' . $param['holder'] . ' class="wpb_vc_param_value ' . esc_attr( $param_name . ' ' . $type . ' ' . $class ) . '" name="' . esc_attr( $param_name ) . '">' . $value . '</' . $param['holder'] . '>';
			}

			if ( ! empty( $param['admin_label'] ) && $param['admin_label'] === true ) {

				$output .= sprintf( '<span class="vc_admin_label admin_label_' . $param['param_name'] . ( empty( $value ) ? ' hidden-label' : '' ) . '"><label>%s</label>: ' . $value . '</span>', esc_attr( $param['heading'] ) );

			}

			return $output;
		}
	}
}
if ( ! function_exists( 'kite_product_tags_auto_complete_suggester_by_slug' ) ) {
	function kite_product_tags_auto_complete_suggester_by_slug( $query, $slug = true ) {
		global $wpdb;
		$cat_id          = (int) $query;
		$query           = trim( $query );
		$post_meta_infos = $wpdb->get_results(
			$wpdb->prepare(
				"SELECT a.term_id AS id, b.name as name, b.slug AS slug
						FROM {$wpdb->term_taxonomy} AS a
						INNER JOIN {$wpdb->terms} AS b ON b.term_id = a.term_id
						WHERE a.taxonomy = 'product_tag' AND (a.term_id = '%d' OR b.slug LIKE '%%%s%%' OR b.name LIKE '%%%s%%' )",
				$cat_id > 0 ? $cat_id : - 1,
				stripslashes( $query ),
				stripslashes( $query )
			),
			ARRAY_A
		);

		$result = array();
		if ( is_array( $post_meta_infos ) && ! empty( $post_meta_infos ) ) {
			foreach ( $post_meta_infos as $value ) {
				$data          = array();
				$data['value'] = $slug ? $value['slug'] : $value['id'];
				$data['label'] = esc_html__( 'Id', 'pinkmart' ) . ': ' . $value['id'] . ( ( strlen( $value['name'] ) > 0 ) ? ' - ' . esc_html__( 'Name', 'pinkmart' ) . ': ' . $value['name'] : '' ) . ( ( strlen( $value['slug'] ) > 0 ) ? ' - ' . esc_html__( 'Slug', 'pinkmart' ) . ': ' . $value['slug'] : '' );
				$result[]      = $data;
			}
		}

		return $result;
	}
}
if ( ! function_exists( 'kite_product_tags_render_by_slug_exact' ) ) {
	function kite_product_tags_render_by_slug_exact( $query ) {
		$query = $query['value'];
		$query = trim( $query );
		$term  = get_term_by( 'slug', $query, 'product_tag' );

		if ( is_wp_error( $term ) || ! $term ) {
			return false;
		}

		$data          = array();
		$data['value'] = $term->slug;
		$data['label'] = esc_html__( 'Id', 'pinkmart' ) . ': ' . $term->term_id . ' - ' . esc_html__( 'Name', 'pinkmart' ) . ': ' . $term->name;

		return $data;
	}
}
/*-----------------------------------------------------------------------------------*/
/* Woocommerce Products
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'name'     => esc_html__( 'Woocommerce Products', 'pinkmart' ),
		'base'     => 'woocommerce_products',
		'category' => 'WooCommerce',
		'weight'   => 9,
		'icon'     => 'icon-wpb-woocommerce',
		'params'   => array(),
	)
);
/*-----------------------------------------------------------------------------------*/
/* Woocommerce Products Ajax Tab
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'name'              => esc_html__( 'Ajax Products Tab', 'pinkmart' ),
		'base'              => 'ajax_products_tab',
		'category'          => 'WooCommerce',
		'weight'            => 9,
		'admin_enqueue_css' => array( get_template_directory_uri() . '/lib/admin/css/vc-extend.css' ),
		'icon'              => 'icon-wpb-woocommerce',
		'as_parent'         => array( 'only' => 'woocommerce_products_ajax' ),
		'js_view'           => 'VcColumnView',
		'content_element'   => true,
		'params'            => array(
			array(
				'type'        => 'dropdown',
				'param_name'  => 'position',
				'value'       => array(
					esc_html__( 'Top', 'pinkmart' )    => 'top',
					esc_html__( 'Bottom', 'pinkmart' ) => 'bottom',
				),
				'heading'     => esc_html__( 'Position', 'pinkmart' ),
				'description' => esc_html__( 'Select tabs section title position.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'param_name'  => 'alignment',
				'value'       => array(
					esc_html__( 'Center', 'pinkmart' ) => 'center',
					esc_html__( 'Left', 'pinkmart' )   => 'left',
					esc_html__( 'Right', 'pinkmart' )  => 'right',
				),
				'heading'     => esc_html__( 'Alignment', 'pinkmart' ),
				'description' => esc_html__( 'Select tabs section title alignment.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'param_name'  => 'style',
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'light',
				),
				'heading'     => esc_html__( 'Style', 'pinkmart' ),
				'description' => esc_html__( 'dark and light style of tab', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'param_name'  => 'shape',
				'value'       => array(
					esc_html__( 'Before of title', 'pinkmart' ) => 'left',
					esc_html__( 'After of title', 'pinkmart' ) => 'right',
					esc_html__( 'Top of title', 'pinkmart' )   => 'top',
				),
				'heading'     => esc_html__( 'Icon position', 'pinkmart' ),
				'description' => esc_html__( 'Select icon position for tabs section.', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'value'       => '',
				'param_name'  => 'active_tab_color',
				'heading'     => esc_html__( 'Active Tab Color', 'pinkmart' ),
				'description' => esc_html__( 'Select Color for active tab', 'pinkmart' ),
			),
			array(
				'type'        => 'colorpicker',
				'value'       => '',
				'param_name'  => 'deactive_tab_color',
				'heading'     => esc_html__( 'Deactive Tabs Color', 'pinkmart' ),
				'description' => esc_html__( 'Select Color for deactive tabs', 'pinkmart' ),
			),
		),
	)
);
vc_map(
	array(
		'name'     => esc_html__( 'Woocommerce Products', 'pinkmart' ),
		'base'     => 'woocommerce_products_ajax',
		'as_child' => array( 'only' => 'ajax_products_tab' ),
		'category' => 'WooCommerce',
		'weight'   => 9,
		'icon'     => 'icon-wpb-woocommerce',
		'params'   => array(
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'pinkmart' ),
				'param_name'  => 'tab_title',
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Tab Icon', 'pinkmart' ),
				'param_name' => 'tab_icon_check',
				'options'    => array( 'enable' => esc_html__( 'Enable Tab Icon', 'pinkmart' ) ),
				'value'      => '',
			),
			array(
				'type'        => 'vc_icons',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Icon', 'pinkmart' ),
				'param_name'  => 'tab_icon',
				'value'       => '',
				'dependency'  => array(
					'element' => 'tab_icon_check',
					'value'   => 'enable',
				),
			),
		),
	)
);
/*-----------------------------------------------------------------------------------*/
/* Head Line Blog Feed Style
/*-----------------------------------------------------------------------------------*/

$posts_cats = array();
$cat_args   = array(
	'orderby'    => 'term_id',
	'order'      => 'ASC',
	'hide_empty' => false,
);

$terms = get_terms( 'category', $cat_args );

foreach ( $terms as $taxonomy ) {
	 $posts_cats[ $taxonomy->slug ] = $taxonomy->name;
}

vc_map(
	array(
		'base'                    => 'head-line-blog',
		'name'                    => esc_html__( 'Head Line Blog', 'pinkmart' ),
		'icon'                    => 'icon-wpb-blog',
		'show_settings_on_create' => false,
		'category'                => 'By KiteSt',
		'weight'                  => 8,
		'params'                  => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Blog Categories', 'pinkmart' ),
				'param_name'  => 'blog_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Category', 'pinkmart' ),
				'param_name'  => 'blog_category',
				'options'     => $posts_cats,
				'defaults'    => 'all',
				'admin_label' => true,
				'description' => esc_html__( 'Selected categories to be shown in blog section.', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'blog_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Image Size', 'pinkmart' ),
				'param_name'  => 'image_size',
				'description' => esc_html__( 'Select image size', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Shop Catalog', 'pinkmart' ) => 'shop_catalog',
					'Full'                               => 'full',
					'Medium'                             => 'medium',
					'Thumbnail'                          => 'thumbnail',
				),
			),
			array(
				'type'       => 'vc_multiselect',
				'class'      => '',
				'heading'    => esc_html__( 'Custom Hover Image Size', 'pinkmart' ),
				'param_name' => 'custom_image_size',
				'options'    => array( 'enable' => __( 'Custom Hover Image Size', 'pinkmart' ) ),
				'value'      => '',
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom Image Width', 'pinkmart' ),
				'param_name'  => 'custom_image_width',
				'value'       => '',
				'dependency'  => array(
					'element' => 'custom_image_size',
					'value'   => 'enable',
				),
			),
			array(
				'type'        => 'textfield',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Custom Image Height', 'pinkmart' ),
				'param_name'  => 'custom_image_height',
				'value'       => '',
				'dependency'  => array(
					'element' => 'custom_image_size',
					'value'   => 'enable',
				),
			),
			array(
				'type'       => 'dropdown',
				'class'      => '',
				'heading'    => esc_html__( 'Image reveal animation', 'pinkmart' ),
				'param_name' => 'image_animation',
				'value'      => array(
					esc_html__( 'Default style', 'pinkmart' ) => '2',
					'Style 1'                             => '4',
					'Style 2'                             => '5',
					'Style 3'                             => '9',
					'Style 4'                             => '10',
				),
			),
			array(
				'type'           => 'textfield',
				'heading'        => esc_html__( 'Number of posts', 'pinkmart' ),
				'param_name'     => 'blog_post_number',
				'value'          => '8',
				'defaultSetting' => array(
					'min'    => '0',
					'max'    => '30',
					'prefix' => '',
					'step'   => '1',
				),
				'description'    => esc_html__( 'Number of posts per page, minimum valid number is 0 and maximum valid number of posts is 30.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Category Visibility', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_category_visibility',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'enable',
					esc_html__( 'Invisible', 'pinkmart' ) => 'disable',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Description Visibility', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_description',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'enable',
					esc_html__( 'Invisible', 'pinkmart' ) => 'disable',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Load More Button', 'pinkmart' ),
				'param_name'  => 'blog_more_button',
				'options'     => array( 'disable' => esc_html__( 'Disable Load More Button', 'pinkmart' ) ),
				'value'       => 'disable',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Load more style', 'pinkmart' ),
				'param_name'  => 'load_more_style',
				'description' => esc_html__( 'Choose dark or light style for load more in blog.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
				),
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
		),
	)
);
/*-----------------------------------------------------------------------------------*/
/* Blog - Toggle Blog
/*-----------------------------------------------------------------------------------*/
vc_map(
	array(
		'base'                    => 'toggle-blog',
		'name'                    => esc_html__( 'Toggle Blog', 'pinkmart' ),
		'icon'                    => 'icon-wpb-blog',
		'show_settings_on_create' => false,
		'category'                => 'By KiteSt',
		'weight'                  => 8,
		'params'                  => array(
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Blog Categories', 'pinkmart' ),
				'param_name'  => 'blog_filter',
				'value'       => array(
					esc_html__( 'All', 'pinkmart' )    => 'all',
					esc_html__( 'Custom', 'pinkmart' ) => 'custom',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'heading'     => esc_html__( 'Category', 'pinkmart' ),
				'param_name'  => 'blog_category',
				'options'     => $posts_cats,
				'defaults'    => 'all',
				'admin_label' => true,
				'description' => esc_html__( 'Selected categories to be shown in blog section.', 'pinkmart' ),
				'value'       => '',
				'dependency'  => array(
					'element' => 'blog_filter',
					'value'   => 'custom',
				),
			),
			array(
				'type'           => 'textfield',
				'heading'        => esc_html__( 'Number of posts', 'pinkmart' ),
				'param_name'     => 'blog_post_number',
				'value'          => '8',
				'defaultSetting' => array(
					'min'    => '0',
					'max'    => '30',
					'prefix' => '',
					'step'   => '1',
				),
				'description'    => esc_html__( 'Number of posts per page, minimum valid number is 0 and maximum valid number of posts is 30.', 'pinkmart' ),
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Category Visibility', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_category_visibility',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'enable',
					esc_html__( 'Invisible', 'pinkmart' ) => 'disable',
				),
				'description' => '',
			),
			array(
				'type'        => 'dropdown',
				'class'       => '',
				'heading'     => esc_html__( 'Description Visibility', 'pinkmart' ),
				'group'       => esc_html__( 'Display', 'pinkmart' ),
				'param_name'  => 'blog_description',
				'value'       => array(
					esc_html__( 'Visible', 'pinkmart' )   => 'enable',
					esc_html__( 'Invisible', 'pinkmart' ) => 'disable',
				),
				'description' => '',
			),
			array(
				'type'        => 'vc_multiselect',
				'class'       => '',
				'admin_label' => true,
				'heading'     => esc_html__( 'Show Load More Button', 'pinkmart' ),
				'param_name'  => 'blog_more_button',
				'options'     => array( 'disable' => esc_html__( 'Disable Load More Button', 'pinkmart' ) ),
				'value'       => 'disable',
			),
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'class'       => '',
				'heading'     => esc_html__( 'Load more style', 'pinkmart' ),
				'param_name'  => 'load_more_style',
				'description' => esc_html__( 'Choose dark or light style for load more in blog.', 'pinkmart' ),
				'value'       => array(
					esc_html__( 'Dark', 'pinkmart' )  => 'dark',
					esc_html__( 'Light', 'pinkmart' ) => 'lightstyle',
				),
				'group'       => esc_html__( 'Design', 'pinkmart' ),
			),
		),
	)
);
