(function ($) {
    var options_key = 'theme_pinkmart_options';
    var utility = {
        //Checks if element as desired attribute
        HasAttr: function ($elm, attr) {
            return typeof $elm.attr(attr) != 'undefined';
        },
        GetAttr: function ($elm, attr, def) {
            return this.HasAttr($elm, attr) ? $elm.attr(attr) : def;
        }
    };

    //Show/hide fields based on selected value
    function FieldSelector() {
        $('.field-selector select').each(function () {
            var $select = $(this),
                $section = $select.parents('.section'),
                fieldList = utility.GetAttr($select, 'data-fields', ''),
                $fields = $section.find(fieldList);

            $select.change(function () {
                var $selected = $select.find('option:selected');

                if (!utility.HasAttr($selected, 'data-show')) {
                    $fields.slideUp('fast');
                    return;
                }

                var show = $selected.attr('data-show'),
                    $items = $section.find(show);

                $fields.not($items).slideUp('fast');
                $items.slideDown('fast');
            }).change();
        });
    }

    //Handles icon selector
    function iconSelect() {
        var iconSelectFunc = function() {
            $('.kt-icons').removeAttr('style');
            var $kt_icons_container = $('.kt-icon-container').eq(0).clone();
            $kt_icons_container.addClass('kt-container-popup');
            $kt_icons_container.find('input,.selected-icon,.select-icon-text').remove();
            $('.kt-icons').remove();
            $('body').append($kt_icons_container);

            $(document).on('click','.select-icon-text',function() {
                var $this = $(this);

                if($('.kt-container-popup').length <= 0)
                {
                    $kt_icons_container = $('.kt-icon-container').eq(0).clone();
                    $kt_icons_container.addClass('kt-container-popup');
                    $kt_icons_container.find('input,.selected-icon,.select-icon-text').remove();
                    $('.kt-icons').remove();
                    $('body').append($kt_icons_container);
                }

                var $iconInput = $this.siblings('input'),
                    $SelectediconBox = $this.siblings('.selected-icon');

                $kt_icons_container.find('.kt-icon.selected').removeClass('selected');

                if ($iconInput.attr('value') !== '') {

                    $kt_icons_container.find('.kt-icon[data-name="' + $iconInput.attr('value') + '"]').addClass('selected');
                    setTimeout(function(){
                        //Scroll iconContainer to show the select icon
                        if ($kt_icons_container.find('.selected').length) {
                            var $kt_icons = $kt_icons_container.find('.kt-icons'),
                                $offset = $kt_icons.scrollTop() - $kt_icons.offset().top + $kt_icons.find('.selected').offset().top ;

                            if ($offset > 0) {
                                $kt_icons.stop().animate({
                                    scrollTop: $offset + "px"
                                }, 200);
                            }
                        }
                    },100)

                }

                $SelectediconBox.addClass('icon_container_owner');
                $kt_icons_container.addClass('show');


            });

            $(document).on('click','.kt-container-popup .kt-icon', function () {
                var $this = $(this),
                    $icon_owner = $('.icon_container_owner'),
                    $iconInput = $icon_owner.siblings('input');

                if ($this.is('.selected')) {
                    $this.removeClass('selected');
                    $iconInput.attr('value', '');
                    $icon_owner.removeClass('icon-' + $icon_owner.data('name'));
                    $icon_owner.data('name','');
                }
                else {
                    $iconInput.attr('value', $(this).attr('data-name'));
                    $this.siblings('.kt-icon').removeClass('selected');
                    
                    $icon_owner.removeClass('icon-' + $icon_owner.data('name'));
                    $icon_owner.addClass('icon-' + $(this).attr('data-name'));
                    $icon_owner.data('name',$(this).attr('data-name'));
                    $this.addClass('selected');
                }

            });

            $(document).on('click','.kt-icons .close,.kt-container-popup', function () {
                var $icon_owner = $('.icon_container_owner');

                $icon_owner.removeClass('icon_container_owner');
                $kt_icons_container.removeClass('show');
            });

        }

        iconSelectFunc();
        
    }

    function CSVInput() {

        $('.csv-input').each(function () {
            var $container = $(this),
                $hidden = $container.find('input[type="hidden"]'),
                $input = $container.find('input[type="text"]'),
                $addBtn = $container.find('.btn-add'),
                $list = $container.find('.list');

            var values = $hidden.val().length > 0 ? $hidden.val().split(',') : [];

            //Add current items to our list
            for (i = 0; i < values.length; i++) {
                var val = values[i],
                    text = val.replace('%666', ','),//Evil char 
                    $item = GetNewItem(val, text);

                $list.append($item);
                HandleCloseBtn($item);
            }

            AssembleList();

            //Handle add button
            $addBtn.click(function (e) {
                e.preventDefault();

                var val = $input.val();
                val = $.trim(val);
                $input.val('');//Clear

                if (val.length < 1)
                    return;

                var $item = GetNewItem(val.replace(",", "%666"), val);
                HandleCloseBtn($item);
                $item.hide();

                $list.prepend($item);

                AssembleList();

                $item.slideDown('fast', function () { $(window).resize(); });
            });

            function AssembleList() {
                $hidden.val('');//Clear the current list
                var vals = [];

                $list.find('.value').each(function () {
                    var value = $(this).attr('data-val');
                    vals.push(value);
                });

                $hidden.val(vals.join(','));
            }

            function HandleCloseBtn($item) {
                //Remove item on click
                $item.find('.btn-close').click(function (e) {
                    e.preventDefault();

                    $item.slideUp('fast', function () { $item.remove(); AssembleList(); $(window).resize(); });
                });
            }

            function GetNewItem(val, text) {
                return $('<div class="value" data-val="' + val + '"><span>' + text + '</span><a href="#" class="btn-close"></a></div>');
            }

        });


    }

    function ImageSelect() {
        var $controls = $('.imageSelect');

        $controls.each(function () {
            var $select = $(this),
                $input = $select.find('input'),
                $options = $select.find('a');

            if( !$select.find('.selected').length )
            {
                $select.find('a').eq(0).addClass('selected');
                $input.val($select.find('a').eq(0).html());
            }
            

            //Hide input control
            $input.hide();

            $options.click(function (e) {
                e.preventDefault();

                var $ctl = $(this);

                if ($ctl.hasClass('selected'))
                    return;

                $options.removeClass('selected');
                $ctl.addClass('selected');

                $input.val($ctl.html());
            });
        });

       function advanced_image_select() {
            $('.kt-imageselect-container').each(function () {

                var $list = $(this),
                $input = $list.find('input'),
                $images = $list.find('.kt-image'),
                $inputval = $input.val();
               
                if ($inputval.length !== 0) {
                    $list.find("span.image-" + $inputval).addClass('selected');
                }
                else
                {
                    $list.find("span:first-child").addClass('selected');
                }

                $(document).on('click', '.kt-image',function () {
                   
                    if(!$(this).hasClass('selected'))
                    {
                        $(this).closest('span').siblings('input').val($(this).attr('data-name'));
                        $(this).siblings('.kt-image').removeClass('selected');
                        $(this).addClass('selected');
                    }
                    $input.trigger( "change" );
                });

            });
        }

        advanced_image_select();
    }

    function Chosen() {
        if (!$.fn.chosen)
            return;

        $('.chosen').chosen();
    }

    function Combobox() {
        $('div.select').each(function () {
            var $this = $(this),
                $overlay = $this.find('div'),
                $select = $this.find('select');

            $select.change(function () {
                $overlay.html($select.find('option:selected').text());
            });

            $select.change();
        });
    }

    function ColorPicker() {
        if (!$.fn.wpColorPicker)
            return;

        $('#appearance .colorinput, #preloader .colorinput , #header .colorinput , #menu .colorinput , #headerstyle .colorinput , #headerStartBtn .colorinput , #footer .colorinput , #notification .colorinput, #social .colorinput , #topbar .colorinput , #woocomerce .colorinput, .kite-widget-attributes-table .colorinput, .widget-insta.colorinput,#menu-management ul.menu li .colorinput, .taxonomy-product_cat .colorinput,.color-attr-field-container .colorinput,.all_taxonamies_color .colorinput').each(function () {
            $(this).wpColorPicker( { 
                palettes : false,
                change:function() {
                    if ($(this).is('.color-attr-field-container .colorinput')) {
                        $color = $(this).wpColorPicker('color');
                        $(this).closest('.color-attr-field-container').find('.color_extra_value').val($color);
                    }
                }
            });
        });
    }

    function Sliders() {
        if (!$.fn.noUiSlider)
            return;

        var $sliders = $('input[type="range"]');

        $sliders.each(function () {
            var $this = $(this),
                $parent = $this.parent(),
                $label = $('<span></span>'),
                min = 0,
                max = 100,
                start = 0,
                sliderCls = 'slider',
                $slider = $('<div class="' + sliderCls + '"></div>'),
                $states = ['Off', 'On'];


            //Set label
            $parent.find('.label').prepend($label);

            if ('value' in this.attributes)
                $label.html(this.attributes['value'].value);

            //Set values
            if ($this.attr('min') !== undefined)
                min = parseInt($this.attr('min'));

            if ($this.attr('max') !== undefined)
                max = parseInt($this.attr('max'));

            if ($this.attr('step') !== undefined)
                step = parseInt($this.attr('step'));
            else
                step = 0.01;


            if ('value' in this.attributes &&
                this.attributes['value'].value.length > 0)
                start = parseInt(this.attributes['value'].value);
            else
                start = min + max * 0.5;

            $this.hide();
            $slider.appendTo($parent);

            $slider.noUiSlider({
                start: [start],
                range: {
                    'min': [min],
                    'max': [max]
                },
                step : step,
                direction: "ltr",
                behaviour: 'tap',
            });

            $slider.on({
                slide: Handle_Change,
            });


            function Handle_Change(e) {
                var value = $slider.val();

                if (isNaN(value) || (start > 0 && start < 1))
                    value = min;

                if(Math.ceil(step) == step && $.isNumeric(step)) 
                {
                    $label.html(Math.ceil(value));
                    value = Math.ceil(value);
                }
                else
                {
                    $label.html(value);
                } 

                $this.val(value);

                setupState = false;
            }

            var $midbar = $slider.find('.noUi-midBar'),
                left = $midbar.css('left'),
                right = $midbar.css('right');

            if (left == '0px' && right == '0px' && $slider.val() != max) {
                $midbar.css({ right: $this.width() });
            }

            var $sliderHandle = $slider.find('.noUi-handle');

        });

    }

    function Tooltips() {


        $('.section-tooltip').each(function () {
            var $this = $(this),
                text = $this.html(),
                $icon = $('<a href="#"></a>'),
                $wrap = $('<div class="tip_wrapper"><div class="text">' + text + '</div><div class="arrow_shade"></div><div class="arrow"></div></div>');

            $this.html('');
            $this.append($icon);
            $this.append($wrap);
            $wrap.css({ opacity: 0, display: 'none' });

            function Adjust_Tooltip() {
                $wrap.css({ right: 0, top: -(($wrap.outerHeight() - $icon.outerHeight() * 0.5) + 15) });
            }

            Adjust_Tooltip();

            $icon.click(function (e) {
                e.preventDefault();
            });

            if ($.fn.hoverIntent)
                $this.hoverIntent(InHandler, OutHandler);
            else
                $this.hover(InHandler, OutHandler);

            function InHandler() {
                $wrap.css({ display: 'block' });
                Adjust_Tooltip();
                $wrap.stop().animate({ opacity: 1 }, 200);
            }

            function OutHandler() {
                $wrap.stop().animate({ opacity: 0, }, { duration: 200, complete: function () { $wrap.css({ display: 'none' }); } });
            }

        });

    }

    function Save_Button() {
        var $btns = $('.kt-main .save-button'),
            $loadingIcons = $btns.find('.loading-icon'),
            $saveIcons = $btns.find('.save-icon'),
            $form = $('.kt-container'),
            $dummyData = $('.kt-main input[name="import_dummy_data"]');

        $btns.click(function (e) {
            var $btn = $(this);

            if ($btn.hasClass('loading')) {
                e.preventDefault();
                return;
            }

            var data = $form.find('input,textarea,select').serialize();

            $loadingIcons.css({ display: 'inline' });
            $saveIcons.hide();

            $btns.addClass('loading');


            //Todo: Save the settings
            //Test ajax call
            $.ajax({
                url: ajaxurl,
                type: 'post',
                data: data,
                success: function (data, textStatus, jqXHR) {
                    //TODO: Show proper saved message
                    OnSaveComplete();
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    OnSaveComplete();

                    alert('Error occured in saving data');
                }
            });

            function OnSaveComplete() {
                $loadingIcons.hide();
                $saveIcons.css({ display: 'inline' });
                $btns.removeClass('loading');

                //Reload page if import dummy data option is selected
                if ($dummyData.length && $dummyData.val() == '1')
                    document.location.reload(true);
            }

            e.preventDefault();
        });


    }

    function Tabs() {
        var $tabs = $('.kt-tab a'),
            $active = $();

        $tabs.each(function () {
            var $this = $(this),
                href = $this.attr('href'),
                $container = $(href);

            $this.click(function (e) {
                e.preventDefault();

                if ($this.hasClass('active'))
                    return;

                $tabs.removeClass('active');
                $this.addClass('active');

                $active.fadeOut(100);
                $container.fadeIn(400);

                $active = $container;

                $(window).resize();
            });

            if ($this.hasClass('active')) {
                $this.removeClass('active');
                $this.click();
                $active = $container;
            }
            else {
                $container.fadeOut(100);
            }

        });

    }

    function Sidebar_Accordion() {
        var $panels = $('#kt-sidebar-accordion > div'),
            $head = $('#kt-sidebar-accordion > h3 a');

        $panels.hide();

        var $active = $('#kt-sidebar-accordion > h3 a.active'),
            $target = $();

        if ($active.length > 0) {
            $target = $active.parent().next();
            $target.show();
        }


        $head.click(function (e) {
            var $this = $(this);

            $target = $this.parent().next();

            if (!$this.hasClass('active')) {
                var $prev = $('#kt-sidebar-accordion > h3 a.active').parent().next();

                $head.removeClass('active');

                $prev.slideUp('slow', 'easeOutQuad');
                $target.slideDown('slow', 'easeOutQuad');
                $this.addClass('active');

            }

            e.preventDefault();
        });
    }

    function Thickbox() {
        var $currentField = $();
        var $imageField = $();
        var $imageFieldContainer = $();

        $(document).on('click','.upload-field .upload-button',function(e){
            var $this = $(this),
                $parent = $this.parent(),
                referer = 'kt-settings',
                title = 'Upload';

            if ($parent.attr('data-referer') !== undefined)
                referer = $parent.attr('data-referer');

            if ($parent.attr('data-title') !== undefined)
                title = $parent.attr('data-title');

            $currentField = $(this).prev();
            $imageField = $(this).siblings('.upload-thumb').find('img');
            $imageFieldContainer = $(this).siblings('.upload-thumb');

            var $pid;
                

            if ($('#post_ID').length <= 0) {
                $pid = $(this).parents('li.menu-item').find("input.menu-item-data-object-id");//Find ID of menu item
            } else {
                $pid = $('#post_ID');//Find ID of post type (post, page , ...)
            }

            var postId = $pid.length > 0 ? $pid.val() : '0';


            tb_show(title, 'media-upload.php?post_id=' + postId + '&referer=' + referer + '&type=image&TB_iframe=true', false);

            e.preventDefault();
        });

        $(document).on('click','.upload-thumb .close',function (e) {
            $(this).parents('.upload-thumb').removeClass("show");
            $(this).parents('.upload-field').find('input').val('');
        });

        var orig_send_to_editor = window.send_to_editor;

        window.send_to_editor = function (html) {
            if ($currentField.length) {
                var image_url = $(html).attr('href');

                //Find image id for using in upload field of product attribute
                //below code add becouse some host return a tag around img dom
                if ($(html).attr('class')) {
                    var image_url = $(html).attr('href');
                    var classes = $(html).attr('class').split(' ').filter(function (classname) { return (classname.indexOf('wp-image-') == 0); });
                } else {
                    var image_url = $(html).find('img').attr('src');
                    var classes = $(html).find('img').attr('class').split(' ').filter(function (classname) { return (classname.indexOf('wp-image-') == 0); });
                }

                var imageID = classes[0].replace('wp-image-','');
                if(imageID != undefined) {
                    $currentField.closest('.field-container').find('input[name^="attribute_extra_values"]').val(imageID);
                }

                if(image_url == undefined)
                {
                    image_url = $(html).attr('src');
                }
                $currentField.val(image_url);
                $imageField.attr({ 'src': image_url });

                if ((image_url).length) {
                    $imageFieldContainer.addClass('show');
                }

                $imageField = $();
                $currentField = $();
                tb_remove();
            }
            else {
                if (typeof orig_send_to_editor != 'undefined')
                    orig_send_to_editor(html);
            }
        }
    }

    function ImageFields() {
        var $imageSec = $('.section-home-slides'),
            $fields = $imageSec.find('.upload-field'),
            $dupBtn = $('<a class="duplicate-button" href="#">Add Image</a>'),
            $remBtn = $('<span class="remove-button"><a class=" close" href="#"><span class="close-icon"></span></a></span>');

        //Click handler for remove button
        $remBtn.click(function (e) {
            e.preventDefault();

            var $this = $(this);

            $this.parent().remove();

            $fields = $imageSec.find('.upload-field');

            if ($fields.length < 2)
                //Remove the button
                $fields.find('.remove-button').remove();
        });


        //Add remove button if there is more than one image field
        if ($fields.length > 1)
            $fields.append($remBtn.clone(true));

        //Add duplicate button after last upload field
        $fields.filter(':last').after($dupBtn);

        $dupBtn.click(function (e) {
            e.preventDefault();

            //Don't try to reuse $fields var above ;)
            $fields = $imageSec.find('.upload-field');
            var $lastField = $fields.filter(':last'),
                $clone = $lastField.clone(true);

            //Clear the value (if any)
            $clone.find('input[type="text"]').val('');
            $clone.find('.upload-thumb').removeClass('show');
            $clone.find('img').attr('src','');

            $lastField.after($clone);

            //Refresh
            $fields = $imageSec.find('.upload-field');
            //Add 'remove' button to all fields
            //Rest of 'remove' buttons will get cloned
            if ($fields.length == 2)
                $fields.append($remBtn.clone(true));
        });
    }

    function preloader() {

        var $preloaderTypeSelected = $('.section-preloader-type .imageSelect a.selected');
        $preloaderTypeSelected = $preloaderTypeSelected.text();

        $preloadertext = $('.section-preloader-text');
        $preloaderlogo = $('.section-preloader-logo');
        $preloaderboxcolor = $('.section-preloader_color').find('.field').eq(1);

        if ($preloaderTypeSelected == 'creative') {
            $preloadertext.add($preloaderlogo).add($preloaderboxcolor).slideDown('fast');
        } else {
            $preloadertext.add($preloaderlogo).add($preloaderboxcolor).slideUp('fast').show();
            $('.section-preloader-text').add($preloaderboxcolor).next('hr').hide();
        }

        $(document).on('click', '.section-preloader-type .imageSelect a', function () {

            var $this = $(this);
            $preloaderType = $this.text();

            if ($preloaderType == "creative") {
                $preloadertext.add($preloaderlogo).add($preloaderboxcolor).slideDown('fast');
                $('.section-preloader-text').next('hr').show();
            } else {
                $preloadertext.add($preloaderlogo).add($preloaderboxcolor).slideUp('fast');
                $('.section-preloader-text').next('hr').hide();
            }

        });

    }

    function menu() {

        var $container = $('#menu'),

            // Header Position 
            $headerPosition = $container.find('.section-header-type .imageList a.selected'),
            $headerPositionVal = $headerPosition.text();

            //HeaderTop Style
            $HeadertopStyle = $container.find('.section-header-style .imageList a.selected'),
            $HeadertopStyleVal = $HeadertopStyle.text();
            
            // Header Color 
            $HeaderColor = $container.find('.section-menu-color');
            // Header intial Color  - Only Hybrid menu 
            $HeaderTopIntialColor = $container.find('.section-initial-menu-color');
            // Header intial Logo  - Only Hybrid menu 
            $intialLogo = $container.find('.section-logo-second');
            // Header top Style 
            $headerStyle = $container.find('.section-header-style');
            // Header Top Hover Style
            $HeaderTopHoverStyle = $container.find('.section-menu-hover-style');
            // Header submenu Hover Style
            $HeaderSubmenuHoverStyle = $container.find('.section-submenu-hover-style');
            // Header menu container  styles container Or Fullwidth            
            $HeaderContainerStyle = $container.find('.section-menu-container');
            // Menu vertical background Image
            $section_vertical_menu_background = $container.find('.section-vertical_menu_background');
            // menu vertical - copyright text 
            $section_vertical_menu_copyright = $container.find('.section-vertical_menu_copyright');
            $section_vertical_menu_social = $container.find('.section-vertical-menu-social-display');
            // submenu color - mega menu Option Disable in sidebars menu
            $submenu_color = $container.find('.section-submenu-color');
            
        if ($headerPositionVal !== '7' && $headerPositionVal !== '8') {  // 7 , 8 => Header is Top 

            // slid Up Menu vertical background Image
            $section_vertical_menu_background.add($section_vertical_menu_copyright).slideUp('fast').next('hr').hide();
            $section_vertical_menu_social.slideUp('fast').next('hr').hide();
            $headerStyle.add($HeaderTopHoverStyle).add($HeaderContainerStyle).add($submenu_color).add($HeaderSubmenuHoverStyle).slideDown('fast').next('hr').show();
            $(".section-menu-color").find('.field').eq(3).show(); // Hide opacity Option in left and Right menu
            $(".section-menu-color").find('.field.menu-opacity').hide();// this feild is hidden in top menus
            $(".section-menu-color").find('.field.border-color').show();// this feild is visible in top menus 

            // Slide up intail Color panel When Kite Menu ( hybrid Menu ) is not selected
            if ($HeadertopStyleVal == "kite-menu") {

                $HeaderColor.slideDown('fast').next('hr').show();
                $intialLogo.slideDown('fast').next('hr').show();
            
            } else if ($HeadertopStyleVal == "scroll-sticky") {

                $HeaderColor.slideUp('fast').next('hr').hide();
                $intialLogo.slideUp('fast').next('hr').hide();

            } else {

                $HeaderColor.slideUp('fast').next('hr').hide();
                $intialLogo.slideUp('fast').next('hr').hide();
            }                                    

        } else if ( $headerPositionVal == '7' || $headerPositionVal == '8') { // header is left or Right 

            $headerStyle.add($HeaderTopHoverStyle).add($HeaderTopIntialColor).add($HeaderContainerStyle).add($HeaderSubmenuHoverStyle).add($submenu_color).slideUp('fast').next('hr').hide();
            $section_vertical_menu_background.add($section_vertical_menu_copyright).slideDown('fast').next('hr').show();
            $section_vertical_menu_social.slideDown('fast').next('hr').show();

            $HeaderColor.slideDown('fast'); // slide down color

            $(".section-menu-color").find('.field.menu-opacity').show();// this feild is visible in vetical menu 
            $(".section-menu-color").find('.field.border-color').hide();// this feild is hidden in vetical menu

            $(".section-menu-color").find('.field').eq(2).show();// this feild visible in vetical menu 
            $(".section-menu-color").find('.field').eq(3).show();// this feild visible in vetical menu
            $HeaderTopIntialColor.slideUp('fast').next('hr').hide(); // intial header slide up 
            $intialLogo.slideUp('fast').next('hr').hide();//intial logo
            $HeaderTopHoverStyle.slideUp('fast').next('hr').hide(); // Top hover Style slide Up 
            //$(".section-menu-color").find('.field').eq(4).hide(); // Hide opacity Option in left and Right menu

        }

        // Menu hover style
        var menu_hover_style = function() {
            var $selected = $('.menu-hover-style .imageList a.selected');
            var $menu_hover_color = $('.menu-hover-color');
            var $menu_bg_hover_color = $('.menu-bg-hover-color');



            if($selected.hasClass('hover_style4') || $selected.hasClass('hover_style3')) {

                if($selected.hasClass('hover_style3')) {
                    $menu_bg_hover_color.fadeOut(100);
                    $menu_hover_color.fadeIn(100);
                }
                else
                {
                    $menu_hover_color.add($menu_bg_hover_color).fadeOut(100);
                }
            }
            else
            {
                $menu_hover_color.add($menu_bg_hover_color).fadeIn(100);
            }
        }
        menu_hover_style();
        $(document).on('click', '.menu-hover-style .imageList a', menu_hover_style);

        // Menu Position
        $(document).on('click', '.section-header-type .imageList a', function () {
            
            var $select = $(this),
            $headerPositionVal = parseInt($(this).text());

            //HeaderTop Style
            $HeadertopStyle = $container.find('.section-header-style .imageList a.selected'),
            $HeadertopStyleVal = $HeadertopStyle.text();

            
            if ($headerPositionVal == '7' || $headerPositionVal == '8') { // header is left or Right 

                $headerStyle.add($HeaderTopHoverStyle).add($HeaderContainerStyle).add($submenu_color).add($HeaderSubmenuHoverStyle).slideUp('fast').next('hr').hide();
                $section_vertical_menu_background.add($section_vertical_menu_copyright).slideDown('fast').next('hr').show();
                $section_vertical_menu_social.slideDown('fast').next('hr').show();
                $HeaderColor.slideDown('fast'); // slid down color
                $HeaderTopIntialColor.slideUp('fast').next('hr').hide(); // intial header slide up 
                $intialLogo.slideUp('fast').next('hr').hide();//intial logo
                $HeaderTopHoverStyle.slideUp('fast').next('hr').hide(); // Top hover Style slide Up 
                //$(".section-menu-color").find('.field').eq(4).hide(); // Hide opacity Option in left and Right menu

                $(".section-menu-color").find('.field.menu-opacity').show();// this feild is visible in vetical menu 
                $(".section-menu-color").find('.field.border-color').hide();// this feild is hidden in vetical menu

            } else if ( $headerPositionVal !== '7' && $headerPositionVal !== '8' ) { // 7 , 8 => Header is't Top

                // Slide up intail Color panel When Kite Menu ( hybrid Menu ) is not selected
                if ($HeadertopStyleVal == "kite-menu") {

                    $HeaderTopIntialColor.slideDown('fast').next('hr').show();
                    $intialLogo.slideDown('fast').next('hr').show();

                } else if ($HeadertopStyleVal == "scroll-sticky") { // scroll to sticky menu

                    $HeaderTopIntialColor.slideDown('fast').next('hr').show();
                    $intialLogo.slideUp('fast').next('hr').hide();
                    $HeaderColor.slideUp('fast').next('hr').hide();

                } else { // fixed menu

                    $HeaderTopIntialColor.slideDown('fast').next('hr').show();
                    $HeaderColor.slideUp('fast').next('hr').hide();

                }
                $section_vertical_menu_social.slideUp('fast').next('hr').hide();
                $(".section-menu-color").find('.field').eq(3).show(); // Hide opacity Option in left and Right menu
                $headerStyle.add($HeaderTopHoverStyle).add($HeaderSubmenuHoverStyle).add($HeaderContainerStyle).add($submenu_color).slideDown('fast').next('hr').show();
                $section_vertical_menu_background.add($section_vertical_menu_copyright).slideUp('fast').next('hr').hide();

                $(".section-menu-color").find('.field.menu-opacity').hide();// this feild is hidden in top menus 
                $(".section-menu-color").find('.field.border-color').show();// this feild is visible in top menus
            }

        });

        // menu top style 
        $(document).on('click', '.section-header-style .imageList a', function () {

            var $select = $(this),
                val = $(this).text(),
                $MenuLogo = $container.find('.section-logo,.section-logo-second'),
                $selected = $('#menu').find('.section-' + val);
  
            if (val == 'fixed-menu' || val == 'scroll-sticky') {
                // Hide logo secoun
                $(".section-logo-second").slideUp('fast').next('hr').hide();
                $(".section-menu-color").slideUp('fast').next('hr').hide();
                $(".section-logo").slideDown('fast').next('hr').show();
                $(".section-initial-menu-color").slideDown('fast').next('hr').show();

            } else if (val == 'kite-menu') {

                $(".section-logo-second , .section-logo , .section-initial-menu-color , .section-menu-color").slideDown('fast').next('hr').show();

            }

            $selected.slideDown('fast').next('hr').show();

        }).change();

    }

    function demo_importer() {
        $(document).on('click', 'a.import', function (e) {
            e.preventDefault();
            var $import_button = $(this);
            var demo = $(this).data('demo');
            $(this).parents('form').find('input#demo_name').val(demo);
            $(this).parents('form').submit();
        });
    }

    function setRowTypeIcon ()
    {
        $('span.row_type').each(function(){
            if($(this).html() == "parallax")
            {
                $(this).removeClass('video-type interactive_background-type').addClass('parallax-type'); 
            }
            else if($(this).html() == "video")
            {
                $(this).removeClass('parallax-type interactive_background-type').addClass('video-type');
            }
            else if($(this).html() == "interactive_background")
            {
                $(this).removeClass('parallax-type video-type').addClass('interactive_background-type');
            }
            else
            {
                $(this).removeClass('parallax-type video-type interactive_background-type');
            }
        })
    }

    function menuDependencies()
    {
        $(document).on('mouseup', 'li.menu-item .menu-item-handle' ,function(e){
            mega_menu_handel();
        });
        $(document).on('change',"input[name^='is-mega-menu']",function(e) {
            var $menuItem = $(this).parents("li.menu-item");
            e.stopPropagation();
            mega_menu_handel();
        });

        mega_menu_handel();

        function mega_menu_handel(){
            //Mega menu & upload field dependencies
            var $menu = $('ul.menu.ui-sortable');

            setTimeout(function(){
                $menu.find('li.menu-item').removeClass('enable-mega-menu-of-parent');

                $menu.find('li.menu-item.menu-item-depth-0').each(function() {
                    $this = $(this);
                    var $megamenu = $this.find("input[name^='is-mega-menu']");

                    if( $megamenu.prop('checked') )
                    {

                        $this.nextUntil( '.menu-item-depth-0','li.menu-item.menu-item-depth-1,li.menu-item.menu-item-depth-2').addClass("enable-mega-menu-of-parent");
                        $this.addClass('enable-mega-menu-of-parent');
                        
                    }
                    else
                    {
                        $this.nextUntil( '.menu-item-depth-0','li.menu-item.menu-item-depth-1,li.menu-item.menu-item-depth-2').removeClass("enable-mega-menu-of-parent");
                        $this.removeClass('enable-mega-menu-of-parent');
                    }
                });
            },500);
        }

        $('#menu-to-edit').on('click',"a.item-edit",menuInitOptionHandle);

        function menuInitOptionHandle () {
            ColorPicker();
        }
    }

    function filter_widget_change_display_type() {
       // Add a new attribute (via ajax) : this function is a customized copy of function defined in woocommerce/assets/js/admin/meta-boxes-product.js
        $(document).on( 'change', 'p.display_type_container select, p.attribute_container select', function(e) {
            e.preventDefault();

            var $widget      = $(this).closest('.widget-content'),
                attribute    = $widget.find('p.attribute_container select').find('option:selected').val(),
                display_type = $widget.find('p.display_type_container select').find('option:selected').val(),
                id           = $widget.find('input[name="w_id"]').val(),
                id_base      = $widget.find('input[name="w_idbase"]').val(),
                number       = $widget.find('input[name="w_number"]').val(),
                ajax_nonce   = $widget.find('input[name="ajax_nonce"]').val(),
                $attr_table  = $widget.find('.kite-widget-attributes-table'),
                $hide_text  = $widget.find('.hide_text_container');

            if(display_type == 'image')
            {
                $hide_text.slideDown();
            }
            else
            {
                $hide_text.slideUp();
            }

            if ( attribute !== undefined &&  (display_type == 'color' || display_type == 'image') ) {

                var data = {
                    action:      'change_attribute_display_type',
                    attribute    : attribute,
                    display_type : display_type,
                    id           : id,
                    id_base      : id_base,
                    number       : number,
                    ajax_nonce   : ajax_nonce
                };
                $attr_table.slideDown();
                $attr_table.addClass('loading');
                $attr_table.find('.wc-loading').removeClass('hide');

                $.post( ajaxurl, data, function( response ) {
                    $attr_table.find('table, .no-term').remove();
                    $attr_table.prepend(response);
                    ColorPicker();
                    //wait a bit to add new elements
                    setTimeout(function() {
                        $attr_table.removeClass('loading');
                        $attr_table.find('.wc-loading').addClass('hide')
                    },100)

                });

            }
            else
            {
                $attr_table.slideUp();
            }

            return false;
        });
        
        //Run colorpicker aftar updating widget
        $( document ).on( 'widget-updated' , function( event, $widget ){
            ColorPicker();
        });
    }

    function video_widget_change_display_type() {
        var video_type_dependencies = function(video_display_type_container) {
            if(video_display_type_container == undefined) {
                video_display_type_container = '.video_display_type_container select';
            }

            var $video_display_type_container = $(video_display_type_container);

            $video_display_type_container.each(function(){
                var $widget      = $(this).closest('.kite-video-widget'),
                    display_type = $(this).find('option:selected').val();

                $widget.removeClass('local_video local_video_popup embeded_video_youtube embeded_video_youtube_popup embeded_video_vimeo embeded_video_vimeo_popup').addClass(display_type);
            });

        }

        video_type_dependencies();

        $( document ).on( 'change', '.video_display_type_container select', function(){
            video_type_dependencies(this);
        });

        $( document ).on( 'widget-updated' , function( event, $widget ) {
            video_type_dependencies();
        });
    }

    function font_dependencies() {
        var $select_font_type_body = $('select[name="font-body-type"]'),
            $select_font_type_headings = $('select[name="font-headings-type"]'),
            $select_font_type_navigation = $('select[name="font-navigation-type"]'),
            $select_font_body = $('select[name="font-body"]').closest('.field'),
            $select_font_headings = $('select[name="font-headings"]').closest('.field'),
            $select_font_navigation = $('select[name="font-navigation"]').closest('.field'),
            $select_custom_font_body_url = $('input[name="custom-font-url-body"]').closest('.field'),
            $select_custom_font_body_name = $('input[name="custom-font-name-body"]').closest('.field'),
            $select_custom_font_headings_url = $('input[name="custom-font-url-headings"]').closest('.field'),
            $select_custom_font_headings_name = $('input[name="custom-font-name-headings"]').closest('.field'),
            $select_custom_font_navigation_url = $('input[name="custom-font-url-navigation"]').closest('.field'),
            $select_custom_font_navigation_name = $('input[name="custom-font-name-navigation"]').closest('.field');

            $select_font_body.add($select_font_headings).add($select_custom_font_body_url).add($select_custom_font_body_name).add($select_custom_font_headings_url).add($select_custom_font_headings_name).add($select_font_navigation).add($select_custom_font_navigation_url).add($select_custom_font_navigation_name).hide();
            set_font_type();

        function set_font_type()
        {
            //Body font
            var selected = $select_font_type_body.find('option:selected').val();
            if(selected == 'default')
            {
                $select_font_body.hide();
                $select_custom_font_body_url.hide()
                $select_custom_font_body_name.hide();
            }
            else if(selected == 'google')
            {
                $select_font_body.show();
                $select_custom_font_body_url.hide();
                $select_custom_font_body_name.hide();
            }
            else
            {
                $select_font_body.hide();
                $select_custom_font_body_url.show();
                $select_custom_font_body_name.show();
            }

            // Headings font
            var selected = $select_font_type_headings.find('option:selected').val();
            if(selected == 'default')
            {
                $select_font_headings.hide();
                $select_custom_font_headings_url.hide();
                $select_custom_font_headings_name.hide();
            }
            else if(selected == 'google')
            {
                $select_font_headings.show();
                $select_custom_font_headings_url.hide();
                $select_custom_font_headings_name.hide();
            }
            else
            {
                $select_font_headings.hide();
                $select_custom_font_headings_url.show();
                $select_custom_font_headings_name.show();
            }

            // Navigation font
            var selected = $select_font_type_navigation.find('option:selected').val();
            if(selected == 'default')
            {
                $select_font_navigation.hide();
                $select_custom_font_navigation_url.hide();
                $select_custom_font_navigation_name.hide();
            }
            else if(selected == 'google')
            {
                $select_font_navigation.show();
                $select_custom_font_navigation_url.hide();
                $select_custom_font_navigation_name.hide();
            }
            else
            {
                $select_font_navigation.hide();
                $select_custom_font_navigation_url.show();
                $select_custom_font_navigation_name.show();
            }
        }


        $select_font_type_body.change(set_font_type);
        $select_font_type_headings.change(set_font_type);
        $select_font_type_navigation.change(set_font_type);

    }

    function instagram_widget_dependencies() {

        function set_dependencies()
        {
                
            $('select.instagram-source').each(function(){
                var $instagram_widget = $(this).closest('.widget-content'),
                    $select_instagram_source = $(this);
                    $input_instagram_carousel = $instagram_widget.find('input.instagram-carousel'),
                    $hover_color = $instagram_widget.find('.instagram-hover-color span');
                //source of media
                var selected = $select_instagram_source.find('option:selected').val();
                if(selected == 'self')
                {
                    $select_instagram_source.closest('p').siblings('p.instagram-otheruser').slideUp('fast');
                }
                else
                {
                    $select_instagram_source.closest('p').siblings('p.instagram-otheruser').slideDown('fast');
                }

                // caousel
                if($input_instagram_carousel.prop('checked') == false)
                {
                    $input_instagram_carousel.closest('p').siblings('p.instagram-nav-style').slideUp('fast');
                }
                else
                {
                    $input_instagram_carousel.closest('p').siblings('p.instagram-nav-style').slideDown('fast');
                }

                // hover color
                if($hover_color.filter('.selected').data("name") == "custom")
                {
                    $hover_color.closest('.instagram-hover-color').siblings('.instagram-custom-hover-color').slideDown('fast');
                }
                else
                {
                    $hover_color.closest('.instagram-hover-color').siblings('.instagram-custom-hover-color').slideUp('fast');
                }
            })

        }

        set_dependencies();

        $(document).on( 'change', 'select.instagram-source, input.instagram-carousel', set_dependencies);
        $(document).on( 'click', '.instagram-hover-color span', set_dependencies);
    }     


    function product_detail_dependencies() {
        var $product_detail = $('.imageSelect.product-detail'),
            $product_detail_bg = $('.section.section-product-detail-bg');
            $product_detail_sidebar_position = $('.section.section-product-detail-sidebar');
			$shop_enable_zoom = $('.section.section-shop_enable_zoom');


        $product_detail.find('a').on('click',function(){
            product_detail_change_handler($(this));
        });

        product_detail_change_handler($product_detail.find('a.selected'));

        function product_detail_change_handler($element)
        {

            if($element.hasClass('pd_background'))
            {
                $product_detail_bg.add($product_detail_bg.next('hr')).slideDown();
                $product_detail_sidebar_position.add($product_detail_sidebar_position.next('hr')).slideUp();
				$shop_enable_zoom.add($shop_enable_zoom.next('hr')).slideDown();

            }
            else if($element.hasClass('pd_top'))
            {
				$product_detail_bg.add($product_detail_bg.next('hr')).slideDown();
                $product_detail_sidebar_position.add($product_detail_sidebar_position.next('hr')).slideUp();
                $shop_enable_zoom.add($shop_enable_zoom.next('hr')).slideUp();

            } 
			else if($element.hasClass('pd_fullwidth_top'))
            {
				$product_detail_bg.add($product_detail_bg.next('hr')).slideDown();
                $product_detail_sidebar_position.add($product_detail_sidebar_position.next('hr')).slideUp();
                $shop_enable_zoom.add($shop_enable_zoom.next('hr')).slideUp();

            }
			else if($element.hasClass('pd_classic_sidebar'))
            {
                $product_detail_bg.add($product_detail_bg.next('hr')).slideUp();
                $product_detail_sidebar_position.add($product_detail_sidebar_position.next('hr')).slideDown();
				$shop_enable_zoom.add($shop_enable_zoom.next('hr')).slideDown();

            }
            else
            {
                $product_detail_bg.add($product_detail_bg.next('hr')).slideUp();
                $product_detail_sidebar_position.add($product_detail_sidebar_position.next('hr')).slideUp();
				$shop_enable_zoom.add($shop_enable_zoom.next('hr')).slideDown();
            }
        }
    }
   
    function product_style_dependencies() {
        var $product_style = $('.imageSelect.shop-styles'),
            $product_hover_color = $('.imageSelect.product_hover_preset'),
            $product_custom_hover_color = $('.product_hover_custom_preset');
            $product_rating = $('.product_rating');

        $product_style.find('a').on('click',function(){
            product_style_change_handler($(this));
        });

        $product_hover_color.find('a').on('click',function(){
            product_hover_color_handler($(this));
        });

        product_style_change_handler($product_style.find('a.selected'));
        product_hover_color_handler($product_hover_color.find('a.selected'));

        function product_style_change_handler($element)
        {

            if($element.hasClass('infoonhover'))
            {
                $product_hover_color.slideDown();
                $product_rating.slideDown();
            }
            else if($element.hasClass('infoonclick'))
            {
                $product_rating.slideUp();
            }
            else
            {
                $product_rating.slideDown();
                $product_hover_color.slideUp();
            }
        }


        function product_hover_color_handler($element)
        {
            if($element.hasClass('_custom-color') && $product_style.find('a.selected').hasClass('infoonhover'))
            {
                $product_custom_hover_color.slideDown();
            }
            else
            {
                $product_custom_hover_color.slideUp();
            }
        }
    }
	
	function upload_wc_cat_header_img() {
		// Only show the "remove image" button when needed
		if ( '0' === $( '#header_image_id' ).val() ) {
			$( '.remove_wc_cat_header_image_button' ).hide();
		}

		// Uploading files
		var file_frame;

		$( document ).on( 'click', '.upload_wc_cat_header_image_button', function( event ) {

			event.preventDefault();

			// If the media frame already exists, reopen it.
			if ( file_frame ) {
				file_frame.open();
				return;
			}

			// Create the media frame.
			file_frame = wp.media.frames.downloadable_file = wp.media({
				title: 'Choose an image',
				button: {
					text: 'Use image'
				},
				multiple: false
			});

			// When an image is selected, run a callback.
			file_frame.on( 'select', function() {
				var attachment           = file_frame.state().get( 'selection' ).first().toJSON();
				var attachment_thumbnail = attachment.sizes.thumbnail || attachment.sizes.full;

				$( '#header-background-image' ).val( attachment.id );
				$( '#product_cat_background_image' ).find( 'img' ).attr( 'src', attachment_thumbnail.url );
				$( '.remove_wc_cat_header_image_button' ).show();
			});

			// Finally, open the modal.
			file_frame.open();
		});

		$( document ).on( 'click', '.remove_wc_cat_header_image_button', function() {
			$( '#product_cat_background_image' ).find( 'img' ).attr( 'src', $( '#product_cat_background_image' ).data('default-img') );
			$( '#header-background-image' ).val( '' );
			$( '.remove_wc_cat_header_image_button' ).hide();
			return false;
		});
		
		$( document ).ajaxComplete( function( event, request, options ) {
			if ( request && 4 === request.readyState && 200 === request.status && options.data && 0 <= options.data.indexOf( 'action=add-tag' ) ) {
				// Clear header image and color fields on submit
				$( '#product_cat_background_image' ).find( 'img' ).attr( 'src', $( '#product_cat_background_image' ).data('default-img') );
				$( '.term-header-color-wrap .wp-picker-clear,.all_taxonamies_color .wp-picker-clear' ).trigger('click');
                $('.selected-icon').attr('class', 'selected-icon icon');
			}
		});

	}
    function kite_redux_dependency () {
        var $headerType = $('fieldset#' + options_key +  '-header-type label.redux-image-select-selected input');
        var $headerStyle = $('fieldset#' + options_key +  '-header-style label.redux-image-select-selected input');
        var $menuHoverStyle = $('fieldset#' + options_key +  '-menu-hover-style label.redux-image-select-selected input');
        var $menuBackgroundColor = $('fieldset#' + options_key +  '-menu-background-color');
        var $menuBackgroundColorSection = $('#section-menu-color_section_start');
        var $menuTextColor = $('fieldset#' + options_key +  '-menu-text-color');
        var $menuTextHoverColor = $('fieldset#' + options_key +  '-menu-text-hover-color');
        var $menuTextBgHoverColor = $('fieldset#' + options_key +  '-menu-text-bg-hover-color');
        var $menuBorderColor = $('fieldset#' + options_key +  '-menu-border-color');
        if ($headerType.val() == 7 || $headerType.val() == 8) {
            $menuBackgroundColor.parents('tr').css('display', 'table-row');
            $menuTextColor.parents('tr').css('display', 'table-row');
            $menuTextHoverColor.parents('tr').css('display', 'none');
            $menuTextBgHoverColor.parents('tr').css('display', 'none');
            $menuBorderColor.parents('tr').css('display', 'none');
        } else {
            if ($headerStyle.val() == 'kite-menu') {
                $menuBackgroundColor.parents('tr').css('display', 'table-row');
				$menuBackgroundColorSection.css('display', 'block');
                $menuTextColor.parents('tr').css('display', 'table-row');
                $menuBorderColor.parents('tr').css('display', 'table-row');
                if ($menuHoverStyle.val() == 2 ) {
                    $menuTextHoverColor.parents('tr').css('display', 'table-row');
                    $menuTextBgHoverColor.parents('tr').css('display', 'none');
                } else if ($menuHoverStyle.val() != 3) {
                    $menuTextHoverColor.parents('tr').css('display', 'table-row');
                    $menuTextBgHoverColor.parents('tr').css('display', 'table-row');
                } else {
                    $menuTextHoverColor.parents('tr').css('display', 'none');
                    $menuTextBgHoverColor.parents('tr').css('display', 'none');
                }
            } else {
                $menuBackgroundColor.parents('tr').css('display', 'none');
				$menuBackgroundColorSection.css('display', 'none');
                $menuTextColor.parents('tr').css('display', 'none');
                $menuTextHoverColor.parents('tr').css('display', 'none');
                $menuTextBgHoverColor.parents('tr').css('display', 'none');
                $menuBorderColor.parents('tr').css('display', 'none');
            }
        }
		$('.redux-typography-container .typography-family-backup,.redux-typography-container .typography-style,.redux-typography-container .typography-script, .redux-typography-container .typography-align,.redux-typography-container .font-size, .redux-typography-container .line-height,.redux-typography-container .picker-wrapper').
		css({
            'display': 'none',
            'visibility': 'hidden',
            'max-height':'0px',
			'margin':'0 px',
			'line-height':'0', 
        });
    }
	 function kt_activation_click() {
        $('.purchase_info').on('click' ,function(e) {
            if (!$(this).hasClass('selected')) {
                $('.purchase_info').each(function(){
                    if ($(this).hasClass('selected')) {
                        $(this).removeClass('selected');
                    }
                });
                $(this).addClass('selected');
                var purchase_code = $(this).data('purchase_code');
                $('input[name="purchase_code"]').val(purchase_code);
                var supported_until = $(this).data('supported_until');
                $('input[name="supported_until"]').val(supported_until);
            }
        });
        $('.deactive').on('click', function(event) {
            event.preventDefault();
            if (confirm('Are You Sure you Want to deactive this purchase info?')) {
                $(this).parents('form').submit();
            }
        });
    }
	 function product360ViewGallery() {

        // Product gallery file uploads.
        var $product_gallery_frame,
        $image_gallery_ids = $( '#product_360_image_gallery' ),
        $product_images    = $( '#product_360_images_container' ).find( 'ul.product_360_images' );

        $( '.add_product_360_images' ).on( 'click', 'a', function( event ) {
            var $el = $( this );

            event.preventDefault();

            // If the media frame already exists, reopen it.
            if ( $product_gallery_frame ) {
                $product_gallery_frame.open();
                return;
            }

            // Create the media frame.
            $product_gallery_frame = wp.media.frames.product_gallery = wp.media({
                // Set the title of the modal.
                title: $el.data( 'choose' ),
                button: {
                    text: $el.data( 'update' )
                },
                states: [
                    new wp.media.controller.Library({
                        title: $el.data( 'choose' ),
                        filterable: 'all',
                        multiple: true
                    })
                ]
            });

            // When an image is selected, run a callback.
            $product_gallery_frame.on( 'select', function() {
                var selection = $product_gallery_frame.state().get( 'selection' );
                var $attachment_ids = $image_gallery_ids.val();

                selection.map( function( attachment ) {
                    attachment = attachment.toJSON();

                    if ( attachment.id ) {
                        $attachment_ids   = $attachment_ids ? $attachment_ids + ',' + attachment.id : attachment.id;
                        var attachment_image = attachment.sizes && attachment.sizes.thumbnail ? attachment.sizes.thumbnail.url : attachment.url;

                        $product_images.append( '<li class="image" data-attachment_id="' + attachment.id + '"><img src="' + attachment_image + '" /><ul class="actions"><li><a href="#" class="delete" title="' + $el.data('delete') + '">' + $el.data('text') + '</a></li></ul></li>' );
                    }
                });

                $image_gallery_ids.val( $attachment_ids );
            });

            // Finally, open the modal.
            $product_gallery_frame.open();
        });

        // Image ordering.
        if ( typeof $product_images.sortable !== 'undefined' ) {
            $product_images.sortable({
                items: 'li.image',
                cursor: 'move',
                scrollSensitivity: 40,
                forcePlaceholderSize: true,
                forceHelperSize: false,
                helper: 'clone',
                opacity: 0.65,
                placeholder: 'wc-metabox-sortable-placeholder',
                start: function( event, ui ) {
                    ui.item.css( 'background-color', '#f6f6f6' );
                },
                stop: function( event, ui ) {
                    ui.item.removeAttr( 'style' );
                },
                update: function() {
                    var $attachment_ids = '';

                    $( '#product_360_images_container' ).find( 'ul li.image' ).css( 'cursor', 'default' ).each( function() {
                        var attachment_id = $( this ).attr( 'data-attachment_id' );
                        $attachment_ids = $attachment_ids + attachment_id + ',';
                    });

                    $image_gallery_ids.val( $attachment_ids );
                }
            });
        }

        // Remove images.
        $( '#product_360_images_container' ).on( 'click', 'a.delete', function() {
            $( this ).closest( 'li.image' ).remove();

            var $attachment_ids = '';

            $( '#product_360_images_container' ).find( 'ul li.image' ).css( 'cursor', 'default' ).each( function() {
                var attachment_id = $( this ).attr( 'data-attachment_id' );
                $attachment_ids = $attachment_ids + attachment_id + ',';
            });

            $image_gallery_ids.val( $attachment_ids );

            // Remove any lingering tooltips.
            $( '#tiptip_holder' ).removeAttr( 'style' );
            $( '#tiptip_arrow' ).removeAttr( 'style' );

            return false;
        });
    }
	function kt_initial_stock(){
        if ($('#inventory_product_data').length) {
            $(document).on('click', function() {
                kt_stock_check();
            });
        }
        var kt_stock_check = function (){
            if ($('#_manage_stock').is(':checked'))
                $('#kt_total_stock_quantity').parents('.options_group').show();
            else
                $('#kt_total_stock_quantity').parents('.options_group').hide();
        };
        kt_stock_check();
    }
    // start proccessing plugins
    function start_proccessing_plugins() {
        $(document).on( 'click', '.kt-install-plugins, .kt-install-core-plugins', function( e ){
            e.preventDefault();

            if ( $('li.plugin-to-install input:checked').length == 0 ) {
                alert( kite_theme_admin_vars.select_plugins );
                return;
            }
            $(this).addClass('kt-checking');

            $('li.plugin-to-install input:checked').siblings('.spinner').css('visibility', 'visible');

            find_next();

        });

        var items_completed = 0;
        var current_item = '';
        var $current_node;
        var current_item_hash = '';

        function ajax_callback(response){
            if(typeof response == 'object' && typeof response.message != 'undefined'){
                $current_node.find('span').text(response.message);
                $('.kt-install-core-plugins').text(response.message);
                if(typeof response.url != 'undefined'){
                    // we have an ajax url action to perform.

                    if(response.hash == current_item_hash){
                        $current_node.find('span').text("failed");
                        find_next();
                    }else {
                        current_item_hash = response.hash;
                        jQuery.post(response.url, response, function(response2) {
                            process_current();
                            $current_node.find('span').text(response.message);
                        }).fail(ajax_callback);
                    }

                }else if(typeof response.done != 'undefined'){
                    // finished processing this plugin, move onto next
                    $current_node.find('span').addClass('kt-success');
                    find_next();
                }else{
                    // error processing this plugin
                    find_next();
                }
            }else{
                // error - try again with next plugin
                $current_node.find('span').addClass('kt-success').text("Success");
                find_next();
            }
        }
        function process_current(){
            if(current_item){
                // query our ajax handler to get the ajax to send to TGM
                // if we don't get a reply we can assume everything worked and continue onto the next one.
                $.post(kite_theme_admin_vars.ajax_url, {
                    action: 'install_plugins',
                    wpnonce: kite_theme_admin_vars.wpnonce,
                    slug: current_item
                }, ajax_callback).fail(ajax_callback);
            }
        }
        function find_next(){
            var do_next = false;
            if($current_node){
                if(!$current_node.data('done_item')){
                    items_completed++;
                    $current_node.data('done_item',1);
                }
                $current_node.find('.spinner').css('visibility','hidden');
            }
            var $li = $('.kt-plugins-form li').has('input:checked').addClass('installing');
            $('.kt-plugins-form li').find('input').prop('disabled', true);
            $li.each(function(){
                if(current_item == '' || do_next){
                    current_item = $(this).find('input').data('slug');
                    $current_node = $(this);
                    process_current();
                    do_next = false;
                }else if($(this).data('slug') == current_item){
                    do_next = true;
                }
            });
            if(items_completed >= $li.length){
                // finished all plugins!
                var failed = false;
                $('.kt-plugins-form li span').each(function(index, el) {
                    if ($(this).text() == 'failed') {
                        failed = true;
                    }
                });
                if (failed) {
                    $('.kt-install-plugins, .kt-install-core-plugins').removeClass('kt-checking');
                    document.cookie = 'pluginFailed=true';
                    window.location.reload(true);
                } else {
                    document.cookie = 'pluginFailed=;';
                    $li.removeClass('installing');
                    $('.kt-install-plugins, .kt-install-core-plugins').removeClass('kt-checking');
                    if ( $('.kt-plugins-form').data('redirect') != '' ) {
                        window.location.replace( $('.kt-plugins-form').data('redirect') );
                    }
                }
            }
        }
    }

    function instagarm_widget_dependency_check() {

        var insta_dependency_check_init = function( $this ) {
            if ( $this.find('.instagram-connection-method').is(':checked') ) {
                $this.find('.insta-username, .insta-image-resolution, .insta-like, .insta-comment').parents('p').hide();
            } else {
                $this.find('.insta-username, .insta-image-resolution, .insta-like, .insta-comment').parents('p').show();
            }
        }

        insta_dependency_check_init( $(document) );

        $('.instagram-connection-method').on( 'change', function(){
            insta_dependency_check_init( $(this).parents('.widget-content') );
        });
    }

    $(document).ready(function () {

        FieldSelector();
        CSVInput();
        ImageSelect();
        Save_Button();
        Thickbox();
        Tooltips();
        Sliders();
        ColorPicker();
        Combobox();
        Chosen();
        Tabs();
        Sidebar_Accordion();
        ImageFields();
        menu();
        iconSelect();
        demo_importer();
        preloader();
        product_detail_dependencies();
        product_style_dependencies();
        filter_widget_change_display_type();
        instagram_widget_dependencies();
        font_dependencies();
        video_widget_change_display_type();
		upload_wc_cat_header_img();
        kite_redux_dependency();
		kt_activation_click();
        product360ViewGallery();
        start_proccessing_plugins();

        setTimeout(function(){
            setRowTypeIcon();
        },800);
        menuDependencies();
		kt_initial_stock();
        instagarm_widget_dependency_check();


        $('#vc_ui-panel-edit-element span.vc_ui-button-action').on('click',function(){
            setTimeout(function(){
                setRowTypeIcon();
            },200);
        });
        $(document).on('click', 'input[name="' + options_key +  '[header-type]"],input[name="' + options_key +  '[header-style]"]', function() {
            kite_redux_dependency();
        });

    });

})(jQuery);